/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int 	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in other functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn's cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = mm_strdup("");
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char temp[20];
			char *original_var;
			bool skip_set_var = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(temp, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable) && (!strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement"))))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char && ptr->variable->type->type != ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, mm_strdup("1"), ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
				sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char || ptr->variable->type->type == ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				if (ptr->variable->type->type == ECPGt_varchar)
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				else
					sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_struct || ptr->variable->type->type == ECPGt_union)
			{
				sprintf(temp, "%d)))", ecpg_internal_var);
				newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.members, ptr->variable->type->type, ptr->variable->type->type_name, ptr->variable->type->struct_sizeof), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct || ptr->variable->type->u.element->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.element->u.members, ptr->variable->type->u.element->type, ptr->variable->type->u.element->type_name, ptr->variable->type->u.element->struct_sizeof), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, ptr->variable->type->u.element->size, ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}

			/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
			if (!skip_set_var)
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(temp, "%d))", ecpg_internal_var);

				if (ptr->indicator->type->type == ECPGt_struct || ptr->indicator->type->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.members, ptr->indicator->type->type, ptr->indicator->type->type_name, ptr->indicator->type->struct_sizeof), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct || ptr->indicator->type->u.element->type == ECPGt_union)
					{
						sprintf(temp, "%d)))", ecpg_internal_var);
						newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.element->u.members, ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->type_name, ptr->indicator->type->u.element->struct_sizeof), 0);
						sprintf(temp, "%d, (", ecpg_internal_var++);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->size, ptr->indicator->type->u.element->counter), ptr->indicator->type->size), 0);
						sprintf(temp, "%d, &(", ecpg_internal_var++);
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && !strcmp(cur->function, current_function)))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 529 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EXCEPT = 461,
    EXCLUDE = 462,
    EXCLUDING = 463,
    EXCLUSIVE = 464,
    EXECUTE = 465,
    EXISTS = 466,
    EXPLAIN = 467,
    EXTENSION = 468,
    EXTERNAL = 469,
    EXTRACT = 470,
    FALSE_P = 471,
    FAMILY = 472,
    FETCH = 473,
    FIRST_P = 474,
    FLOAT_P = 475,
    FOLLOWING = 476,
    FOR = 477,
    FORCE = 478,
    FOREIGN = 479,
    FORWARD = 480,
    FREEZE = 481,
    FROM = 482,
    FULL = 483,
    FUNCTION = 484,
    FUNCTIONS = 485,
    GLOBAL = 486,
    GRANT = 487,
    GRANTED = 488,
    GREATEST = 489,
    GROUP_P = 490,
    HANDLER = 491,
    HAVING = 492,
    HEADER_P = 493,
    HOLD = 494,
    HOUR_P = 495,
    IDENTITY_P = 496,
    IF_P = 497,
    ILIKE = 498,
    IMMEDIATE = 499,
    IMMUTABLE = 500,
    IMPLICIT_P = 501,
    IN_P = 502,
    INCLUDING = 503,
    INCREMENT = 504,
    INDEX = 505,
    INDEXES = 506,
    INHERIT = 507,
    INHERITS = 508,
    INITIALLY = 509,
    INLINE_P = 510,
    INNER_P = 511,
    INOUT = 512,
    INPUT_P = 513,
    INSENSITIVE = 514,
    INSERT = 515,
    INSTEAD = 516,
    INT_P = 517,
    INTEGER = 518,
    INTERSECT = 519,
    INTERVAL = 520,
    INTO = 521,
    INVOKER = 522,
    IS = 523,
    ISNULL = 524,
    ISOLATION = 525,
    JOIN = 526,
    KEY = 527,
    LABEL = 528,
    LANGUAGE = 529,
    LARGE_P = 530,
    LAST_P = 531,
    LC_COLLATE_P = 532,
    LC_CTYPE_P = 533,
    LEADING = 534,
    LEAST = 535,
    LEFT = 536,
    LEVEL = 537,
    LIKE = 538,
    LIMIT = 539,
    LISTEN = 540,
    LOAD = 541,
    LOCAL = 542,
    LOCALTIME = 543,
    LOCALTIMESTAMP = 544,
    LOCATION = 545,
    LOCK_P = 546,
    MAPPING = 547,
    MATCH = 548,
    MAXVALUE = 549,
    MINUTE_P = 550,
    MINVALUE = 551,
    MODE = 552,
    MONTH_P = 553,
    MOVE = 554,
    NAME_P = 555,
    NAMES = 556,
    NATIONAL = 557,
    NATURAL = 558,
    NCHAR = 559,
    NEXT = 560,
    NO = 561,
    NONE = 562,
    NOT = 563,
    NOTHING = 564,
    NOTIFY = 565,
    NOTNULL = 566,
    NOWAIT = 567,
    NULL_P = 568,
    NULLIF = 569,
    NULLS_P = 570,
    NUMERIC = 571,
    OBJECT_P = 572,
    OF = 573,
    OFF = 574,
    OFFSET = 575,
    OIDS = 576,
    ON = 577,
    ONLY = 578,
    OPERATOR = 579,
    OPTION = 580,
    OPTIONS = 581,
    OR = 582,
    ORDER = 583,
    OUT_P = 584,
    OUTER_P = 585,
    OVER = 586,
    OVERLAPS = 587,
    OVERLAY = 588,
    OWNED = 589,
    OWNER = 590,
    PARSER = 591,
    PARTIAL = 592,
    PARTITION = 593,
    PASSING = 594,
    PASSWORD = 595,
    PLACING = 596,
    PLANS = 597,
    POSITION = 598,
    PRECEDING = 599,
    PRECISION = 600,
    PRESERVE = 601,
    PREPARE = 602,
    PREPARED = 603,
    PRIMARY = 604,
    PRIOR = 605,
    PRIVILEGES = 606,
    PROCEDURAL = 607,
    PROCEDURE = 608,
    QUOTE = 609,
    RANGE = 610,
    READ = 611,
    REAL = 612,
    REASSIGN = 613,
    RECHECK = 614,
    RECURSIVE = 615,
    REF = 616,
    REFERENCES = 617,
    REINDEX = 618,
    RELATIVE_P = 619,
    RELEASE = 620,
    RENAME = 621,
    REPEATABLE = 622,
    REPLACE = 623,
    REPLICA = 624,
    RESET = 625,
    RESTART = 626,
    RESTRICT = 627,
    RETURNING = 628,
    RETURNS = 629,
    REVOKE = 630,
    RIGHT = 631,
    ROLE = 632,
    ROLLBACK = 633,
    ROW = 634,
    ROWS = 635,
    RULE = 636,
    SAVEPOINT = 637,
    SCHEMA = 638,
    SCROLL = 639,
    SEARCH = 640,
    SECOND_P = 641,
    SECURITY = 642,
    SELECT = 643,
    SEQUENCE = 644,
    SEQUENCES = 645,
    SERIALIZABLE = 646,
    SERVER = 647,
    SESSION = 648,
    SESSION_USER = 649,
    SET = 650,
    SETOF = 651,
    SHARE = 652,
    SHOW = 653,
    SIMILAR = 654,
    SIMPLE = 655,
    SMALLINT = 656,
    SOME = 657,
    STABLE = 658,
    STANDALONE_P = 659,
    START = 660,
    STATEMENT = 661,
    STATISTICS = 662,
    STDIN = 663,
    STDOUT = 664,
    STORAGE = 665,
    STRICT_P = 666,
    STRIP_P = 667,
    SUBSTRING = 668,
    SYMMETRIC = 669,
    SYSID = 670,
    SYSTEM_P = 671,
    TABLE = 672,
    TABLES = 673,
    TABLESPACE = 674,
    TEMP = 675,
    TEMPLATE = 676,
    TEMPORARY = 677,
    TEXT_P = 678,
    THEN = 679,
    TIME = 680,
    TIMESTAMP = 681,
    TO = 682,
    TRAILING = 683,
    TRANSACTION = 684,
    TREAT = 685,
    TRIGGER = 686,
    TRIM = 687,
    TRUE_P = 688,
    TRUNCATE = 689,
    TRUSTED = 690,
    TYPE_P = 691,
    UNBOUNDED = 692,
    UNCOMMITTED = 693,
    UNENCRYPTED = 694,
    UNION = 695,
    UNIQUE = 696,
    UNKNOWN = 697,
    UNLISTEN = 698,
    UNLOGGED = 699,
    UNTIL = 700,
    UPDATE = 701,
    USER = 702,
    USING = 703,
    VACUUM = 704,
    VALID = 705,
    VALIDATE = 706,
    VALIDATOR = 707,
    VALUE_P = 708,
    VALUES = 709,
    VARCHAR = 710,
    VARIADIC = 711,
    VARYING = 712,
    VERBOSE = 713,
    VERSION_P = 714,
    VIEW = 715,
    VOLATILE = 716,
    WHEN = 717,
    WHERE = 718,
    WHITESPACE_P = 719,
    WINDOW = 720,
    WITH = 721,
    WITHOUT = 722,
    WORK = 723,
    WRAPPER = 724,
    WRITE = 725,
    XML_P = 726,
    XMLATTRIBUTES = 727,
    XMLCONCAT = 728,
    XMLELEMENT = 729,
    XMLEXISTS = 730,
    XMLFOREST = 731,
    XMLPARSE = 732,
    XMLPI = 733,
    XMLROOT = 734,
    XMLSERIALIZE = 735,
    YEAR_P = 736,
    YES_P = 737,
    ZONE = 738,
    NULLS_FIRST = 739,
    NULLS_LAST = 740,
    WITH_TIME = 741,
    POSTFIXOP = 742,
    UMINUS = 743
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 463 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1073 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1102 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   100807

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  508
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  688
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2693
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4832

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   743

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   495,     2,     2,
     500,   501,   493,   491,   503,   492,   502,   494,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   505,   504,
     488,   487,   489,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   498,     2,   499,   496,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   506,     2,   507,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   490,   497
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1365,  1365,  1368,  1370,  1372,  1374,  1376,  1378,  1380,
    1382,  1384,  1386,  1388,  1390,  1392,  1394,  1396,  1398,  1400,
    1402,  1404,  1406,  1408,  1410,  1412,  1414,  1416,  1418,  1420,
    1438,  1440,  1442,  1444,  1446,  1448,  1450,  1452,  1454,  1456,
    1458,  1460,  1462,  1464,  1466,  1468,  1470,  1472,  1474,  1476,
    1478,  1480,  1482,  1484,  1486,  1488,  1490,  1492,  1494,  1498,
    1500,  1502,  1504,  1506,  1508,  1510,  1512,  1514,  1516,  1518,
    1520,  1522,  1524,  1526,  1528,  1530,  1532,  1534,  1536,  1538,
    1540,  1542,  1544,  1546,  1548,  1550,  1552,  1554,  1556,  1558,
    1560,  1562,  1564,  1571,  1573,  1575,  1577,  1579,  1581,  1583,
    1585,  1587,  1589,  1591,  1593,  1599,  1601,  1603,  1605,  1607,
    1609,  1611,  1613,  1615,  1621,  1631,  1635,  1641,  1645,  1655,
    1665,  1666,  1680,  1687,  1693,  1704,  1710,  1719,  1726,  1732,
    1741,  1748,  1756,  1761,  1769,  1774,  1780,  1785,  1791,  1796,
    1802,  1806,  1810,  1814,  1818,  1822,  1826,  1830,  1834,  1842,
    1846,  1850,  1854,  1858,  1862,  1870,  1878,  1887,  1889,  1897,
    1905,  1913,  1921,  1925,  1933,  1937,  1945,  1953,  1961,  1965,
    1973,  1977,  1985,  1989,  1997,  2002,  2008,  2013,  2019,  2023,
    2027,  2031,  2035,  2039,  2047,  2051,  2055,  2063,  2067,  2071,
    2075,  2079,  2083,  2087,  2091,  2095,  2100,  2104,  2108,  2112,
    2116,  2120,  2128,  2132,  2140,  2144,  2152,  2156,  2170,  2174,
    2178,  2182,  2190,  2194,  2198,  2202,  2210,  2214,  2218,  2222,
    2226,  2230,  2234,  2242,  2246,  2251,  2257,  2261,  2269,  2273,
    2277,  2281,  2285,  2293,  2297,  2305,  2309,  2313,  2317,  2321,
    2330,  2338,  2342,  2350,  2354,  2362,  2370,  2374,  2378,  2382,
    2390,  2394,  2398,  2402,  2410,  2414,  2422,  2426,  2430,  2434,
    2438,  2442,  2446,  2450,  2454,  2458,  2462,  2466,  2470,  2474,
    2478,  2482,  2486,  2490,  2494,  2498,  2502,  2506,  2510,  2514,
    2518,  2522,  2526,  2530,  2534,  2538,  2542,  2546,  2550,  2554,
    2558,  2562,  2566,  2570,  2574,  2578,  2582,  2590,  2594,  2602,
    2606,  2611,  2617,  2622,  2628,  2633,  2639,  2647,  2652,  2658,
    2662,  2670,  2674,  2678,  2682,  2690,  2698,  2702,  2710,  2714,
    2718,  2722,  2730,  2735,  2743,  2754,  2765,  2769,  2777,  2781,
    2785,  2793,  2797,  2805,  2810,  2816,  2820,  2824,  2828,  2832,
    2836,  2840,  2844,  2848,  2852,  2856,  2860,  2868,  2873,  2879,
    2884,  2890,  2895,  2901,  2906,  2912,  2916,  2924,  2932,  2936,
    2940,  2944,  2949,  2955,  2959,  2967,  2975,  2979,  2983,  2987,
    2995,  2999,  3003,  3007,  3011,  3015,  3019,  3024,  3030,  3035,
    3041,  3046,  3052,  3056,  3064,  3068,  3076,  3080,  3084,  3092,
    3096,  3104,  3112,  3120,  3125,  3131,  3135,  3139,  3143,  3151,
    3155,  3159,  3163,  3167,  3171,  3175,  3183,  3187,  3191,  3195,
    3203,  3211,  3215,  3220,  3226,  3230,  3234,  3238,  3242,  3246,
    3254,  3258,  3266,  3270,  3274,  3278,  3282,  3286,  3290,  3298,
    3303,  3309,  3313,  3321,  3329,  3333,  3338,  3343,  3349,  3353,
    3361,  3365,  3373,  3378,  3384,  3388,  3392,  3396,  3401,  3407,
    3415,  3423,  3427,  3431,  3435,  3439,  3447,  3452,  3458,  3462,
    3466,  3471,  3477,  3481,  3485,  3490,  3496,  3501,  3507,  3512,
    3518,  3526,  3534,  3539,  3545,  3549,  3557,  3565,  3569,  3574,
    3580,  3588,  3596,  3601,  3607,  3611,  3619,  3623,  3627,  3631,
    3635,  3639,  3643,  3647,  3651,  3655,  3659,  3663,  3671,  3676,
    3682,  3686,  3690,  3698,  3702,  3710,  3714,  3722,  3727,  3733,
    3737,  3745,  3750,  3756,  3760,  3768,  3773,  3779,  3783,  3791,
    3796,  3802,  3810,  3815,  3821,  3825,  3833,  3837,  3845,  3850,
    3856,  3860,  3864,  3872,  3880,  3885,  3891,  3899,  3903,  3907,
    3911,  3915,  3919,  3923,  3927,  3931,  3935,  3939,  3943,  3947,
    3951,  3955,  3959,  3963,  3967,  3971,  3975,  3979,  3983,  3991,
    3999,  4003,  4007,  4011,  4019,  4023,  4031,  4036,  4042,  4046,
    4054,  4058,  4066,  4071,  4077,  4081,  4089,  4097,  4101,  4109,
    4113,  4117,  4121,  4129,  4137,  4145,  4153,  4161,  4166,  4172,
    4176,  4184,  4189,  4195,  4199,  4207,  4211,  4215,  4223,  4227,
    4235,  4239,  4247,  4251,  4259,  4267,  4275,  4283,  4287,  4291,
    4299,  4303,  4311,  4319,  4323,  4331,  4335,  4339,  4347,  4351,
    4359,  4363,  4367,  4371,  4375,  4383,  4388,  4394,  4399,  4405,
    4409,  4417,  4422,  4428,  4432,  4437,  4443,  4447,  4451,  4455,
    4463,  4468,  4475,  4477,  4485,  4489,  4493,  4497,  4501,  4509,
    4513,  4521,  4530,  4539,  4543,  4547,  4551,  4555,  4559,  4563,
    4567,  4571,  4575,  4579,  4583,  4587,  4595,  4603,  4607,  4615,
    4619,  4627,  4631,  4635,  4639,  4643,  4651,  4655,  4663,  4671,
    4675,  4683,  4691,  4696,  4702,  4706,  4714,  4718,  4722,  4730,
    4738,  4742,  4750,  4754,  4758,  4762,  4766,  4774,  4779,  4785,
    4790,  4796,  4800,  4805,  4811,  4817,  4823,  4831,  4835,  4843,
    4847,  4855,  4859,  4867,  4871,  4879,  4883,  4891,  4899,  4907,
    4911,  4919,  4923,  4927,  4931,  4935,  4939,  4943,  4947,  4951,
    4955,  4959,  4963,  4967,  4971,  4975,  4983,  4987,  4995,  4999,
    5007,  5011,  5019,  5027,  5031,  5036,  5042,  5046,  5050,  5054,
    5058,  5062,  5066,  5070,  5074,  5078,  5082,  5086,  5090,  5094,
    5098,  5102,  5106,  5114,  5118,  5122,  5126,  5130,  5134,  5138,
    5142,  5146,  5150,  5154,  5158,  5162,  5166,  5170,  5174,  5178,
    5186,  5190,  5198,  5202,  5206,  5210,  5214,  5222,  5227,  5233,
    5237,  5241,  5245,  5249,  5253,  5257,  5261,  5269,  5273,  5281,
    5285,  5289,  5293,  5299,  5305,  5311,  5317,  5323,  5329,  5335,
    5345,  5356,  5367,  5378,  5389,  5400,  5411,  5427,  5443,  5459,
    5470,  5486,  5497,  5513,  5528,  5532,  5540,  5545,  5551,  5559,
    5563,  5571,  5575,  5579,  5583,  5587,  5595,  5599,  5607,  5611,
    5615,  5619,  5627,  5631,  5635,  5639,  5643,  5647,  5651,  5655,
    5659,  5663,  5667,  5671,  5675,  5679,  5687,  5691,  5699,  5703,
    5711,  5716,  5722,  5726,  5734,  5742,  5750,  5754,  5762,  5767,
    5773,  5778,  5784,  5792,  5797,  5803,  5807,  5811,  5819,  5823,
    5827,  5835,  5839,  5843,  5851,  5859,  5864,  5870,  5875,  5881,
    5886,  5892,  5897,  5903,  5907,  5915,  5919,  5923,  5931,  5936,
    5942,  5946,  5951,  5957,  5961,  5966,  5972,  5976,  5981,  5987,
    5991,  5995,  6003,  6008,  6014,  6018,  6026,  6030,  6038,  6042,
    6050,  6054,  6062,  6066,  6070,  6074,  6078,  6086,  6090,  6094,
    6098,  6102,  6110,  6118,  6126,  6130,  6134,  6142,  6146,  6150,
    6158,  6162,  6170,  6174,  6178,  6182,  6186,  6190,  6194,  6198,
    6202,  6206,  6210,  6214,  6218,  6226,  6230,  6234,  6238,  6246,
    6250,  6258,  6263,  6269,  6277,  6281,  6289,  6297,  6301,  6309,
    6314,  6320,  6324,  6332,  6336,  6344,  6348,  6356,  6360,  6364,
    6368,  6376,  6380,  6388,  6396,  6400,  6408,  6412,  6420,  6424,
    6428,  6436,  6440,  6445,  6451,  6459,  6464,  6470,  6474,  6478,
    6486,  6490,  6498,  6503,  6509,  6513,  6517,  6521,  6525,  6529,
    6533,  6537,  6541,  6545,  6549,  6553,  6557,  6561,  6565,  6569,
    6573,  6577,  6581,  6585,  6589,  6593,  6597,  6601,  6605,  6609,
    6613,  6617,  6621,  6629,  6634,  6640,  6645,  6651,  6655,  6659,
    6663,  6667,  6671,  6675,  6679,  6683,  6687,  6691,  6695,  6699,
    6703,  6707,  6711,  6715,  6719,  6727,  6731,  6735,  6739,  6743,
    6747,  6751,  6755,  6759,  6763,  6767,  6771,  6775,  6779,  6783,
    6787,  6791,  6795,  6803,  6811,  6815,  6819,  6827,  6831,  6839,
    6843,  6847,  6851,  6855,  6863,  6868,  6874,  6878,  6882,  6886,
    6894,  6898,  6903,  6909,  6913,  6921,  6929,  6934,  6940,  6948,
    6952,  6960,  6964,  6968,  6972,  6976,  6980,  6984,  6988,  6992,
    6996,  7000,  7004,  7008,  7012,  7020,  7024,  7029,  7035,  7039,
    7043,  7047,  7051,  7059,  7063,  7067,  7075,  7080,  7086,  7090,
    7098,  7103,  7108,  7114,  7120,  7128,  7136,  7141,  7147,  7151,
    7155,  7159,  7163,  7167,  7171,  7175,  7179,  7183,  7187,  7191,
    7195,  7199,  7203,  7207,  7215,  7220,  7226,  7230,  7238,  7246,
    7251,  7257,  7265,  7269,  7277,  7285,  7289,  7293,  7297,  7301,
    7309,  7314,  7320,  7328,  7332,  7336,  7340,  7344,  7348,  7356,
    7364,  7368,  7372,  7380,  7385,  7391,  7395,  7399,  7403,  7407,
    7415,  7419,  7427,  7431,  7435,  7439,  7447,  7451,  7459,  7463,
    7471,  7476,  7482,  7487,  7493,  7498,  7504,  7509,  7515,  7519,
    7523,  7527,  7535,  7539,  7543,  7547,  7551,  7555,  7559,  7567,
    7571,  7579,  7587,  7591,  7599,  7603,  7608,  7614,  7620,  7630,
    7635,  7641,  7645,  7649,  7653,  7661,  7663,  7671,  7676,  7682,
    7690,  7694,  7698,  7706,  7710,  7718,  7726,  7731,  7737,  7745,
    7750,  7756,  7764,  7769,  7775,  7779,  7783,  7787,  7791,  7795,
    7799,  7803,  7811,  7816,  7822,  7830,  7834,  7842,  7846,  7854,
    7862,  7870,  7878,  7882,  7890,  7943,  7947,  7960,  7962,  7966,
    7970,  7974,  7983,  7989,  7993,  8001,  8005,  8013,  8017,  8025,
    8029,  8033,  8037,  8041,  8045,  8049,  8053,  8061,  8065,  8073,
    8077,  8081,  8085,  8089,  8093,  8101,  8105,  8113,  8117,  8125,
    8133,  8138,  8144,  8149,  8151,  8157,  8161,  8165,  8169,  8173,
    8177,  8181,  8185,  8189,  8197,  8202,  8208,  8212,  8217,  8223,
    8227,  8231,  8236,  8242,  8247,  8253,  8261,  8265,  8273,  8277,
    8285,  8289,  8293,  8297,  8305,  8310,  8316,  8320,  8325,  8333,
    8337,  8345,  8349,  8357,  8365,  8369,  8374,  8380,  8388,  8392,
    8400,  8404,  8412,  8417,  8423,  8428,  8434,  8438,  8446,  8451,
    8457,  8461,  8469,  8473,  8481,  8486,  8492,  8496,  8504,  8509,
    8515,  8519,  8527,  8531,  8535,  8539,  8543,  8547,  8551,  8555,
    8561,  8565,  8569,  8577,  8581,  8585,  8589,  8593,  8597,  8605,
    8609,  8613,  8617,  8625,  8629,  8633,  8637,  8645,  8650,  8656,
    8660,  8668,  8672,  8676,  8680,  8688,  8692,  8700,  8704,  8708,
    8716,  8724,  8729,  8735,  8739,  8745,  8751,  8756,  8762,  8766,
    8774,  8782,  8784,  8786,  8790,  8794,  8798,  8806,  8816,  8827,
    8836,  8840,  8844,  8848,  8852,  8856,  8860,  8868,  8872,  8876,
    8880,  8888,  8892,  8900,  8905,  8911,  8915,  8919,  8923,  8927,
    8931,  8935,  8939,  8943,  8947,  8951,  8959,  8964,  8970,  8974,
    8982,  8986,  8994,  9002,  9010,  9014,  9022,  9026,  9034,  9042,
    9050,  9054,  9058,  9062,  9066,  9070,  9078,  9083,  9089,  9094,
    9100,  9104,  9108,  9112,  9120,  9128,  9132,  9137,  9143,  9147,
    9151,  9155,  9159,  9163,  9167,  9171,  9175,  9179,  9183,  9187,
    9191,  9196,  9202,  9206,  9214,  9218,  9222,  9226,  9230,  9234,
    9238,  9242,  9246,  9250,  9254,  9258,  9262,  9266,  9270,  9274,
    9278,  9282,  9286,  9290,  9294,  9298,  9302,  9306,  9310,  9314,
    9318,  9322,  9326,  9330,  9334,  9338,  9342,  9346,  9350,  9354,
    9358,  9362,  9366,  9370,  9374,  9378,  9382,  9386,  9390,  9394,
    9398,  9402,  9406,  9410,  9414,  9418,  9422,  9426,  9430,  9434,
    9438,  9443,  9447,  9455,  9459,  9463,  9467,  9471,  9475,  9479,
    9483,  9487,  9491,  9495,  9499,  9503,  9507,  9511,  9515,  9519,
    9523,  9527,  9531,  9535,  9539,  9547,  9551,  9555,  9559,  9563,
    9567,  9571,  9575,  9579,  9583,  9587,  9591,  9599,  9603,  9607,
    9611,  9615,  9619,  9623,  9627,  9631,  9635,  9639,  9643,  9647,
    9651,  9655,  9659,  9663,  9667,  9671,  9675,  9679,  9683,  9687,
    9691,  9695,  9699,  9703,  9707,  9711,  9715,  9719,  9723,  9727,
    9731,  9735,  9739,  9743,  9747,  9751,  9755,  9759,  9763,  9767,
    9771,  9775,  9779,  9783,  9787,  9791,  9799,  9803,  9811,  9815,
    9819,  9824,  9830,  9838,  9842,  9850,  9854,  9862,  9866,  9874,
    9878,  9883,  9889,  9893,  9897,  9901,  9909,  9914,  9920,  9924,
    9932,  9940,  9944,  9949,  9955,  9963,  9967,  9974,  9979,  9985,
    9990,  9995, 10001, 10005, 10013, 10017, 10021, 10025, 10029, 10037,
   10041, 10045, 10053, 10057, 10061, 10069, 10073, 10081, 10085, 10089,
   10093, 10097, 10101, 10105, 10109, 10113, 10121, 10125, 10133, 10137,
   10145, 10149, 10153, 10157, 10161, 10165, 10173, 10177, 10185, 10189,
   10197, 10201, 10209, 10213, 10221, 10225, 10229, 10237, 10241, 10249,
   10254, 10260, 10264, 10268, 10272, 10276, 10280, 10284, 10288, 10296,
   10300, 10308, 10316, 10321, 10327, 10331, 10335, 10339, 10343, 10348,
   10354, 10362, 10370, 10374, 10378, 10386, 10390, 10398, 10406, 10410,
   10418, 10426, 10431, 10437, 10442, 10448, 10452, 10460, 10464, 10468,
   10472, 10480, 10484, 10493, 10495, 10503, 10508, 10514, 10518, 10526,
   10530, 10538, 10546, 10550, 10558, 10562, 10566, 10570, 10578, 10582,
   10590, 10594, 10602, 10606, 10614, 10622, 10630, 10638, 10646, 10654,
   10662, 10666, 10674, 10678, 10682, 10686, 10690, 10694, 10698, 10702,
   10706, 10710, 10714, 10718, 10722, 10726, 10727, 10732, 10738, 10746,
   10750, 10758, 10762, 10763, 10767, 10775, 10779, 10783, 10787, 10795,
   10799, 10803, 10807, 10811, 10815, 10819, 10823, 10827, 10831, 10835,
   10839, 10843, 10847, 10851, 10855, 10859, 10863, 10867, 10871, 10875,
   10879, 10883, 10887, 10891, 10895, 10899, 10903, 10907, 10911, 10915,
   10919, 10923, 10927, 10931, 10935, 10939, 10943, 10947, 10951, 10955,
   10959, 10963, 10967, 10971, 10975, 10979, 10983, 10987, 10991, 10995,
   10999, 11003, 11007, 11011, 11015, 11019, 11023, 11027, 11031, 11035,
   11039, 11043, 11047, 11051, 11055, 11059, 11063, 11067, 11071, 11075,
   11079, 11083, 11087, 11091, 11095, 11099, 11103, 11107, 11111, 11115,
   11119, 11123, 11127, 11131, 11135, 11139, 11143, 11147, 11151, 11155,
   11159, 11163, 11167, 11171, 11175, 11179, 11183, 11187, 11191, 11195,
   11199, 11203, 11207, 11211, 11215, 11219, 11223, 11227, 11231, 11235,
   11239, 11243, 11247, 11251, 11255, 11259, 11263, 11267, 11271, 11275,
   11279, 11283, 11287, 11291, 11295, 11299, 11303, 11307, 11311, 11315,
   11319, 11323, 11327, 11331, 11335, 11339, 11343, 11347, 11351, 11355,
   11359, 11363, 11367, 11371, 11375, 11379, 11383, 11387, 11391, 11395,
   11399, 11403, 11407, 11411, 11415, 11419, 11423, 11427, 11431, 11435,
   11439, 11443, 11447, 11451, 11455, 11459, 11463, 11467, 11471, 11475,
   11479, 11483, 11487, 11491, 11495, 11499, 11503, 11507, 11511, 11515,
   11519, 11523, 11527, 11531, 11535, 11539, 11543, 11547, 11551, 11555,
   11559, 11563, 11567, 11571, 11575, 11579, 11583, 11587, 11591, 11595,
   11599, 11603, 11607, 11611, 11615, 11619, 11623, 11627, 11631, 11635,
   11639, 11643, 11647, 11651, 11655, 11659, 11663, 11667, 11671, 11675,
   11679, 11683, 11687, 11691, 11695, 11699, 11703, 11707, 11711, 11715,
   11719, 11723, 11727, 11731, 11735, 11739, 11743, 11747, 11755, 11759,
   11763, 11767, 11771, 11775, 11779, 11783, 11787, 11791, 11795, 11799,
   11803, 11807, 11811, 11815, 11819, 11823, 11827, 11831, 11835, 11839,
   11843, 11847, 11851, 11855, 11859, 11863, 11867, 11871, 11875, 11879,
   11883, 11887, 11891, 11895, 11899, 11903, 11907, 11911, 11915, 11919,
   11923, 11927, 11935, 11939, 11943, 11947, 11951, 11955, 11959, 11963,
   11967, 11971, 11975, 11979, 11983, 11987, 11991, 11995, 11999, 12003,
   12007, 12011, 12015, 12019, 12027, 12031, 12035, 12039, 12043, 12047,
   12051, 12055, 12059, 12063, 12067, 12071, 12075, 12079, 12083, 12087,
   12091, 12095, 12099, 12103, 12107, 12111, 12115, 12119, 12123, 12127,
   12131, 12135, 12139, 12143, 12147, 12151, 12155, 12159, 12163, 12167,
   12171, 12175, 12179, 12183, 12187, 12191, 12195, 12199, 12203, 12207,
   12211, 12215, 12219, 12223, 12227, 12231, 12235, 12239, 12243, 12247,
   12251, 12255, 12259, 12263, 12267, 12271, 12275, 12279, 12283, 12287,
   12291, 12295, 12299, 12303, 12307, 12311, 12315, 12319, 12329, 12330,
   12333, 12334, 12335, 12341, 12342, 12343, 12344, 12345, 12358, 12358,
   12367, 12383, 12385, 12388, 12390, 12394, 12406, 12422, 12426, 12437,
   12438, 12441, 12453, 12462, 12463, 12466, 12467, 12468, 12471, 12472,
   12475, 12476, 12479, 12480, 12483, 12485, 12487, 12489, 12493, 12500,
   12507, 12523, 12557, 12567, 12570, 12572, 12585, 12586, 12588, 12590,
   12594, 12607, 12614, 12675, 12684, 12686, 12687, 12690, 12692, 12693,
   12696, 12697, 12698, 12699, 12700, 12707, 12706, 12716, 12718, 12720,
   12721, 12724, 12725, 12726, 12727, 12730, 12731, 12735, 12734, 12751,
   12749, 12765, 12764, 12778, 12784, 12785, 12788, 12790, 12791, 12794,
   12795, 12796, 12797, 12800, 12801, 12804, 12812, 12829, 12837, 12860,
   12966, 13000, 13002, 13004, 13008, 13012, 13011, 13062, 13064, 13063,
   13078, 13084, 13091, 13096, 13099, 13100, 13103, 13104, 13105, 13106,
   13107, 13108, 13109, 13117, 13125, 13128, 13129, 13130, 13131, 13132,
   13133, 13141, 13149, 13150, 13151, 13154, 13155, 13158, 13160, 13169,
   13257, 13258, 13265, 13266, 13267, 13273, 13282, 13285, 13286, 13287,
   13288, 13291, 13292, 13293, 13296, 13298, 13306, 13307, 13313, 13321,
   13322, 13325, 13326, 13329, 13334, 13341, 13346, 13353, 13360, 13360,
   13362, 13369, 13370, 13373, 13374, 13375, 13376, 13377, 13378, 13379,
   13380, 13381, 13387, 13394, 13406, 13412, 13419, 13427, 13428, 13440,
   13451, 13462, 13466, 13467, 13470, 13475, 13479, 13480, 13483, 13489,
   13497, 13500, 13507, 13511, 13512, 13515, 13518, 13522, 13523, 13526,
   13532, 13540, 13541, 13550, 13559, 13571, 13572, 13573, 13574, 13575,
   13576, 13577, 13578, 13579, 13580, 13581, 13582, 13583, 13584, 13585,
   13592, 13593, 13596, 13597, 13604, 13605, 13606, 13613, 13612, 13629,
   13630, 13637, 13636, 13706, 13712, 13718, 13726, 13732, 13738, 13744,
   13750, 13756, 13762, 13768, 13774, 13785, 13786, 13789, 13790, 13791,
   13792, 13793, 13794, 13795, 13796, 13797, 13798, 13799, 13800, 13801,
   13802, 13803, 13804, 13805, 13806, 13807, 13808, 13809, 13810, 13811,
   13812, 13815, 13816, 13817, 13818, 13819, 13820, 13824, 13825, 13826,
   13827, 13828, 13829, 13830, 13833, 13836, 13837, 13838, 13839, 13840,
   13841, 13842, 13843, 13856, 13857, 13858, 13859, 13860, 13861, 13862,
   13867, 13868, 13869, 13870, 13871, 13872, 13878, 13879, 13880, 13881,
   13882, 13883, 13884, 13885, 13886, 13887, 13888, 13891, 13892, 13893,
   13894, 13895, 13898, 13899, 13900, 13901, 13904, 13905, 13906, 13907,
   13908, 13909, 13910, 13927, 13928, 13929, 13932, 13933, 13934, 13935,
   13936, 13937, 13941, 13941, 13944, 13950, 13951, 13954, 13956, 13961,
   13971, 13982, 13989, 13990, 13991, 13994, 14027, 14029, 14031, 14034,
   14044, 14054, 14064, 14065, 14068, 14070, 14071, 14072, 14075, 14077,
   14085, 14086, 14087, 14091, 14092, 14096, 14097, 14100, 14101, 14104,
   14105, 14106, 14107, 14108, 14111, 14112, 14113, 14114, 14115, 14116,
   14117, 14118, 14119, 14120, 14121, 14122, 14123, 14124, 14125, 14126,
   14127, 14128, 14129, 14130, 14131, 14132, 14133, 14134, 14135, 14136,
   14137, 14138, 14139, 14140, 14141, 14142, 14143, 14144, 14145, 14146,
   14147, 14148, 14149, 14150, 14151, 14152, 14153, 14154, 14155, 14156,
   14157, 14158, 14159, 14160, 14161, 14162, 14163, 14164, 14165, 14166,
   14169, 14170, 14171, 14172, 14175, 14176, 14177, 14178, 14179, 14180,
   14181, 14182, 14183, 14186, 14187, 14188, 14189, 14190, 14193, 14194,
   14197, 14198, 14209, 14210
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "role_list", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,    61,    60,    62,
     742,    43,    45,    42,    47,    37,    94,   743,    91,    93,
      40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4217

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4217)))

#define YYTABLE_NINF -2535

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2535)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4217,   861, 10337, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, 24012, -4217,
   -4217, -4217, -4217, -4217, 90191,   905, -4217, -4217, -4217, 94991,
   -4217, -4217, -4217,   255, 63901, -4217, 66769,  1069, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, 70115, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, 53373,   980, -4217,
     354, -4217, -4217, -4217, -4217, -4217, -4217, -4217,   -19,  6790,
   -4217, -4217, 67247, -4217,   108, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, 67725,   749, -4217,   995,  1160, -4217,    97, 15751,
   -4217, -4217, 60555, 64857, -4217, -4217, 70593,   224,  1779, 11664,
     -19, 23531, 71071, -4217,  2251, -4217, 49985, -4217, -4217, -4217,
   64379, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, 76807,  2512,   975, 50472, -4217, -4217, -4217,
   -4217, 76807, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, 71549, -4217,  1139,  1071, 77285, 77763, 61989, -4217,
    1181, -4217, 76807,  1313,  1246, 52415, -4217, 78241, -4217, -4217,
    1280, -4217, 72027, -4217, -4217, -4217, -4217,   975, -4217, 53373,
   49027,   241,  1345, -4217, -4217, 78719, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217,  2118,  1370, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217,   749, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217,   707, -4217,   660,  1036,
    1458,   605,  1382, -4217, -4217, -4217, 12869, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, 91616,  1747, -4217, -4217, -4217,  1406,
   -4217,  1392, -4217, -4217, -4217,  1189, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217,   732, -4217, -4217, -4217, -4217,  1901, 90666,
   70115, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, 60077, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,   172, -4217,
   -4217, -4217, -4217, -4217, 70115, 70115, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, 70115,  1543, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217,   268,  1742, -4217, -4217, 53373,  2270,  2270,
    2073, 91616, -4217, -4217, -4217, 54331, 76807, 76807, 76807,  1746,
   76807, 76807,   112, 54331, 98274, 76807,  1798, 44631, -4217, 98274,
   76807, 76807, 76807, 72027, 76807,  1797, 76807, 76807, 98684, 76807,
    1865, -4217,  2168,  1248, -4217, -4217, -4217, 76807, 12750,  2512,
   -4217, -4217, 76807,  1809, 54331, 76807,  1739, 76807,  1792, 76807,
   -4217, 76807, 79197,   126,  1904, 98274,  2007, 45122,  1877, 98274,
   76807, 76807, 76807, -4217, -4217,  1869, 76807, 76807, -4217, -4217,
   99094,  1494,  2100,  2024,  1111, -4217, -4217,  2201,  1800, -4217,
   -4217,  2230, 70115, -4217, 68203, -4217, -4217, -4217,  2145, -4217,
   -4217, -4217, -4217, -4217, 96224,  1779, -4217, -4217, 54810, 76807,
    2072, -4217, -4217, 79675, -4217, -4217,   243, 55289, 99504, -4217,
   45613,  2192, 99914, 80153, -4217, -4217, 80631, -4217, 81109,  1947,
   81587, -4217,100324, -4217,  2064, 82065, -4217, 11101, -4217,  1838,
    1389,  1852,  1462, 70115, 70115,  1397, 92911,   749, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217,   209,  1754, 50959,  1132,
   51446, -4217, -4217,  1262,  1292,  1396,   209,  2285,  2285,   576,
   70115, -4217, -4217,  1754, -4217,   505,   284,  1867,  1867,  1867,
    2041,   756, -4217,  1867, -4217, -4217, -4217, -4217, 72027, 50959,
   51446, -4217,  1883,  2512,    41,  2279, 76807, -4217, 76807, -4217,
   76807, 76807, -4217, -4217, -4217,  2280,  1941,  2171, -4217,  1955,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217,  2133,  2137,  2143,
      45,  2512,  2042, -4217,  2250, -4217,  2154, 28986,   927, 70115,
    2512, 51933, 72505, 88279,   252, 96224,  2512, 82543,  2010,  1248,
    2157, -4217,   729, -4217,  2383,  2016,  2237,   510,  1248, 42212,
   -4217,  2018,  1584, 72027, 92091, -4217, -4217, -4217, -4217,   264,
    2291, 29482, -4217, 76807,  2030, -4217,  2021,  2035,  2038,  1458,
   -4217, 76807,  1312,  1312,  2415,  1312,  1619,  1791, -4217,  2203,
   -4217,  2316,  2284, 72027,  1345,   -19,  2060, -4217, -4217, -4217,
    2074, -4217,  2048,  2051, -4217,   273,  2306, -4217, -4217, -4217,
   -4217,  2158,  2169,  2172,  2176,  2112,  2180,   180, -4217, -4217,
   -4217, -4217,  2428, -4217, -4217, -4217, -4217, -4217, -4217,  2532,
    2523, 95404, 95404,   586,   689,   165,   274, -4217, -4217, -4217,
    2358, -4217, -4217,  2398, 76807,  2242, 76807, -4217, -4217, -4217,
   83021, -4217, -4217,  2270,  2074,  2173, -4217,   348, -4217,  1584,
   -4217,   368,   399,   420,  1348,  2178,  1441,  1524, -4217,   575,
    2282,   135,   -14,  2217, 72027,  2807,  2198,   598,  2609,   180,
   -4217, 76807, 76807, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217,  2202, -4217, -4217,  2206,   860,  1294,  4611,  1256,
    4243,  1834,   885,  2390,   989,  2497,  1550,  4919, 76807,  2219,
   -4217,  2445,  2563,   528, -4217,   195, -4217,  2310,  2448,   -20,
   54331,  2271, -4217, -4217, 76807, -4217, -4217, -4217, -4217,   307,
   54331, -4217,  2464, 46104, -4217, 76807, -4217, -4217, -4217, -4217,
   -4217,  2402, 76807, -4217, -4217,  2533, 76807, -4217,  1867,   982,
    2297,  2665, 57684,    77, 76807,  2352,  2700,  2513,  2352,  2359,
   83499, -4217, -4217,  2352, -4217, -4217, 76807, 76807,  2337,  1988,
    2352,  2729,  2733,  2426,  2516,  1011,  1215,   143,  2633,  2352,
   76807, 83977, 76807, 76807,  2717, 54331, 76807, -4217,  2514, 72983,
   -4217,  2365,  2201, -4217, -4217, -4217, -4217, -4217,  1454, -4217,
   -4217, -4217, -4217,  2663,  2173,   312,  2667,  2382,  2676, -4217,
    2430, -4217,  2684,  2198,  2694, -4217,  2403, 84455, 84933,  2702,
    2202, 98274,  2726,  2403,  2732,  2606,  2737,   312,  2747, -4217,
    1308,  2752,  2642,  2757,  1863,  2403, 96634,  2766,    83, -4217,
   11646, 11101, -4217, 25037,  1622, -4217, -4217, -4217, -4217, -4217,
   -4217, 32954,   692,  2567, -4217, -4217, -4217,  1953, -4217, 94160,
   -4217,  1397,  1754, -4217, 70115,  1754, 70115,   576,  1754, 70115,
    1754, 70115,   576,  1754, 70115, 70115, 70115,  1754, -4217, -4217,
    2149,  1617, -4217, -4217, -4217, -4217, -4217, 70115,  2502, 76807,
   76807, -4217, -4217, -4217, 65335, 98274, 65813, -4217, -4217,   129,
   70115, -4217, 70115, -4217,  2512, -4217, -4217,  1389, 57684,  2898,
   98274,  2794,  2794,  2794, -4217, -4217, -4217,  2740, 76807,  2801,
    2811, 65335, 98274, -4217, 85411, 96224,  2736,  2538, -4217, -4217,
   -4217, -4217,  1977,  2701,   443,  2716, 32954,  2561,   238,   238,
    2562, -4217, -4217, -4217,   523,  2571,  2575, -4217,   579,   579,
    2746,  2578,  2592, -4217,   643,  2593, -4217,  2815,   723,  2594,
    2595,  2597,  2019,   238, 32954, -4217,  2599,   579,  2601,  2602,
    2607,  2854,  2610, -4217,  2863,  2612,   260,   327,  2614,  2615,
   -4217,  2578, -4217,   513,  2616,  2619,  2621,  2622,  2624,  2629,
    2630,  2631, 32954, 32954, -4217, 27994,  1584,  2512, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217,   140, -4217,   809,  3978, -4217,
   -4217,  2774, 32954, -4217, -4217,   411, -4217,   856, -4217, -4217,
    1584, -4217, -4217,   365, -4217, -4217, -4217, -4217,  1741,  1741,
     200, -4217, 67247, 67247, -4217, -4217,  1352,  2632, -4217,  1674,
   -4217, -4217, -4217, -4217, -4217, -4217, 95814,  3025, -4217,  1488,
     195,  1531,  2973, 93324, 93742,  2874,  2874,  2859, -4217, -4217,
   76807, -4217, -4217, 32954, 48069, -4217,  1584,   138,  2875, -4217,
   -4217, -4217,  1993, -4217, -4217, -4217,   749, -4217, 14448, -4217,
    2015,  2030, 76807, 76807,  3037, -4217, -4217,  2021, -4217, -4217,
    1458,  1458, 32954,  1458,   166,  1223, 29978, 32954,  2924,  2827,
     920,   152,  2928, -4217,  1619,  1791, 72027, 76807, 85889,  2756,
   -4217, -4217,  2074,  2661,  1672, -4217, 59599, 91141, 91141,  2893,
   -4217, -4217,  1027,   507,  2770,  2860,  2285,  1422,  1913, -4217,
   -4217,  2656, -4217,  2983, 67247,  2720, 95404, -4217, -4217, 76807,
   -4217, -4217, 73461, -4217, -4217, -4217,  1652,  2666, -4217,  2681,
   76807,  3158, -4217,  1913,  1913, -4217, -4217,  2673, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, 91616,  2679, 76807, -4217,
    2680,  2682, -4217, 92091, 48548,  1512,  1584,  2758,  2759,  2805,
   53373,  2688,  2764,  2768,  2813,  2781,  2785, 88757, -4217, -4217,
   -4217, -4217,   859,   760,  1420,  2787,  1080, -4217,  2818, -4217,
   -4217, -4217,  3151, 76807,  5391,  2894,   180,  2830, -4217,  2792,
    2797,  2908,   180,   636, 89235, -4217, -4217, -4217, -4217, -4217,
    2882, 26532, -4217,  2799,  2783, 61033,  3086,  2911,  1311,  1689,
     295, 76807,  2982,  2917, 76807,  2739,  2809,  2814,  2750,  1448,
    3087,  2754, -4217, -4217,  2923,  2816,  2817, 56726,  1237, 46595,
    3089,  2839, -4217,   718,  2840,  2843,   180, -4217,  3146,   180,
     180,  1539,  3147,  2846,   167,  1668,  2352,  2754,  1412, -4217,
    2848,  1621, -4217,  2950,   105,  1796,  2754,  2851,  2852,  2750,
    2750, 76807, 76807, 76807, 76807, 76807,   109,  3166,  3167,  2856,
     148,  2904,  2788, -4217, 97044,  2865, 88279, -4217, -4217,  2871,
    1899,  2754,  1533, -4217,  1654, -4217, -4217, -4217,  1248, -4217,
   76807, -4217, 76807,  2173, 57684,  2968,  2831, -4217,  2198,   180,
   76807, 76807,  2202,   799,  1323,  2977, 76807,  3033,  2836, -4217,
   -4217,  2352, -4217, 48548,  2337, -4217,  2803, -4217,  2849, -4217,
    2849,  2849,  2810,  2810,  2820, -4217, -4217,  2019,  2849,  2810,
   -4217, 58642, -4217,  1519,  1526, -4217,  3197,  3202, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217,   895, -4217,  2022,
   -4217, -4217, -4217, 76807, 53373, -4217,  3214, -4217, -4217, 57684,
    3102, -4217, 76807,  3006,  2821, -4217,  3143,  2878, -4217,  2867,
   -4217, 98274,   913,  2512,  2869, 76807,  3040, 76807, 76807, 76807,
   76807, -4217, -4217,  3016,   669,    50, -4217, 97044, -4217,  1412,
    3027,  3228,   624,  1867,  3115, -4217, 76807,  2838,  3232,  3067,
   -4217, -4217,  2842,  2285, -4217,  2365, -4217,  1728, -4217,  2961,
   -4217, 54331,   312, -4217, -4217, -4217, -4217, 57684, 76807, 86367,
   54331,   312, 98274, 98274,  3136,  2902,  3140,  2905, 46595,   312,
      91, 98274, 76807, 76807, 76807, -4217, 76807, -4217, -4217, -4217,
   -4217, 76807, 76807, 98274, 97044,  3141,  3144,   312, 76807, 76807,
   -4217, -4217, 24948,  1723, -4217, 11101, -4217, 14448,  2031,  2874,
   -4217,  1543, 76807,  1480,  1397, 97454, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, 70115, -4217, 70115,   576, -4217, -4217,
   70115, -4217, 70115,   576, -4217, 70115, -4217, -4217, -4217, 70115,
   76807,  3343,  2855, -4217,   365, -4217, 76807,  2050, -4217, -4217,
    2078,   611, 76807,   144, 54331, 76807,  3042, 76807, 76807, 76807,
   76807,  2933,  2632,   -51, -4217,   302, 72027,  3051, -4217, -4217,
   -4217, -4217, -4217,  2079,  2118,  1010, -4217, -4217, -4217, -4217,
   -4217, -4217, 65813, 64379,  3137,   240, 76807, -4217, -4217,  2651,
   32954, 28490, -4217, -4217, -4217,  2876, 14448,  2915, 32954, -4217,
   -4217, 32954,  2285,  2285, 32954, -4217, -4217, -4217, -4217,  2658,
    2285, -4217, 32954, 32954,  2285,  2285,  2849,  2849, -4217,  5258,
   32954, -4217, 46595, 32954, 34442, 26035, 32954,  2956,  2900,  2285,
   -4217,  2285, -4217, 32954, 27498, -4217, 32954,  3084, 35434, 32954,
    1531,  3085, 32954,  1531,  3299,  3299,  1345,  3264,  6210,  2885,
    1584, -4217,  2995,  2285, -4217,  2285,   158,   248, 57684, 32954,
   53373,  2967,   155, 76807, 32954,  2896,  1795, -4217, 32954,   937,
   -4217,  2903, 32954,  2966, 32954, 32954, 32954, 32954, 32954, 32954,
   32954, 32954, 32954, -4217, 36398,   280, -4217,   418,  2167, 66291,
   28986,  3171, -4217, 25538, -4217,   287, 70115, -4217, -4217,  1584,
   -4217, -4217, -4217, -4217, -4217,  1652,  2891, -4217,  2920, -4217,
   -4217, -4217, -4217, -4217, 76807,  3025, -4217, -4217,  2975, -4217,
   -4217, -4217, -4217,   971, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217,  2907, -4217, -4217, -4217, -4217,  2907, -4217, -4217,  2874,
    2910,  4026, -4217, -4217, -4217, -4217,  3174,  3175,   312, 91616,
   76807,   264, 68681, -4217, 29482, -4217,  2094, -4217,  2919, -4217,
    3157, -4217,  2925, -4217, 10946,  3157, -4217, -4217,   145,  3103,
    3090,  3090, -4217,  2927, 14448, -4217,  1830, 14448,  1885, -4217,
   -4217, -4217, -4217, -4217, -4217,  1108, -4217,  2924,   152,  2979,
     782, 76807, -4217, 42694,  1794, -4217,  2074, -4217, -4217, 22597,
   -4217, 24487, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217,  2930, -4217, -4217, -4217, -4217,   180,  2932,  3400, -4217,
   95404, -4217, -4217, -4217,  3343, -4217,  2230, -4217,  2230,  3426,
   -4217, 70115, -4217, -4217, -4217, -4217,  1050, -4217, 11101, -4217,
   11101, -4217,  2936,  2099,  3011,  3012,  3057, 98274, 76807, 76807,
   -4217, 53373, 98274, 76807, 76807, 98274, 76807, 76807, -4217,  3289,
     445, 64379,  3060, 62467, -4217, -4217,  2944, 76807,  2997,  3176,
    3179,  1097, -4217, -4217, 76807, -4217,  3134, 98274, 32954,  3145,
   76807, 76807,  3026, 54331,  2959, 76807, 76807, 76807,   351, 54331,
   47086, 76807, 76807, 76807, 76807,  3071, 76807, 76807,  3189,   836,
     194,  1986,  2754,  3152, -4217,   936, 98274, 76807,  3150, -4217,
   -4217, -4217, 62945, -4217, -4217, -4217,  3138, -4217, -4217, 58642,
   -4217, -4217,  2103, -4217, 58163, 55768, -4217, -4217,   676, 98274,
   98274, 76807,  1135, -4217, -4217, 57684, -4217, 76807, 76807, 76807,
   69159, 86845, 87323,  1401,  1419, 76807, 69637, -4217, 76807, -4217,
   -4217, 53852, 98274, 76807, 53373, -4217, 76807,  3148,   202, -4217,
   76807,  5477,  3039, 76807, 76807,  2965,  2107,  3046,  3091, -4217,
   76807, 98274,   239, -4217, 98274, 76807, -4217, -4217,   180, -4217,
   -4217, -4217, -4217, -4217, 76807, 76807,   180, 76807,   180,  1508,
   -4217, 98274, -4217, -4217, -4217, 76807, 76807, 76807, 98274, 76807,
   -4217, -4217,  1015,   697,  1253,  1424,  3110, 76807,  2512, 76807,
   87801, 98274, 76807, 76807, 76807,  1190, -4217, -4217,  3088, -4217,
   98274,   239, 76807, 76807,  3050,  3052,   115,  3122, -4217, -4217,
   -4217, -4217, -4217, -4217,  3213,  3375, 76807, -4217,  3216,  3217,
    3043,  3045,  3219,  1702, 76807, 76807, 76807, 76807, 76807, 76807,
    3220,  1702,  3173,    81,  2996,  2131, -4217,  3008, -4217, 32954,
    3391, 57684,  3001,  3003,  3075, -4217,  3079,  2285, -4217,  2119,
   -4217, -4217,  2134, -4217,  3021,   669,  1921, -4217, 76807,   839,
     519,  3298, 39801,  3119,  3253,  3292, 76807, 76807,  3253, -4217,
    2061, 64379, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217,  3291, -4217,  2512,  2337,  2337,  2337,  2337, -4217, -4217,
   -4217, -4217,  3198,  1698, -4217,  3023, 76807,  3129,  3253, -4217,
    1412,  3313,  3315, 76807, 61511,  1909,  3418,  2512,  3205, -4217,
   27015,  2235,  3208, 96224, 72983, -4217,  3038,  3294,  3297,  3309,
   -4217,  2173, -4217,  3430, -4217,  3331,   312,  2198, -4217,  2403,
   -4217, 76807, 76807, 76807, 76807,  2202, -4217, -4217,  2403,  3223,
     312,   312, -4217,  3224,   312,  2403,  3155,  3327, 96224, -4217,
      83, -4217, -4217, -4217, -4217, -4217, 32954, -4217, -4217,  3053,
    1728, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, 70115,  2230, -4217,  2146, -4217, 76807, -4217,  3304,
    3305,  3307,  3054,  3092, 76807,  3055, -4217,  3054,   180,  3054,
    2632,  2632,  3054, 97864,  3459,  3323,   584, -4217,   617,    14,
    3262, -4217, -4217, -4217, -4217, 57684, -4217, -4217, -4217, -4217,
   -4217, 76807,   207,  3238,  3059, 97864,  3438,   312, -4217, 54331,
   -4217, -4217,  3149, 54331,  3247, -4217, -4217, -4217, -4217, -4217,
    3293, 76807,  2212, -4217,  1549, -4217,  1784, 32954, 32954,   267,
   -4217, 12893,  2215,  3064,  3070,  2221, -4217, -4217, -4217, -4217,
   -4217, -4217,  3072,  3345, -4217, -4217,  3074,  2229,  2238,  3076,
    3077, -4217, -4217,  5055,  3078, 13203,  3081, 34442, 34442,  1755,
   -4217, -4217, 34442,  3093, -4217,  2245, 11709,  3082,  3095,  3097,
   -4217,  3096,  3098, 13320, 30474, 32954, 30474, 30474, 13537,  3082,
    3101,  2256, 53373,  3249, 13796,  2261, -4217, 32954, 53373,  5778,
   32954, -4217, 32954, 76807,  3107,  3111, -4217, -4217,  5258, -4217,
    3106, -4217, 34442, 34442, -4217,  4814, 27994, -4217, -4217,  3363,
   -4217, -4217,  1731, -4217,  3113, -4217, -4217,  5212,   278, 32954,
    2896, 32954,  3164, 46595,  7021, 32954,  4153,  4233,  4233,   664,
     664,   169,   169,   169,  1871,  2167, -4217, -4217, -4217,  3117,
    2610, 32954, -4217,  2277,  2332, 76807,  6348,  6658,  7401, -4217,
   -4217, -4217, 37872,  3135, 32954, 32954, 32954,  3114,  3287,  3529,
   14448,   446, -4217,  3531, -4217, -4217, -4217,   247,  3426,  1652,
   -4217,  1248,  2285,   158, 94160, -4217, -4217, -4217, 32954, -4217,
   -4217, -4217, -4217,  2021, -4217, -4217, -4217, -4217, -4217, 76807,
    2118, 32954, -4217, -4217,   659,  1905, 32954,  1830, -4217, -4217,
   76807,  3051,  3051, 32954, -4217, -4217, -4217, -4217, -4217, 37872,
    3159,  3172, 41730,  3252, -4217, -4217, 76807,   208, -4217, -4217,
   -4217,  3142, -4217, -4217, -4217,  1498, -4217, -4217, -4217, -4217,
   -4217, -4217,  3123, -4217,  3128, -4217,  3153, -4217, -4217, -4217,
   -4217,   176,  3131,  3132,  3133,  1484, -4217, -4217, 98274, 76807,
   76807, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217,  3353, -4217, 98274, 98274,  3316, 76807,  3314,  3320, 32954,
     614, 76807,  3160,  3162,  1222,  3393, 76807, -4217,   312, -4217,
   -4217, 14448, -4217, -4217, -4217, 96224, -4217,  2173, 57684, -4217,
   -4217, -4217,  3178, 76807, -4217, 76807, 76807,  2202, -4217, -4217,
   -4217, -4217,  1343, -4217, -4217, 76807, 76807,   281,  3218, 76807,
   -4217,   806,  2950, 76807, 76807, 76807,  3386, -4217, -4217, -4217,
   -4217,  3335, -4217, -4217,  2022, -4217, 55768, 58163, -4217, 58163,
   -4217,  2022,  1766, -4217,  2403, -4217, -4217,   591, -4217, -4217,
   -4217, -4217, -4217,  3440,   312,  3441,   312, 76807, 76807, 76807,
   76807, -4217, -4217, -4217, -4217, -4217, 53373, 53373, 53373,  2266,
   -4217, -4217,  2512, -4217, -4217, -4217,  2281, -4217,   358, -4217,
   -4217, -4217, -4217, -4217, -4217, 98274,  1561, -4217,   840, 57684,
   -4217, 57205, 98274, 76807, -4217, -4217,  3365,  3317, -4217,  1875,
    3318, 98274,  3210, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217,  3226, -4217, -4217, -4217,  3367,
    3371,  3372,  3239,  3240,  3282,  3243,  3244,  3290, -4217,  3245,
    3295,  3248,  3296,  3255,   312, 57684,  1999,  3285,  3473,   312,
   -4217,  3258, -4217, -4217,  3572, -4217, 76807, -4217, -4217, -4217,
   98274, 76807, -4217, -4217, -4217,  1702, 57684,  3420,  1702,  1702,
   76807, 76807,  1702, -4217, -4217, -4217,  3421,  3423,  3425,  3427,
    3429,  3431,  1702, -4217, -4217, -4217, -4217,   982, 53373, -4217,
    2695, -4217,  2145, 44140,  6697,  3196,  3003,  3200,  2285, 40284,
    1238,  3404,  3206, -4217, -4217, 53373, 44140,  1972,  3414,  3221,
    3221,  3221,  3221,  3221,  3221,  3221, -4217,  2812,  2352, 96224,
   76807, 96224, -4217,   519,  3380, 76807, -4217, -4217,  2302, -4217,
   76807, 98274,   869, 98274,  2285, -4217, -4217,  3273, -4217,  1867,
     913,  3342,  1515,  3538, -4217, -4217, -4217, -4217, -4217, 76807,
   76807,   669,  2512,  3212,  3211, -4217, 76807, 76807, 70115,  2118,
    3215, 76807,  3225,  3222, -4217, -4217, -4217, -4217,  2324, -4217,
   57684,     4,  3395,  3396,  2118,  3300, 76807, -4217,  2335,    58,
   -4217,  2512, 96224, 56247, -4217,  3604, -4217, -4217,   841,  3481,
   -4217, 76807, -4217, -4217, 41248,   312, 57684, 76807, -4217,   312,
    3271,   312,  3272,   312,   312, 76807, -4217, -4217, 76807, -4217,
   76807, 97044,   312, -4217, 14448, 76807,  3499, -4217, -4217, -4217,
   -4217,  3339,  3341,  3346, 76807,  3054, 54331, -4217,  3227, 98274,
    1296, -4217, -4217,  3403, -4217, -4217, -4217, -4217, -4217,  3523,
    3524, -4217, -4217, -4217, 98274, 65335,   128, 98274, -4217,  2173,
   -4217,  2198,   180, 76807,  3466, -4217, -4217, -4217,  3237,  2342,
   14050, 32954, -4217,  3533, 57684, -4217, -4217, -4217, -4217, -4217,
   32954, -4217, -4217, -4217, -4217, -4217, 32954, -4217, 32954,  3511,
   -4217,  3651,  3651, 57684, 34442,  1453,  2601, 34442, 34442, 34442,
   34442, 34442, 34442, 34442, 34442, 34442, 36894,   602, -4217, -4217,
   32954, 32954,  3518,  3511, -4217, -4217,  1155,  1155, 57684,  3241,
    3082,  3250,  3254, 32954, -4217, -4217,  2346, 35916,  3256, 53373,
   -4217, 32954, 12177,  2355,  3301, 14252,  1584,  6819, -4217,  3606,
    2512, 32954,  1263,  1545, 32954,  2370, 32954,  3526, -4217, -4217,
   -4217,  3259, -4217, -4217, 57684, 32954, 34442, 34442,  5576, -4217,
    5766, 32954,  3257,  6104, 27994, -4217,   975,   975,   975,   975,
   -4217, 76807, 76807, 76807, 37390, 73939,  3251,  2450, -4217, 73939,
   74417, -4217,  3261,  1584, 32954,  3532,     3,     3,  3263,  3287,
   43176, -4217, 32954,  1351, 30970,  3267, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217,  3269, -4217,  3283, -4217, -4217,   195,  3274, -4217, -4217,
   10240,   176, -4217, -4217,  3275, -4217,  3277, -4217,  1905, -4217,
   -4217, -4217,  7254,  3450,  2632, -4217, -4217, -4217,  3251, 31466,
    3252, -4217,  2376, -4217, -4217, 28986, -4217, -4217,  2385, 42694,
    3159, 29482,  1584,  2285,  3302, -4217,  2230,   247, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217,  3221,  2403,  2403,   911,
    3054,  3552,   911,  7521, -4217, -4217, 38354, 76807, 76807, -4217,
   76807,  2401,  1088, -4217, -4217, -4217,  3670, 76807, -4217,  3332,
    3333, -4217, 76807, 76807, 76807, 76807, -4217, -4217,  2178, -4217,
   -4217, 98274, -4217, -4217, -4217, -4217,  3352, -4217, -4217,  3527,
    1995, -4217, -4217, -4217,  3350,  2812,   629,  2750,   831, -4217,
    3354, 76807, -4217, 76807, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, 53852, -4217, -4217, -4217, 53373, 44140, 53373,
   -4217,  3361,  3364,  3412,    76,   210,  3369,  3370,  3415,  3306,
    3308,  3310, -4217, -4217,   209,  2512, -4217, -4217,  2512,  2403,
    2512, 76807,  3577,   672,  1876, 98274, 76807, 76807, 98274, 76807,
   76807, 76807, 76807, 76807, 76807, 76807, -4217,  3657,  2512,  2512,
    3629,  3376, 76807, -4217, 76807,  2950, -4217, -4217, -4217,  3312,
    1702, -4217, -4217,  3535,  3537, -4217,  1702,  1702,  1702,  1702,
    1702,  1702, -4217,   134,  2418, -4217, 92501, -4217, -4217,  2700,
    2512,  2700,  1006, -4217,  2700, -4217,  2700, -4217, -4217,  3008,
    3277,  2285,  1913, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
    2285,  1934,  3321, -4217, 40766, -4217, -4217, -4217,  2417,   158,
   -4217, -4217, 76807,  3221, -4217,  1979,  2115,  2437,  2484, 74895,
   75373, 75851,  3319, 76807, 76807, 34442, -4217,  1394,   596, -4217,
    3536, 76807,  3348, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
    3322, -4217,  2821, -4217, 76807,  3380,  2403, 98274, 98274,  2403,
   -4217, 57684,  3707,  1462, 83977,  3347,  3325,  3595, -4217,  3324,
    3328, -4217, -4217, 76807,  3380,   682,  1852,  3355, 63423,  1909,
   -4217,  3570, 61511, -4217, 76807, -4217, -4217, -4217,  3676,  3411,
    3366,  2512,  2997, -4217, 55768, 32954, 32954, -4217,  3330, -4217,
    3334,  3642, -4217,  2337, -4217, -4217, -4217, -4217, -4217, -4217,
    3408, 76807,  3752, -4217, -4217, -4217,  3337,   312, -4217, 76807,
   -4217, 76807, -4217, -4217,   312,   312, -4217,  3452, -4217, -4217,
    2118, 76807, 76807, 76807,  3054, -4217,   180, -4217,  3610, 97864,
   -4217, -4217, -4217, -4217,   240,  3618, -4217, -4217,  3578,  3579,
    3580,  3582,  2130, -4217, -4217, 32954, 14448, -4217,  3351, 14448,
    7955, 14448,  3518, -4217,   784,  3626, -4217,  1497,  3357,   784,
    1334,  1334,   132,   132,   121,   121,   121,  3651,   602, 14448,
   14448, -4217, -4217, -4217, -4217,  3358, -4217, -4217, -4217,  3082,
   -4217, 33450,  3493,  3730, -4217, -4217, -4217,  3394,  3397,  3359,
   -4217, 32954, 33946,  3360, 58642, -4217, -4217,   158,  1465, 34442,
   34442,  2053, -4217,  1239, 32954, 57684,  2419,  2053,  2082,  2196,
   32954, 32954,  7456,   283, 32954,  8102, 76807, 76807, 76807, 76807,
   -4217, -4217, -4217, 39318,  2450,  3368, 76807, -4217,  3362, 37872,
    3593,  3543, -4217, 37872,  3543,  1371,  3543,  3594, -4217, 43658,
   -4217,  3374, 25538,  1827, 14448,  3741,  3631, 32954,  3379, -4217,
    3381,  3287, -4217, 89713, -4217, -4217, 14448, -4217, -4217, 32954,
   -4217,  3287,   247,   336,  2512, -4217, -4217, -4217, 46595, -4217,
   -4217, -4217,  3557, 14448, -4217,  2118, 76807,  1584,   447,  3389,
   76807, -4217,  3252, -4217, -4217, 11101, -4217, -4217, -4217,   209,
   -4217, -4217, -4217,  3454, 64379,  3656, -4217, 32954,  2422, -4217,
    3419,  3743,   149,  2456,  2468,  1088, -4217,  3348, -4217,  1409,
     217, -4217, 57684, -4217, 76807, 76807, -4217, -4217, -4217, -4217,
    2688, -4217, 76807, -4217,  3457, -4217,  3571, -4217, -4217,  3575,
     209, 76807, -4217, 57684,   312,   312, -4217, -4217, -4217,  3407,
   98274, 76807, 76807,  2285,  2285, 57684,  3392, -4217,  2285,  2285,
    3401, -4217, 98274, 76807, 76807, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, 76807, 76807, 76807, 76807,  3689, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, 76807,
   -4217, -4217, -4217, 57684,   312,   312, -4217,  3637, -4217,  1702,
    1702, -4217, -4217, -4217, -4217, -4217, -4217, -4217,  2352,  3719,
   -4217, 53373, -4217, 94578, -4217, -4217, -4217,  2512, -4217,  2512,
    3597, 49506,  2512,  2512,  1088,  3416,  1595,  3678, -4217,  2132,
   40766, 40766, 40766, 40766, 40766, -4217, -4217,  3684,   209, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, 32954, -4217,   902,   784, -4217, -4217,
   -4217, -4217,  3348,  1867,  3465,   839, 53373,  3522, -4217, -4217,
    2403,  2403,  3470,  2118,   743, 76807,  3722,  3460, -4217,  2512,
   -4217, -4217, 76807, 61511, -4217,  1014, -4217,  2471, -4217, -4217,
   -4217,  3458,  3396,   675,  3428,  1909, -4217, -4217,  1072, 76807,
   -4217,  1268, -4217,  3696,  3433, -4217, 14448, 14448,  2512, 59121,
    3604, -4217, 76807,  3671, 76807, -4217,   312, -4217,   312,   312,
   -4217, -4217, 76807,  3054,  3054,  3054, -4217,  3600, -4217,   312,
   97864,  2130,  2130,  2130,  2130, -4217, -4217, -4217, 14448, -4217,
   -4217, -4217, 34442,  3702, -4217,  3434, 57684, -4217,  3435,  2475,
    2479, 35434,  3569, -4217, -4217, -4217,  8423,  3485, 14448,  3542,
    3442,  3449, -4217,  1889,  1889,  1239,  2490, -4217, 34442, 34442,
    2053,  2053, 32954,  2053, -4217, -4217, -4217, -4217, -4217, 73939,
    3439, 76807,  2450, 37872, -4217, -4217,  1445, -4217, 37872,  3681,
   -4217, 37872, 76807,  3455, 76807,   899, 32954, 32954,  3476,  3287,
    3287, -4217,  3620, -4217,  3461, -4217, -4217,  1913, -4217, -4217,
   -4217, -4217,   158,  3463, 70115, -4217, -4217, -4217,  1345, -4217,
   -4217, -4217, -4217, 97864,  3634, 97864,  1088,  8550,  3348, 38354,
   47577, 76807, 76329, 76329,  3598,  3348,  3465, -4217, -4217, -4217,
   -4217,  3468, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
    3657, -4217, -4217, 44140, -4217, -4217, -4217, 38836, 46595, -4217,
      76,  3467,  3471,   210, -4217, -4217, -4217,  1315,   965,  3495,
    3054,  3737, -4217,  3657, -4217, -4217,  1702, -4217, -4217,  2996,
    2512, -4217, -4217,  2494, -4217, -4217, -4217, 76807, -4217,  3325,
   -4217, -4217, -4217, 54331,  3858,  3858, -4217,  1951,  1951, -4217,
   -4217, -4217, 76807, -4217, -4217,  8975,  3660, -4217,  3465,  3677,
    3725, -4217,  2495, -4217, 76807, 76807,  3366, 61511,  3380, -4217,
     929,  3477,  3766, -4217,  3215,  3478, -4217,  3807, -4217, 63423,
    3655,  3411,  1093,  1093, 76807,  3396,  3602, -4217,  3605, -4217,
    3849,  3663,  3853, 76807, 38354, -4217, 58163, -4217,  2498, -4217,
   -4217,  3135, 76807,    74, -4217,  3507, -4217, -4217, -4217, -4217,
   -4217, -4217,   128, -4217, -4217, -4217, -4217,   673, 34442, 57684,
    2504, 32954, -4217, 32954, -4217,  3871, -4217, -4217, -4217,    34,
   -4217, -4217, -4217,  1889,  1889,  2053, -4217, 76807,  2510, -4217,
   32954,  3497, -4217, -4217, 37872,  1445,  2511, 76807,  2517, 57684,
    3287,  3082, 14448, 76807, -4217, -4217, -4217,  3873,  3674,  3287,
   -4217, -4217, -4217, -4217, -4217, -4217,  1296,   911,   128,  3743,
    3465, -4217,  3503, -4217, -4217, 76807, -4217,   880,   880, 76807,
    3465, -4217, -4217,  3556, -4217, 57684,  2198,    64, -4217, 57684,
   57684, -4217, 76807, 76807, 76807, 76807, 76807,   312, -4217, -4217,
   -4217, -4217, 94578,  3325,  3858,   237, -4217, -4217, -4217,  1638,
   -4217, -4217,  1024,  3683,  3587, -4217, 53373,  3380,  3791, -4217,
   -4217, -4217, -4217, -4217, 32954,  3658,  1909,  3570, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
    2525,  3411, -4217, -4217,  3688, -4217,  3692, -4217,  2528, -4217,
   -4217,  3642, 59121,  3816, -4217,  3566, 76807, -4217, -4217,  2199,
    3934, -4217,   673,  2529, -4217,  2536,  2544,  3659,  3568, -4217,
    2545, -4217, 14448, 76807, -4217, -4217, -4217,  2550, -4217,  3520,
   -4217,  3917, 32954,  1322, -4217, -4217,  3799, -4217, 76329,  3564,
   46595, -4217,  1905,  1905,  1867, -4217,  1088, 32954, -4217,  2556,
   -4217,   114,  3669,  3810,  2566,  2569,  3541,  3576,  3541, -4217,
    3054, -4217, -4217, -4217, -4217, -4217,  3836, -4217, -4217, -4217,
     137, -4217,  3714,  3724, 76807, -4217, -4217, 76807,  3933,  9252,
   54331,  3396,  1909,  2812, -4217, -4217, -4217, -4217,  3581, 38354,
    3604, -4217,   714, -4217, -4217, -4217, -4217, -4217, 76807, -4217,
   -4217, -4217, -4217, -4217, -4217,  2573, -4217, 76807,  3548,  3082,
   31962, 31962,  3550, 97864,   880,  3554, -4217,  3551, -4217, -4217,
    3677,  1088, 14448, 54331,  3930, -4217, -4217, -4217,  3669, -4217,
   -4217, 76807,  3680,   889,   889,  3875, -4217,  3615, -4217, -4217,
   -4217,    76, -4217,  3562,  3411,  3396,  2750,  3411, -4217, -4217,
   -4217, -4217,  2228, -4217, -4217, -4217, -4217, 34938,  3685,   124,
   12256, -4217, -4217, -4217, -4217,   128,  1905, 32954,  1088, -4217,
    3683,  2198, 76807, -4217, -4217,  3460, -4217,  3973, -4217,  1059,
   -4217, -4217,  3392, 52894, -4217,  3411, -4217,  3135, -4217,  2175,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217,  3963, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217,  9777, -4217, -4217, -4217,  3861,
   -4217, -4217, -4217,  2582, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217,  1613, -4217, -4217,  1661,  2038, 32458, -4217,  1088,  3720,
   -4217, 52894, -4217,  2175, -4217, 54331, -4217, -4217,  3584, 52894,
    2583, -4217
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2218,     0,     2,     1,  2648,  2652,  2656,  2657,  2574,  2658,
    2659,  2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,  2632,
    2633,  2634,  2635,  2637,  2636,  2638,  2639,  2640,  2641,  2642,
    2643,  2644,  2645,  2647,  2646,  2596,  2225,  2593,  2590,  2591,
    2592,  2597,  2595,  2588,  2589,  1827,  2661,  2649,  2662,  2650,
    2651,  2653,  2654,  2623,  2655,  2663,  2664,  2665,  2660,  2668,
    2619,  2620,  2618,  2621,  2622,  2666,  2667,  2610,  2611,  2612,
    2613,  2669,  2226,  2227,  2615,  2219,  2223,  2285,  2356,  2616,
    2617,  2614,  2224,  2609,  2356,     0,  2477,  2478,  2479,     0,
    2480,  2481,  2482,  2408,  2370,  2483,     0,     0,  2484,  2485,
    2486,  2487,  2488,  2489,  2490,  2491,     0,  2492,  2493,  2494,
    2495,  2355,  2496,  2497,  2498,  2499,  2500,  2332,  2338,  2461,
       0,  2312,  2313,  2309,  2311,  2310,  2314,  2297,  1117,   520,
    1199,  1198,     0,  2122,  1117,  2078,  2079,  2123,  2080,  2081,
    2082,   245,     0,  1201,  2083,     0,  1117,  2124,   348,   913,
    2125,  2126,  2240,     0,  2084,  2085,     0,     0,     0,   520,
    1117,     0,     0,  2086,  1311,  2087,     0,  2088,  2127,  2128,
       0,  2089,  2129,  2130,  2090,  2091,  2092,  2131,  2132,  2133,
    2093,  2134,  2135,     0,     0,  1325,     0,  2094,  2136,  2095,
    2096,     0,  2137,  2097,  2098,  2099,  2138,  2139,  2140,  2100,
    2101,  2102,     0,  2103,     0,     0,     0,     0,     0,  2141,
    1117,  2104,     0,     0,  1332,     0,  2105,     0,  2142,  2106,
       0,  2107,     0,  2108,  2109,  2110,  2111,  1325,  2457,  2333,
       0,  1203,     0,  2112,  2143,     0,  2113,  2114,  2115,  2116,
    2117,  2118,  2119,  2120,  2121,     0,     0,    54,    55,    21,
      20,    26,    25,    77,    78,    44,    14,    68,    49,   110,
     109,   111,    32,    28,    62,    18,    19,    29,    33,    51,
      50,    17,    48,    72,    52,    75,    39,     8,     9,    40,
      66,    10,    41,    67,    11,    42,    12,    56,    79,    24,
      53,    76,    35,    64,    60,     7,    45,    46,    47,    69,
      70,    71,    93,    74,   105,    31,   102,    83,    84,    99,
      85,   100,     5,    86,    43,    13,    96,    95,    97,    63,
      36,    65,    94,    98,    15,    16,   101,    73,    91,    88,
     106,   104,   112,    89,    57,     3,     4,    80,    38,     6,
      23,    22,    37,    30,   108,    27,  1201,    82,    92,    81,
      87,    61,    90,   107,    59,   103,  1298,  1285,  1334,  1297,
    1310,     0,  1300,  2553,  2554,    34,  1311,   114,   115,   120,
    2222,  2274,  2275,  2276,  2356,  2307,  2308,  2301,  2317,  2327,
    2316,  2320,  2328,  2315,  2334,     0,   117,   119,   121,   124,
     118,   113,   116,   123,   128,   122,   127,   125,   126,   129,
     130,   131,  2555,  1511,  2552,    58,  2292,  2291,     0,  2356,
       0,  2585,  1839,  1840,  1841,  1842,  1843,  1844,  1845,  1846,
    1847,  1848,  1849,  1850,  1851,  1852,  1853,  1854,  1855,  1856,
    1857,  1858,  1859,  1860,  1861,  1862,  1863,  1864,  1865,  1866,
    1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,  1876,
    1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,  1885,  1886,
    1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  1905,  1906,
    1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,
    1917,  1918,  1919,  1920,  1921,  1922,  1923,  1924,  1925,  1926,
    1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,  1935,  1936,
    1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,  1945,  1946,
    1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,  1955,  1956,
    1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,  1965,  1966,
    1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,
    1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,  1988,
    1986,  1987,  1989,  1990,  1991,  1992,  1993,  1994,  1995,  1996,
    1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,  2005,  2006,
    2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,
    2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,  2025,  2026,
    2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,  2035,  2036,
    2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,
    2047,  2240,  2048,  2049,  2050,  2051,  2052,  2053,  2054,  2055,
    2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2075,
    2076,  2077,  2258,  1828,  1836,  1837,  1838,  2233,  2254,  2260,
    2581,  2259,  1835,  2407,     0,     0,  2501,  2502,  2503,  2504,
    2505,  2506,  2556,  2557,  2558,  2559,  2560,  2562,  2561,  2369,
    2528,  2565,  2368,  2566,  2372,  2567,  2568,  2569,  2570,  2529,
    2571,  2371,  2563,  2525,  2373,  2366,  2367,  2526,  2475,  2476,
    1805,  2527,  2524,  2564,  2261,  2523,  2377,  2376,  1275,  2580,
    1804,  1276,     0,  2379,  2507,  2508,  2509,  2510,  2512,  2511,
    2513,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,
    2153,  2154,  2155,  2538,  2156,  2157,  2158,  2551,  2159,  2160,
    2539,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2540,  2541,  2185,  2186,  2187,
    2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,
    2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,
    2542,  2208,  2209,  2543,  2210,  2211,  2212,  2544,  2213,  2214,
    2215,  2216,  2217,  2548,  2549,  2550,  2537,  2330,  2514,  2536,
    2547,  2545,  2546,  2340,  2336,  2344,  2339,     0,     0,     0,
       0,  2356,  1116,  1115,  1101,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   519,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2230,     0,  1127,   323,   322,  1200,  1181,   520,     0,
    1104,   347,     0,     0,     0,     0,     0,     0,     0,     0,
     697,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,     0,     0,   371,   370,     0,     0,     0,   885,   376,
       0,     0,     0,     0,   508,  2239,  2234,  2244,     0,  2237,
    2238,  2523,     0,  2672,  1986,  2270,  2271,  2670,  2033,  1277,
     246,   249,   247,   248,     0,   983,   984,   986,     0,     0,
     996,   728,   729,     0,   727,   731,     0,     0,     0,   724,
       0,     0,     0,     0,   730,   722,     0,   721,     0,     0,
       0,   726,     0,   723,     0,     0,  1105,     0,  2322,  2323,
    1928,  1238,   377,     0,     0,  1311,     0,  1201,  1208,  1218,
    1213,  1215,  1214,  1216,  1212,  1217,  1840,   827,  1854,   827,
    1918,   824,   825,   827,   827,   827,  2001,     0,     0,   799,
       0,   810,  1831,   827,  1832,  2581,   832,   430,   430,   430,
       0,   831,   836,   430,  1098,  1134,  1809,  1324,     0,  1854,
    1918,   800,  1097,  2048,  1230,     0,     0,  1000,     0,  1001,
       0,  2016,  1109,   232,  2521,  2025,  2108,  2048,  2522,   228,
    2516,  2517,  2519,   202,  2520,  2518,  2515,  1844,     0,     0,
     831,     0,  1106,  1107,   788,  1331,  1329,     0,     0,     0,
    1862,     0,  1875,  1953,   225,  2012,  2017,  2025,  2108,  2048,
    2075,   184,     0,   239,  2025,  2108,  2048,     0,  1127,     0,
    1301,  1411,  1800,     0,     0,  2331,  1100,  1099,  1202,     0,
    1205,     0,  1376,  1998,  1305,  1307,  1207,  1298,     0,     0,
    2221,  1196,  1328,  1328,     0,  1328,     0,  1290,  1298,  1293,
    1297,     0,     0,     0,     0,  1117,     0,  2299,  2327,  2306,
    2362,  2303,     0,     0,  2352,  2348,  2345,  2353,  2354,  2347,
    2335,  1500,  1501,  1502,  1499,  1512,  1498,     0,  2280,  1503,
    2319,  2286,     0,  2294,  2293,  2598,  2599,  2409,  2232,  2251,
       0,     0,     0,     0,     0,     0,     0,  2378,  2380,  2382,
    2342,  2341,  2337,     0,     0,     0,     0,  2467,  2468,  2466,
       0,  2463,  2465,     0,  2362,     0,  2532,  2526,  2535,     0,
    1810,  2527,  2524,  2523,     0,   738,     0,   135,   874,     0,
       0,     0,  1804,     0,     0,     0,     0,     0,     0,     0,
    1705,  1866,  1914,  1715,  1713,  1714,  1707,  1708,  1709,  1710,
    1711,  1712,     0,   981,  1706,     0,   135,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,   135,     0,     0,     0,
    1121,     0,     0,     0,  1123,  1126,  1102,  1184,     0,  1800,
       0,     0,   772,   763,     0,   773,   764,   769,   775,     0,
       0,   766,     0,     0,   776,     0,   765,   767,   778,   768,
     774,     0,     0,   770,   771,     0,     0,  1113,   430,     0,
       0,     0,     0,     0,     0,   135,  1171,  1927,   135,     0,
       0,   375,   374,   135,   373,   372,  1866,  1914,     0,   912,
     135,     0,   177,   588,   523,     0,     0,   657,  1956,   135,
       0,     0,     0,     0,   888,     0,     0,   507,   520,     0,
    2243,  2249,     0,  2241,  2410,  2673,  2671,  2365,     0,   987,
     226,   227,   985,  1927,     0,   301,     0,     0,  1927,  1162,
       0,   725,  1927,     0,  1927,  1829,   170,  1866,  1914,  1927,
       0,     0,  1927,   162,  1927,     0,  1927,   301,  1927,   524,
       0,  1927,     0,  1927,  1956,   164,     0,  1927,   301,   736,
       0,     0,  2603,  2607,     0,  2605,  2600,  2321,  2375,  2374,
    2273,     0,  2683,     0,  1277,  1210,  1223,     0,  1219,  1226,
    1222,  1311,   827,   826,     0,   827,     0,  2692,   827,     0,
     827,     0,  2692,   827,     0,     0,     0,   827,  1833,  1834,
       0,     0,  2691,  2689,  2690,   801,   811,     0,   833,     0,
       0,   840,   839,   838,     0,     0,     0,   841,  1415,  1253,
       0,   808,     0,   806,     0,  1095,  1112,     0,     0,     0,
       0,  1003,  1003,  1003,  1108,   231,   229,     0,     0,     0,
       0,     0,     0,  1114,     0,     0,     0,     0,  2587,  1816,
    1716,  2586,     0,  2079,  2080,  2081,  1774,     0,  2528,  2082,
    2083,  1628,  1615,  1624,  1629,  1616,  1618,  1625,  2084,  2085,
    1899,  2086,  2087,  1823,  2088,  2089,  1455,  2091,  2092,  2093,
    1620,  1622,  2094,  2095,     0,  1824,  2097,  2098,  1974,  2100,
    2101,  2103,  2104,  1626,  2106,  2107,  2108,  2109,  2110,  2111,
    1822,     0,  1627,  2112,  2114,  2115,  2116,  2117,  2118,  2119,
    2120,  2121,     0,     0,  1797,     0,  1601,     0,  1447,  1448,
    1470,  1471,  1449,  1476,  1477,  1489,  1450,     0,  1796,  1514,
    1600,  1606,     0,  1599,  1595,  1314,  1792,     0,  1596,  1812,
    1775,  1826,  1825,  2581,  1783,  1815,  1813,  1814,     0,     0,
       0,   195,     0,     0,  2456,   241,     0,   242,  1798,  2025,
     185,   224,   197,   223,   198,   196,     0,  1864,   186,     0,
     193,     0,     0,     0,     0,     0,     0,     0,   235,  1103,
       0,  1413,  1412,     0,     0,  1781,  1801,   745,     0,  1194,
    1195,  1193,     0,  1190,  1192,  1204,  1201,  1788,  1787,  1789,
       0,  1306,     0,     0,     0,  1288,  1287,  1207,  1326,  1327,
       0,     0,     0,     0,     0,     0,     0,     0,  1369,  1342,
    1343,  1345,  1366,  1370,     0,  1294,     0,     0,  1417,     0,
    1377,  2220,  2362,  2363,     0,  2357,     0,  2356,  2356,  2350,
    2349,  2346,     0,     0,     0,     0,     0,     0,     0,  2277,
     502,  2279,   500,     0,     0,  2253,     0,  2257,  2255,     0,
    2402,  2405,     0,  2403,  2404,  2406,     0,  2411,  2412,     0,
       0,     0,  2594,     0,     0,  2393,  2381,  2388,  2390,  2392,
    2391,  2400,  2396,  2399,  2401,  2343,  2356,  2474,     0,  2469,
    2472,     0,  2464,     0,     0,     0,  1811,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,   134,  1160,
     234,  1158,     0,     0,     0,     0,     0,  1165,     0,   168,
     169,   535,   520,     0,     0,     0,     0,     0,   945,     0,
       0,     0,     0,     0,     0,   946,   944,   947,   954,   967,
     970,     0,   864,     0,     0,     0,  1034,     0,     0,  1034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   251,   254,   296,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,   487,   499,     0,
       0,     0,     0,     0,   496,     0,   135,   252,   481,   484,
       0,     0,   597,   596,  1034,     0,   250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   315,   316,     0,     0,     0,   139,   161,     0,
       0,   253,     0,  2287,     0,  1122,  1119,  1120,     0,  1125,
       0,  1180,     0,     0,     0,     0,     0,   777,     0,     0,
    1866,  1914,     0,     0,     0,     0,     0,     0,   350,   329,
     330,   135,   328,     0,     0,   654,     0,  1458,  1487,  1465,
    1487,  1487,  1454,  1454,  1467,  1456,  1494,     0,  1487,  1454,
    1459,     0,  1457,  1497,  1497,  1482,     0,  1439,  1440,  1441,
    1442,  1468,  1469,  1443,  1474,  1475,  1444,  1511,  2533,  1454,
    2534,  2531,  2530,     0,     0,   664,     0,  1137,  1170,     0,
       0,   529,     0,  1927,     0,   137,   698,     0,   655,     0,
     137,     0,   173,     0,   592,     0,     0,     0,     0,     0,
       0,   616,   615,     0,     0,     0,   656,     0,   137,   483,
    1927,     0,   473,   430,     0,   887,   890,     0,     0,     0,
    2247,  2242,  2245,     0,  2235,  2249,  1280,  1282,  1281,     0,
    1279,     0,   301,   299,   300,   652,   995,     0,     0,     0,
       0,   301,     0,     0,  1927,     0,  1927,     0,     0,   301,
     301,     0,     0,     0,     0,   593,     0,   735,   733,   732,
     734,     0,     0,     0,     0,     0,  1927,   301,     0,     0,
     720,  2601,     0,     0,  2604,     0,  2324,  1726,     0,  2686,
    1235,  2687,     0,     0,  1311,     0,   213,   214,   212,  1224,
     215,  1225,  1221,  1209,     0,   819,     0,  2692,  2693,   804,
       0,   814,     0,  2692,   802,     0,   815,   812,   813,     0,
       0,     0,  2688,  2572,  2578,   818,     0,     0,   431,   433,
       0,     0,  1885,     0,  1919,  1945,  1946,  2017,  2021,     0,
    2043,     0,   842,   869,   837,     0,     0,  1263,   809,   807,
    1096,  1228,  1732,     0,  1311,     0,  1002,   999,   998,   997,
     230,   203,     0,     0,     0,   871,  2016,  1111,   787,   520,
       0,     0,  1604,  1605,  1486,  1473,  1773,     0,     0,  1481,
    1480,     0,     0,     0,     0,  1463,  1462,  1461,  1603,  1740,
       0,  1460,     0,     0,     0,     0,  1487,  1487,  1485,  1534,
       0,  1464,     0,     0,  1753,     0,  1759,     0,     0,     0,
    1493,     0,  1491,     0,     0,  1570,     0,     0,     0,     0,
       0,     0,     0,     0,  1518,  1519,  2529,  1601,  1726,     0,
    1602,  1819,     0,     0,  1479,     0,  1511,  1716,     0,     0,
       0,     0,  1786,     0,  1724,     0,     0,  1548,  1722,     0,
    1550,     0,     0,     0,  1715,  1713,  1714,  1707,  1708,  1709,
    1710,  1711,  1712,  1720,  1531,     0,  1795,     0,  1530,     0,
       0,  1379,  1313,     0,  1817,  1776,     0,  2579,  2582,  1597,
    2453,  2452,  2451,  2450,  2421,     0,  2415,  2416,     0,  2454,
    2455,   243,   244,   240,     0,     0,   200,   199,     0,   221,
     222,   192,   220,     0,   216,   217,  1668,  1667,   201,   191,
     189,   187,   204,   206,   207,   190,   188,   238,   236,     0,
       0,     0,  1778,  1777,  1807,  1782,     0,     0,   301,  2356,
    1188,     0,  1185,  1791,     0,  1308,     0,  1802,     0,  1197,
    1304,  1303,  1335,  1336,   905,  1302,  1360,  1361,  1356,     0,
    1375,  1375,  1352,  1346,  1351,  1349,     0,  1353,  1514,  1368,
    1292,  1340,  1341,  1344,  1291,     0,  1371,  1369,  1345,  1250,
       0,     0,  1418,     0,     0,  2364,  2362,  2302,  1439,  2356,
    2295,  2356,  2351,  2283,  1505,  1506,  1507,  1508,  1509,  1510,
    2284,     0,  2281,  1504,  2282,   501,     0,     0,     0,  2250,
       0,  2231,  2256,  2387,  2496,  2419,     0,  2420,     0,     0,
    2384,     0,  2394,  2397,  2395,  2398,     0,  1439,  2575,  2470,
    2575,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,     0,     0,     0,     0,     0,  2043,   233,  1156,
       0,     0,     0,     0,   873,   872,     0,     0,   892,     0,
       0,     0,  1168,   421,     0,   298,     0,     0,     0,     0,
       0,     0,   533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   567,
    1034,     0,   605,     0,   952,     0,     0,     0,     0,   953,
     950,   951,  2017,   969,   968,   966,   927,   929,   928,     0,
     931,   915,     0,   916,     0,     0,   926,   934,   932,     0,
       0,     0,  1907,   256,   268,     0,  1033,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   288,     0,   291,
     290,     0,     0,     0,     0,   295,     0,     0,     0,   294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   982,
       0,     0,   156,   159,     0,     0,   486,   498,     0,   490,
     491,   488,   492,   493,     0,     0,     0,     0,     0,     0,
     485,     0,   590,   589,   595,     0,     0,     0,     0,     0,
    1026,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   607,   608,     0,   609,
       0,   160,     0,     0,     0,     0,     0,     0,   211,  1118,
    1124,  1183,  1808,  1182,     0,     0,     0,   779,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   334,     0,   679,  2530,   653,     0,
    1439,     0,  1435,  1431,  1500,  1499,  1498,     0,  1445,  1454,
    1451,   665,     0,   667,   670,     0,  1135,   394,     0,   526,
     567,     0,     0,     0,   166,     0,     0,     0,   133,   177,
     377,     0,   176,   178,   180,   181,   182,   179,   183,   587,
     591,     0,   522,     0,     0,     0,     0,     0,   617,   621,
     620,   624,   622,     0,   618,     0,  1427,     0,   155,   480,
     482,     0,  2228,     0,   379,   461,     0,     0,     0,   889,
       0,     0,     0,     0,     0,  2248,     0,     0,     0,     0,
    1278,     0,   973,     0,  1163,  1927,   301,     0,   971,   171,
    1830,     0,     0,     0,     0,     0,   975,   717,   163,     0,
     301,   301,   525,     0,   301,   165,     0,     0,     0,   517,
     301,   737,  2602,  2608,  2606,  1237,     0,  2684,  2685,   473,
    1282,  1211,  1220,   816,   823,   805,   822,   821,   803,   820,
     817,  2386,     0,     0,  2577,     0,   834,     0,   429,     0,
       0,     0,   848,     0,     0,   847,   862,   849,     0,   851,
     844,   843,   852,     0,     0,   871,     0,  1260,     0,  1258,
       0,  1416,  1262,  1251,  1229,     0,  1227,  1232,  1234,  1233,
    1231,     0,     0,     0,   831,     0,     0,   301,  1110,     0,
     789,   794,     0,     0,     0,   791,   792,   793,   795,   796,
       0,     0,     0,  1736,     0,  1737,     0,     0,     0,  1772,
    1768,     0,     0,     0,     0,     0,  1744,  1745,  1746,  1743,
    1747,  1742,     0,     0,  1748,  1741,     0,     0,     0,     0,
       0,  1484,  1483,     0,     0,     0,     0,     0,     0,     0,
    1573,  1606,     0,     0,  1700,     0,  1726,  1758,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,  1726,  1764,
       0,     0,     0,     0,  1666,     0,  1663,     0,     0,     0,
       0,  1783,     0,     0,     0,     0,  1820,  1515,  1532,  1794,
       0,  1785,     0,     0,  1516,  1539,     0,  1765,  1566,     0,
    1571,  1554,     0,  1547,     0,  1552,  1556,  1535,  1786,  1725,
       0,  1723,     0,     0,  1533,     0,  1528,  1526,  1527,  1520,
    1521,  1522,  1523,  1524,  1525,  1529,  1704,  1702,  1703,     0,
       0,     0,  1551,  1921,  1953,     0,  1325,  1325,  1325,  1312,
    1323,  1793,     0,  1422,     0,     0,     0,     0,  1683,     0,
    1730,     0,  1728,  1810,  2584,  2583,  1784,     0,     0,     0,
    1799,     0,     0,  1511,     0,   237,  1414,  1779,     0,   743,
     744,   742,  1439,  1207,  1191,  1187,  1186,  1790,  1206,     0,
    1311,     0,   903,   904,     0,   908,     0,     0,  1354,  1367,
       0,  1263,  1263,     0,  1358,  1359,  1350,  1296,  1295,     0,
    1425,     0,     0,  1247,  1240,  1419,     0,  1379,  1265,  1267,
    1268,     0,  1783,  2300,  2358,  2305,  2326,  2296,  2329,  1513,
    2278,  2318,     0,  2252,  2422,  2423,     0,  2413,  2414,  2383,
    2389,  2460,     0,  2576,     0,     0,   677,   676,     0,     0,
       0,  1056,  1005,  1038,   741,  1057,  1006,  1039,  1058,  1007,
    1157,     0,  1159,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   642,   301,  1166,
    1059,   297,  1167,  1040,  1041,     0,   534,     0,     0,   539,
     540,   541,     0,     0,   542,  1866,  1914,     0,   547,   553,
     557,   548,     0,   558,   554,     0,     0,     0,     0,     0,
     564,   566,     0,     0,     0,     0,     0,   948,   949,  1060,
    1008,     0,  1042,   930,  1454,   914,     0,     0,   925,     0,
     924,  1454,  1454,  1009,   167,   257,   394,  1036,   274,   287,
     282,   283,   281,  1927,   301,  1927,   301,     0,     0,     0,
       0,   284,   279,   280,   276,   289,  1843,  1900,  2026,     0,
     577,   579,     0,   584,   292,  1017,     0,   309,   312,   293,
     272,   275,   273,   269,   255,     0,     0,  1806,     0,     0,
     977,     0,     0,     0,   158,  1022,     0,     0,   144,     0,
       0,     0,     0,   138,   148,  1066,  1013,   489,   494,  1015,
     497,  1051,   495,  1072,  1014,     0,  1046,  1068,  1024,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1172,     0,
       0,     0,     0,     0,   301,     0,   686,  1036,  1927,   301,
    1067,     0,  1031,  1054,     0,   317,     0,  1023,  1016,  1052,
       0,     0,   209,   208,   210,     0,     0,     0,     0,     0,
       0,     0,     0,   781,   752,   780,     0,     0,     0,     0,
       0,     0,     0,   746,   349,   326,   327,     0,     0,   325,
     331,   678,     0,     0,     0,  1436,  1432,     0,     0,     0,
       0,     0,     0,  1452,   666,     0,     0,     0,     0,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1136,  1164,   135,     0,
       0,     0,   528,   566,   573,     0,   601,   604,     0,   602,
       0,     0,     0,     0,     0,   149,   136,     0,   706,   430,
     172,     0,     0,     0,   521,   663,   661,   660,   662,     0,
       0,     0,   683,     0,  1426,  1428,     0,     0,     0,     0,
     381,     0,     0,   378,   382,   386,   387,   388,     0,   474,
     476,     0,     0,   465,     0,     0,     0,   919,     0,   937,
     920,     0,     0,     0,   957,   962,   958,   940,     0,   505,
    2246,  2240,  1283,  1284,     0,   301,     0,     0,   568,   301,
       0,   301,     0,   301,   301,     0,  1093,   594,     0,   649,
       0,     0,   301,   719,  1727,     0,     0,  2385,  2573,   835,
     432,     0,     0,     0,     0,   846,     0,   503,   850,     0,
     861,   856,   858,     0,   865,  1261,  1254,  1256,  1255,     0,
       0,  1252,  1733,   718,     0,     0,   301,     0,   866,     0,
     790,     0,     0,     0,     0,  1330,  1734,  1735,     0,     0,
       0,     0,  1769,     0,     0,  1641,  1617,  1619,  1453,  1631,
       0,  1466,  1642,  1643,  1621,  1623,     0,  1717,     0,     0,
    1632,  1575,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,  1587,  1633,  1699,
       0,     0,  1756,  1757,  1634,  1496,  1497,  1497,     0,     0,
    1763,     0,     0,     0,  1639,  1644,     0,     0,     0,     0,
    1650,     0,  1671,     0,     0,     0,  1598,  1727,  1488,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,  1572,  1555,
    1549,     0,  1553,  1557,     0,     0,     0,     0,  1541,  1567,
    1537,     0,     0,  1543,     0,  1568,  1325,  1325,  1325,  1325,
    1322,     0,     0,     0,     0,  1389,  1378,  1380,  1391,  1382,
    1384,  1420,     0,  1800,     0,  1363,  1334,  1334,     0,  1683,
       0,  1607,     0,  1683,     0,     0,  2435,  2437,  2438,  2439,
    2440,  2441,  2443,  2444,  2446,  2447,  2448,  2436,  2442,  2445,
    2449,  2426,  2427,     0,  2417,  2418,   194,     0,   218,   205,
       0,  2460,  1189,  1803,     0,  1337,     0,  1718,   908,   906,
     907,  1339,     0,     0,  1374,  1373,  1372,  1347,  1249,     0,
    1247,  1242,     0,  1243,  1783,     0,  1239,  1272,     0,     0,
    1425,     0,  1271,     0,  2360,  2288,     0,     0,  2459,  2462,
    2473,  2471,  2298,  1055,  1004,  1037,  1155,   876,   877,     0,
     875,     0,     0,     0,   420,   891,     0,     0,     0,   642,
       0,     0,   424,  1169,   536,   537,     0,     0,   555,     0,
       0,   544,     0,     0,     0,     0,   543,   560,   509,   561,
     563,     0,   562,   565,   570,  1018,     0,  1053,   942,     0,
    1454,   917,   922,   923,     0,   391,     0,     0,     0,   258,
       0,     0,   271,     0,   266,   285,   277,   286,   278,   581,
     582,   580,   576,     0,   583,   585,   306,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,  1043,     0,     0,   141,   140,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   318,   303,     0,     0,
       0,     0,     0,   320,     0,     0,  1061,  1010,   747,     0,
       0,   748,   756,     0,     0,   749,     0,     0,     0,     0,
       0,     0,   758,   352,     0,   355,   362,   335,   339,  1171,
       0,  1171,     0,   340,  1171,   336,  1171,   333,   680,     0,
    1974,  1707,  1708,   674,   681,   671,   673,   672,   675,   642,
       0,     0,     0,  1437,     0,  2674,  2682,  2681,     0,  1511,
     668,   669,     0,  1155,  1154,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   406,     0,     0,   400,
       0,     0,   962,   393,   396,   397,   529,   532,   530,   531,
       0,   559,     0,   600,     0,   573,   151,     0,     0,   152,
     150,     0,     0,   377,     0,     0,   623,   626,   619,     0,
     682,   684,   658,     0,   573,     0,  1238,   479,     0,   461,
     413,   457,     0,   472,     0,   459,   458,   460,     0,   467,
    1133,     0,   892,   918,     0,     0,     0,   955,   959,   956,
       0,     0,   933,     0,   941,   911,  1088,  1089,  1086,  1087,
       0,     0,  2263,  1274,  2272,   974,     0,   301,   972,     0,
     713,     0,   715,   976,   301,   301,   610,     0,   518,   476,
       0,     0,     0,     0,   845,   863,     0,   859,     0,     0,
     828,   868,  1259,  1257,   871,     0,   829,   870,     0,     0,
       0,     0,     0,  1738,  1472,     0,  1771,  1767,     0,  1739,
       0,  1751,  1750,  1574,  1752,     0,  1593,     0,     0,  1585,
    1583,  1584,  1577,  1578,  1579,  1580,  1581,  1582,  1586,  1761,
    1760,  1754,  1755,  1492,  1490,     0,  1636,  1637,  1638,  1762,
    1645,     0,  1857,  1672,  1649,  1665,  1664,     0,     0,     0,
    1652,     0,     0,  1661,     0,  1701,  1478,  1511,  1517,     0,
       0,  1540,  1766,  1558,     0,     0,     0,  1536,     0,     0,
       0,     0,  1545,  1717,     0,     0,     0,     0,     0,     0,
    1316,  1315,  1321,  1298,     0,  1391,     0,  1390,  1402,     0,
       0,  1408,  1406,     0,  1408,     0,  1408,     0,  1383,     0,
    1385,  1402,     0,  1801,  1421,     0,  1365,     0,     0,  1333,
       0,  1683,  1614,  1686,  1681,  1682,  1731,  1608,  1818,     0,
    1729,  1683,     0,     0,     0,  1780,  2458,  1309,     0,  1338,
    1355,  1348,     0,  1423,  1248,     0,     0,  1245,     0,     0,
       0,  1266,  1247,  1269,  2304,     0,  2359,  2424,  2425,     0,
     882,   883,   881,     0,     0,     0,   642,     0,     0,   438,
       0,   899,   899,     0,     0,   426,   470,   962,   645,     0,
       0,   643,     0,   556,     0,     0,   552,   550,   549,   551,
     510,  1071,     0,   943,     0,   935,     0,   263,  1035,     0,
       0,     0,   262,     0,   301,   301,   578,   310,   311,   314,
       0,     0,     0,     0,     0,     0,   707,   690,     0,     0,
     708,   709,     0,     0,     0,   979,   980,   978,   145,   142,
     143,   146,  1019,     0,     0,     0,     0,     0,  1070,  1030,
    1050,  1069,  1028,  1048,  1027,  1047,  1029,  1049,  1021,     0,
    1430,   688,   687,     0,   301,   301,   612,     0,   750,     0,
       0,   751,   762,   760,   759,   761,   753,   353,   135,     0,
     332,     0,   360,     0,   358,   357,   359,     0,   346,     0,
       0,     0,     0,     0,   651,     0,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,  1438,  1446,   641,     0,  1146,
    1145,  1144,  1148,  1147,  1150,  1149,  1141,  1140,  1153,  1152,
    1139,  1138,  1143,  1142,     0,   398,     0,   404,   408,   409,
     407,   399,   962,   430,   469,   527,     0,     0,   603,   598,
     154,   153,     0,     0,     0,     0,   628,   632,   659,     0,
    1429,   606,     0,   379,  1236,     0,  2229,     0,   384,   389,
     390,     0,   465,   410,     0,   461,   383,   475,     0,     0,
     471,     0,  1128,     0,     0,   921,   938,   939,     0,     0,
     962,   961,     0,   512,     0,  2236,   301,   569,   301,   301,
    1094,   650,     0,   855,   854,   853,   504,     0,   857,   301,
       0,     0,     0,     0,     0,   798,   782,   797,  1770,  1630,
    1640,  1749,     0,     0,  1594,     0,     0,  1635,  2113,     0,
       0,     0,     0,  1669,  1670,  1651,     0,  1965,  1656,     0,
       0,     0,  1821,  1564,  1562,  1559,     0,  1560,     0,     0,
    1542,  1538,     0,  1544,  1569,  1320,  1319,  1318,  1317,  1393,
    1400,     0,  1381,     0,  1407,  1403,     0,  1404,     0,     0,
    1405,     0,     0,  1400,     0,     0,     0,     0,  1677,  1683,
    1683,  1609,  1688,  1685,     0,  1611,  2428,     0,  2431,  2429,
    2430,  2434,  1511,     0,     0,  1241,  1244,  1246,     0,  1273,
    1264,  2361,  1161,     0,     0,     0,   422,     0,   962,     0,
       0,     0,   902,   902,     0,   962,   469,   647,   646,   644,
     648,     0,   545,   546,  1020,   936,   259,   260,   261,   264,
     303,   270,   265,     0,  1064,  1011,  1044,     0,     0,   696,
       0,     0,     0,     0,  1065,  1012,  1045,     0,     0,     0,
    1177,     0,   302,   303,   319,  1032,     0,   754,   755,   334,
       0,   356,   365,     0,   363,   337,   342,     0,   344,   343,
     338,   341,  1434,     0,   993,   993,  2675,  2676,  2677,  2678,
    2679,  2680,     0,   642,  1151,     0,     0,   395,   469,   437,
       0,   401,     0,   574,     0,     0,  1133,   379,   573,   627,
       0,     0,     0,   685,   381,     0,   477,     0,   380,     0,
       0,   467,     0,     0,     0,   465,     0,   462,     0,   466,
       0,     0,     0,     0,     0,   960,     0,   964,     0,   932,
     909,  1422,     0,   516,  2262,  2266,   994,   714,   716,   611,
     860,   867,   301,   783,   784,   785,   786,  1589,     0,     0,
       0,     0,  1646,     0,  1647,  1674,  1673,  1653,  1657,     0,
    1654,  1655,  1561,  1565,  1563,  1546,  1392,     0,     0,  1394,
       0,     0,  1396,  1398,     0,     0,     0,     0,     0,  1804,
    1683,  1362,  1364,     0,  1299,  1612,  1613,     0,  1334,  1683,
    2433,  2432,   219,  1719,  1424,  1270,   861,     0,   301,   899,
     469,   439,  1974,   440,   898,     0,   900,   905,   905,     0,
     469,   642,   538,   305,   313,     0,     0,   703,   691,     0,
       0,   710,     0,     0,     0,     0,     0,   301,   757,   324,
     351,   361,     0,   345,   993,     0,   990,   989,   640,     0,
     403,   402,     0,   448,     0,   572,     0,   573,   700,  1129,
     586,   629,   630,   625,     0,     0,   461,   457,   478,   385,
     394,   368,   419,   418,   415,   414,   416,   417,   412,   411,
       0,   467,   463,   464,     0,  1130,     0,  1179,     0,   893,
     963,     0,     0,     0,   511,     0,     0,   515,   506,     0,
    2264,   830,  1590,     0,  1591,     0,     0,     0,  1659,  1658,
       0,  1401,  1410,     0,  1397,  1395,  1386,     0,  1388,  1676,
    1678,     0,     0,  1691,  1610,   878,     0,   879,   902,   443,
       0,   901,   908,   908,   430,   642,   423,     0,   267,     0,
     694,     0,   705,   703,     0,     0,  1173,     0,  1174,  1175,
    1178,   321,   364,   988,   992,   991,     0,   434,   435,   436,
       0,   405,   444,   445,     0,   575,   599,     0,     0,     0,
       0,   465,   461,   392,   456,   366,  1131,  1132,   308,     0,
     962,   965,  1092,   514,   513,  2267,  2269,  2268,     0,  1592,
    1662,  1648,  1675,  1660,  1399,     0,  1387,     0,     0,  1687,
       0,     0,     0,     0,   905,     0,   642,     0,   896,   895,
     437,   425,   304,     0,     0,   701,   704,   692,   705,   712,
     711,     0,     0,     0,     0,     0,   446,     0,   447,   468,
     699,     0,   631,     0,   467,   465,     0,   467,   894,   910,
    1091,  1090,  1311,  2265,  1409,  1679,  1680,  2078,     0,  2053,
       0,  1689,  1692,  1690,  1684,   301,   908,     0,   427,   441,
     448,     0,     0,   693,  1176,   632,   453,     0,   452,     0,
     450,   449,   689,   635,   369,   467,   307,  1422,  1074,  1311,
    1073,  1075,  1083,  1080,  1082,  1081,  1079,     0,  1696,  1695,
    1694,  1698,  1697,   880,   897,     0,   642,   695,   702,     0,
     451,   455,   454,     0,   633,   636,   639,   637,   638,   367,
     884,     0,  1084,  1078,  1298,  1285,     0,   442,   428,     0,
     613,     0,  1076,  1311,  1693,     0,   634,  1077,     0,   635,
       0,   614
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4217, -4217,  3706, -4217, -1156,   270,  2278, -1056, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217, -4217,  2899,
   -4217, -4217, -4217,  1520, -4217, -4217,   -52,  1684,  2526,  1208,
   -4217, -1342, -4217, -4217,  -829,   218,  -972, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -1000,  1659,  1048,  3448, -2334, -4217,
   -1717, -4217, -4217,   485, -4217, -4217,  1608, -4217, -4217, -4217,
     928,  -275, -4217, -4217, -4217, -4217, -4217, -4217, -4217,    -5,
   -4217, -4217,  -444, -1767,  -105,   -73,  -310, -4217, -4217,   333,
    -313, -1670, -4217, -2944, -4217,   -37, -4217, -4217, -4217,  -311,
   -1656,  1140,  -947, -1367,  1446,  -595, -4217,  -203, -4217,  -643,
    -545,  -543,  -604,  -445, -3607, -3998, -3858, -2932,  1149, -4217,
   -4217, -4217,   352, -4217, -1766, -4217, -4217,  2216, -1603, -4217,
    -791, -4217, -4217, -4217, -2912, -4217, -4217, -4217, -4217,   -99,
   -4217, -4217, -4217, -4217,   391, -4217, -4217, -4217, -4217, -4217,
   -4217, -2702,  1578,  1579, -4217, -4217, -3572, -4217, -1164, -4217,
     527, -2939,  1076, -4217, -4217, -4217,  2240, -4217, -4217, -4217,
   -4217,   393, -4217,   392, -4217, -4217, -1806, -4217, -4217, -1765,
   -4217,  1593,   909, -4217, -4217, -4217,  -624,  -686,  -677, -4217,
   -3416, -4217, -4217, -4217, -4217, -4217, -1210, -4217,   961, -3054,
   -1199, -4217, -4217,   977, -4217, -4217, -4217, -4217,  -580,  -198,
    2269, -4217,  -487,  -561, -4217, -4217, -4217,  -195, -4217, -4217,
   -4217, -4217, -4217, -4217, -1941,  4353, -1775, -4217, -4217, -4217,
   -4217, -2146, -4217, -4217, -4217, -1809, -4217,  3974,     8,   102,
   -1764, -4217,  -200,   -97,  2765, -1362, -2639,   337,  -344, -4217,
   -1981, -4217, -4217, -4217, -2534, -4217, -4217, -4217, -4217, -3390,
   -1763, -4217, -4217, -4217,   383, -4217, -4157, -3812, -4063, -3222,
   -3367, -4217, -4217, -1304, -4217, -4217, -4217, -1609,  1772, -1689,
   -4217, -2315,   384, -3631,  -992, -3169, -4217, -3578,  -421, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -1307,  -859, -4217, -4217,
    3260, -4217, -4032, -4217, -4217, -4217, -4217,  1005, -4217, -1553,
    1046, -4217, -4217, -4217, -4217, -4217,  -566,  -646, -4217, -4217,
   -4217,   328, -4217, -4217, -4217, -4217,  2213, -1179,  -985,  3120,
   -1762,  -227, -4217, -4217, -4217, -4217, -2949, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217, -1446, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217,  1959,  1960,  -112,  -207, -4217, -4217, -1467, -4217,
    -812, -4217,  2200, -4217, -4217, -4217, -4217,  1291,   341,   417,
     -77, -4217, -4217,   211, -3314,   -66, -4217, -4217, -4217, -4217,
    -464,   -59, -4217,   667, -4217, -4217, -2775, -4217,   343,   -72,
    2834,  1544,   -76,   407,  -241,  -220,  -216,   -75,  3116,  2611,
   -4217, -4217, -4217,  -194,  1902, -4217, -1078,  -353, -4217,  1304,
    -901,  1938,  2598,  2600, -4217,  1297, -4217, -4217,  1305, -4217,
   -4217, -4217,  -898,  1944, -4217,  2603,  1963, -4217,  1289,  1298,
   -3299,   765, -3272,   275,  -846,  -274,  -141,  3154,  2613, -4217,
   -4216,   693, -4217, -3338, -2356,  2063, -2079, -1804, -4217, -4217,
   -1395, 12928, -4217, -4217, -4217, 14802, 17723, -4217, -4217, 18247,
   18956, -4217, -1237,   803, 19090, 11608, -1421, -1829, -1514, 16975,
     990,  1732, -2508, -4217, -4217, -4217,  -246,   815,   163, -4217,
   -4217, -4217, -4217,  -477, -2763,  -476, -4217, -4217, -4217,  -478,
   -3843, -1928, -4217,  -739, -4217, 17793,  1330, -4217, -1326, -2698,
   -2722, -1377, -1939, -4217, -4217, -4217, -4217, -4217, -4217, -4217,
   -2481, -3183,  -416,  1408, -4217, -4217,  1500, -4217, -4217, -4217,
   -1527, -1137, -2619,  1413, -2106, -4217, -1080,   711,  2075, -1035,
    6155, -1563, 14676,  -137, -2359, -1510, -1745, -4217,  -678, -4217,
    1864,  3539,  -864,  -160,  -866,  6039,  4075,  5009, -3038, -4217,
   -4217,   350, -4217, -4217, -4217,  3612,   966, -4217,  2948, -4217,
    1639,  2317, -4217, -4217,  1954,  -928,   -49, -4217,  -443, -4217,
    -125, -4217, -4217, -4217,   151, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217, -4217, -4217,  2634, -4217, -4217, -1436, -4217, -4217,
   -4217, -4217, -4217,  3876,  -288, -4217,  3326,  -283, -4217, -4217,
   -4217, -4217, -4217, -4217, -4217, -4217, -4217,  2636,  1984, -4217,
    3099, -4217, -4217, -4217,   -16,  2847, -4217, -4217, -4217, -1177,
    -577,  3121,  3124,  1956, -4217, -4217, -4217, -4217, -4217, -4217,
   -4217, -4217,  1961, -4217, -4217,  1395, -2087,  1965, -4217, -4217,
     739, -4217, -4217,   305, -4217,   741, -4217,  2741, -4217, -4217,
   -4217,   783, -4217, -4217, -4217,  -586, 12331,   -68,    47,   344,
     962, -4217,  8095,  6551,   -87,  2662,    22, 10717, 16788,     7,
   -4217,  3869,  1970,  1618,  -999, -4217,  2318,  2273, 15917, -4217,
    -990,   364,  1611, -4217,    -2,  -655, -1176,  2943,  -735, -1914,
   -4217,  4286, -4217, -3102, -4217, -1028,  3329, -1185
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   246,   247,  1689,  2554,  2442,  3215,  3216,   248,
     249,  1753,   250,   251,   252,   253,   254,   255,   256,  1702,
     257,   258,  1271,  1892,  2562,   259,  2328,  1052,  2201,  2202,
    2499,  2203,  2191,  1542,  1990,  1690,  1718,   261,   262,  1536,
    2183,   263,   264,   265,  1741,  1742,  1697,  1935,  4080,  4638,
    2429,  4737,  3066,  3067,   266,  1792,  1793,   267,   268,  3167,
    1831,  3169,  3170,  3687,   862,  2523,  4098,  4099,  3674,  3675,
    4105,  4373,  4374,   269,  1889,  3242,  3769,  3243,  4177,  3244,
    4178,  3245,  4179,  3197,  3733,  3734,  3735,  3246,  4183,  4578,
    3247,  2343,  1391,  2017,  2018,  4553,  3998,  3999,  4706,  4661,
    4662,  4663,  4770,  4185,  3253,  3779,  4190,  4401,  2977,  1911,
    2595,  3248,  3249,  4176,   270,   271,  2589,  1768,  1769,  2448,
    3693,  3308,   272,  1288,  3567,  4443,  4597,  4598,   273,   850,
     274,  1896,   275,   276,  2549,  3202,   277,  2352,  2986,   278,
     279,  3010,  3011,  3012,   280,   281,  3741,  4402,  1743,  3059,
    3060,  3061,  3062,  3604,   282,  1894,  1773,  2571,   283,   284,
     285,  2553,  3208,  3209,   286,   287,  2488,   288,   289,   290,
    1904,  2583,  2584,  4167,  4410,  4563,  4412,  4803,  4804,  4393,
    3552,  4011,   291,   292,   293,   294,  1875,  2542,  2543,  3694,
    1675,  1835,  2525,  2526,  3759,  3760,   295,   296,  4046,  4047,
     892,  4668,  4642,  4717,   297,   298,  4050,  4051,   299,   300,
     301,   302,   303,   945,  1338,  1339,  1681,   304,  2218,   305,
    1246,  3154,   306,  1426,  2721,  4226,   307,   979,  1363,  1364,
     308,   309,   990,  2704,   992,  2031,  3310,  3311,  3830,  2675,
    1175,   310,   311,  2685,  2707,   312,  1692,  2334,  2335,  3993,
     313,   893,  1916,  2598,  2972,  4588,  4000,  4322,  4517,  2895,
    3501,   314,   894,  1722,  2392,  2601,  3258,  3259,  2394,  2859,
    3791,  2396,  3260,  3265,  3266,  3267,  3787,  3795,  4437,  4438,
     315,  1720,  2385,   316,   317,   318,  1748,  1192,   319,   915,
     916,   320,  4546,   321,  1307,   322,  1010,  2047,   323,  2407,
    3590,   324,   325,   326,  4780,  4811,  4812,  4813,  3800,  4742,
     327,  4782,  1405,   329,   330,   331,   853,  1214,  1215,  1216,
     332,  4192,   333,   334,  2546,  3196,  3715,   335,   336,  2329,
    2962,   337,   338,   339,  1879,   340,   341,   342,   343,  1811,
     344,  1572,  1573,   345,   346,   857,  1070,  1576,  1584,   347,
     958,  1357,  1358,  1359,  1992,   348,  1409,  2696,   959,  1352,
     960,  2913,  3512,  3513,  3516,   961,  2910,   352,  2037,  2690,
    2693,   962,  2917,  2918,  2919,  2920,  2921,  3518,   963,   981,
    1298,  2609,   964,  1496,   357,   358,   359,  1079,  1074,  1075,
     361,  2161,  2849,   998,  1590,  1037,  1086,  3949,  2232,  2233,
    2253,  2254,  1599,  1600,  2243,  2245,  2897,  2246,  2906,  2238,
    3946,  4288,  2249,  2250,  1602,  1603,  2901,   362,  2853,  3446,
    3447,  3448,  3927,  3937,  4275,  4482,  3449,  1399,  1609,  3450,
    3455,  3510,  3233,  3234,  3235,  2397,  2533,  1857,  1497,  1858,
    2540,  1498,  2081,  1860,  1499,  1500,  1501,  1863,  1502,  1503,
    1504,  1505,  2065,  2124,  1506,  1507,  2100,  1118,  1119,  1977,
    2759,  1509,  1510,  3893,  4250,  4239,  2785,  2786,  2198,  3889,
    3398,  4494,  4619,  4620,  3957,  3954,  4292,  4498,  4702,  4751,
    4752,  1511,  2839,  2153,  1194,  1512,  3696,  2155,  2779,  2861,
    2862,  2313,  2063,  2726,  2742,  2743,  2756,  3359,  2763,  2768,
    3382,  3383,  2780,  2808,  1513,  2729,  2730,  3343,  2067,  1514,
    1565,  1566,  2169,  2803,  1579,  1580,  1072,  1515,  1516,  2032,
    1061,  4478,   708,   691,  3076,  2213,  1218,   995,  1517,  1518,
    1519,  1315,  1316,  1630,   653,   692,   693,  1156,   804,     2,
      75,   965,  3239,   366,   367,   896,   897,   898,  1290,  1291,
    1921,  1924,  1635,  2291,   657,   658,   709,  4205,  4444,  4600,
     951,   368,   369,   370,   371,  1631,  2287,  1120,    76,    84,
      77,  1121,   408,   409,  2269,   372,   821,   373,  1612,  1100,
    3524,   374,   375,   376,   377,   378,   948,   379,  1102,   380,
    1103,   381,   382,   383,   384,  1110,   385,  1614,  1615,  3986,
    1616,   386,   387,   695,   696,  1350,   388,   389,  1137,  1138,
    1382,  1383,  1641,  1656,  1657,  1658,   390,   665,   391,   392,
     393,  1647,  1648,   394,  2176,  2177,  2296,  2178,   395,  2934,
    2935,   396,  3481,  3482,  4299,  3483,   397,  2172,   398,   399,
    1064,  3529,   400,   817,   401,  1151,   697,   698,   699,  1158,
     807,  1023,   710,  1160,  3063,   809,   810,   701,   702,   703,
    2012,    78,  2942,  2013,  1521,   711,  1522,  2167,  1523,  1524,
    1525,  1526,  1527,  1664,   705,  1127,  1342,  1343,  2943,  1345,
      82,  1346,   405,  3708,  1980,  1384,  1998,  1999
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   350,   355,   360,  1078,  1087,   983,  1537,  1029,  1941,
     402,  1604,   351,  1949,  1610,   895,   402,  1989,  1268,   353,
    2226,  2425,  1676,  2020,   707,  1978,   983,  2640,   907,  1558,
     808,  2043,  2395,  1063,   713,  1772,  1809,  2342,  2538,  2215,
    1752,  1392,  1393,  2676,   891,   694,  1397,  2530,  1300,   402,
    1797,  1834,   957,  2075,  2076,  2403,  2102,  1135,  1888,  2054,
     944,  2644,  2470,  2471,  1550,  2501,  3326,  1906,  1323,  2404,
     855,  1320,  2091,   991,   808,  3078,   404,  1004,  1335,  3028,
    3030,  1060,   404,   694,   909,  1299,  1097,   662,  2867,   360,
    1360,  1098,  3585,   402,  2539,  3461,  3794,  3572,  1193,  1877,
     403,  2587,  1881,   899,   906,  1932,   403,  1885,  2276,  2278,
    2279,  1030,  2393,   906,  1890,   404,   851,  3599,  2887,  3601,
    2229,  3124,  2725,  1908,   812,  2563,  2564,  2565,  2566,  2567,
    2568,  3969,  3711,  4005,  3458,  3697,  1139,  1659,  1193,  1081,
    1089,  3517,   808,  1355,  1090,  3924,  1661,  1155,  3697,  2215,
     901,  3314,  3995,   906,  4154,  1176,  3456,  3457,  2636,   404,
    4200,   402,  4182,  1051,   805,  2460,  2761,  1974,   812,  2119,
    2320,  2599,  3406,  4159,   980,  1979,  2412,  3938,  3940,  1300,
    2761,  2270,  2270,  1719,  4421,  1598,  1250,  2004,  1601,  2925,
    4323,  1193,  4171,  1130,   980,  1691,  3974,  3218,  1767,  3871,
    1776,  2069,  2070,  1637,  1638,  1026,  3528,  1801,   805,  3363,
    2174,  1933,  1344,  1026,  1025,  1026,  1544,   411,   861,  1933,
    3363,  2466,  1025,  2477,  1025,  4593,  2088,   404,  2941,  2842,
    1699,    45,  2945,  1152,  1798,   407,   812,   411,  3785,  -135,
    1304,  3716,  3717,  3718,  3719,  3720,  3721,  1294,  -135,  1313,
    2406,  1905,   411,  -135,  2585,  3466,  1933,  2128,  3467,  3468,
    4518,    43,  2482,  3281,  3142,  3283,    45,  2801,  1407,  3469,
    3470,  3471,  1422,  3472,  3473,  2122,   805,  4589,  3474,  3475,
    3476,   411,  2131,  4114,   663,  1173,  4641,   852,  1650,   350,
     355,   360,  4321,  1140,  2216,    45,   260,  2796,  1619,  1259,
     351,  1828, -1808,  3522,  1873,  4043,   402,   353,  3165,  3573,
      35,  1651,  2133, -1487, -1487, -1487, -1487,  2673,    41,    42,
   -1487,  -354,  4723,   910,  1981,  3775,  1629,    37,    38,    39,
      40,  1084,  1700,  2534,    44, -1497, -1497, -1497, -1497,  2406,
    4608,   402, -1497,  3071,  3451,  4789,   411, -1705,  4654,    37,
      38,    39,    40,  4547, -1705,    43,    44,  1428,  1652,  2120,
      45,  1126, -1811, -1811, -1811, -1811,    79,   130,   131, -1811,
    1594,  1809,   404, -1487,  1822,  3163,  2035,  1210,  2994,  2836,
    4595,  -738, -1721,  2165,  1530,  2236,  2837,  2166,  1744, -1721,
    2801,  3086,   818,  3319,   819,  2686,   403,  2413,  1112,  4329,
    4044,  3451, -1497, -1497, -1497, -1497,   328,   404,   411, -1497,
     822,    37,    38,    39,    40,  2684,  1310,    43,    44,   349,
    3477,   354,    45, -2533, -2533, -2533, -2533,  4581,   365,  4326,
   -2533,   403,  1541,  2102,  3324,  2852,  1596,   411, -2533,  4048,
    1933,  3087,  4714, -2534, -2534, -2534, -2534,  2075,  2076,   823,
   -2534,  3176,  1943,  1113,  2091,  1934,  2535,  1950, -2534,  2672,
    3320,   806,  2677,  1934,  2679,  1211,  3341,  2682,  4790,  1068,
    1300,  2237,  1597,  2706, -2531, -2531, -2531, -2531,  1563, -1963,
    1816, -2531,  1564,  4655,   895,   356,  4045,  2162,  1680, -2531,
    1569,  3088,  1570,  1300,  1193, -2530, -2530, -2530, -2530,  4715,
    1934,  3573, -2530,  1212,  2424,   806,  3947,  1967,  3166,  2217,
   -2530,  2687,  4653,   664,  2508,  2512,  4609,  3569, -1487, -1487,
   -1487, -1487,  4738,  3072,  2992, -1487,  4596,  2207,  2208,  1174,
    1141,  2033,  2465,  1154,  4049,  1620,  2674,   822,  1098,  1133,
    1134,  1408,  1813,  1260,  1115,  3786,  2045,  3478,  1396,  1993,
    2586,  1213,  1818,  3143,  4038,   863,  1640,  1643,  2055,  1300,
    1124,  4810,  2478,  4571,  1747,  4704,   911,  1672,  1991,  2802,
    3697,   356,   899,   806,  4398,  2483,   823,  1874,  4425,  3089,
    4316,  1701,  4097,  4724,   260,  2530,  1969,  3989, -1482, -1482,
   -1482, -1482,  3479,  2215,  1943, -1482,  2058,   245, -2126, -2126,
   -2126, -2126,  4119,  2069,  2070, -2126,  1973,  1917,  2456,  2464,
    2458,  2088,  3545, -2126,  2504,   906,   906,  3375,  1646,   901,
    1131,  3013,  4440,  3032,  2528,  3372,  3373,  3374,  3375,  2500,
    4272,  3829,  2036,  1688,  4276,  1388,   977,   978,  2215,  2536,
    2123,  2036,  2866,  1874,   912,  2896,   913,  1563, -1482,  2665,
   -1705,  1564,  1077,  2175, -1454, -1454, -1454, -1454,  -135,  -135,
    1311, -1454,   820,  1126,  2414,  2152,  1132,  4330,  4310,  4231,
    1693,   977,  1628,  4734,  3179,  2524,  2415,  2159,  3090, -1963,
    1300,  2688,  2838,  3480,  1934, -1721,  3091,  1300,  1300,  3092,
    3363,  1167,  3426,  1699,   328,  2064,  3952,  4628,  1808,  2689,
     977,   978,  1200,  2257,  2372,  3027,  2258,   349,  2292,   354,
    1396,  3519,  3582,  1380,  3583,  1078,   365,  2187, -1467, -1467,
   -1467, -1467,  1571,  4675,  1817, -1467,  2416,  2097,  2384,  2728,
    1143,  3035,  1255,  3570,  2722,  2724,  1605,  4775, -1487, -1963,
    4510,  1069,  3960,  1943,  1180,  2732,  2098,  4520,  2735,   402,
    1361,  2336,  2128,   402, -1963,  3006,  2747,  2748,  2192,  1245,
    2099,  3363,  2204,  2204,  4128,  1653,  1654,  1088,  2993,  2765,
    2767, -2261,  1694,   356,  1084,  1139,  1380,  2131,  4150,  1296,
    2781,  2443,  3485, -1454,  1389,  1563,  1309, -1811,  3586,  1564,
    1091,  3663,  3664,  3315,  2097,  1700,  1974,  2840, -1494, -1494,
   -1494, -1494,  2277,  3491,  2648, -1494,  1362,  2133,  1368,  2345,
    1373,  2954,  2655,  2098,  4740,   404,  1377,  3014,  2658,   404,
    2380,  2338,  2963,  1163,   812,  3007,  3317,  2101,  4297,  2761,
    2761,  1163,   662,  2927,  2761,  2927,  4560,   662,  2339,  1368,
    1373,  2669,  1380,   403,  1356,  3608,   662,  1353, -2533,  2751,
    2752,  1806,  1639,  1126,  2579,   906, -1454,  1398,  3695,  1089,
    3609,     3,  1163,  1090,   805,  1092,  1082, -1286, -2534,  1430,
    3365,  3695,  3363,   662,  2761,  2761,  4774,   662,  3852,  4777,
     360,  1354,  3207,  4422,    37,    38,    39,    40,   662,  4203,
    2439,    44,  2964,  1115,  4064,  3977,  1367,  2336,  1372, -2531,
    2064,  1349,  3872,  2381,  4787,   906,  1297,  1111,  1386,  4151,
    1695,  2395,   662,  2337,  2160,  2374,  1163,  4809,  2841,   410,
   -2530,  2379,  1398,  4423,  1083,  1163,   662,  1401,  1403,  2580,
     662,    37,    38,    39,    40,  3614,  3451,  4026,    44, -1286,
     662, -2535,  2593, -1487,  4486,    81,  4488,  3463,  3792,  3464,
    2160,  2647,  1608, -2261,   662,  1642,  1552,  1574,  1380,  4671,
    4680,  3587,  2911,  2340,  1723,  2446,  2596,  2338,  2449,  2450,
    1696,  3009,  1112,  4824,  4479,  4741,  1366,  4549,  1371,  4483,
    2120,  3316,  4485,  3496,  2339,  4666,  3588,  2460,  1084,  2892,
    1126,  1540,   694,  2680,  2681,  1548,   402,  4476,  1807,  3658,
    4172,  2670,  3661,  3662,  4028,   813,  3665,  1400,  1402, -2261,
    1193,  2348,  1418, -1482,  3318,   814,  3672,  4766,  4387,  4388,
    4389,  4390,  4391, -2126,  1381,  1534,  3796,  1113,  2509,  2671,
    1114,  3794,  3115,  1704,  1381,  1163,  1781,  3615,  4001,  3722,
    4065,  1026,  3006,   662,  3488,  1026,    37,    38,    39,    40,
    1025,  1093,  3365,    44,  1025,  2341,  2818,    37,    38,    39,
      40,  2593,   404,  3116,    44,  4735,  3199,  2513,  2893,  1163,
    2534,  1369,  3006,  2560,  1782,  1374,  1375,  1376,  2619,  2074,
   -1286,  2330,  3725,   712,  1786,  1387,  1568,  2628,   207,  2625,
    1787,  2331,  3117,  3370,  3371,  3372,  3373,  3374,  3375,  2635,
    1085,  3797,  4739,  2581,  3747,  4636,  2332,  1750,  3366,  2340,
    3109,  3305,  3007,  1796,   815,  2582,  3110,  4626,  1115,  1360,
    3017,  2514,   411,   949,  2594,    37,    38,    39,    40,   662,
     662,    43,    44,  1428,  1652,  1112,    45,  1381,  1594,  4029,
    1136,  3990,  3007,  2080,  3183,  2561,  1183,  1184,  1185,  4617,
    1186,  1187,  1188,  1189,  1190,  1191,  1553,  2149,  2150,  2151,
    2152,   806,  1897, -1454,  3370,  3371,  3372,  3373,  3374,  3375,
     214,  3008,  2651, -1286, -1454,  3616,  2074, -1454,  1680, -1454,
    2819,  2875,  4173,  1395,  2820,  4614,  1788,  4416,  4291,  1919,
    1113,  1065,  4572,  2535,  1104,  4767, -1289,  1874,  4295,   222,
    1898,  2341,  2273,  3018,  1596,  4309,  3617,   856, -1286,  1193,
    4396, -1286,  3111,  1116,  1105,  3729,  1554,  4403,  1163,  4711,
    2821,  1783,  3200, -1494,  1106,  3960,  1751,  1084,  1163,  3798,
    -157,  1418,  1117,  2754,  2333,  3618,   232,  4294,  4030,  4801,
    4573,  4031,   816,  4407,  4285,  1006,  3748,  4574,   235,  3580,
    1872,  3730,  4657,  2611,  1078,  -157,  3032,  4426,  3009,  1396,
    2348,  4768,  2617,  3118,  3731,  4708,  4709,  2274, -1289,  4427,
    4008,  3367,  3368,  3369,  4575,  3370,  3371,  3372,  3373,  3374,
    3375,  1115,  2912,  1163,  4769,  3134,   360,  3799,  3009,  4524,
    4758,  1787,  1995,  3695,  1997,  4632,  4633,  2001,  3201,  2003,
    4219,  3991,  2006,  2007,  2008,  3697,  1784,  1659,  4561,  2125,
    -571,    79,  1901,  3279,  4110,  2015,  1661,   858,  3284,   662,
    4417,  1007,  2275,  1107,  1789,  3825,  1688,  2128,  2038,  3992,
    2039,  2424,  1902,  4533,   662,  4562,  2822,  2395,    81,    81,
    1285,    81,  4009,  3732,  4576,  1035,  1176,  1899,  1430,  1163,
    3112,  3363,  2131,  1193,  1528,  1790,  2163,   662,  1349,   971,
    4111,  4658,   356,  1077,  3225,  3226,  3227,  3228,  3899,  2222,
    2230,  2231,  4802,  2235,  1090,  1090,  2536,  1090,  2307,   972,
    4818,  3113,  2133,  1098,  1791,  1108,  3093,  1788,  2349,  4794,
    1829,  1830,   997,   662,  4521,  2537,  4010,  4430, -1915,  3843,
    4490,  3339,  3464,  3540,  1139,  4431,  1872,  4170,   662, -1289,
    3114,  1588,  3275,  1115,  1529,  3983,  3492,  3581,  4428,  1430,
     662,  3451,  3363,   662,  4659,  3451,    37,    38,    39,    40,
    1210,  4534,  1900,    44,  1163,  3093,  2761,  2701,  1036,  2761,
    2761,  2761,  2761,  2761,  2761,  2761,  2761,  2761,  2761,  3390,
    4208,  1109,  4209,  2563,  2564,  2565,  2566,  2567,  2568,  1957,
    1348,   411,  1163,  2350,  1994,  1608,  4551,  1996,  2889,  2761,
    2000,  2872,  2002,  1005,  2515,  2005,  1903,  2214,  2274,  2009,
    3415,  1632,  4756,   694,   694,  3817,  1088,  1008,  1009,   971,
    1163,  1163,  1286,  1163,  3562,  2930,   402,  1958,  2761,  2761,
    1662,  2997, -1289,  4577,  1589,  2240,  2156, -2535,   859,   972,
    1163,  3794,  2516,  1943,  4088,  2119,  2179,  2180,  1211,   971,
    4091,  4092,  4093,  4094,  4095,  4096,  4495,  4496, -1947,  1031,
    4594,  3365,  3563,  2275,  3776,  2181,  3034, -1289,  1756,   972,
   -1289,  1653,  1654,  1632,   662,  2975,  1287,  2195,   402,   402,
     402,   662,   662,  2128,  2241,  4432,  1212,   952, -1964,    35,
     411,  1163,   404,    37,    38,    39,    40,    41,    42,    43,
      44,   812,  2437,  2344,    45,  1926,   953,  4148,  4629,  2239,
   -1915,  4452,  1735,  2971,  1757,   694,  1034,  3366,  4635,   822,
    1163,  1770,  4327,  2214,  1163,  1163,  2182,  2976,   402,  3931,
    2345,  1926,  3365,  2368,  1213,   402,  3930,   954,  2133,  3551,
     822,   805,   402,    80,   404,   404,   404,  4665,  2289,  3119,
    2240,  1193,  2097,   971,  1115,  1927,  4673,  3932,   823,  1754,
    1430,  1650,  2438,  3363,   662,  -892, -1915,  3183,  4149,   403,
     403,  2098,  4278,   972,  1959,  3855,  2939,  3856,  3120,   823,
    3900,  2650,  3934,  4328,  1651,  4332,  4333,  3097,  3366,  2517,
    1755,  1758, -1989,   805,   404,  3100,  2276,  3102,  2189,  2241,
    2975,   404,  1872,  3931,  4506,  2987,  4508,  4700,   404,  3564,
    2451,  1176,  3460,  1677,  4684,  1026,  2196,   812,   403,  4233,
    3561,  4234,  2409,   874,  1025,  2311,    37,    38,    39,    40,
     661,  3932,  4701,    44,    79,    79,  1759,    79,  1760,  1058,
   -1947,  2451,  1026,  1928,  1678,  1771,  3933,  2282,  2459,  1872,
    2283,  1025,  3548,  1632,   411,  2197,  3934,   805,  2346,  1960,
    2147,  2148,  2149,  2150,  2151,  2152,  4624,  1300,    45,  1928,
   -1964,  3824,  2410,  1679,  2518,  1872,  1762,  3936,  3935,   876,
    3367,  3368,  3369,  1846,  3370,  3371,  3372,  3373,  3374,  3375,
    1929,  3857,  3828,   900,  3565,  3451, -1947,  4480,   356,   917,
    3451,  3858,  1300,  3451,  3269,  2190,  1682,    37,    38,    39,
      40,  4532,  3047,  1764,    44,   214,  1929,  2544,  3555,  1546,
    3121,  2418,   662,  4020,  1026,   996, -1964,  2761,   122,  3829,
    3049,  2614,  2452,  1025,  2453,  4006,   402,  1683,  2284,  3292,
    2185,  4001,  1872,  3365,   222,  4235,   126,  1766,  2889,  3122,
    4008,  3936, -2535, -2535,  4383,  3370,  3371,  3372,  3373,  3374,
    3375,  2527,  3048,  2452,  2406,  2453,  1684,  1594,  1930,  2062,
    1430,  1595,  2411,  3363, -1989,  1071,   214,  2314,  3574,  1872,
    3050,   232,  4384,  2703,    37,    38,    39,    40,  2078,  1685,
    4656,    44,  3756,   235,  1930,  3504,    74,  2426,  2494,  3366,
    4027,  4032,   404,  1356,  1080,   222,  4298,  1872,  2315,  2866,
    4126,   812,   883,  1280,   884,  1094,  3486,  3307,  2105,   662,
    1686,  1019,  4009,  4481,   207,  2691,  3611,   245, -2325,  2495,
   -1989,  1057,  2117,  1596,  1280,   662,   889,  2316,   806,   360,
    1101,  1281,   232,  1632,  2427,  2428,  1795,  1632,  1632,  1687,
     207,   805,  2653,  3417,  2654,  3418,  4001,  3612,  2656,  1163,
    2657,  2882,  3754,  2659,  2462,  1872,  1098,  2660,  1163,  1597,
     662,   662,     8,  4367,  4368,  1796,  4010,  3419,  2424,   662,
      37,    38,    39,    40,  1282,  2702,  3613,    44,   245,  2128,
    2720,   662,   662,  3835,  3432,  3873,  3874,  2697,  2700,   360,
      81,  2761,  2761,    81,  1430,  1282,  3451,  3363,  2698,   977,
    1628,   971,  3179,   662,  2131,  2699,  2097,  2809,  3532,  2810,
    1688,  1136,  2285,  2097,    43,  2866,  3179,  1088,  1088,    45,
    1088,   972,  3364,  3523,  1142,  2098,  4523,  3297,  1300, -1333,
    2496,  2811,  2098, -1333,  2133,  3153,  1688,  2303,  2305,  2099,
    3230,  2497,  1163,  3365,   806,  3231,  2101,  3839,  3695,  4537,
     982,  3329,  3367,  3368,  3369,  3331,  3370,  3371,  3372,  3373,
    3374,  3375,  3736,  2799,  3420,  2498,  4558,  3906,  3336,  3421,
     982,  2457,  2646,   914,    37,    38,    39,    40,  1163,  1163,
    2170,    44,   402,  2171,  4755,    45,  1163,  3879,  4252,  1163,
    1632,  4311,  1163,  3188,  3207, -1333,  1632,  2745,  2898,  3366,
    1163,  1163,  1563,  2204,  1193,  1964,  1564,  2426,  1163,  1153,
    4251,  1163,  1163,  1163,  1163,  2395,  3648,  1168,  4066,  3537,
    3538,  1163,  1163,  2812,  1163,  1965,  1163,  1163,  2813,  1574,
    1163, -1333,  4180,  2814,  4822,  1179,  3649,  4823,  4067,  1300,
    1632,  4590,  3189,  1632,  1632,  1975,  1872,  1163,   404,  1976,
    3838,  2965,  1163,  2968,  2427,  2428,  1163,   812,  2127,  1208,
    1163,  2128,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,   402,  1163,  2086,  2087,  3497,  3554,  3365,  1163,  4129,
    2558,  1163,  1585,  2010,  3422, -1286,  2131,  1430,  2424,  1777,
    3363,  4001,  2132,  3423,  3452,  2266,  2267,   805,  2588,  2467,
    4003,  4004,  1202,  1632,  2914,  3183,  2011,  4258,  3626,  2959,
      37,    38,    39,    40,  2607,  2608,  2133,    44,  3190,  3191,
    1778,   402,  1209,   402,  1779,    37,    38,    39,    40,  2904,
    2905,  3192,    44,  3366,   868,  2426,    35,   404,   806,   874,
    4538,   411,  1163,  1254,    41,    42,  1975,  3629,  2815,  1780,
    2643,  3452,   900,  4107,  2214,  4109,  1249,  2816,  4112,  1252,
    4113,   403,  3367,  3368,  3369,  1269,  3370,  3371,  3372,  3373,
    3374,  3375,  1126,   402,  1275,  2128,  3193,  1283,  4213,  4214,
    4215,  3584,  2427,  2428, -1357, -1357,  2074,   404,  2321,   404,
      35,   411,  3752,  2787,  1284,   876,  2790,  1144,    41,    42,
    2131,  1430,  2493,  3337,  3363,    45,  1289,  3338,   662,  1145,
    1146,   403,   874,   403,  3712,  4132,  2424,  2266,  2923,  3231,
    2135,  4259,   411,  3084,  2761,  1292,    81,  1809,    81,  1147,
    2133,  -886,  1148,  2761,  1306,   662,  3943,  1321,  2426,   404,
     662,  2136,  2137,   662,  1261,  1563,  1262, -1811,   812,  1564,
    2761,  2761,  1330,  1300,  4104,  1300,    79,  3068,  1336,    79,
    3194,   824,  3195,  3261,   947,   662,  1163,  3746,   876,  3749,
    3365,  1163,  1351,   402,   130,   131,   402,  1163,  3389,   860,
    3391,  3392,  1705,  1394,  2140,  2427,  2428,  1390,   805,  3015,
    3737,    45,  3739,   946,   662,  3251,  3252,  2141,  3948,  3950,
    3370,  3371,  3372,  3373,  3374,  3375,  1404,  1872,  3221,  3499,
    3500,   356,  1872,  1872,  1706,  1415,  1300,   662,   662,  2424,
    4116,  4117,  4544,  1872,  1410,  2426,  3366,   659,   883,  1082,
     884,   952,  4453,  4454,  4455,  4456,  2215,  2048,  2049,   404,
     662, -1334,   404,  1032,  1416, -1334,  1149,  1264,   812,  1265,
     953,   812,   889,  3789,  3497,  2136,  2137,  3505,  3506,   662,
    3094,  1417,   662,  4225,  4122,  4123,  4124,  3497,  -377,  1707,
    2866,   356,  2427,  2428,  1984,  3222,  1985,  1418,  1419,   662,
    3834,   954,  1420,  1150,  3365,  1421,   662,  1083,   805,  1424,
    1247,   805,  1425,  4502,   806,  2061,  1427,   245,  2140,   662,
    1708,   883,  1551,   884,   984,   191,  2424, -1334,   662,  3094,
    4024,  4086,   886,  1549,  2220,  2074,  2221,  2321,  1555,  1556,
    4357,  4358,   888,  4360,   984,   889,   214,  1557,  3465,  3262,
    4436,  1562,    37,    38,    39,    40,  2223,  1575,  2224,    44,
    3366,  1583,  2074, -1334,  1680,  1301,   917,  1163,  4256,  1872,
    2761,  1084,  2645,  1582,  2646,   222,  1585,  4778,   191,  1586,
    1592,  3840,  2807,  1606,  2147,  2148,  2149,  2150,  2151,  2152,
    1607,  2666,  3094,  2667,  1617,  4240,  3094,  1618,    80,    37,
      38,    39,    40,   214,  1611,  1078,    44,  1613,  1621,  3367,
    3368,  3369,   232,  3370,  3371,  3372,  3373,  3374,  3375,  2668,
    2694,  2667,  2695,  4201,   235,  1622,  3094,    37,    38,    39,
      40,  4646,   222,  4648,    44,  2888,  1623,  2889,  1872,  1624,
    2947,   662,  2695,  1625,  3025,   207,  3026,  1627,  3080,  3263,
    3081,  3930,  1626,  1126,  1406,  1712,   214,  4134,   245,  2074,
    1665,  2321,  1713,  4120,  4121,  4122,  4123,  4124,  1176,   232,
    1796,  1633,  3171,  4386,  3172,  3184,   662,  3185,  1715,   214,
    1634,   235,  1423,  1085,  1163,   222,  1716,  3299,  1636,  2667,
    1632,  1531,  3441,  3442,  3443,  1543,  1301,  1545,  2147,  2148,
    2149,  2150,  2151,  2152,  4136,   806,  1666,   356,   222,  1668,
    1662,  1078,    79,  1674,    79,   245, -1085,  1698,  3931, -1085,
    1680,   662,   232,  3367,  3368,  3369,  1703,  3370,  3371,  3372,
    3373,  3374,  3375,  1872,   235,  3396,  1717,  3436,  1721,  3437,
    3264,  3403,  1747,   662,  1725,   232,  3932,  1163,  1749,   955,
    1726,  1163,  1785,  3335,   402,  2646,  3345,   235,  2646,  1794,
     402,  3933,  3348,  1803,  2646,  1163,  1163,  1804,  4779,    35,
    3352,  3934,  2646,    37,    38,    39,    40,    41,    42,  3353,
      44,  2646,   661,   661,  4379,  1805,  3379,  1663,  2646,  2709,
    1727,   956,  3438,  3935,  3439,  1163,  1163,  3395,  1810,  2646,
    1163,  4372,  3400,  4180,  3401,   806,  3452,  3602,   806,  3603,
    1812,  1814,  1163,  1163,  1163,  1163, -1458, -1458, -1458, -1458,
     404,  1819,  3606, -1458,  3607,  1163,   404,  1824,  1163,   812,
    1163, -1465, -1465, -1465, -1465,   812,  2710,  1833, -1465,  1728,
    1163,  1163,  1836,  3743,  1163,  3744,  1729,  1826,  1878,  1730,
    1300,    74,  1632,  2697,  2700,   360,  3677,  1163,  1688,  1163,
    1632,  1880,  1632,  1163,  2698,  3773,  3936,  3774,  1882,   805,
     982,  2699,   982,  2736,   982,   805,  3783,  1874,  3784,  1163,
     982,  1378,  1379,  3844,  1891,  2646,  2711,  3880,  -174,  3881,
    1163,  1895,  1163,  1163,  1163,  1907,  3890,  3678,  3891,  4460,
    1832,  1731,  1893,   982,   982,  1676,   838,  1915,  3452,  3497,
    1923,  3902,   662,  2646,  1931,  2712,  1163,  3975,  1936,  3976,
    2713,  3679,  1937,  4160,  4161,  4106,  3979,  1938,  3980,  1163,
   -1456, -1456, -1456, -1456,  1163,  1940,  3680, -1456,  2737,  1939,
    3681,  1163,  4007,  4436,  2667,  1942,  1943,  1163,  4120,  4121,
    4122,  4123,  4124,  1948,  4610,  1732,  4125,  1733,  3682,  4100,
    4257,  4101,  2695,  4318,  4610,  4319,  2714,  1734,  1953, -1459,
   -1459, -1459, -1459,  3683,  1705,  1735, -1459,  1951, -1457, -1457,
   -1457, -1457,  4369,  1952,  1736, -1457,   662,  1301,  1954,  3722,
    4307,    80,    80,  2738,    80,  3723,  2739,  4324,  1956,  2667,
    4491,   662,   662,  1961,  1962,  3724,  1706,  1163,  1963,  4325,
    1301,  2667,  4418,  4650,  4419,  1737,  4462,  1968,  4463,  1738,
    4464,   982,  2646,   662,  1982,  1591,  1872,  1593,   402,   402,
     402,  4472,  3725,  2695,  3726,  4541,  4555,  4542,  4556,  4591,
    1655,  4592,  2016,   838,  1739,  4604,  2044,  2695,  3684,  1705,
    4543,  4611,  4616,  2889,  3763,  2040,  3685,  2046,  4618,  4776,
    3763,  1707,  2050,  2052,  1872,  1872,  4674,  1872,  2184,  4678,
    4689,  4679,  2695,  2053,  2715,  4216,  1301,  4690,  2060,  3401,
    2716,  1706,  1632,   982,  2740,  4691,  4694,  2646,  2889,  3686,
    4695,  4696,  1708,  3763,   404,   404,   404,  4713,  2059,  2695,
    1740,  2068,  2071,   812,   812,   812,  3727,  4719,  2717,  2695,
    4720,  2072,  2695,   662,  4744,  2073,  2889,  1872,   245,  1872,
     662,  3676,  4603,  4820,  4831,  4821,  4821,  2718,  4277,   662,
    4280,  2077,  2079,  2082,  2083,  2084,  1707,  2085,  2544,  2090,
     402,  2092,  2093,   805,   805,   805,  2157,  2094,  2121,  4303,
    2095,  2719,  2096,  3766,  2103,  2104,  2106,   402,  2126,  2107,
    3728,  2108,  2109,  1872,  2110,  3729,   806,  1708,  2164,  2111,
    2112,  2113,   806,  2188,   895,  2184,  2199,  4606,   662,  2741,
    1380,  2209,  1709,  2219,  1872,  2228,  1595,  1597,  4639,  3804,
    2255,  2263,  4644,  4645,  2265,  2272,  1115,  1301,  2280,  2286,
    2194,  3730,  2288,  3767,  1301,  1301,   404,  2290,  2299,  2298,
    3689,  1872,  2301,  1710,  3731,   812,  2306,   207,  3780,  2308,
   -2477,  1711,  2310,   404,  1872,  2317,  2318,  1712,  2319,   906,
    2321,  2322,   812,  1078,  1713,  2323,  2324,   662,  3803,   662,
    4372,  2351,  1714,  1078,    74,    74,  4399,    74,  2325,   662,
    1715,   662,  2326,  2117,  2347,   805,  2373,  2375,  1716,  2376,
    4643,  2378,  4640,   982,  2377,   906,  2399,  2807,  4505,  1193,
    2400,  2406,   805,  2408,  2418,  2419,  2422,  1300,  1632,  2421,
    2430,  2423,  3916,  3917,  3918,  3919,  3435,   661,  1872,  2353,
    2424,  3452,   207,  3732,  2383,  3452,  1711,  2431,  2432,  3445,
     662,  1872,  1712,  2440,  2433,  2434,  2441,  2444,  1717,  1713,
    2445,  2447,  2454,  2455,  1872,  2461,  1735,  1796,  2468,  2469,
    2479,  2480,  2354,  2481,   984,  1715,   984,  2484,   984,   662,
    2506,  2485,  2490,  1716,   984,  2355,  4699,   356,  2492,  2519,
    2507,  2521,  2522,  2529,  1163,  2531,  2064,   662,  2356,  2532,
    2074,  2545,  3885,  2548,  2551,  1856,  3445,   984,   984,  1077,
    2080,  2552,   662,   870,    35,   662,  2556,  2557,  1771,  2248,
    2573,   402,    41,    42,  2578,  2591,  2592,  2597,  2600,  1163,
    2602,  2603,  1872,  1717,  2604,  2610,  2357,  2621,  1163,  3211,
    2622,  2623,  2637,  2624,  1163,  2638,  1163,  2662,  2663,  2678,
    2683,  1872,  1163,  2692,  2705,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  2358,  2727,  2728,  1163,  1163,
    2359,  2769,  2463,  2770,  2782,  2788,  1872,  2128,  2792,  4580,
    2793,  1163,  2800,  2825,  2868,  1163,  2806,   404,  2852,  1163,
     806,   806,   806,  2823,  2871,  3086,   812,  2869,  2900,  1163,
    2874,  2876,  1163,   982,  1163,  2879,  2880,   982,   982,  2890,
    4623,  1083,  1872,  1163,  1163,  1163,  2899,  2909,  2891,  1163,
    2903,  2929,  1163,  2931,  2932,   984,  2174,  2946,  2948,  2949,
    2950,  2961,  1163,  2966,  2969,  2971,   805,  2979,  2973,   659,
     659,  2974,  1163,  2985,  1660,  3087,  3002,  4797,  2982,  2988,
    1163,  4513,  1163,  3005,  4058,  3016,  3075,  3023,  3079,  3070,
   -1298,  2042,  3021,  3082,  3083,  2360,  3123,  3140,  3144,  3141,
    3136,  3145, -1298,  3146,  3148,  3149, -1298,  3152,  3162,  4527,
    2281,  3150,  1379,  3151,  3164,  3173,  3168,   984,  3175,  3178,
    3212,  3179,  3180,   838,  2569,  3088,  3181,  1163,  3186,  3205,
    2295,  3210,   806,  1163,  3217,  3223,  3229,  2302,  2304,  1163,
    3068,  3236,  4039,  3232,  3237,  3238,  3254,  3256, -1298,   806,
    3268,  3274,  3271,  3272,  2361,   402,  3273,  1632,  3276,   402,
    2362,   402,  3277,  2363,  1163,  3285,  3288,  3290, -1298,  3291,
    1632,  3301,  3302,  3295,  3303,  3313,  2706,  2889,  3306,  3321,
    3325,  3304,  1396,  3327,  3332,  3346,  3330,  3333,  2364,   662,
     982,  3347,  3350,  3349,  2365,  3351,   982,  3354,  3355,  3357,
    3385,  1193,  3360,    80, -1298,  2646,    80,  2366,  3397,  3411,
    3416,  3431, -1298,  3089,  3378,  3452,  3384,  3386,  3454,  3387,
    3452,   404,  3394,  3452,  3497,   404,  1872,   404,  3409,  1193,
     812,  2367,  3410,  3424,   812,  3459,   812,  3434,  3460,  3462,
     982,  -932,  3509,   982,   982,  3515,  3511,  3525,   652,  3521,
    3213,  3526,  3530,   662,  3531,  1975,   662,  3536,  3539,  3541,
    3527,  3452,  3542,  3550,  3578,  3571,   356,  3557,  3579,  3624,
     805,  3591,  3593,  3631,   805,  3630,   805,  3625,  3628,  3632,
    3546,   356,  3547,  3633,  3634,  3637,  3635,  3636,  3214,  4526,
    3638,  3639,  3641,  3640,   662,  3643,  1300,   984,  3642,  3644,
    3650,   356,  3645,   982,  3652,  3654,  2477,  4710,  3660,  3666,
    2744,  3667,  3090,  3668,  3700,  3669,  1632,  3670,  3713,  3671,
    3091,  3701,  2283,  3092, -1298,  1176,  3740,  3709,  3714,  3751,
    3753,  3755,  3261,  3762,  3763,  3768,  3777,  3801,  3778,  3809,
    3811,  3820,  3821,  1163,  3822,  3772,  3771,  3781,  3831,  3823,
    3826,  1705,  3832,  3833,  3842,  2061,  3847,  2042,  3381,  3363,
    3380,  2122,  3876,   806,  3803,   662,   662,  3361,  3362,  1872,
    3261,  3877,  3377,  3904,  3929,  3878,  3452,  3884,  3913,  3905,
    3892,  3942,  1563,  1706,  3951,  1585,  1564,  3945,  3961,  1705,
    3963,  4707,  3962,  3971,  3994,  3964,  3967,  3968,  4012,  4022,
    4014,  4015,  1872,  1163,  1163,  4023,  4025,  2605,  4040,  3985,
    4033,  4041,  3412,  3413,  4314,  4042,  4052,  4053,  4054,  4063,
    4079,  1706,  4028,  4089,  2873,  4090,  3452,  4055,  4152,  4056,
    2436,  4057,  4083,  4087,  3793,  4163,  4165,  4166,  1707,  4144,
    4118,  4175,  4156,  4184,  4188,  4168,  2760,   662,  2667,  4312,
    4189,  4169,  4191,  4198,  4199,  4202,    74,  4204,  4206,    74,
    2783,  2117,  4217,  1163,  4212,  4220,  4221,  4222,  4223,  1708,
    4224,  3923,  4229,  4232,  4241,  4242,  1707,  4236,  4243,  4237,
    4245,  4244,  4271,  4249,  4273,  4281,  4286,   984,  4287,  4269,
    4338,   984,   984,  4274,  4284,  4304,  4308,  2505,  3262,  1163,
    4289,  4313,  4290,  4315,  4336,  4320,  4321,  1708,  4337,  1163,
    1163,  1193,  1872,  4335,  4343,  4350,  2042,  1163,  1163,  4305,
    4361,   661,  1163,  1872,  4353,  4366,  4370,  4385,  1163,  1163,
    4377,  4392,  1163,  4400,  4404,  4382,  3262,  1663,  4405,    80,
    4409,    80,  4411,  4433,  4420,  4450,  4442,  1163,  4424,  4458,
    4466,  1163,  3465,  4434,  4459,  4461,  2733,  2734,  4468,  4477,
    1163,  4493,  2547,  4470,  2746,  1163,  4469,   806,  2749,  2750,
    4471,   806,  4484,   806,   659,  4487,  4507,  1163,  4497,  4536,
    4519,  4535,  4499,  2771,  4503,  2772,  4545,  4529,  4394,  4522,
    4552,  4530,  1632,  4151,   207,  4554,  4565,  4564,  1711,  4567,
    4568,  4570,  4582,    81,  1712,  4583,  4584,  2794,  4585,  2795,
    4586,  1713,  4733,  1545,  4599,  1163,  4607,  4613,  4622,  1796,
    2613,  3452,  1084,  4630,  4637,  4660,  4664,  1715,  4667,  4682,
    1872,  4670,   207,  4676,  3676,  1716,  1711,  4677,  4683,  4688,
    4692,  4693,  1712,  4697,   984,  4698,  4703,  4705,  4716,  1713,
     984,  1872,  4641,   402,  4722,  4761,  4725,  1796,   662,  2295,
    1632,  4731,  4721,  1872,  1969,  1715,  4727,  4736,  3953,    35,
     662,  4754,  4759,  1716,  4757,  4762,  2285,    41,    42,  4765,
    4723,  4724,  4773,  2127,  4788,  1717,  2128,  4800,  4816,  3264,
    3793,  4819,  1096,  4825,   984,  2491,  1724,   984,   984,  3220,
    2206,  1872,  3489,  2129,  4829,  3589,  2130,  4406,   402,  3126,
    3074,  2131,  4037,  3135,  4539,  3673,  4371,  2132,  4652,   404,
    4415,   662,   982,  1717,  4566,  4186,  4569,  3264,   812,  4397,
    3544,  2127,  4579,  3300,  2128,  4760,  4511,  4796,  4728,  4726,
    4771,  2133,  4672,  3549,  3155,  2590,  4187,  4155,  3203,  3204,
    4036,  2129,  3155,  3600,  2570,  4157,  4158,   984,  3187,  2131,
    3758,  4799,  1163,  4830,  4826,  2132,  3710,  4828,   805,  3688,
     982,  4772,  4528,   363,   404,  2555,  4718,  4763,  4531,   363,
    1001,  2034,  4625,   812,   655,  4194,  4218,  3029,  4195,  2133,
    1655,  4681,    74,  3651,    74,  1302,  4781,  4827,  1559,  4559,
    2884,  3494,  2885,  4174,  3224,  2652,  3981,  4306,  1983,  1581,
    1632,  2797,   363,  2225,  3296,  3495,  2908,  1872,  2252,  2251,
    3507,  2907,  3503,   805,  2902,  2256,  3520,  3508,  3255,  3925,
    4279,  4615,  3896,  3982,  1301,  4605,  3886,  1567,   662,  2259,
    4745,  2134,  4746,  4753,  3498,  2135,  3978,   356,  3429,  3342,
    1163,  3427,  4504,  1129,  1872,  2851,   363,  3802,  2127,  1163,
    1925,  2128,  2606,  3270,  2933,  4743,  2136,  2137,  2264,  1301,
    2924,  1099,  2271,  1673,  2041,  1644,  1163,  1163,  1645,  2937,
    1163,  2138,  2940,  3484,  2938,  3987,  2131,  4296,  3988,  2134,
    2173,  1163,  2132,  2135,  3966,  1347,  1163,  1122,  2268,  1163,
    2944,  3298,  1021,  1972,  1163,  1163,  2139,  2664,    83,  2140,
    1021,     0,  1021,     0,  2136,  2137,  2133,     0,     0,     0,
       0,     0,  2141,     0,   363,  2142,     0,     0,  1385,  2138,
       0,   662,   982,   662,     0,     0,     0,  1163,  2127,     0,
     982,  2128,   982,     0,     0,     0,     0,  4300,     0,     0,
       0,     0,     0,     0,  2139,     0,  3445,  2140,  1725,     0,
    3445,  1872,     0,     0,  1726,  1163,  2131,     0,     0,    79,
    2141,     0,  2132,  2142,  3854,     0,     0,  3859,  3860,  3861,
    3862,  3863,  3864,  3865,  3866,  3867,  3868,     0,     0,     0,
       0,     0,     0,  1177,     0,     0,  2133,  2143,  1196,     0,
       0,  1163,   356,     0,  1727,     0,     0,  1206,     0,     0,
       0,     0,     0,     0,     0,     0,  2134,     0,     0,     0,
    2135,  3182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1263,     0,  3908,  3909,  1270,     0,
       0,  2136,  2137,     0,     0,  2143,     0,     0,     0,  1279,
       0,     0,  1163,  1728,  1872,     0,  2138,     0,     0,     0,
    1729,     0,     0,  1730,     0,   806,     0,     0,     0,   363,
       0,     0,     0,     0,     0,     0,  1163,  1872,     0,  1163,
       0,  1163,     0,     0,  2140,  2144,  2145,  2146,  3036,  2147,
    2148,  2149,  2150,  2151,  2152,     0,  2134,  2141,  1163,     0,
    2135,     0,  1163,     0,   363,  1301,     0,  1872,   402,  2760,
    2760,     0,     0,     0,  2760,  1731,     0,     0,     0,     0,
     806,  2136,  2137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2144,  2145,  2146,  2138,  2147,  2148,  2149,
    2150,  2151,  2152,  1872,     0,  2877,     0,  1872,  1872,     0,
       0,  2878,     0,     0,  2760,  2760,     0,     0,  4815,     0,
     662,     0,   982,     0,  2140,     0,     0,     0,     0,  1732,
       0,  1733,  2143,     0,   404,     0,   984,  2141,     0,     0,
       0,  1734,  1163,   812,     0,     0,     0,     0,     0,  1735,
     356,     0,     0,     0,     0,     0,     0,     0,  1736,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1872,     0,     0,     0,  3177,     0,  1301,  4687,     0,     0,
       0,     0,     0,   805,   984,     0,     0,     0,   659,  1774,
       0,     0,     0,  1738,     0,     0,     0,     0,     0,     0,
    1163,     0,     0,     0,  1660,     0,     0,     0,     0,     0,
       0,     0,  2143,     0,     0,  1163,     0,     0,  1775,     0,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4501,     0,     0,     0,  4783,  4786,   360,  1163,     0,
     652,   652,     0,  3605,     0,     0,  4784,  1163,     0,     0,
    3445,     0,     0,  4785,     0,  3445,  4806,     0,  3445,     0,
       0,     0,     0,     0,  1740,     0,     0,     0,  1163,  1163,
    3627,   662,  4783,  4786,   360,   402,  1725,  1632,     0,     0,
       0,  1163,  1726,  4784,     0,  4147,     0,     0,     0,     0,
    4785, -2535, -2535,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,  2295,  4806,     0,  3487,  1756,   982,     0,
       0,     0,  4806,     0,     0,  1163,  4783,  4786,   360,     0,
       0,     0,  1727,   402,     0,  1163,  3155,  4784,  3322,  3155,
    3155,   402,     0,  3155,  4785,     0,   984,     0,     0,     0,
       0,   404,     0,  3155,   984,  1955,   984,     0,  1832,     0,
     812,     0,     0,  1757,  3698,     0,  1970,     0,     0,     0,
    3707,     0,     0,     0,     0,     0,     0,  3698,     0,     0,
       0,  1728,     0,     0,     0,     0,     0,     0,  1729,     0,
    1301,  1730,  1301,     0,  1163,     0,     0,     0,     0,   404,
     805,     0,     0,  1163,     0,     0,     0,   404,   812,     0,
       0,     0,     0,     0,     0,     0,   812,     0,     0,     0,
       0,     0,     0,  3761,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1758,     0,     0,  1731,     0,     0,     0,     0,   805,     0,
       0,     0,  3788,  1301,     0,     0,   805,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4253,
    4254,  3445,   363,     0,     0,     0,   363,     0,     0,  2127,
     806,     0,  2128,     0,     0,  1759,     0,  1760,     0,   655,
       0,     0,     0,     0,   655,     0,     0,  1761,     0,  1733,
       0,     0,     0,   655,     0,     0,     0,  2131,     0,  1734,
       0,     0,     0,  2132,     0,     0,     0,  1735,     0,     0,
       0,     0,     0,     0,     0,  1762,  1736,     0,     0,     0,
     655,     0,     0,     0,   655,     0,     0,  2133,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1763,     0,     0,
       0,  1738,  1764,     0,     0,     0,     0,     0,     0,   655,
       0,     0,     0,     0,     0,     0,   984,     0,     0,     0,
       0,     0,     0,   655,     0,     0,  1765,   655,     0,     0,
       0,     0,     0,     0,  1725,     0,  1766,   655,     0,  3414,
    1726,  3897,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   655,     0,     0,     0,     0,     0,   982,     0,     0,
       0,     0,  3702,  3705,     0,     0,     0,     0,     0,     0,
     982,  3556,     0,     0,     0,     0,     0, -2535,     0,     0,
    1727,  2135,  1740,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3958,     0,     0,     0,  3750,     0,
       0,     0,  2136,  2137,     0,     0,     0,   364,     0,     0,
       0,     0,     0,   364,     0,     0,  2760, -2535,   656,  2760,
    2760,  2760,  2760,  2760,  2760,  2760,  2760,  2760,  2760,  1728,
       0,     0,     0,     0,     0,     0,  1729,   806,  1021,  1730,
     655,     0,  1021,     0,     0,  2140,   364,     0,     0,  3883,
       0,     0,     0,     0,     0,     0,     0,  4807,  2141,   363,
    2127,     0,  3619,  2128,  3621,     0,     0,     0,     0,   356,
       0,     0,     0,     0,     0,     0,     0,     0,  2760,  2760,
    2129,     0,     0,     0,     0,   806,     0,     0,  2131,     0,
     364,  1731,     0,   806,  2132,   652,     0,     0,     0,  1164,
    1166,     0,     0,  1169,  1170,  4807,  4814,     0,  3647,     0,
       0,     0,   984,  4807,     0,     0,   982,     0,  2133,     0,
    1204,     0,     0,     0,     0,     0,   655,   655,     0,  3659,
       0,     0,     0, -2535,     0,     0,     0,     0,     0,  3698,
    1253,     0,  4457,     0,  1256,  1732,     0,  1733,     0,     0,
     356,     0,     0,     0,     0,     0,  4059,  1734,   364,  4060,
    1277,  4061,     0,     0,     0,  1735,     0,     0,  4473,  4474,
       0,     0,     0,     0,  1736,     0,     0,     0,     0,  4081,
    4082,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3155,     0,     0,     0,     0,     0,  3155,  3155,  3155,
    3155,  3155,  3155,     0,     0,  1799,     0,  1301,     0,  1738,
       0,  4108,     0,     0,     0,     0,     0,  2127,  2134,     0,
    2128,     0,  2135,     0,     0,  2147,  2148,  2149,  2150,  2151,
    2152,     0,     0,  3036,  1800,  3707,     0,     0,     0,     0,
       0,     0,     0,  2136,  2137,  2131,  4131,  4133,  4135,  4137,
       0,  2132,     0,  2489,     0,     0,     0,     0,  2138,  3806,
       0,     0,     0,  2127,     0,     0,  2128,     0,     0,     0,
       0,     0,     0,     0,     0,  2133,     0,     0,     0,     0,
       0,     0,     0,  2139,     0,     0,  2140,     0,     0,     0,
    1740,  2131,     0,     0,     0,     0,     0,  2132,     0,  2141,
    2612,     0,  2142,   364,     0,     0,     0,  3984,     0,  2618,
       0,     0,  4193,     0,     0,     0,   655,  2626,  2627,     0,
       0,  2133,     0,     0,     0,     0,     0,  3848,     0,     0,
       0,   655,     0,     0,     0,  2639,     0,  3425,   364,     0,
       0,     0,     0,     0,     0,     0,  3853,     0,     0,     0,
    2559,     0,     0,     0,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2489,     0,  4602,     0,
       0,  3875,     0,  4227,  2143, -2535,     0,  2760,     0,  2135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     655,     0,   982,     0,     0,     0,     0,     0,     0,     0,
    2136,  2137,  2620,     0,     0,   655,  1725,  2042,   982,     0,
       0,   984,  1726,     0,     0, -2535,     0,   655,     0,     0,
     655,  2134,     0,  2489,   984,  2135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2140,     0,     0,  2136,  2137,     0,     0,
       0,     0,  1727,     0,  1745,  1746,  2141,     0,     0,     0,
     982,  2138,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,
    2151,  2152,     0,     0,     0,  1378,  1379,     0,  3356,     0,
       0,     0,     0,     0,  4115,     0,  2139,     0,  3705,  2140,
       0,     0,  1725,     0,  4301,  4302,     0,     0,  1726,  4130,
       0,  1728,  2141,     0,     0,     0,     0,     0,  1729,     0,
       0,  1730,     0,     0,     0,     0,    80,     0,     0,  1827,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2535,     0,     0,     0,     0,     0,     0,  1727,  1886,
    1887,   655,     0,     0,     0,     0,     0,     0,   655,   655,
       0,  2760,  2760,     0,     0,     0,  1914,     0,     0,   363,
       0,     0,     0,  1731,     0,     0,     0,     0,     0,     0,
     984,     0,     0,     0,     0,     0,     0,  2143,     0,     0,
       0,  2127,     0,     0,  2128,     0,  2881,  1728,     0,     0,
    1945,  1947,     0,     0,  1729,     0,     0,  1730,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2131,
     982,   363,   363,   363,     0,  2132,     0,  1732,     0,  1733,
    3155,  3155,     0,  2147,  2148,  2149,  2150,  2151,  2152,  1734,
       0,   655,     0,     0,  1301,     0,     0,  1735,  4375,  2133,
    4376,     0,     0,  4380,  4381,     0,  1736,     0,     0,  1731,
       0,  3707,  3707,  3707,  3707,  3707,     0,     0,     0,     0,
       0,   363,     0,     0,     0,  2144,  2145,  2146,   363,  2147,
    2148,  2149,  2150,  2151,  2152,   363,     0,  2370,     0,     0,
       0,  1738,  1021,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4413,  3910,     0,  1732,     0,  1733,  2371,     0,     0,  1021,
       0,     0,     0,     0,     0,  1734,     0,     0,     0,     0,
       0,     0,     0,  1735,     0,     0,     0,     0,     0,  4435,
       0,     0,  1736,     0,  4162,     0,     0,     0,     0, -2535,
       0,     0,     0,  2135,     0,     0,   364,  2295,     0,   652,
     364,     0,  4227,  4227,  4227,  4227,     0,     0,     0,     0,
       0,     0,  1740,   656,  2136,  2137,     0,  1738,   656,    74,
       0,  2127,     0,   982,  2128,     0,  2951,   656,     0, -2535,
       0,  2955,     0,  2127,  2958,     0,  2128,     0,     0,   655,
       0,  1021,  1739,     0,     0,     0,     0,     0,     0,  2131,
       0,     0,     0,  2129,   656,  2132,  2980,  2140,   656,     0,
       0,  2131,     0,     0,   982,     0,     0,  2132,     0,   656,
    2141,     0,     0,     0,     0,     0,     0,  4347,  4348,  2133,
       0,     0,  4351,  4352,     0,  3019,     0,     0,     0,     0,
       0,  2133,     0,   656,     0,     0,   984,     0,  1740,     0,
       0,     0,     0,     0,     0,     0,     0,   656,  3033,     0,
       0,   656,   984,     0,     0,     0,     0,     0,     0,   363,
       0,   656,     0,     0,  3698,     0,     0,     0,     0,     0,
       0,  3064,     0,     0,  2760,   656,   655,     0,  2042,     0,
       0,  3911,     0,  4465,     0, -2535,     0,  3155,     0,     0,
    3085,  4540,   655,  3095,  3705,  3705,  3705,  3705,  3705,     0,
    2760,  2760,   982,     0,   984,     0,     0,     0,     0,     0,
    3103,     0,     0,     0,     0,     0,     0,  3107,     0, -2535,
       0,     0,     0,  2135,     0,     0,     0,   655,   655,     0,
    3130,  2134,     0,     0,     0,  2135,   655,     0,     0,  3137,
       0,     0,     0,     0,  2136,  2137,     0,     0,   655,   655,
       0,     0,     0,     0,     0,     0,  2136,  2137,     0, -2535,
       0,     0,     0,     0,   656,     0,     0,     0,     0,     0,
     655,  2138,     0,     0,  3278,     0,     0,  2147,  2148,  2149,
    2150,  2151,  2152,   364,     0,  4331,     0,  2140,  3286,  3287,
       0,     0,  3289,     0,     0,     0,  2139,  2420,  3293,  2140,
    2141,     0,     0,     0,     0,     0,  4340,     0,     0,     0,
       0,     0,  2141,     0,     0,  2142,     0,     0,  4349,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   654,     0,
       0,     0,     0,     0,  2472,  2473,  2474,  2475,     0,     0,
     656,   656,     0,     0,   984,     0,  4363,     0,     0,     0,
       0,     0,     0,  1301,     0,  3328,   803,     0,     0,     0,
       0,  4500,     0,     0,     0, -2535,     0,     0,     0,     0,
       0,     0,     0,  2510,  2511,     0,     0,  2143,     0,  2520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2127,
    2760,     0,  2128,     0,     0,     0,     0,     0,     0,     0,
     803,     0,     0,     0,     0,   363,     0,   982,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2131,     0,     0,
       0,     0,  3312,  2132,     0,     0,  2541,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3312,     0,  1020,  2133,     0,     0,
    2574,  2575,  2576,  2577,  1020,     0,  1020,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,  2144,  2145,  2146,   803,  2147,
    2148,  2149,  2150,  2151,  2152,     0,     0,     0,     0,     0,
       0,  3404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   363,  2127,     0,     0,  2128,  2042,
       0,     0,     0,     0,     0,     0,     0,   984,     0,  3914,
       0,     0,     0,     0,     0,  2129,     0,     0,     0,     0,
       0,     0,  2641,  2131,     0,     0,     0,     0,     0,  2132,
     656,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   363,   656,   363, -2535,   984,     0,
       0,  2135,     0,  2133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,   656,     0,
       0,     0,  2136,  2137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4808,     0,     0, -2535,     0,     0,
       0,     0,   655,     0,     0,     0,   363,   655,     0,     0,
     655,     0,     0,     0,   656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2140,     0,     0,     0,   656,
       0,     0,   655,     0,     0,     0,  3553,     0,  2141,     0,
       0,   656,  4808,     0,   656,     0,     0,     0,     0,     0,
    4808,     0,     0,     0,     0,     0,   984,     0,     0,     0,
       0,   655,     0,  2134,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,  4685,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   655,   655,     0,     0,  2136,  2137,
       0,     0,     0,     0,     0,     0,  2804,  3533,     0,     0,
       0,     0,  3592,  2138,  3594,     0,   363,   655,     0,   363,
       0,     0,     0, -2535,     0,     0,     0,     0, -2044,     0,
       0,     0,     0,     0,     0,     0,   655,     0,  2139,   655,
       0,  2140,  2042,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2141,     0,   655,  2142,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,     0,
       0,     0,  3647,     0, -2044,   656,   655,     0,     0,     0,
       0,     0,   656,   656,     0,   655, -2044,     0,     0,     0,
   -2044,     0,  3646,   364,     0, -2044,     0,  3653,     0,     0,
   -2044,     0,     0, -2044,     0, -2044,     0,     0,  2042,     0,
       0,     0,  2042,  2042,     0,  2147,  2148,  2149,  2150,  2151,
    2152,     0,     0,     0,     0,     0,     0,     0,     0,  2143,
       0,     0, -2044,     0,  3610,     0,     0,     0,     0,     0,
       0,  3622,     0,     0,     0,   364,   364,   364,     0,     0,
       0,     0, -2044,     0,     0,     0,     0,  4805,     0,     0,
       0,     0,     0,     0,     0,   656,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   984,     0,     0,     0,     0,     0,     0, -2044,     0,
       0,     0,     0,     0,     0,   364, -2044,     0,   655,  3656,
       0,     0,   364,     0,     0,  4805,     0,     0,     0,   364,
       0,     0,     0,  4805,     0,     0,     0,  2144,  2145,  2146,
       0,  2147,  2148,  2149,  2150,  2151,  2152,     0,  2989,  2990,
    2991,  2791,     0,   655,     0,  2999,     0,  3001,     0,  3003,
    3004, -2044,     0,  3805,     0,     0,     0,  3808,     0,  3810,
       0,  3812,  3813,     0,     0,     0,     0,     0,     0,     0,
    3818,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,     0,   997,     0,     0,     0,     0,
       0,     0,     0,     0,  3836,     0,     0,     0,     0,     0,
     655,     0,  2127,     0,     0,  2128,     0,     0, -2044,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2129,   656,     0,     0,     0,  3098,     0,     0,
    2131, -2044,     0, -2044, -2044,     0,  2132,     0, -2046,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2489,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2133,     0,     0,     0,     0,     0, -2044,     0,  3827, -2044,
   -2044,     0, -2044,     0,     0,     0,   803,   363,     0,  3147,
       0,     0,     0,   363, -2046,     0,  3837,  3156,  3157,  3158,
    3159,  3160,  3161,   654,     0,     0, -2046,     0,   654,     0,
   -2046,     0,     0,   364,     0, -2046,     0,   654,   825,     0,
   -2046,     0,     0, -2046,     0, -2046,     0,     0,     0,     0,
     656,     0,     0,     0,  2127,     0,     0,  2128,     0,     0,
       0,     0,     0,     0,   654,     0,   656,  4686,   654,     0,
       0,     0, -2046,     0,  2129,     0,     0,     0,     0,   654,
       0,     0,  2131,     0,   826,     0,     0,     0,  2132,     0,
    2134,     0, -2046,     0,  2135,     0,  3240,   827,     0,   655,
       0,   656,   656,   654,     0,     0,     0,     0,     0,     0,
     656,     0,  2133,     0,   828,  2136,  2137,   654,     0,     0,
     829,   654,   656,   656,  3280,     0,  3282,     0, -2046,     0,
    2138,   654,     0,     0,     0,   830, -2046,     0,     0,     0,
    1178,     0,     0,     0,   656,   654,  1198,     0,     0,     0,
       0,     0,     0,   831,  1207,  2139,     0,     0,  2140,     0,
       0,     0,  1217,     0,   832,     0,     0,  1248,     0,   833,
       0,  2141,     0,   655,  2142,   834,     0,     0,     0,     0,
       0, -2046,     0,     0,     0,     0,     0,     0,   655,   655,
     835,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     655,     0,  2134,     0,     0,   836,  2135,     0,     0,     0,
       0,     0,     0,     0,  3334,   997,     0,     0,     0,     0,
       0,     0,  1020,     0,   654,     0,  1020,  2136,  2137,     0,
       0,     0,     0,     0,     0,     0,  2143,     0, -2046,     0,
       0,     0,  2138,     0,     0,     0,  2127,     0,     0,  2128,
    4021,     0,     0,     0,   837,     0,     0,     0,     0,     0,
       0, -2046,     0, -2046, -2046,     0,  2129,  2139,     0,     0,
    2140,   363,   363,   363,  2131,     0,     0,     0,     0,   364,
    2132,     0,   838,  2141,     0,     0,  2142,     0,     0,     0,
     655,     0,     0,     0,     0,     0, -2046,   655,     0, -2046,
   -2046,     0, -2046,     0,  2133,  1413,   655,   839,     0,     0,
     654,   654,     0,   840,  4068,     0,     0,  4071,     0,   841,
       0,     0,   842,     0,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,     0,     0,  1538,  3699,     0,
       0,     0,     0,     0,     0,     0,     0,   843,     0,   844,
       0,     0,     0,   845,  1561,   655,     0,     0,  2143,     0,
       0,   846,     0,     0,     0,     0,   847,     0,   364,     0,
       0,     0,     0,     0,     0,     0,  1587,   848,     0,     0,
       0,     0,     0,   363,     0,     0,     0,     0,     0,     0,
     849,     0,     0,     0,     0,  4207,     0,     0,     0,     0,
     363,     0,  4210,  4211,  2134,     0,     0,     0,  2135,     0,
       0,     0,     0,     0,   655,     0,   655,     0,   364,     0,
     364,     0,     0,     0,     0,     0,   655,     0,   655,  2136,
    2137,     0,     0,     0,     0,     0,     0,     0,     0,   656,
       0,     0,     0,     0,  2138,     0,  2144,  2145,  2146,     0,
    2147,  2148,  2149,  2150,  2151,  2152,     0,     0,     0,     0,
    3895,     0,     0,     0,     0,     0,   656,     0,     0,  2139,
     364,   656,  2140,     0,   656,     0,     0,   655,     0,  2127,
       0,     0,  2128,     0,     0,  2141,  3558,     0,  3559,  3560,
       0,     0,     0,     0,     0,     0,   656,     0,     0,  2129,
     654,     0,     0,     0,     0,     0,   655,  2131,  3312,     0,
       0,     0,     0,  2132,     0,   654,     0,     0,     0,     0,
       0,     0,     0,     0,   655,   656,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2133,   654,   655,
       0,     0,   655,     0,     0,     0,     0,     0,   656,   656,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
    2143,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     364,   656,     0,   364,   654,  1909,  1912,  1913,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   654,
     656,     0,     0,   656,     0,     0,     0,     0,     0,     0,
       0,   654,     0,     0,   654,     0,     0,     0,     0,     0,
     656,     0,     0,     0,   363,     0,     0,   656,     0,     0,
       0,     0,  4341,  4342,     0,     0,     0,     0,     0,     0,
     656,     0,     0,     0,     0,     0,     0,  2134,     0,   656,
       0,  2135,     0,     0,     0,     0,     0,     0,  2144,  2145,
    2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,
       0,     0,  2136,  2137,     0,     0,     0,     0,     0,     0,
       0,     0,  4364,  4365,     0,     0,     0,  2138,     0,     0,
       0,  2127,     0,     0,  2128,     0,     0,     0,     0,  1538,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2058,  2139,     0,     0,  2140,     0,     0,     0,  2131,
       0,     0,     0,     0,     0,  2132,  1538,     0,  2141,  4344,
       0,  2142,     0,     0,     0,   654,     0,     0,     0,     0,
       0,  4354,   654,   654,     0,     0,     0,     0,     0,  2133,
       0,     0,     0,   803,     0,     0,  2127, -2058,     0,  2128,
       0,     0,   656,     0,     0,     0,     0,     0,     0, -2058,
       0,     0,     0, -2058,     0,     0,  2129,     0, -2058,     0,
       0,     0,     0, -2058,  2131,     0, -2058,     0, -2058,     0,
    2132,     0,     0,     0,     0,     0,   655,   656,     0,     0,
       0,     0,     0,  2143,  4446,   803,  4447,  4448,     0,     0,
       0,  4262,     0,     0,  2133, -2058,     0,  4451,     0,     0,
       0,     0,     0,     0,     0,   654,     0,     0,   363,     0,
       0,     0,   363,     0,   363, -2058,  3841,     0,     0,     0,
       0,     0,   656,     0,     0,     0,     0,     0,     0, -2535,
       0,     0,     0,  2135,     0,     0,     0,     0,     0,     0,
     655,     0,     0,   655,   656,  2210,     0,     0,     0,   803,
       0, -2058,     0,     0,  2136,  2137,  1020,     0,     0, -2058,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2535,
       0,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,
    2152,   655,     0,  1020,     0,  3970,     0,     0,     0,  3312,
       0,     0,  2260,     0,  2134,     0,     0,  2140,  2135,     0,
       0,     0,     0,     0, -2058,     0,     0,     0,     0,     0,
    2141,     0,     0,     0,     0,     0,     0,     0,     0,  2136,
    2137,   364,     0,     0,     0,     0,     0,   364,     0,     0,
       0,     0,     0,  1869,  2138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   997,     0,
       0,     0,   655,   655,     0,     0,     0,     0,     0,  2139,
       0,     0,  2140,   654,     0,  1020,     0,     0,     0,     0,
       0, -2058,     0,     0,     0,  2141,     0,     0,  2142,     0,
       0,     0,  3312,     0,  3312, -2535,     0,     0,     0,     0,
       0,     0,     0,     0, -2058,     0, -2058, -2058,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   656,     0,     0,  2417,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2058,
    4601,     0, -2058, -2058,   655, -2058,     0,     0,     0,     0,
       0,     0,     0,   803,     0,  4016,  4017,  4018,  4019,     0,
    2143,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     654,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2476,     0,     0,     0,     0,     0,   654,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,     0,  4627,   656,     0,  1869,
       0,     0,     0,     0,     0,     0,     0,  2503,     0,     0,
       0,     0,   656,   656,     0,     0,     0,     0,     0,     0,
       0,   654,   654,     0,     0,  4651,     0,     0,     0,     0,
     654,     0,     0,     0,   656,     0,     0,     0,     0,     0,
       0,     0,   654,   654,     0,     0,     0,     0,  2144,  2145,
    2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,
       0,     0,  3996,     0,   654,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2127,     0,     0,  2128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2129,     0,     0,     0,     0,   364,   364,   364,  2131,     0,
       0,     0,     0,     0,  2132,     0,  4145,     0,     0,     0,
       0,     0,     0,     0,   656,     0,     0,     0,     0,     0,
       0,   656,     0,     0,     0,     0,     0,     0,  2133,     0,
     656,     0,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,     0,     0,   655,     0,  2634,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   656,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   803,
       0,     0,     0,     0,     0,     0,   363,   364,   655,     0,
       0,     0,     0,  1538,  1538,     0,     0,  2127,     0,   700,
    2128,     0,     0,     0,   364,     0,     0,     0,  2134,     0,
       0,     0,  2135,  4793,     0,     0,     0,  2129,   656,     0,
     656,     0,     0,     0,     0,  2131,     0,     0,     0,     0,
     656,  2132,   656,  2136,  2137,  1869,     0,   700,     0,     0,
       0,   363,     0,     0,     0,     0,     0,     0,  2138,     0,
       0,     0,  3312,     0,     0,  2133,     0,   700,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2139,     0,   993,  2140,     0,     0,     0,
       0,   656,  2398,     0,     0,     0,     0,     0,   994,  2141,
       0,     0,  2142,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,  1869,     0,
     656,  1012,     0,   993,     0,     0,     0,  1033,     0,     0,
       0,     0,     0,     0,  2850,     0,     0,  1062,   656,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,   654,
       0,     0,     0,   656,     0,     0,   656,     0,     0,  2870,
       0,     0,     0,     0,     0,  2134,     0,     0,     0,  2135,
       0,     0,     0,     0,  2143,     0,   654,     0,     0,     0,
     803,   654,     0,     0,   654,  1869,     0,     0,     0,     0,
    2136,  2137,     0,     0,     0,  2883,     0,  2886,     0,     0,
       0,     0,     0,     0,  1869,  2138,   654,     0,   655,     0,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,     0,     0,     0,   364,     0,
    2139,     0,     0,  2140,     0,   654,     0,     0,  4359,     0,
       0,     0,     0,     0,     0,     0,  2141,     0,     0,  2142,
    1869,     0,  4362,     0,     0,     0,     0,     0,   654,   654,
       0,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,
    2151,  2152,     0,     0,     0,     0,  4230,     0,     0,     0,
     803,   654,     0,   803,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     654,     0,     0,   654,     0,     0,     0,     0,  1869,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     654,  2143,     0,     0,     0,     0,     0,   654,  2127,     0,
       0,  2128,     0,     0,     0,     0,     0,     0,     0,     0,
     654,     0,     0,     0,     0,  4414,     0,     0,  2129,   654,
       0,     0,     0,     0,     0,     0,  2131,     0,     0,     0,
       0,     0,  2132,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2133,     0,     0,     0,
       0,     0,     0,  3055,     0,     0,     0,     0,     0,     0,
     656,     0,     0,     0,     0,     0,     0,     0,     0,  2144,
    2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,
       0,     0,     0,  4264,     0,     0,     0,     0,     0,     0,
       0,     0,   364,     0,     0,     0,   364,   655,   364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   363,     0,     0,     0,  2127,     0,     0,  2128,     0,
       0,     0,   654,     0,   656,     0,     0,   656,     0,     0,
       0,     0,     0,     0,     0,  2129,     0,     0,     0,     0,
       0,     0,     0,  2131,     0,     0,  2134,     0,     0,  2132,
    2135,     0,     0,     0,  4514,  4516,  4516,   654,     0,  1869,
       0,     0,     0,     0,     0,   656,     0,     0,     0,     0,
       0,  2136,  2137,  2133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2138,     0,     0,     0,
       0,     0,  3219,     0,  2863,     0,   700,     0,     0,     0,
       0,     0,   654,     0,     0,     0,     0,     0,     0,     0,
       0,  2139,     0,     0,  2140,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   654,     0,     0,  2141,     0,     0,
    2142,     0,     0,     0,     0,     0,   656,   656,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,     0,     0,  4587,     0,     0,     0,
       0,     0,     0,  2134,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2136,  2137,
       0,   803,  2143,     0,     0,     0,     0,   803,     0,     0,
       0,     0,     0,  2138,     0,     0,     0,     0,   656,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2139,     0,
       0,  2140,     0,     0,     0,     0,     0,     0,  4631,     0,
       0,     0,     0,     0,  2141,     0,     0,  2142,     0,     0,
       0,     0,     0,     0,     0,     0,  4647,     0,  4649,     0,
       0,     0,     0,     0,     0,     0,   363,     0,     0,     0,
       0,     0,     0,     0,   363,     0,     0,     0,     0,     0,
    2144,  2145,  2146,   654,  2147,  2148,  2149,  2150,  2151,  2152,
    1159,  1165,  1165,   700,  4467,  1165,  1172,     0,  1159,     0,
    1062,     0,  1195,     0,     0,     0,  1062,     0,  1062,     0,
    3024,     0,  1165,     0,  1062,  2398,  3031,     0,     0,  2143,
       0,     0,  1219,     0,     0,     0,  1869,  1062,     0,  1159,
       0,     0,  1165,     0,   700,     0,  1165,     0,     0,     0,
       0,     0,  1195,     0,     0,  1272,     0,     0,     0,     0,
       0,  4516,  1165,     0,     0,     0,     0,   654,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3440,     0,   654,   654,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1159,     0,     0,     0,     0,   700,     0,
    4730,     0,  1159,     0,   654,  1195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2144,  2145,  2146,
    1165,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,   656,
       0,  4509,     0,     0,     0,  1538,     0,     0,     0,     0,
    2127,   656,     0,  2128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4764,     0,     0,     0,     0,     0,
    2129,     0,  1869,     0,     0,     0,     0,     0,  2131,     0,
       0,     0,     0,  1062,  2132,   803,   803,   803,     0,     0,
       0,     0,     0,     0,     0,  1062,  1414,     0,     0,     0,
     364,     0,   656,     0,   654,  4798,     0,     0,  2133,     0,
       0,   654,     0,     0,     0,     0,     0,     0,     0,     0,
     654,     0,  1520,     0,     0,     0,   700,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2398,     0,     0,  1062,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,   364,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,   654,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   803,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2134,     0,
       0,     0,  2135,     0,   803,     0,     0,     0,     0,   656,
       0,     0,     0,     0,     0,     0,     0,     0,   654,     0,
     654,     0,     0,  2136,  2137,     0,  1869,     0,     0,     0,
     654,     0,   654,     0,     0,     0,     0,     0,  2138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,  1165,  1165,     0,     0,
       0,     0,     0,  2139,     0,     0,  2140,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2141,
       0,   654,  2142,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1159,     0,     0,     0,     0,
       0,     0,   656,     0,   656,  1159,     0,     0,  1195,     0,
     654,     0,     0,     0,     0,     0,     0,  2127,     0,     0,
    2128,  1165,     0,     0,     0,     0,     0,     0,   654,     0,
       0,     0,     0,     0,     0,  1062,     0,  2129,     0,     0,
    3742,  1165,  1165,   654,     0,  2131,   654,     0,     0,     0,
       0,  2132,     0,     0,  2143,  1062,  1062,  1062,  1165,     0,
    1159,     0,     0,     0,  1922,  3757,     0,     0,     0,     0,
       0,     0,  3765,     0,     0,  2133,  3770,     0,     0,     0,
       0,     0,     0,     0,     0,  2863,  2863,  2863,     0,     0,
       0,  3782,  1165,  1165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   803,     0,
    3814,     0,     0,  3815,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,
    2151,  2152,     0,     0,     0,     0,  4550,     0,     0,     0,
    1538,     0,     0,     0,  2019,  2019,     0,     0,     0,  1062,
       0,   993,     0,     0,     0,  2134,     0,     0,     0,  2135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,  1062,     0,     0,  2057,
    2136,  2137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1520,     0,     0,     0,  2138,     0,     0,     0,  1869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   656,     0,     0,     0,     0,     0,     0,     0,  1520,
    2139,     0,     0,  2140,     0,   364,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2141,  2398,  3031,  2142,
    3031,     0,     0,     0,     0,     0,     0,  1520,  1520,     0,
    1520,     0,     0,     0,     0,     0,  3920,  3921,  3922,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
     654,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   700,   700,     0,
    1869,     0,  1869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   803,     0,     0,     0,   803,     0,   803,     0,
       0,  2143,     0,     0,     0,  1062,     0,     0,  1520,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   654,     0,  1869,   654,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,  1520,  1520,     0,     0,     0,     0,  1869,     0,     0,
       0,  1062,  1062,  2262,     0,     0,     0,     0,     0,     0,
       0,     0,   656,     0,     0,   654,     0,     0,     0,     0,
       0,     0,     0,     0,  3031,     0,     0,     0,     0,   700,
       0,     0,     0,     0,     0,     0,     0,  3031,     0,  2144,
    2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,
       0,     0,     0,  4732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   364,     0,     0,     0,   654,   654,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1869,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3031,     0,     0,     0,     0,     0,
    2405,     0,     0,     0,     0,     0,  1062,  1869,     0,  1165,
     364,     0,     0,     0,     0,     0,     0,     0,   364,     0,
       0,     0,     0,     0,  1195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2127,     0,     0,  2128,     0,  4127,   654,     0,
       0,     0,     0,     0,     0,     0,  1165,  1165,  1165,  1165,
    1062,     0,  2129,     0,     0,     0,  4153,     0,     0,     0,
    2131,     0,     0,     0,     0,  1869,  2132,     0,     0,     0,
       0,     0,     0,     0,     0,  2502,     0,  1062,     0,  4164,
       0,     0,     0,     0,  1869,  1165,  1165,     0,     0,     0,
    2133,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,     0,     0,  1869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,  1165,  1165,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2502,     0,     0,     0,  2863,     0,     0,     0,     0,
    2134,     0,     0,     0,  2135,     0,  1159,     0,     0,     0,
       0,     0,     0,   700,     0,  1159,     0,     0,     0,     0,
       0,     0,     0,  1195,     0,  2136,  2137,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
    2138,     0,     0,  1165,  1165,     0,     0,     0,     0,     0,
       0,  4265,  4266,  4267,  4268,     0,     0,  1062,     0,   654,
       0,     0,     0,     0,     0,  2139,     0,     0,  2140,     0,
       0,   654,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2141,     0,     0,  2142,     0,     0,     0,     0,     0,
       0,  2019,     0,     0,     0,     0,     0,     0,     0,  1159,
       0,     0,     0,  1062,  1062,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
     803,     0,   654,     0,     0,     0,     0,   993,   993,     0,
       0,  2708,     0,     0,     0,  1520,  1520,     0,     0,  3031,
       0,     0,     0,  1520,     0,     0,  1520,     0,     0,  1520,
       0,     0,     0,     0,     0,     0,  2143,  1520,  1520,     0,
       0,     0,     0,     0,     0,  1520,     0,  1195,  1520,  1520,
    1520,  1520,     0,     0,     0,   803,     0,     0,  1520,  1520,
       0,  1520,     0,  1520,  1520,     0,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,  1165,  1520,
       0,     0,     0,  1520,     0,     0,     0,  1520,     0,  1520,
    1520,  1520,  1520,  1520,  1520,  1520,  1520,  1520,     0,  1520,
       0,     0,     0,     0,  1062,  1520,     0,     0,  1520,   654,
       0,     0,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,     0,     0,     0,  4817,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,  1062,     0,  1520,
       0,     0,     0,     0,     0,  2127,     0,     0,  2128,     0,
       0,     0,     0,     0,     0,  2398,     0,     0,     0,     0,
       0,     0,     4,     0,     0,  2129,     0,     0,     0,     0,
       0,     0,   654,  2131,   654,     0,  2915,  4441,  2922,  2132,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     8,     0,
       9,    10,     0,  2133,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
      36,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,   700,     0,    45,     0,     0,   993,     0,   993,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,  1869,     0,     0,  1159,     0,
    1165,  1165,  1165,     0,  1159,  1195,  1869,  1165,     0,  1165,
       0,  1165,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2134,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,  2863,     0,     0,  2405,     0,  2863,     0,
       0,     0,  3037,     0,     0,     0,     0,  3046,  2136,  2137,
    2863,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2138,     0,     0,     0,     0,  3077,  3077,
       0,     0,     0,     0,     0,   700,     0,     0,     0,     0,
       0,    47,     0,     0,     0,     0,     0,  4548,  2139,  1165,
       0,  2140,     0,     0,     0,     0,     0,    48,     0,     0,
       0,     0,     0,  1869,  2141,     0,     0,  2142,     0,     0,
       0,     0,  3125,     0,  3127,  3129,     0,    49,     0,  1538,
       0,   654,     0,     0,  1869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   803,  1869,     0,     0,    50,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,  1165,
    1165,  1165,  1165,  1165,  1165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,    51,     0,  1869,    52,     0,     0,     0,  2143,
       0,     0,     0,     0,     0,     0,     0,  2405,     0,     0,
      53,  3077,  1062,     0,     0,     0,   993,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4634,     0,     0,     0,     0,     0,
       0,  3125,     0,     0,     0,     0,     0,     0,  1165,  3250,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,  3077,  1165,  3077,
       0,     0,     0,    54,     0,     0,     0,  2144,  2145,  2146,
       0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,  3965,
       0,  1520,   654,     0,     0,     0,     0,     0,     0,     0,
    4439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2019,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1869,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1159,     0,     0,     0,  1159,     0,
       0,     0,   803,     0,     0,     0,  1165,     0,    58,     0,
       0,     0,  1520,  1520,    59,     0,     0,     0,    60,    61,
      62,    63,    64,     0,   811,    65,    66,    67,    68,     0,
      69,    70,    71,    72,    73,     0,     0,     0,     0,     0,
       0,     0,  1520,  1520,     0,     0,     0,  1520,     0,     0,
     803,     0,     0,     0,     0,     0,     0,     0,   803,  1520,
    1520,  1520,  1520,     0,     0,     0,     0,     0,   811,     0,
       0,     0,  1520,     0,     0,  1520,     0,  1520,  3408,     0,
       0,     0,     0,     0,  3031,     0,     0,  1520,  1520,     0,
       0,  1520,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,  1520,     0,  1195,     0,
    1520,     0,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,  1024,     0,  1520,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,   811,  3453,     0,  1520,
    1520,  1520,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,  3031,     0,     0,
       0,  1520,     0,     0,     0,  1062,     0,     0,  1520,     0,
       0,     0,     0,     0,  3453,     0,     0,  3514,     0,     0,
    1869,  2922,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2127,     0,     0,  2128,     0,     0,     0,     0,     0,
    1869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2129,     0,     0,     0,  2892,     0,     0,     0,  2131,
       0,     0,     0,     0,  1520,  2132,  3077,     0,     0,     0,
       0,  2019,     0,     0,     0,     0,  1869,     0,     0,     0,
    1869,  1869,     0,     0,     0,     0,     0,     0,  1165,  2133,
    1165,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,  2893,     0,     6,     7,     0,     0,
       0,     0,     0,  4439,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,  2134,
       0,     0,     0,  2135,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2136,  2137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2138,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3077,  3077,     0,     0,     0,
       0,     0,     0,     0,  2139,     0,     0,  2140,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2141,     0,     0,  2142,  3706,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,  2019,  1062,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,  1062,     0,     0,     0,
       0,    49,     0,     0,     0,  2143,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,     0,   700,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
    3819,     0,     0,     0,  2894,     0,    51,     0,     0,    52,
       0,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,  2144,  2145,  2146,  1520,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,  1520,     0,     0,     0,     0,
       0,  1520,     0,  1520,     0,     0,     0,     0,     0,  1520,
       0,     0,  1520,  1520,  1520,  1520,  1520,  1520,  1520,  1520,
    1520,  1520,     0,     0,     0,  1520,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,  1520,     0,
       0,     0,  1520,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,  1520,
       0,  1520,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,  1520,  1520,     0,     0,     0,  1520,     0,    55,  1520,
       0,     0,     0,     0,   811,     0,  1062,  1062,  1062,  3453,
    3928,    56,  1161,     0,  3928,  3941,     0,     0,     0,  1520,
    1161,     0,     0,     0,     0,  3955,    57,  1520,     0,  1520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,    58,     0,     0,     0,     0,     0,    59,     0,
       0,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1340,     0,     0,  1520,     0,    71,  1341,     0,     0,
    1520,     0,     0,     0,  2922,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,  4002,  2019,  2019,  1161,  2502,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,  1165,  1165,  1165,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,  4035,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4084,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
    1024,     0,   918,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   919,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,  2127,   920,     0,  2128,     0,  3706,
       0,     0,     0,     0,     0,     0,     0,  1062,   921,     0,
       0,     0,     0,     0,  2129,     0,     0,     0,  1165,     0,
    1520,   922,  2131,     0,     0,     0,  1062,     0,  2132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,  2405,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
      47,     0,  2133,     0,     0,     0,     0,     0,  3125,   924,
       0,     0,     0,  4181,     0,     0,    48,  2405,     0,  3819,
       0,     0,     0,     0,     0,     0,     0,   925,     0,     0,
    1520,  1520,     0,     0,     0,     0,    49,     0,   926,     0,
       0,     0,     0,   927,     0,     0,     0,     0,     0,   928,
       0,     0,     0,     0,  3077,     0,  3077,     0,    50,     0,
       0,     0,     0,     0,   929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3380,     0,     0,     0,     0,  3381,  1161,     0,     0,
    1520,    51,     0,     0,    52,     0,     0,  1161,     0,     0,
       0,     0,  2134,     0,     0,     0,  2135,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
       0,     0,     0,     0,     0,     0,  1520,  2136,  2137,     0,
       0,     0,     0,     0,     0,     0,  1520,  1520,   930,     0,
       0,     0,  2138,     0,  1520,  1520,     0,     0,   931,  1520,
       0,     0,  1161,     0,     0,  1520,  1520,     0,     0,  1520,
       0,  1062,  1062,  1062,  1062,     0,   838,  2139,  3928,     0,
    2140,  4270,     0,     0,  3453,     0,     0,     0,  3453,     0,
       0,     0,    54,  2141,  4283,     0,  2142,  1520,     0,     0,
       0,   932,  1520,     0,     0,   933,     0,   934,  4293,     0,
       0,     0,     0,   935,  1520,     0,   936,     0,     0,     0,
       0,     0,     0,  1195,     0,     0,     0,     0,  1161,     0,
       0,  3514,     0,    55,     0,  2922,     0,     0,     0,     0,
       0,   937,     0,   938,     0,     0,    56,   939,     0,   993,
       0,     0,  1520,     0,     0,   940,     0,     0,     0,     0,
     941,    57,     0,     0,     0,     0,     0,     0,  2143,  3077,
    3077,   942,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   943,  1870,  4339,    58,     0,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1340,  1971,     0,     0,
       0,    71,     0,  1161,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2144,  2145,  2146,     0,
    2147,  2148,  2149,  2150,  2151,  2152,  2019,     0,     0,  1161,
    1161,     0,  1161,     0,     0,  3706,  3706,  3706,  3706,  3706,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2127,     0,     0,  2128,     0,  1165,  2405,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,   811,  2129,     0,     0,     0,     0,     0,     0,     0,
    2131,     0,     0,     0,     0,     0,  2132,  1062,     0,  4445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,  1161,  1161,     0,     0,     0,     0,     0,
    2133,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,  2127,     0,     0,  2128,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,  1520,     0,     0,  1520,     0,     0,
       0,  2129,     0,     0,  3928,     0,     0,     0,  3453,  2131,
       0,     0,     0,  3453,     0,  2132,  3453,  3125,     0,  4489,
       0,  1520,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,  1870,     0,     0,     0,     0,     0,   811,     0,  2133,
       0,     0,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4002,  1195,  1165,  1165,  1165,     0,
    2134,     0,     0,     0,  2135,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,  1870,     0,
       0,     0,  1159,  1195,     0,  2136,  2137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2138,     0,     0,     0,  1870,     0,     0,     0,     0,     0,
       0,     0,  2019,     0,     0,     0,     0,  4791,  1159,     0,
       0,     0,     0,     0,     0,  2139,     0,  1062,  2140,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2134,
    3077,  2141,  2405,  2135,  2142,     0,     0,     0,     0,     0,
       0,     0,     0,  1024,  4181,     0,     0,     0,     0,  1062,
       0,     0,     0,  3887,  2136,  2137,     0,     0,  1165,  4002,
       0,  1870,     0,     0,     0,     0,     0,     0,  1022,  2138,
       0,     0,     0,     0,     0,     0,  1022,     0,  1022,     0,
    1870,     0,     0,  1520,     0,     0,  1520,     0,  1520,     0,
       0,     0,     0,     0,  2139,     0,     0,  2140,  1870,     0,
       0,     0,     0,     0,     0,  1520,  2143,     0,     0,  3453,
    2141,     0,  4489,  2142,     0,     0,     0,     0,  4621,  3888,
       0,   811,     0,     0,     0,     0,  1870,     0,     0,     0,
    4792,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1165,  1165,  1165,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,  1870,  2143,     0,  1161,     0,  1520,
       0,     0,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,  1165,     0,  1195,     0,     0,     0,     0,
       0,     0,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,  1159,     0,     0,     0,     0,
       0,     0,     0,     0,  4002,     0,     0,  1161,  1161,     0,
       0,     0,     0,  4445,     0,  1161,     0,     0,  1161,     0,
       0,  1161,  4621,     0,     0,  1520,  1520,     0,     0,  1161,
    1161,     0,     0,     0,     0,     0,     0,  1161,  1159,     0,
    1161,  1161,  1161,  1161,     0,     0,  1165,     0,     0,     0,
    1161,  1161,     0,  1161,     0,  1161,  1161,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,     0,     0,  1870,  1161,   811,  1220,     0,
       0,  1161,  1520,     0,     0,  1161,     0,  1165,     0,  1161,
    1867,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
       0,  1161,    85,     0,     0,     0,     0,  1161,    89,     0,
    1161,  1221,    93,     0,    94,     0,    96,    97,     0,     0,
       0,     0,     0,     0,  1222,  1223,     0,   106,     0,     0,
       0,     0,     0,  1224,     0,     0,     0,  1225,     0,     0,
       0,  1520,     0,     0,   119,   120,     0,     0,     0,     0,
    1159,     0,     0,     0,  1226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
     129,     0,   130,   131,  1229,     0,     0,     0,  2127,  1230,
       0,  2128,     0,     0,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2129,     0,
    1231,  3344,     0,     0,     0,     0,  2131,   141,     0,   142,
     143,     0,  2132,     0,     0,   145,  1867,   146,     0,     0,
       0,     0,     0,     0,     0,  1232,     0,   148,     0,   149,
       0,     0,     0,     0,     0,     0,  2133,     0,   811,     0,
       0,     0,     0,   152,     0,   153,     0,     0,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     157,     0,   158,     0,     0,  1161,   159,     0,     0,     0,
    1161,     0,   160,     0,  1233,     0,  1161,     0,     0,   162,
       0,   164,     0,     0,     0,     0,     0,   166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   170,   838,     0,     0,     0,  1870,     0,     0,     0,
       0,  1870,  1870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1870,     0,     0,     0,     0,  1234,     0,     0,
       0,  1235,     0,  1236,     0,     0,  2134,     0,   811,  1237,
    2135,   811,  1238,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   183,   184,  1157,  2193,     0,     0,
     185,  2136,  2137,     0,  1157,     0,     0,  1239,   186,  1240,
       0,     0,     0,  1241,     0,     0,  2138,     0,     0,   191,
       0,  1242,     0,     0,     0,     0,  1243,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,  2139,     0,     0,  2140,     0,     0,     0,     0,     0,
    1244,     0,     0,     0,     0,     0,   202,  2141,     0,     0,
    2142,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,   205,     0,   206,     0,     0,     0,     0,   207,
       0,     0,     0,     0,   208,     0,  1161,   210,  1870,  1157,
       0,   212,     0,     0,     0,     0,   213,   214,  1157,     0,
       0,     0,     0,     0,   215,     0,     0,   217,     0,     0,
       0,     0,     0,     0,   220,     0,     0,     0,     0,     0,
       0,     0,  1867,     0,     0,     0,   222,     0,  2127,     0,
       0,  2128,  2143,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,   228,     0,     0,  2129,     0,
       0,     0,   230,     0,     0,     0,  2131,  1870,   231,     0,
       0,     0,  2132,   232,     0,     0,     0,     0,     0,  1867,
       0,     0,     0,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2133,     0,     0,     0,
       0,     0,     0,     0,     0,  1867,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,  1157,   245,
       0,     0,     0,  -132,  1022,     0,     0,     0,  1022,     0,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,  2127,     0,     0,  2128,     0,
       0,     0,  1870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1867,     0,     0,  2129,  1161,     0,  3388,     0,
    1161,     0,     0,  2131,     0,     0,     0,     0,     0,  2132,
       0,  1867,     0,     0,  1161,  1161,  2134,     0,     0,     0,
    2135,     0,     0,     0,     0,     0,     0,     0,     0,  1867,
       0,     0,     0,  2133,     0,     0,     0,     0,     0,     0,
       0,  2136,  2137,     0,  1161,  1161,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,  2138,  1867,     0,     0,
       0,  1161,  1161,  1161,  1161,     0,     0,     0,     0,   811,
       0,     0,     0,     0,  1161,   811,     0,  1161,     0,  1161,
       0,  2139,     0,     0,  2140,     0,     0,     0,     0,  1161,
    1161,     0,     0,  1161,     0,     0,     0,  2141,     0,     0,
    2142,     0,     0,     0,     0,     0,  1161,     0,  1161,     0,
       0,     0,  1161,     0,  3358,  1867,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,  1157,     0,  2134,     0,     0,     0,  2135,     0,  1161,
       0,  1161,  1161,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,  2136,  2137,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,  2143,  2138,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,  1161,     0,     0,  1157,     0,     0,     0,
    1161,     0,  2127,     0,     0,  2128,  1161,     0,  2139,     0,
       0,  2140,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2129,     0,  2141,     0,     0,  2142,     0,     0,
    2131,     0,     0,     0,     0,     0,  2132,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2133,     0,  1157,     0,     0,     0,  1161,     0,     0,     0,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,     0,     0,  1870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2143,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1867,     0,     0,  1868,
       0,     0,     0,  1870,  1870,     0,  1870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3393,     0,     0,  1157,     0,     0,
       0,     0,     0,   811,   811,   811,     0,     0,     0,     0,
    2134,     0,     0,     0,  2135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1870,     0,  1870,     0,
       0,     0,     0,     0,     0,  2136,  2137,  2144,  2145,  2146,
       0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,     0,
    2138,     0,     0,  1157,  1157,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1870,  1157,     0,  2139,     0,     0,  2140,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2141,     0,  1870,  2142,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2127,     0,     0,  2128,   811,     0,     0,     0,     0,
    1870,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,  2129,   811,  1870,  3399,     0,     0,     0,     0,  2131,
       0,     0,     0,     0,     0,  2132,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,  1157,  1157,     0,
       0,     0,     0,     0,     0,     0,  2143,     0,     0,  2133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1870,     0,     0,     0,  1867,     0,     0,
       0,     0,  1867,  1867,     0,  1868,     0,     0,     0,     0,
       0,     0,     0,  1867,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,  1161,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,     0,     0,     0,     0,  2134,
       0,     0,     0,  2135,     0,  1022,     0,     0,     0,     0,
       0,     0,  1868,     0,     0,     0,     0,     0,  1161,     0,
       0,  1870,     0,     0,  2136,  2137,     0,  1161,     0,     0,
       0,     0,     0,  1161,     0,  1161,     0,     0,  1868,  2138,
    1870,  1161,     0,     0,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,     0,     0,     0,  1161,  1161,     0,
       0,     0,     0,     0,  2139,  1870,     0,  2140,     0,     0,
    1161,     0,     0,     0,  1161,     0,   811,     0,  1161,     0,
    2141,     0,     0,  2142,     0,     0,     0,  1022,  1161,     0,
       0,  1161,     0,  1161,     0,  2127,     0,     0,  2128,  1867,
       0,  1870,  1161,  1161,  1161,  1868,     0,     0,  1161,     0,
       0,  1161,     0,     0,     0,  2129,     0,     0,     0,     0,
       0,  1161,     0,  2131,  1868,     0,     0,     0,     0,  2132,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,  1161,
    1859,  1161,  1868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2133,     0,  2143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1867,     0,
    1868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  1161,     0,     0,     0,     0,  1868,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,
    2150,  2151,  2152,  2134,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,  1867,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2136,  2137,
     811,     0,     0,     0,   811,  1870,   811,     0,     0,     0,
       0,     0,     0,  2138,     0,     0,  1859,  2127,     0,     0,
    2128,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,  2129,  2139,     0,
    3894,  2140,     0,     0,     0,  2131,     0,     0,     0,     0,
       0,  2132,     0,     0,  2141,     0,     0,  2142,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,  1157,     0,     0,  2133,     0,     0,     0,  1157,
       0,     0,  1157,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,  1157,  1157,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  1157,  1157,  1157,  1157,     0,     0,
       0,     0,     0,     0,  1157,  1157,     0,  1157,     0,  1157,
    1157,     0,  1161,  1157,     0,     0,     0,     0,     0,  2143,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1868,
    1157,     0,     0,     0,     0,  1157,     0,     0,  1870,  1157,
       0,     0,     0,  1157,  3845,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,     0,  1157,     0,     0,     0,     0,
       0,  1157,     0,     0,  1157,  2134,     0,     0,     0,  2135,
       0,  1870,  1161,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2136,  2137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2127,     0,  2138,  2128,  2144,  2145,  2146,
       0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,     0,
       0,     0,     0,  2129,     0,  1157,     0,     0,     0,     0,
    2139,  2131,  1161,  2140,     0,     0,     0,  2132,     0,     0,
       0,     0,     0,     0,     0,     0,  2141,     0,     0,  2142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2133,     0,     0,     0,     0,  1867,     0,  1161,     0,
       0,     0,  1859,     0,     0,     0,     0,     0,  1161,  1161,
       0,  1870,     0,     0,     0,     0,  1161,  1161,     0,     0,
       0,  1161,  1870,     0,     0,     0,     0,  1161,  1161,     0,
       0,  1161,     0,     0,  1867,  1867,     0,  1867,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,  1859,
    1161,  2143,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1859,  1161,     0,     0,  1157,
       0,     0,     0,     0,  1157,     0,     0,  1867,     0,  1867,
    1157,  2134,     0,     0,     0,  2135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,  2136,  2137,     0,     0,
    1868,     0,     0,     0,     0,  1868,  1868,     0,     0,  1870,
       0,  2138,     0,  1867,     0,     0,  1868,     0,     0,  2144,
    2145,  2146,  1859,  2147,  2148,  2149,  2150,  2151,  2152,     0,
    1870,     0,     0,     0,  1867,     0,  2139,     0,     0,  2140,
       0,  1859,  1870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2141,     0,     0,  2142,     0,     0,     0,  1859,
       0,  1867,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1867,     0,     0,     0,     0,     0,
    1870,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   811,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,     0,     0,     0,     0,  2143,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1867,     0,
    1157,  1161,  1868,     0,     0,  1859,     0,     0,     0,     0,
       0,  1867,     0,   811,     0,     0,     0,     0,   905,     0,
       0,     0,     0,     0,  1867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1076,     0,     0,     0,     0,  1870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1868,     0,     0,     0,  2144,  2145,  2146,     0,  2147,
    2148,  2149,  2150,  2151,  2152,     0,     0,     0,     0,  1161,
       0,     0,  1867,  1870,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1867,     0,     0,     0,  1161,  1161,  1157,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,  1161,  1867,     0,  1161,     0,
       0,     0,     0,  1161,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,     0,     0,
       0,     0,  1867,     0,     0,     0,  1161,     0,     0,     0,
    1157,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,  1157,  1157,
    1870,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1125,     0,  1157,  1157,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,  1157,  1157,  1157,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,  1157,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,  1157,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,  1161,  1157,  1870,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,  1161,  1870,     0,  1161,     0,
    1161,     0,     0,  1157,     0,  1157,  1157,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,  1161,     0,     0,     0,     0,  1870,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,  1867,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
    1157,     0,  1870,     0,     0,     0,  1870,  1870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   811,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,  1868,
       0,     0,  1859,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,  1161,
     905,   905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,  1868,  1868,  1867,
    1868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,  1125,     0,
       0,     0,  1867,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1868,     0,  1868,     0,     0,     0,     0,  1161,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,     0,  1859,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,  1868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     811,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1867,     0,  1868,     0,     0,  1171,     0,     0,
       0,     0,     0,  1867,     0,     0,  1197,  1868,  1199,     0,
    1201,     0,  1203,     0,     0,     0,     0,     0,  1859,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,   811,     0,
       0,  1251,  1161,     0,     0,     0,   811,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,  1273,  1274,     0,
       0,     0,  1276,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1125,     0,
     905,  1868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1868,  1305,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,     0,  1325,
       0,     0,  1327,     0,  1329,     0,  1332,     0,     0,     0,
    1867,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,  1867,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1867,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,  1868,     0,     0,     0,     0,
       0,  1157,  1411,     0,  1412,     0,     0,  1157,     0,  1157,
       0,  1867,     0,     0,  1868,  1157,     0,     0,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,     0,     0,
       0,  1157,  1157,     0,     0,  1125,     0,     0,     0,  1868,
       0,     0,     0,     0,  1157,     0,     0,     0,  1157,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,  1157,     0,  1157,     0,  1076,
       0,     0,     0,     0,     0,  1868,  1157,  1157,  1157,     0,
       0,     0,  1157,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1667,     0,  1669,     0,     0,     0,  1671,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,  1867,     0,  1157,     0,     0,   864,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,   865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,   866,     0,  1802,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   867,     0,     0,     0,     0,
    1815,     0,     0,     0,   868,     0,     0,     0,  -698,     0,
       0,  1823,     0,     0,     0,     0,  1859,     0,  1825,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
    1876,   870,     0,     0,     0,     0,     0,     0,     0,  1868,
       0,     0,     0,     0,     0,     0,   871,     0,     0,     0,
       0,  1867,     0,     0,  1859,  1859,     0,  1859,     0,     0,
       0,     0,  1918,     0,   872,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   873,     0,     0,     0,     0,
       0,     0,   874,     0,     0,     0,   875,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -886,     0,     0,     0,     0,   660,  1859,     0,  1859,
       0,   704,     0,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   876,     0,
       0,     0,     0,     0,  1867,     0,     0,     0,     0,   704,
       0,     0,     0,  1859,  1861,     0,  1157,     0,     0,   704,
       0,     0,     0,     0,     0,     0,     0,  1867,     0,   704,
     704,     0,     0,   704,  1859,   877,     0,     0,   878,   704,
       0,     0,  1868,   985,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1867,     0,     0,
       0,  1859,     0,   985,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,  1868,  1157,  1157,     0,   704,
       0,     0,     0,     0,     0,     0,     0,     0,   879,     0,
       0,     0,     0,  1867,   880,     0,     0,  1867,  1867,     0,
    -377,     0,     0,   881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -377,     0,
     882,   883,     0,   884,   885,     0,  1157,     0,  1859,     0,
       0,     0,   886,     0,     0,     0,     0,   887,     0,     0,
       0,  1859,   888,     0,     0,   889,     0,     0,   890,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
    1861,  -377,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  1157,     0,  1868,     0,     0,     0,     0,
    1157,  1157,     0,     0,     0,  1157,  1868,     0,     0,     0,
       0,  1157,  1157,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1076,  2227,
    1157,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,  1859,  1157,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2293,  1859,     0,  2293,     0,
       0,     0,     0,     0,     0,     0,  2300,   704,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,  2309,     0,     0,     0,     0,     0,
       0,     0,  1859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,     0,  2369,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1861,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1861,     0,     0,     0,     0,     0,     0,
    1868,     0,     0,     0,     0,     0,  1859,     0,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1861,
       0,     0,     0,     0,     0,     0,     0,     0,  2550,     0,
       0,     0,     0,  1157,     0,     0,     0,  1868,     0,     0,
       0,  2572,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,   704,   704,     0,     0,     0,     0,     0,     0,  1157,
    1157,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,  1157,
       0,     0,  1157,     0,     0,  2616,  1861,  1157,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2629,   704,
    2631,     0,  2632,     0,     0,  1861,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  1861,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1868,     0,     0,     0,  1157,  1859,
       0,  1861,     0,     0,     0,     0,  2661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2227,     0,
       0,  2227,     0,  2227,     0,     0,  2227,     0,     0,     0,
       0,     0,  1859,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,  1868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
    1868,     0,  1157,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,  1157,     0,     0,  1293,   704,
    1868,   704,  1859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,  2864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,     0,     0,
    1868,  1868,     0,     0,     0,     0,     0,   704,     0,     0,
     704,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   660,     0,   985,     0,   985,     0,     0,
       0,     0,     0,   660,     0,  1157,     0,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   985,   985,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
    1861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,   704,     0,   704,     0,
       0,  1859,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,  1859,     0,     0,     0,  1125,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2952,  2953,     0,     0,     0,  2956,
    2957,  1157,     0,  2960,     0,     0,     0,     0,     0,     0,
    1157,  1859,     0,  2970,     0,     0,     0,     0,     0,     0,
    2978,     0,     0,     0,     0,     0,  2983,  2984,     0,     0,
       0,  1157,  1157,     0,   660,     0,     0,  2998,     0,  3000,
       0,     0,     0,     0,  1157,     0,     0,     0,   660,   660,
       0,     0,  1649,  3020,     0,     0,     0,     0,  3022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,  3038,  3039,  3042,  3044,  1157,     0,
       0,  3051,  3054,     0,     0,     0,   660,     0,     0,  3065,
       0,     0,  3069,     0,     0,     0,  3073,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3099,     0,  3101,     0,     0,     0,     0,     0,     0,
       0,  3104,  3105,  3106,     0,  3108,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,  3131,  3132,
    3133,     0,     0,     0,  1859,     0,     0,     0,  3138,  3139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1861,     0,     0,     0,     0,  1861,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1859,     0,     0,     0,     0,   660,     0,     0,     0,
       0,   704,     0,   704,     0,     0,   704,     0,   704,     0,
       0,   704,   704,   704,     0,     0,     0,  2014,     0,     0,
       0,     0,     0,     0,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   704,     0,   704,
       0,     0,     0,     0,   704,     0,     0,     0,     0,     0,
       0,     0,     0,  1861,     0,     0,     0,     0,  1125,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3323,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2168,     0,     0,     0,     0,     0,     0,     0,     0,   704,
     704,     0,     0,  1859,     0,     0,     0,  1859,  1859,     0,
       0,     0,     0,     0,     0,     0,   660,     0,     0,     0,
     660,   660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   704,     0,   660,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2297,     0,  3493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,   660,     0,  3534,  3535,     0,     0,   660,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   660,     0,     0,   660,   660,     0,     0,
       0,  3566,  3568,     0,     0,  3568,     0,     0,     0,  3575,
    3576,  3577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,  3595,  3596,  3597,  3598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   660,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3623,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3655,     0,     0,     0,     0,  3657,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,  1861,  1861,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3738,     0,     0,     0,
       0,  1861,     0,  1861,     0,     0,  3745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   704,  3764,   704,   905,     0,     0,   704,     0,   704,
       0,     0,   704,     0,     0,     0,   704,  1861,     0,     0,
       0,  2168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1861,     0,
     905,     0,     0,  3807,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3816,     0,     0,     0,
       0,     0,     0,     0,     0,  1861,     0,     0,     0,     0,
    2227,     0,     0,     0,     0,     0,     0,     0,  1861,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,  1508,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1871,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,  1861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1861,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,  2014,     0,  1861,     0,
       0,     0,     0,  2865,     0,     0,     0,     0,     0,     0,
       0,     0,  2297,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,  1861,     0,     0,     0,
       0,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1861,     0,     0,     0,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,   660,     0,     0,     0,   660,     0,     0,
       0,     0,     0,  2936,     0,  1649,     0,     0,   704,     0,
       0,     0,     0,     0,  1162,     0,  1861,     0,     0,     0,
       0,     0,     0,  4013,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,  1162,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,  4062,     0,     0,
       0,     0,  4069,  4070,     0,  4072,  4073,  4074,  4075,  4076,
    4077,  4078,     0,     0,     0,     0,     0,     0,     0,     0,
    4085,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,     0,     0,   660,     0,   660,     0,     0,     0,     0,
    1162,     0,     0,     0,  1162,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4139,  4141,  4143,     0,     0,
    4146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1861,  2066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1871,     0,     0,     0,     0,  2114,  2115,     0,
    2118,     0,     0,     0,     0,     0,     0,  3568,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2227,  2227,  2227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1871,     0,     0,  2211,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1861,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2234,     0,     0,
       0,  2244,  2247,     0,     0,     0,     0,     0,     0,   704,
    2014,     0,     0,     0,     0,     0,  1861,     0,     0,     0,
       0,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,     0,  1871,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1871,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1861,     0,  4334,     0,
       0,     0,     0,     0,     0,     0,     0,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4345,  4346,  1162,
       0,     0,     0,     0,     0,  1871,     0,     0,  1162,  4355,
    4356,     0,     0,     0,     0,     0,     0,     0,     0,  2227,
    2227,     0,  2227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2297,     0,     0,     0,
       0,   660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,  1861,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1861,     0,     0,     0,     0,
       0,  4408,     0,     0,     0,     0,     0,  1861,  1162,  1162,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,  1162,
       0,     0,  1162,     0,     0,  4429,     0,     0,     0,     0,
    1162,  1162,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,  1162,  1162,  1162,  1162,  1861,     0,     0,  4449,     0,
       0,  1162,  1162,     0,  1162,     0,  1162,  1162,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1871,  1162,     0,     0,
       0,     0,  1162,     0,     0,     0,  1162,     0,     0,     0,
    1162,     0,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,     0,  1162,     0,     0,     0,     0,  2227,  1162,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
    2227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1861,     0,
       0,     0,     0,  2731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2753,     0,     0,  2755,     0,
       0,  2766,     0,     0,     0,     0,     0,     0,  2773,  2778,
    4557,     0,     0,     0,  2784,     0,     0,  2789,     0,     0,
     660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   660,  2798,     0,     0,     0,     0,  2805,
       0,     0,     0,  2817,     0,     0,     0,  2824,  3568,  2826,
    2827,  2828,  2829,  2830,  2831,  2832,  2833,  2834,     0,  2835,
       0,  1862,     0,     0,     0,  1508,  1162,     0,  2860,     0,
       0,  1162,     0,     0,     0,  1861,     0,  1162,     0,     0,
       0,     0,     0,  2227,     0,   704,     0,     0,     0,     0,
       0,     0,     0,  2227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1871,     0,     0,
       0,     0,  1871,  1871,     0,     0,     0,     0,     0,     0,
       0,   704,     0,  1871,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1861,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   660,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3568,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2227,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,  1871,
       0,     0,     0,  2981,     0,     0,     0,  1861,     0,     0,
       0,  1861,  1861,     0,     0,     0,     0,     0,     0,     0,
    4729,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1871,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,  2936,  1862,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1871,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,  1864,
       0,  1162,     0,     0,  3174,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,   660,     0,     0,     0,  1162,  1162,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,  1862,     0,     0,     0,
       0,     0,  1162,  1162,  1162,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  1862,  1162,     0,     0,  1162,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,  1162,     0,   660,  1162,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,  1162,     0,  1162,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,  3294,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  1162,  1162,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,  3340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   660,     0,     0,     0,     0,     0,  2778,
       0,  2778,  2778,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,  3402,     0,     0,  3405,     0,  3407,     0,     0,
    2154,     0,     0,     0,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3428,     0,  3430,     0,     0,     0,
    3433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1871,  1871,     0,  1871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2860,
    2860,  2860,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,  3490,     0,     0,     0,     0,     0,  2154,
       0,     0,     0,     0,     0,     0,  2234,  1871,     0,  1871,
       0,  3502,     0,     0,     0,     0,     0,     0,  2247,     0,
    2297,     0,  2154,     0,     0,     0,     0,  2762,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   660,  2154,  2154,     0,
       0,  2154,     0,  1871,     0,     0,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3543,     0,     0,   660,     0,     0,
       0,  2154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1871,     0,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2154,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2154,  1871,     0,
    2154,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,  1871,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1864,     0,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,  1862,  1862,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,  1862,  1162,
       0,     0,  1871,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,  1162,     0,  1162,     0,     0,     0,
       0,  1871,  1162,     0,     0,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,     0,     0,     0,  1162,  1162,
       0,     0,     0,     0,     0,     0,  1871,     0,     0,     0,
       0,  1162,     0,     0,  1864,  1162,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,  1162,     0,  1162,     0,     0,     0,  1865,     0,
       0,     0,  1871,  1162,  1162,  1162,     0,     0,     0,  1162,
       0,   704,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  1162,     0,  1862,     0,     0,     0,     0,     0,
     660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,  3846,     0,     0,     0,
       0,     0,     0,  1862,     0,  3849,     0,     0,     0,     0,
       0,  3850,     0,  3851,  1162,     0,     0,     0,     0,     0,
       0,     0,  1866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3869,  3870,     0,     0,     0,
       0,     0,     0,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,  2784,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3898,     0,     0,  3901,
       0,  3903,     0,     0,     0,     0,  1871,     0,     0,     0,
    3907,     0,     0,     0,     0,     0,  3912,     0,     0,  3915,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3944,
       0,     0,     0,     0,     0,     0,     0,  3956,     0,  2860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3973,     0,     0,     0,     0,     0,
    1508,     0,     0,     0,     0,     0,  1578,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,   660,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
       0,     0,     0,     0,     0,     0,  2154,     0,  2154,     0,
    2762,  2762,  3376,     0,     0,  2762,     0,     0,     0,  2154,
       0,     0,     0,     0,     0,     0,  2154,     0,     0,     0,
       0,  2154,  1871,  1162,  1162,     0,     0,  2154,     0,     0,
       0,     0,  2154,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,  2762,  2762,     0,  2154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2154,     0,     0,     0,     0,     0,     0,  2154,     0,  2154,
    2154,  2154,  2154,  2154,  2154,  2154,  2154,  2154,  2154,     0,
    1865,     0,     0,  1162,     0,     0,  1864,     0,     0,     0,
       0,  1864,  1864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1864,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,  1865,     0,  1162,
    1162,     0,  1871,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,  1162,  1871,     0,     0,     0,     0,  1162,  1162,
       0,     0,  1162,  1865,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,  1862,
    1862,     0,  1862,     0,     0,     0,     0,     0,     0,     0,
    4196,  4197,     0,     0,  1866,     0,     0,     0,     0,     0,
    1865,     0,     0,     0,  2154,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1871,     0,  1862,     0,  1862,     0,     0,  1865,     0,     0,
       0,  1866,     0,     0,     0,     0,     0,     0,     0,     0,
    4228,  1871,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1871,     0,  1865,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1864,  1862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4246,  4248,     0,  1862,
       0,  1871,     0,     0,     0,     0,     0,     0,     0,  4255,
       0,     0,     0,     0,     0,  4260,  4261,     0,     0,  4263,
       0,     0,     0,  1865,     0,     0,  1862,     0,     0,     0,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,  2860,     0,     0,
       0,     0,  2860,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,  2860,     0,     0,     0,     0,     0,
       0,  1866,  1864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2154,     0,  1866,
       0,     0,  4317,  1862,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1862,  1871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,  1871,     0,     0,  1866,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,  1162,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,  1162,  1862,     0,  1162,
       0,     0,     0,     0,  1162,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  1865,     0,  1862,  2154,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,  1862,     0,     0,     0,     0,     0,     0,     0,  4395,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1871,     0,  2154,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,  3376,  3376,     0,  2762,     0,     0,
    2762,  2762,  2762,  2762,  2762,  2762,  2762,  2762,  2762,  2762,
    3376,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,  2154,     0,
    2154,     0,     0,     0,     0,  3376,  3376,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,  2762,
    2762,  2154,  1162,  2154,  1871,     0,  2154,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,  4475,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,  1871,     0,  1162,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4492,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,  1162,  1864,  1864,     0,  1864,  1871,     0,     0,
       0,     0,     0,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1871,     0,     0,     0,  1871,  1871,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,  1864,     0,
       0,  1862,     0,     0,     0,     0,  2154,     0,     0,     0,
       0,     0,     0,     0,     0,  1865,     0,     0,     0,     0,
    1865,  1865,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,  1865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1864,     0,     0,     0,     0,     0,     0,     0,
    1871,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,  1864,     0,     0,  2784,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4612,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,  1862,     0,     0,     0,     0,  1866,
       0,     0,     0,     0,  1866,  1866,     0,  1865,  1162,  1162,
       0,     0,     0,     0,     0,  1866,     0,  1864,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,  1862,     0,     0,
    1864,     0,     0,     0,     0,     0,     0,     0,  2762,     0,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,  4669,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
    1864,     0,  4712,  1162,     0,     0,     0,  1862,     0,     0,
       0,  1866,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,  2154,
       0,     0,  2154,  2154,  2154,     0,     0,  3376,     0,     0,
       0,  1865,  3376,  3376,  3376,  3376,  3376,  3376,  3376,  3376,
    3376,  3376,  2154,  2154,     0,     0,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,  4750,  4750,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1866,  2154,  2762,  2762,  2154,     0,  2154,     0,     0,     0,
    2154,  3376,  3376,     0,     0,  2154,     0,     0,  2154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4795,     0,     0,  1862,     0,  2154,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2154,
       0,     0,     0,     0,     0,     0,  1862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2154,     0,  1862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,  4750,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3376,     0,     0,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,  1865,     0,  1865,     0,     0,     0,  2154,
    2154,     0,     0,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,  2762,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,  1865,     0,  1865,     0,  2154,
       0,  2154,     0,     0,     0,     0,  3376,  3376,  2154,     0,
       0,  2762,  2762,  2154,  2154,     0,  2154,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,     0,
       0,  1865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
    2154,     0,     0,     0,     0,     0,  1866,  1866,     0,  1866,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1864,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1864,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1866,
       0,  1866,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,     0,  2154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1865,     0,     0,     0,
       0,     0,  1862,     0,     0,  1866,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,  1866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
    3376,  2762,  1862,  1862,     0,     0,     0,     0,     0,  1864,
       0,     0,     0,  1866,     0,     0,  3376,  3376,  2154,     0,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,     0,
    1864,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,  1864,     0,     0,     0,     0,     0,     0,     0,
    1865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1866,     0,     0,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,     0,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2154,     0,
    1864,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,  1864,  1865,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,  1864,     0,     0,   144,
    1865,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,  1864,     0,   154,   155,  1864,  1864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
     172,  1866,     0,     0,     0,     0,     0,     0,     0,     0,
    1865,     0,     0,   173,   174,     0,     0,     0,     0,     0,
     175,  1865,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,  1866,     0,     0,   180,   181,     0,
     182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,   189,     0,     0,   190,     0,     0,     0,   192,     0,
       0,   193,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   195,   196,   197,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1865,     0,
       0,     0,     0,   209,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,  1865,
       0,     0,     0,   216,     0,  1866,   218,     0,   219,     0,
       0,  1865,     0,     0,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,   225,     0,   226,
       0,     0,     0,     0,     0,     0,     0,   229,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1866,     0,  2926,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1865,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1865,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1865,     0,     0,     0,  1865,  1865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,  1866,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,  1866,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,  1866,     0,     0,     0,  1866,
    1866,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     721,   420,   421,   422,   722,   723,   724,   725,   726,   727,
     728,   423,   424,   729,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,   730,   430,   431,   432,   433,
     434,   731,   732,   435,   436,   733,   140,   437,   734,   438,
     439,   440,   441,   144,   735,   442,   736,   443,   444,   445,
     446,   147,   447,   737,   738,   448,   449,   450,   451,   452,
     453,   739,   150,   454,   740,   741,   742,   743,   151,   744,
     745,   746,   455,   456,   457,   458,   683,   459,   154,   155,
     460,   747,   461,   748,   462,   463,   464,   465,   466,   749,
     467,   468,   469,   750,   751,   470,   471,   472,   473,   474,
     752,   475,   476,   477,   753,   478,   479,   754,   480,   481,
     482,   483,   163,   484,   485,   486,   165,   755,   487,   756,
     488,   167,   489,   757,   490,   758,   491,   168,   759,   169,
     492,   493,   494,   760,   495,   171,   761,   496,   762,   497,
     498,   685,   499,   500,   172,   501,   502,   503,   763,   504,
     505,   506,   507,   508,   509,   764,   510,   173,   174,   765,
     511,   512,   513,   766,   175,   767,   176,   768,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
     769,   180,   181,   523,   182,   770,   524,   525,   526,   771,
     772,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,   188,   189,   537,   538,   190,   773,
     539,   540,   192,   541,   774,   193,   542,   194,   543,   544,
     545,   775,   546,   776,   777,   547,   548,   549,   778,   779,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,   780,   557,   200,   558,   201,   559,   560,   561,
     781,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,   782,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   783,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,   784,
     594,   595,   596,   597,   598,   785,   599,   216,   600,   601,
     218,   602,   219,   786,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,   787,   613,   614,   788,   615,
     616,   617,   618,   619,   620,   789,   223,   224,   790,   791,
     622,   225,   623,   226,   792,   624,   625,   626,   627,   628,
     629,   793,   794,   630,   631,   632,   633,   634,   795,   796,
     635,   636,   637,   638,   639,   797,   233,   798,   640,   234,
     641,   642,   643,   799,   800,   644,   801,   802,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    85,     0,     0,    86,    87,
      88,    89,    90,    91,    92,    93,     0,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   947,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,   119,   120,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,   127,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   129,     0,   130,   131,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,   133,     0,     0,
     134,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
     141,     0,   142,   143,   144,     0,     0,     0,   145,     0,
     146,     0,   147,     0,     0,     0,     0,     0,     0,     0,
     148,     0,   149,   150,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,   152,     0,   153,   154,
     155,   156,     0,     0,     0,     0,     0, -1311,     0,     0,
       0,     0,     0,   157,     0,   158,     0,     0,     0,   159,
       0,     0,     0,     0,     0,   160,   161,     0,     0,     0,
       0,     0,   162,   163,   164,     0,     0,   165,     0,     0,
     166,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,   170,     0,   171,     0,     0,     0,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   173,   174,
       0,     0, -1311,     0,     0,   175,     0,   176,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,   180,   181,     0,   182,     0,   183,   184,     0,
       0,     0,     0,   185,     0,     0,     0,     0,     0,     0,
       0,   186,     0,     0,   187,   188,   189,     0,     0,   190,
       0,     0,   191,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,     0,     0,     0,   205,     0,   206,     0,     0,
       0,     0,   207,     0,     0,     0,     0,   208,   209,     0,
     210,   211,     0,     0,   212,     0,     0,     0,     0,   213,
     214,     0,     0,     0,     0,     0,     0,   215,   216,     0,
     217,   218,     0,   219,     0,     0,     0,   220,     0,     0,
       0,     0,     0,     0,     0,   221,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
       0,     0,   225,     0,   226,     0,   227,     0,   228,     0,
       0,     0,   229,     0,     0,   230,     0,     0, -1311,     0,
       0,   231,     0,     0,     0,     0,   232,   233,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   245,   104,   105,     0,  -132,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   173,   174,     0,     0,     0,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,   180,   181,     0,
     182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,   189,     0,     0,   190,     0,     0,     0,   192,     0,
       0,   193,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   195,   196,   197,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,     0,     0,   218,     0,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,   225,     0,   226,
       0,     0,     0,     0,     0,     0,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,     0,  2928,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,    46,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,    51,     0,     0,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,    54,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1340,  2642,
       0,     0,     0,    71,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    58,     0,
       0,     0,     0,     0,    59,     0,     0,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1340,     0,     0,
       0,     0,    71,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,  2854,   420,   421,
     422,     0,     0,     0,     0,  1432,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,   135,  1433,   137,
    1434,  1435,     0,   430,   431,   432,   433,   434,  1436,  1437,
     435,   436,  1438,  1439,   437,     0,   438,   439,   440,   441,
    1440,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,
     456,   457,   458,   683,   459,  1448,  1449,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
    2855,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1451,
     484,   485,   486,  1452,  1453,   487,     0,   488,  1454,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,  1455,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
    1456,  1457,     0,  1458,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,  1459,   181,
     523,   182,     0,   524,   525,   526,  1460,  1461,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1462,   188,  1463,   537,   538,   190,  1464,   539,   540,   192,
     541,  1465,  1466,   542,  1467,   543,   544,   545,     0,   546,
       0,     0,  1468,   548,   549,     0,     0,   195,   196,   197,
     198,  1469,   550,   551,   552,   553,   554,   555,   556,     0,
     557,  1470,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1471,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,  1472,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,  1473,   599,   216,   600,   601,   218,   602,  1474,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1475,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1476,  1477,     0,     0,   622,  1478,   623,
    1479,  1480,   624,   625,   626,   627,   628,   629,     0,  1481,
     630,   631,   632,   633,   634,  1482,     0,   635,   636,   637,
     638,   639,   689,  1483,  2856,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,
     650,   651,     0,     0,     0,     0,     0,     0,     0,  1492,
    1493,  2857,     0,     0,     0,     0,     0,     0,  1495,  2858,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,  1433,   137,  1434,  1435,     0,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,  1459,   181,   523,   182,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,  1464,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,   218,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,
     625,   626,   627,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,     0,     0,
       0,     0,     0,     0,     0,  1495,  2764,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,     0,  1837,   137,  1838,  1839,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,  1840,  1841,   437,     0,
     438,   439,   440,   441,     0,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,   683,   459,  1842,
    1843,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1844,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,  2386,
     504,   505,   506,   507,   508,   509,     0,   510,   173,  2387,
       0,   511,   512,   513,  1456,  1845,     0,  1846,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1847,   188,  1848,   537,   538,     0,
       0,   539,   540,   192,   541,     0,     0,   542,  1849,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,  2388,   196,   197,   198,     0,   550,   551,   552,   553,
     554,   555,   556,     0,   557,     0,   558,     0,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1850,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,     0,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,  2389,   600,
     601,   218,   602,  1852,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,     0,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1853,  1854,     0,
       0,   622,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,  1855,  2390,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,   650,   651,     0,     0,     0,     0,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,  2391,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,     0,  1837,   137,  1838,  1839,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,  1840,
    1841,   437,     0,   438,   439,   440,   441,     0,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
     683,   459,  1842,  1843,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
       0,     0,   487,     0,   488,  1844,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,     0,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,  2386,   504,   505,   506,   507,   508,   509,     0,
     510,   173,  2387,     0,   511,   512,   513,  1456,  1845,     0,
    1846,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1847,   188,  1848,
     537,   538,     0,     0,   539,   540,   192,   541,     0,     0,
     542,  1849,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,  2388,   196,   197,   198,     0,   550,
     551,   552,   553,   554,   555,   556,     0,   557,     0,   558,
       0,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1850,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,     0,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,  2389,   600,   601,   218,   602,  1852,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,     0,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1853,  1854,     0,     0,   622,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
    1855,  2390,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,   650,   651,     0,
       0,     0,     0,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,  3257,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,  1432,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,   135,  1433,   137,
    1434,  1435,  2774,   430,   431,   432,   433,   434,  1436,  1437,
     435,   436,  1438,  1439,   437,     0,   438,   439,   440,   441,
    1440,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,
     456,   457,   458,   683,   459,  1448,  1449,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1451,
     484,   485,   486,  1452,  1453,   487,     0,   488,  1454,   489,
       0,   490,     0,   491,   168,  2775,   169,   492,   493,   494,
       0,   495,  1455,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
    1456,  1457,     0,  1458,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,  2776,  1459,   181,
     523,   182,     0,   524,   525,   526,  1460,  1461,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1462,   188,  1463,   537,   538,   190,  1464,   539,   540,   192,
     541,  1465,  1466,   542,  1467,   543,   544,   545,     0,   546,
       0,     0,  1468,   548,   549,     0,     0,   195,   196,   197,
     198,  1469,   550,   551,   552,   553,   554,   555,   556,     0,
     557,  1470,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1471,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,  1472,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,  1473,   599,   216,   600,   601,   218,   602,  1474,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1475,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1476,  1477,     0,  2777,   622,  1478,   623,
    1479,  1480,   624,   625,   626,   627,   628,   629,     0,  1481,
     630,   631,   632,   633,   634,  1482,     0,   635,   636,   637,
     638,   639,   689,  1483,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,
     650,   651,     0,     0,     0,     0,     0,     0,     0,  1492,
    1493,     0,     0,     0,     0,     0,     0,     0,  1495,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1428,  1429,  1430,
      45,  1431,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,  1432,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,  1433,   137,  1434,  1435,     0,   430,
     431,   432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,
     437,     0,   438,   439,   440,   441,  1440,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,  1441,  1442,
    1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,
     459,  1448,  1449,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1451,   484,   485,   486,  1452,
    1453,   487,     0,   488,  1454,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,  1455,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,  1456,  1457,     0,  1458,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,  1459,   181,   523,   182,     0,   524,
     525,   526,  1460,  1461,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1462,   188,  1463,   537,
     538,   190,  1464,   539,   540,   192,   541,  1465,  1466,   542,
    1467,   543,   544,   545,     0,   546,     0,     0,  1468,   548,
     549,     0,     0,   195,   196,   197,   198,  1469,   550,   551,
     552,   553,   554,   555,   556,     0,   557,  1470,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1471,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,  1472,   587,   588,   589,   590,   591,   592,
     688,   593,   214,   594,   595,   596,   597,   598,  1473,   599,
     216,   600,   601,   218,   602,  1474,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1475,     0,   613,
     614,   222,   615,   616,   617,   618,   619,   620,     0,  1476,
    1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,   625,
     626,   627,   628,   629,     0,  1481,   630,   631,   632,   633,
     634,  1482,     0,   635,   636,   637,   638,   639,  2116,  1483,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
     235,   645,   646,   647,   648,   649,   236,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,
       0,     0,     0,     0,     0,  1492,  1493,     0,     0,     0,
       0,     0,     0,     0,  1495,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,  1432,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,   135,
    1433,   137,  1434,  1435,     0,   430,   431,   432,   433,   434,
    1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,   439,
     440,   441,  1440,     0,   442,     0,   443,   444,   445,   446,
     147,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,
    1447,   455,   456,   457,   458,   683,   459,  1448,  1449,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1450,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1451,   484,   485,   486,  1452,  1453,   487,     0,   488,
    1454,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,  1455,     0,   496,     0,   497,   498,
     685,   499,   500,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,   174,     0,   511,
     512,   513,  1456,  1457,     0,  1458,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
    1459,   181,   523,   182,     0,   524,   525,   526,  1460,  1461,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,  1462,   188,  1463,   537,   538,   190,  1464,   539,
     540,   192,   541,  1465,  1466,   542,  1467,   543,   544,   545,
       0,   546,     0,     0,  1468,   548,   549,     0,     0,   195,
     196,   197,   198,  1469,   550,   551,   552,   553,   554,   555,
     556,     0,   557,  1470,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,  1471,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,  1472,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,  1473,   599,   216,   600,   601,   218,
     602,  1474,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1475,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,  1476,  1477,     0,     0,   622,
    1478,   623,  1479,  1480,   624,   625,   626,   627,   628,   629,
       0,  1481,   630,   631,   632,   633,   634,  1482,     0,   635,
     636,   637,   638,   639,   689,  1483,     0,   640,   234,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   690,   650,   651,     0,     0,     0,     0,     0,     0,
       0,  1492,  1493,     0,     0,     0,     0,     0,  2061,  2723,
    1495,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1428,
    1429,  1430,    45,  1431,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,  1432,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,   135,  1433,   137,  1434,  1435,
       0,   430,   431,   432,   433,   434,  1436,  1437,   435,   436,
    1438,  1439,   437,     0,   438,   439,   440,   441,  1440,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,     0,
    1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,
     458,   683,   459,  1448,  1449,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1450,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,  1451,   484,   485,
     486,  1452,  1453,   487,     0,   488,  1454,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
    1455,     0,   496,     0,   497,   498,   685,   499,   500,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,   174,     0,   511,   512,   513,  1456,  1457,
       0,  1458,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,  1459,   181,   523,   182,
       0,   524,   525,   526,  1460,  1461,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,  1462,   188,
    1463,   537,   538,   190,  1464,   539,   540,   192,   541,  1465,
    1466,   542,  1467,   543,   544,   545,     0,   546,     0,     0,
    1468,   548,   549,     0,     0,   195,   196,   197,   198,  1469,
     550,   551,   552,   553,   554,   555,   556,     0,   557,  1470,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,  1471,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,  1472,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
    1473,   599,   216,   600,   601,   218,   602,  1474,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1475,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,
     624,   625,   626,   627,   628,   629,     0,  1481,   630,   631,
     632,   633,   634,  1482,     0,   635,   636,   637,   638,   639,
     689,  1483,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,
       0,     0,     0,     0,     0,     0,     0,  1492,  1493,  1494,
       0,     0,     0,     0,     0,     0,  1495,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,  1432,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,  1433,   137,  1434,  1435,     0,   430,   431,   432,
     433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,
     438,   439,   440,   441,  1440,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,   455,   456,   457,   458,   683,   459,  1448,
    1449,   460,  1577,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1451,   484,   485,   486,  1452,  1453,   487,
       0,   488,  1454,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,  1455,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,  1456,  1457,     0,  1458,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,  1459,   181,   523,   182,     0,   524,   525,   526,
    1460,  1461,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1462,   188,  1463,   537,   538,   190,
    1464,   539,   540,   192,   541,  1465,  1466,   542,  1467,   543,
     544,   545,     0,   546,     0,     0,  1468,   548,   549,     0,
       0,   195,   196,   197,   198,  1469,   550,   551,   552,   553,
     554,   555,   556,     0,   557,  1470,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1471,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,  1472,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,  1473,   599,   216,   600,
     601,   218,   602,  1474,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1475,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1476,  1477,     0,
       0,   622,  1478,   623,  1479,  1480,   624,   625,   626,   627,
     628,   629,     0,  1481,   630,   631,   632,   633,   634,  1482,
       0,   635,   636,   637,   638,   639,   689,  1483,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   690,   650,   651,     0,     0,     0,     0,
       0,     0,     0,  1492,  1493,     0,     0,     0,     0,     0,
       0,     0,  1495,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,  2242,   420,   421,
     422,     0,     0,     0,     0,  1432,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,   135,  1433,   137,
    1434,  1435,     0,   430,   431,   432,   433,   434,  1436,  1437,
     435,   436,  1438,  1439,   437,     0,   438,   439,   440,   441,
    1440,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,
     456,   457,   458,   683,   459,  1448,  1449,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1451,
     484,   485,   486,  1452,  1453,   487,     0,   488,  1454,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,  1455,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
    1456,  1457,     0,  1458,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,  1459,   181,
     523,   182,     0,   524,   525,   526,  1460,  1461,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1462,   188,  1463,   537,   538,   190,  1464,   539,   540,   192,
     541,  1465,  1466,   542,  1467,   543,   544,   545,     0,   546,
       0,     0,  1468,   548,   549,     0,     0,   195,   196,   197,
     198,  1469,   550,   551,   552,   553,   554,   555,   556,     0,
     557,  1470,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1471,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,  1472,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,  1473,   599,   216,   600,   601,   218,   602,  1474,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1475,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1476,  1477,     0,     0,   622,  1478,   623,
    1479,  1480,   624,   625,   626,   627,   628,   629,     0,  1481,
     630,   631,   632,   633,   634,  1482,     0,   635,   636,   637,
     638,   639,   689,  1483,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,
     650,   651,     0,     0,     0,     0,     0,     0,     0,  1492,
    1493,     0,     0,     0,     0,     0,     0,     0,  1495,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1428,  1429,  1430,
      45,  1431,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,  1432,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,  1433,   137,  1434,  1435,     0,   430,
     431,   432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,
     437,     0,   438,   439,   440,   441,  1440,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,  1441,  1442,
    1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,
     459,  1448,  1449,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1451,   484,   485,   486,  1452,
    1453,   487,     0,   488,  1454,   489,     0,   490,     0,   491,
     168,  2775,   169,   492,   493,   494,     0,   495,  1455,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,  1456,  1457,     0,  1458,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,  1459,   181,   523,   182,     0,   524,
     525,   526,  1460,  1461,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1462,   188,  1463,   537,
     538,   190,  1464,   539,   540,   192,   541,  1465,  1466,   542,
    1467,   543,   544,   545,     0,   546,     0,     0,  1468,   548,
     549,     0,     0,   195,   196,   197,   198,  1469,   550,   551,
     552,   553,   554,   555,   556,     0,   557,  1470,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1471,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,  1472,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,  1473,   599,
     216,   600,   601,   218,   602,  1474,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1475,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,  1476,
    1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,   625,
     626,   627,   628,   629,     0,  1481,   630,   631,   632,   633,
     634,  1482,     0,   635,   636,   637,   638,   639,   689,  1483,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,
       0,     0,     0,     0,     0,  1492,  1493,     0,     0,     0,
       0,     0,     0,     0,  1495,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,  1432,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,   135,
    1433,   137,  1434,  1435,     0,   430,   431,   432,   433,   434,
    1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,   439,
     440,   441,  1440,     0,   442,     0,   443,   444,   445,   446,
     147,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,
    1447,   455,   456,   457,   458,   683,   459,  1448,  1449,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1450,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1451,   484,   485,   486,  1452,  1453,   487,     0,   488,
    1454,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,  1455,     0,   496,     0,   497,   498,
     685,   499,   500,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,   174,     0,   511,
     512,   513,  1456,  1457,     0,  1458,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
    1459,   181,   523,   182,     0,   524,   525,   526,  1460,  1461,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,  1462,   188,  1463,   537,   538,   190,  1464,   539,
     540,   192,   541,  1465,  1466,   542,  1467,   543,   544,   545,
       0,   546,     0,     0,  1468,   548,   549,     0,     0,   195,
     196,   197,   198,  1469,   550,   551,   552,   553,   554,   555,
     556,     0,   557,  1470,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,  1471,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,  1472,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,  1473,   599,   216,   600,   601,   218,
     602,  1474,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1475,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,  1476,  1477,     0,     0,   622,
    1478,   623,  1479,  1480,   624,   625,   626,   627,   628,   629,
       0,  1481,   630,   631,   632,   633,   634,  1482,     0,   635,
     636,   637,   638,   639,   689,  1483,  3959,   640,   234,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   690,   650,   651,     0,     0,     0,     0,     0,     0,
       0,  1492,  1493,     0,     0,     0,     0,     0,     0,     0,
    1495,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1428,
    1429,  1430,    45,  1431,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,  1432,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,   135,  1433,   137,  1434,  1435,
       0,   430,   431,   432,   433,   434,  1436,  1437,   435,   436,
    1438,  1439,   437,     0,   438,   439,   440,   441,  1440,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,  3972,
    1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,
     458,   683,   459,  1448,  1449,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1450,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,  1451,   484,   485,
     486,  1452,  1453,   487,     0,   488,  1454,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
    1455,     0,   496,     0,   497,   498,   685,   499,   500,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,   174,     0,   511,   512,   513,  1456,  1457,
       0,  1458,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,  1459,   181,   523,   182,
       0,   524,   525,   526,  1460,  1461,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,  1462,   188,
    1463,   537,   538,   190,  1464,   539,   540,   192,   541,  1465,
    1466,   542,  1467,   543,   544,   545,     0,   546,     0,     0,
    1468,   548,   549,     0,     0,   195,   196,   197,   198,  1469,
     550,   551,   552,   553,   554,   555,   556,     0,   557,  1470,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,  1471,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,  1472,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
    1473,   599,   216,   600,   601,   218,   602,  1474,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1475,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,
     624,   625,   626,   627,   628,   629,     0,  1481,   630,   631,
     632,   633,   634,  1482,     0,   635,   636,   637,   638,   639,
     689,  1483,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,
       0,     0,     0,     0,     0,     0,     0,  1492,  1493,     0,
       0,     0,     0,     0,     0,     0,  1495,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,  1432,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,  4747,  1433,   137,  1434,  1435,     0,   430,   431,   432,
     433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,
     438,   439,   440,   441,  1440,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,  4748,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,   455,   456,   457,   458,   683,   459,  1448,
    1449,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1451,   484,   485,   486,  1452,  1453,   487,
       0,   488,  1454,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,  1455,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,  1456,  1457,     0,  1458,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,  1459,   181,   523,   182,     0,   524,   525,   526,
    1460,  1461,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1462,   188,  1463,   537,   538,   190,
    1464,   539,   540,   192,   541,  1465,  1466,   542,  1467,   543,
     544,   545,     0,   546,     0,     0,  1468,   548,   549,     0,
       0,   195,   196,   197,   198,  1469,   550,   551,   552,   553,
     554,   555,   556,     0,   557,  1470,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1471,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,  1472,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,  1473,   599,   216,   600,
     601,   218,   602,  1474,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1475,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1476,  1477,     0,
       0,   622,  1478,   623,  1479,  1480,   624,   625,   626,  4749,
     628,   629,     0,  1481,   630,   631,   632,   633,   634,  1482,
       0,   635,   636,   637,   638,   639,   689,  1483,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   690,   650,   651,     0,     0,     0,     0,
       0,     0,     0,  1492,  1493,     0,     0,     0,     0,     0,
       0,     0,  1495,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,  1432,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,   135,  1433,   137,
    1434,  1435,     0,   430,   431,   432,   433,   434,  1436,  1437,
     435,   436,  1438,  1439,   437,     0,   438,   439,   440,   441,
    1440,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,  4748,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,
     456,   457,   458,   683,   459,  1448,  1449,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1451,
     484,   485,   486,  1452,  1453,   487,     0,   488,  1454,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,  1455,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
    1456,  1457,     0,  1458,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,  1459,   181,
     523,   182,     0,   524,   525,   526,  1460,  1461,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1462,   188,  1463,   537,   538,   190,  1464,   539,   540,   192,
     541,  1465,  1466,   542,  1467,   543,   544,   545,     0,   546,
       0,     0,  1468,   548,   549,     0,     0,   195,   196,   197,
     198,  1469,   550,   551,   552,   553,   554,   555,   556,     0,
     557,  1470,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1471,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,  1472,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,  1473,   599,   216,   600,   601,   218,   602,  1474,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1475,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1476,  1477,     0,     0,   622,  1478,   623,
    1479,  1480,   624,   625,   626,  4749,   628,   629,     0,  1481,
     630,   631,   632,   633,   634,  1482,     0,   635,   636,   637,
     638,   639,   689,  1483,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,
     650,   651,     0,     0,     0,     0,     0,     0,     0,  1492,
    1493,     0,     0,     0,     0,     0,     0,     0,  1495,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1428,  1429,  1430,
      45,  1431,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,  1432,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,  1433,   137,  1434,  1435,     0,   430,
     431,   432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,
     437,     0,   438,   439,   440,   441,  1440,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,  1441,  1442,
    1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,
     459,  1448,  1449,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1451,   484,   485,   486,  1452,
    1453,   487,     0,   488,  1454,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,  1455,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,  1456,  1457,     0,  1458,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,  1459,   181,   523,   182,     0,   524,
     525,   526,  1460,  1461,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1462,   188,  1463,   537,
     538,   190,  1464,   539,   540,   192,   541,  1465,  1466,   542,
    1467,   543,   544,   545,     0,   546,     0,     0,  1468,   548,
     549,     0,     0,   195,   196,   197,   198,  1469,   550,   551,
     552,   553,   554,   555,   556,     0,   557,  1470,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1471,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,  1472,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,  1473,   599,
     216,   600,   601,   218,   602,  1474,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1475,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,  1476,
    1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,   625,
     626,   627,   628,   629,     0,  1481,   630,   631,   632,   633,
     634,  1482,     0,   635,   636,   637,   638,   639,   689,  1483,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,
       0,     0,     0,     0,     0,  1492,  1493,     0,     0,     0,
       0,     0,     0,     0,  1495,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,  1432,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,   135,
    1433,   137,  1434,  1435,     0,   430,   431,   432,   433,   434,
    1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,   439,
     440,   441,  1440,     0,   442,     0,   443,   444,   445,   446,
     147,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,
    1447,   455,   456,   457,   458,   683,   459,  1448,  1449,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1450,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1451,   484,   485,   486,  1452,  1453,   487,     0,   488,
    1454,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,  1455,     0,   496,     0,   497,   498,
     685,   499,   500,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,   174,     0,   511,
     512,   513,  1456,  1457,     0,  1458,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
    1459,   181,   523,   182,     0,   524,   525,   526,  1460,  1461,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,  1462,   188,  1463,   537,   538,   190,  1464,   539,
     540,   192,   541,  1465,  1466,   542,  1467,   543,   544,   545,
       0,   546,     0,     0,  1468,   548,   549,     0,     0,   195,
     196,   197,   198,  1469,   550,   551,   552,   553,   554,   555,
     556,     0,   557,  1470,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,  1471,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,  1472,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,  1473,   599,   216,   600,   601,   218,
     602,  1474,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1475,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,  1476,  1477,     0,     0,   622,
    1478,   623,  1479,  1480,   624,   625,   626,   627,   628,   629,
       0,  1481,   630,   631,   632,   633,   634,  1482,     0,   635,
     636,   637,   638,   639,   689,  1483,     0,   640,   234,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,  4238,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   690,   650,   651,     0,     0,     0,     0,     0,     0,
       0,  1492,  1493,     0,     0,     0,     0,     0,     0,     0,
    1495,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1428,
    1429,  1430,    45,  1431,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,  1432,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,   135,  1433,   137,  1434,  1435,
       0,   430,   431,   432,   433,   434,  1436,  1437,   435,   436,
    1438,  1439,   437,     0,   438,   439,   440,   441,  1440,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,     0,
    1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,
     458,   683,   459,  1448,  1449,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1450,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,  1451,   484,   485,
     486,  1452,  1453,   487,     0,   488,  1454,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
    1455,     0,   496,     0,   497,   498,   685,   499,   500,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,   174,     0,   511,   512,   513,  1456,  1457,
       0,  1458,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,  1459,   181,   523,   182,
       0,   524,   525,   526,  1460,  1461,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,  1462,   188,
    1463,   537,  4247,   190,  1464,   539,   540,   192,   541,  1465,
    1466,   542,  1467,   543,   544,   545,     0,   546,     0,     0,
    1468,   548,   549,     0,     0,   195,   196,   197,   198,  1469,
     550,   551,   552,   553,   554,   555,   556,     0,   557,  1470,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,  1471,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,  1472,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
    1473,   599,   216,   600,   601,   218,   602,  1474,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1475,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,
     624,   625,   626,   627,   628,   629,     0,  1481,   630,   631,
     632,   633,   634,  1482,     0,   635,   636,   637,   638,   639,
     689,  1483,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,
       0,     0,     0,     0,     0,     0,     0,  1492,  1493,     0,
       0,     0,     0,     0,     0,     0,  1495,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,  1432,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,  1433,   137,  1434,  1435,     0,   430,   431,   432,
     433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,
     438,   439,   440,   441,  1440,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,   455,   456,   457,   458,   683,   459,  1448,
    1449,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1451,   484,   485,   486,  1452,  1453,   487,
       0,   488,  1454,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,  1455,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,  1456,  1457,     0,  1458,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,  1459,   181,   523,   182,     0,   524,   525,   526,
    1460,  1461,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1462,   188,  1463,   537,   538,   190,
       0,   539,   540,   192,   541,  1465,  1466,   542,  1467,   543,
     544,   545,     0,   546,     0,     0,  1468,   548,   549,     0,
       0,   195,   196,   197,   198,  1469,   550,   551,   552,   553,
     554,   555,   556,     0,   557,  1470,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1471,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,  1472,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,  1473,   599,   216,   600,
     601,   218,   602,  1474,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1475,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1476,  1477,     0,
       0,   622,  1478,   623,  1479,  1480,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,  1482,
       0,   635,   636,   637,   638,   639,   689,  1483,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   690,   650,   651,     0,     0,     0,     0,
       0,     0,     0,  2757,  2758,     0,     0,     0,     0,     0,
       0,     0,  1495,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,  1432,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429, -2535,  1433,   137,
    1434,  1435,     0,   430,   431,   432,   433,   434,  1436,  1437,
     435,   436,  1438,  1439,   437,     0,   438,   439,   440,   441,
    1440,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,  4748,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,
     456,   457,   458,   683,   459,  1448,  1449,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1451,
     484,   485,   486,  1452,  1453,   487,     0,   488,  1454,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,  1455,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
    1456,  1457,     0,  1458,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,  1459,   181,
     523,     0,     0,   524,   525,   526,  1460,  1461,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1462,   188,  1463,   537,   538,   190,     0,   539,   540,   192,
     541,  1465,  1466,   542,  1467,   543,   544,   545,     0,   546,
       0,     0,  1468,   548,   549,     0,     0,   195,   196,   197,
     198,  1469,   550,   551,   552,   553,   554,   555,   556,     0,
     557,  1470,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1471,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,  1472,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,  1473,   599,   216,   600,   601,     0,   602,  1474,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1475,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1476,  1477,     0,     0,   622,  1478,   623,
    1479,  1480,   624,   625,   626,  4749,   628,   629,     0,  1481,
     630,   631,   632,   633,   634,  1482,     0,   635,   636,   637,
     638,   639,   689,  1483,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,
     650,   651,     0,     0,     0,     0,     0,     0,     0,  1492,
    1493,     0,     0,     0,     0,     0,     0,     0,  1495,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1428,  1429,     0,
      45,  1431,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,  1432,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,  1433,   137,  1434,  1435,     0,   430,
     431,   432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,
     437,     0,   438,   439,   440,   441,  1440,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,  1441,  1442,
    1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,
     459,  1448,  1449,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1451,   484,   485,   486,  1452,
    1453,   487,     0,   488,  1454,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,  1455,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,  1456,  1457,     0,  1458,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,  1459,   181,   523,   182,     0,   524,
     525,   526,  1460,  1461,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1462,   188,  1463,   537,
     538,   190,     0,   539,   540,   192,   541,  1465,  1466,   542,
    1467,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,  1469,   550,   551,
     552,   553,   554,   555,   556,     0,   557,  1470,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1471,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,  1472,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,  1473,   599,
     216,   600,   601,   218,   602,  1474,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1475,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,  1476,
    1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,  1482,     0,   635,   636,   637,   638,   639,   689,  1483,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,
       0,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,  1495,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1428,
    1429,     0,    45,  1431,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,  1432,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,   135,  1433,   137,  1434,  1435,
       0,  3882,   431,   432,   433,   434,  1436,  1437,   435,   436,
    1438,  1439,   437,     0,   438,   439,   440,   441,  1440,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,     0,
    1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,
     458,   683,   459,  1448,  1449,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1450,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,  1451,   484,   485,
     486,  1452,  1453,   487,     0,   488,  1454,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
    1455,     0,   496,     0,   497,   498,   685,   499,   500,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,   174,     0,   511,   512,   513,  1456,  1457,
       0,  1458,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,  1459,   181,   523,   182,
       0,   524,   525,   526,  1460,  1461,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,  1462,   188,
    1463,   537,   538,   190,     0,   539,   540,   192,   541,  1465,
    1466,   542,  1467,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,   196,   197,   198,  1469,
     550,   551,   552,   553,   554,   555,   556,     0,   557,  1470,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,  1471,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,  1472,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
    1473,   599,   216,   600,   601,   218,   602,  1474,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1475,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,  1482,     0,   635,   636,   637,   638,   639,
     689,  1483,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,
       0,     0,     0,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,  1495,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,  1432,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,     0,  1433,   137,
    1434,  1435,     0,   430,   431,   432,   433,   434,  1436,  1437,
     435,   436,  1438,  1439,   437,     0,   438,   439,   440,   441,
    1440,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,
     456,   457,   458,   683,   459,  1448,  1449,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,     0,     0,   480,   481,   482,   483,  1451,
     484,   485,   486,  1452,  1453,   487,     0,   488,  1454,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,  1455,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
    1456,  1457,     0,  1458,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,  1459,   181,
     523,     0,     0,   524,   525,   526,  1460,  1461,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1462,   188,  1463,   537,   538,   190,     0,   539,   540,   192,
     541,  1465,  1466,   542,  1467,   543,   544,   545,     0,   546,
       0,     0,  1468,   548,   549,     0,     0,   195,   196,   197,
     198,  1469,   550,   551,   552,   553,   554,   555,   556,     0,
     557,  1470,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1471,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,  1472,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,  1473,   599,   216,   600,   601,     0,   602,  1474,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1475,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1476,  1477,     0,     0,   622,  1478,   623,
    1479,  1480,   624,   625,   626,   627,   628,   629,     0,  1481,
     630,   631,   632,   633,   634,  1482,     0,   635,   636,   637,
     638,   639,   689,  1483,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,
     650,   651,     0,     0,     0,     0,     0,     0,     0,  1492,
    1493,     0,     0,     0,     0,     0,     0,     0,  1495,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1428,  1429,  1430,
      45,  1431,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,  1432,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,     0,  1433,   137,  1434,  1435,     0,   430,
     431,   432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,
     437,     0,   438,   439,   440,   441,  1440,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,  1441,  1442,
    1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,
     459,  1448,  1449,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,     0,
       0,   480,   481,   482,   483,  1451,   484,   485,   486,  1452,
    1453,   487,     0,   488,  1454,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,  1455,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,  1456,  1457,     0,  1458,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,  1459,   181,   523,     0,     0,   524,
     525,   526,  1460,  1461,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1462,   188,  1463,   537,
     538,   190,     0,   539,   540,   192,   541,  1465,  1466,   542,
    1467,   543,   544,   545,     0,   546,     0,     0,  1468,   548,
     549,     0,     0,   195,   196,   197,   198,  1469,   550,   551,
     552,   553,   554,   555,   556,     0,   557,  1470,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1471,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,  1472,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,  1473,   599,
     216,   600,   601,     0,   602,  1474,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1475,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,  1476,
    1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,  1482,     0,   635,   636,   637,   638,   639,   689,  1483,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,
       0,     0,     0,     0,     0,  2757,  2758,     0,     0,     0,
       0,     0,     0,     0,  1495,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,   135,
     136,   137,   138,   139,     0,   430,   431,   432,   433,   434,
       0,  1437,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,  1440,     0,   442,     0,   443,   444,   445,   446,
     147,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,
    1447,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,  1452,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,  1455,     0,   496,     0,   497,   498,
     685,   499,   500,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
    1459,   181,   523,   182,     0,   524,   525,   526,  1460,  1461,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,   188,   189,   537,   538,   190,     0,   539,
     540,   192,   541,     0,  1466,   542,   194,   543,   544,   545,
       0,   546,     0,  1059,   547,   548,   549,     0,     0,   195,
     196,   197,   198,  1469,   550,   551,   552,   553,   554,   555,
     556,     0,   557,  1470,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,   214,   594,
     595,   596,   597,   598,  1473,   599,   216,   600,   601,   218,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1475,     0,   613,   614,   222,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
    1478,   623,  1479,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,  1482,     0,   635,
     636,   637,   638,   639,  2116,   233,     0,   640,   234,   641,
     642,   643,     0,     0,   644,     0,   235,   645,   646,   647,
     648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   690,   650,   651,     0,     0,     0,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
    3444,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,     0,   430,   431,   432,
     433,   434,     0,  1437,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,  1440,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,  1452,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,  1455,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,  1459,   181,   523,   182,     0,   524,   525,   526,
    1460,  1461,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,   188,   189,   537,   538,   190,
       0,   539,   540,   192,   541,     0,  1466,   542,   194,   543,
     544,   545,     0,   546,     0,  1059,   547,   548,   549,     0,
       0,   195,   196,   197,   198,  1469,   550,   551,   552,   553,
     554,   555,   556,     0,   557,  1470,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,  1473,   599,   216,   600,
     601,   218,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1475,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,  1478,   623,  1479,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,  1482,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   690,   650,   651,     0,     0,     0,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,  3444,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,  1437,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,  1440,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,  1441,  1442,
    1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,  1452,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,  1455,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,  1459,   181,   523,   182,     0,   524,
     525,   526,  1460,  1461,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,  1466,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,  1469,   550,   551,
     552,   553,   554,   555,   556,     0,   557,  1470,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,  1473,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1475,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,  1478,   623,  1479,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,  1482,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,
       0,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,  3997,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,   135,   136,   137,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,     0,
       0,     0,     0,   151,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,   180,   181,   523,   182,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,   188,
     189,   537,   538,   190,     0,   539,   540,   192,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,   196,   197,   198,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,   218,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,     0,     0,     0,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,  4525,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,  3926,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0, -1389,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0, -1389,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510, -1389,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515, -1389,
     516,   517,   518,   519,   520,   521,   522,     0,   180, -1389,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187, -1389,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584, -1389,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,     0,     0,     0,     0,     0,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,  1585,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,     0,     0,     0,     0,     0,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,  3206,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,     0,     0,
       0,     0,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,  3703,  3704,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,     0,     0,     0,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,  3704,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,   214,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,   222,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,  2116,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,   235,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,     0,     0,     0,     0,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,   245,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,   214,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,   222,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,  2116,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,   235,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,     0,     0,     0,     0,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
     245,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,     0,     0,     0,     0,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,  1560,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,     0,     0,
       0,     0,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,  2916,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,     0,     0,     0,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,  3953,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,     0,     0,     0,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,  4282,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1180,    45,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   721,
     420,   421,   422,   722,   723,   724,   725,   726,   727,   728,
     423,   424,   729,   425,   426,   133,   427,   428,   429,     0,
    1837,   137,  1838,  1839,   730,   430,   431,   432,   433,   434,
     731,   732,   435,   436,  1840,  1841,   437,   734,   438,   439,
     440,   441,     0,   735,   442,   736,   443,   444,   445,   446,
     147,   447,   681,   738,   448,   449,   450,   451,   452,   453,
     739,   150,   454,     0,   741,   742,   743,   151,   744,   745,
     746,   455,   456,   457,   458,   683,   459,  1842,  1843,   460,
     747,   461,   748,   462,   463,   464,   465,   466,   749,   467,
     468,   469,   750,   751,   470,   471,  1450,   473,   474,   752,
     475,   476,   477,   753,   478,   479,   754,   480,   481,   482,
     483,     0,   484,   485,   486,     0,   755,   487,   756,   488,
    1844,   489,   757,   490,   758,   491,   168,   759,   169,   492,
     493,   494,   760,   495,     0,   761,   496,   762,   497,   498,
     685,   499,   500,   172,   501,   502,   503,   763,   504,   505,
     506,   507,   508,   509,   764,   510,   173,     0,     0,   511,
     512,   513,  1456,  1845,   767,  1846,   768,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,   769,
       0,   181,   523,   182,   770,   524,   525,   526,   771,   772,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,  1847,   188,  1848,   537,   538,     0,   773,   539,
     540,   192,   541,   774,     0,   542,  1849,   543,   544,   545,
     775,   546,   776,   777,  3690,   548,   549,   778,   779,     0,
     196,   197,   198,     0,   550,   551,   552,   553,   554,   555,
     556,   780,   557,     0,   558,     0,   559,   560,   561,   781,
     562,   563,   564,   565,   566,   567,   568,  1850,   569,   570,
     571,   572,   782,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   783,   583,   584,   209,   585,   586,     0,
     587,   588,   589,   590,   591,   592,   688,   593,   784,   594,
     595,   596,   597,   598,   785,   599,  2389,   600,   601,   218,
     602,  1852,   786,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,     0,   787,   613,   614,   788,   615,   616,
     617,   618,   619,   620,   789,  1853,  1854,     0,   791,   622,
       0,   623,     0,   792,   624,   625,   626,   627,   628,   629,
       0,   794,   630,   631,   632,   633,   634,   795,   796,   635,
     636,   637,   638,   639,     0,  1855,   798,   640,   234,   641,
     642,   643,   799,   800,   644,   801,   802,   645,   646,   647,
     648,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   690,   650,   651,     0,     0,     0,  1183,  1184,  1185,
       0,  3691,  3692,  1188,  1189,  1190,  1191,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
    1181,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,  1182,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,     0,     0,     0,  1183,  1184,
    1185,     0,  1186,  1187,  1188,  1189,  1190,  1191,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,  1266,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,  1267,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,     0,     0,     0,  1183,
    1184,  1185,     0,  1186,  1187,  1188,  1189,  1190,  1191,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,  1317,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
    1318,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,  1319,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,     0,
    1183,  1184,  1185,     0,  1186,  1187,  1188,  1189,  1190,  1191,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,  1820,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,  1821,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,     0,     0,
       0,  1183,  1184,  1185,     0,  1186,  1187,  1188,  1189,  1190,
    1191,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,     0,
       0,     0,  1183,  1184,  1185,     0,  1186,  1187,  1188,  1189,
    1190,  1191,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1180,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,  2995,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,  2996,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,     0,     0,  1183,  1184,  1185,     0,  1186,  1187,  1188,
    1189,  1190,  1191,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,  4512,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,     0,     0,     0,  1183,  1184,  1185,     0,  1186,  1187,
    1188,  1189,  1190,  1191,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   721,   420,
     421,   422,   722,   723,   724,   725,   726,   727,   728,   423,
     424,   729,   425,   426,   133,   427,   428,   429,   135,   136,
     137,   138,   139,   730,   430,   431,   432,   433,   434,   731,
     732,   435,   436,   733,   140,   437,   734,   438,   439,   440,
     441,   144,   735,   442,   736,   443,   444,   445,   446,   147,
     447,   737,   738,   448,   449,   450,   451,   452,   453,   739,
     150,   454,   740,   741,   742,   743,   151,   744,   745,   746,
     455,   456,   457,   458,   683,   459,   154,   155,   460,   747,
     461,   748,   462,   463,   464,   465,   466,   749,   467,   468,
     469,   750,   751,   470,   471,   472,   473,   474,   752,   475,
     476,   477,   753,   478,   479,   754,   480,   481,   482,   483,
     163,   484,   485,   486,   165,   755,   487,   756,   488,   167,
     489,   757,   490,   758,   491,   168,   759,   169,   492,   493,
     494,   760,   495,   171,   761,   496,   762,   497,   498,   685,
     499,   500,   172,   501,   502,   503,   763,   504,   505,   506,
     507,   508,   509,   764,   510,   173,   174,   765,   511,   512,
     513,   766,   175,   767,   176,   768,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,   769,   180,
     181,   523,   182,   770,   524,   525,   526,   771,   772,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,   188,   189,   537,   538,   190,   773,   539,   540,
     192,   541,   774,   193,   542,   194,   543,   544,   545,   775,
     546,   776,   777,   547,   548,   549,   778,   779,   195,   196,
     197,   198,   199,   550,   551,   552,   553,   554,   555,   556,
     780,   557,   200,   558,   201,   559,   560,   561,   781,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,   782,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   783,   583,   584,   209,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,   784,   594,   595,
     596,   597,   598,   785,   599,   216,   600,   601,   218,   602,
     219,   786,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,   787,   613,   614,   788,   615,   616,   617,
     618,   619,   620,   789,   223,   224,   790,   791,   622,   225,
     623,   226,   792,   624,   625,   626,   627,   628,   629,   793,
     794,   630,   631,   632,   633,   634,   795,   796,   635,   636,
     637,   638,   639,   797,   233,   798,   640,   234,   641,   642,
     643,   799,   800,   644,   801,   802,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,   714,    86,    87,    88,   666,    90,    91,
      92,   667,  2212,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,     0,  1837,   137,
    1838,  1839,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,  1840,  1841,   437,     0,   438,   439,   440,   441,
       0,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,     0,     0,     0,   151,     0,     0,     0,   455,
     456,   457,   458,   683,   459,  1842,  1843,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1844,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,     0,     0,   511,   512,   513,
    1456,  1845,     0,  1846,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   181,
     523,   182,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1847,   188,  1848,   537,   538,     0,     0,   539,   540,   192,
     541,     0,     0,   542,  1849,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,     0,   196,   197,
     198,     0,   550,   551,   552,   553,   554,   555,   556,     0,
     557,     0,   558,     0,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1850,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,     0,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,  1851,   600,   601,   218,   602,  1852,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,     0,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1853,  1854,     0,     0,   622,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,     0,  1855,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   690,
     650,   651,     0,    86,    87,    88,   666,    90,    91,    92,
     667,  2312,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,     0,    86,    87,    88,   666,    90,    91,    92,   667,
    1066,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,    86,    87,    88,   666,    90,    91,    92,   667,  4378,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,   412,   966,   414,   415,
     416,   417,   418,   419,   967,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   968,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   969,   167,   489,     0,   490,     0,
     970,     0,   971,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,   972,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   973,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     974,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   975,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   976,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,   977,   978,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,   412,   966,   414,   415,   416,   417,   418,
     419,   967,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   999,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   969,   167,   489,     0,   490,     0,  1000,     0,   971,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,   972,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   973,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   974,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   975,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   976,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,     0,     0,     0,     0,
       0,     0,     0,   977,   978,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,  1365,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,   971,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,   972,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,     0,     0,     0,     0,     0,     0,     0,
     977,   978,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,  1370,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,   971,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,   972,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,     0,     0,     0,     0,     0,     0,   977,   978,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,   684,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
    1532,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,  1038,
    1533,    86,    87,    88,   666,    90,    91,    92,   667,  1039,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,  1040,   436,  1014,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,  1041,     0,  1042,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,  1043,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,  1044,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,  1045,   586,   211,   587,   588,   589,  1046,   591,
     592,   688,   593,     0,   594,   595,   596,   597,  1047,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1048,   224,     0,     0,  1049,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,  1018,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,  1050,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   721,   420,   421,   422,   722,   723,   724,
     725,   726,   727,   728,   423,   424,   729,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,   730,   430,
     431,   432,   433,   434,   731,   732,   435,   436,   733,   140,
     437,   734,   438,   439,   440,   441,   144,   735,   442,   736,
     443,   444,   445,   446,   147,   447,   737,   738,   448,   449,
     450,   451,   452,   453,   739,   150,   454,   740,   741,   742,
     743,   151,   744,   745,   746,   455,   456,   457,   458,   683,
     459,   154,   155,   460,   747,   461,   748,   462,   463,   464,
     465,   466,   749,   467,   468,   469,   750,   751,   470,   471,
     472,   473,   474,   752,   475,   476,   477,   753,   478,   479,
     754,   480,   481,   482,   483,   163,   484,   485,   486,   165,
     755,   487,   756,   488,   167,   489,   757,   490,   758,   491,
     168,   759,   169,   492,   493,   494,   760,   495,   171,   761,
     496,   762,   497,   498,   685,   499,   500,   172,   501,   502,
     503,   763,   504,   505,   506,   507,   508,   509,   764,   510,
     173,   174,   765,   511,   512,   513,   766,   175,   767,   176,
     768,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,   769,   180,   181,   523,   182,   770,   524,
     525,   526,   771,   772,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,   188,   189,   537,
     538,   190,   773,   539,   540,   192,   541,   774,   193,   542,
     194,   543,   544,   545,   775,   546,   776,   777,   547,   548,
     549,   778,   779,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,   780,   557,   200,   558,   201,
     559,   560,   561,   781,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,   782,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   783,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,   784,   594,   595,   596,   597,   598,   785,   599,
     216,   600,   601,   218,   602,   219,   786,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,   787,   613,
     614,   788,   615,   616,   617,   618,   619,   620,   789,   223,
     224,   790,   791,   622,   225,   623,   226,   792,   624,   625,
     626,   627,   628,   629,   793,   794,   630,   631,   632,   633,
     634,   795,   796,   635,   636,   637,   638,   639,   797,   233,
     798,   640,   234,   641,   642,   643,   799,   800,   644,   801,
     802,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,   721,   420,   421,   422,   722,   723,   724,   725,
     726,   727,   728,   423,   424,   729,   425,   426,   133,   427,
     428,   429,   135,   136,   137,   138,   139,   730,   430,   431,
     432,   433,   434,   731,   732,   435,   436,   733,   140,   437,
     734,   438,   439,   440,   441,   144,   735,   442,   736,   443,
     444,   445,   446,   147,   447,   737,   738,   448,   449,   450,
     451,   452,   453,   739,   150,   454,   740,   741,   742,   743,
     151,   744,   745,   746,   455,   456,   457,   458,   683,   459,
     154,   155,   460,   747,   461,   748,   462,   463,   464,   465,
     466,   749,   467,   468,   469,   750,   751,   470,   471,   472,
     473,   474,   752,   475,   476,   477,   753,   478,   479,   754,
     480,   481,   482,   483,   163,   484,   485,   486,   165,   755,
     487,   756,   488,   167,   489,   757,   490,   758,   491,   168,
     759,   169,   492,   493,   494,   760,   495,   171,   761,   496,
     762,   497,   498,   685,   499,   500,   172,   501,   502,   503,
     763,   504,   505,   506,   507,   508,   509,   764,   510,   173,
     174,   765,   511,   512,   513,   766,   175,   767,   176,   768,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,   769,   180,   181,   523,   182,   770,   524,   525,
     526,   771,   772,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,   188,   189,   537,   538,
     190,   773,   539,   540,   192,   541,   774,   193,   542,   194,
     543,   544,   545,   775,   546,   776,   777,   547,   548,   549,
     778,   779,   195,   196,   197,   198,   199,   550,   551,   552,
     553,   554,   555,   556,   780,   557,   200,   558,   201,   559,
     560,   561,   781,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,   782,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   783,   583,   584,   209,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,   784,   594,   595,   596,   597,   598,   785,   599,   216,
     600,   601,   218,   602,   219,   786,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,   787,   613,   614,
     788,   615,   616,   617,   618,   619,   620,   789,   223,   224,
     790,   791,   622,   225,   623,   226,   792,   624,   625,   626,
     627,   628,   629,   793,   794,   630,   631,   632,   633,   634,
     795,   796,   635,   636,   637,   638,   639,   797,   233,   798,
     640,   234,   641,   642,   643,   799,   800,   644,   801,   802,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,  3056,   417,   418,
     419,   721,   420,   421,   422,   722,   723,   724,   725,   726,
     727,   728,   423,   424,   729,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,   730,   430,   431,   432,
     433,   434,   731,   732,   435,   436,   733,   140,   437,   734,
     438,   439,   440,   441,   144,   735,   442,   736,   443,   444,
     445,   446,   147,   447,   737,   738,   448,   449,   450,   451,
     452,   453,   739,   150,   454,   740,   741,   742,   743,   151,
     744,   745,   746,   455,   456,   457,   458,   683,   459,   154,
     155,   460,   747,   461,   748,   462,   463,   464,   465,   466,
     749,   467,   468,   469,   750,   751,   470,   471,   472,  3057,
     474,   752,   475,   476,   477,   753,   478,   479,   754,   480,
     481,   482,   483,   163,   484,   485,   486,   165,   755,   487,
     756,   488,   167,   489,   757,   490,   758,   491,   168,   759,
     169,   492,   493,   494,   760,   495,   171,   761,   496,   762,
     497,   498,   685,   499,   500,   172,   501,   502,   503,   763,
     504,   505,   506,   507,   508,   509,   764,   510,   173,   174,
     765,   511,   512,   513,   766,   175,   767,   176,   768,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,   769,   180,   181,   523,   182,   770,   524,   525,   526,
     771,   772,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,   188,   189,   537,   538,   190,
     773,   539,   540,   192,   541,   774,   193,   542,   194,   543,
     544,   545,   775,   546,   776,   777,   547,   548,   549,   778,
     779,   195,   196,   197,   198,   199,   550,   551,   552,   553,
     554,   555,   556,   780,   557,   200,   558,   201,   559,   560,
     561,   781,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,   782,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   783,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
     784,   594,   595,   596,   597,   598,   785,  3058,   216,   600,
     601,   218,   602,   219,   786,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,   787,   613,   614,   788,
     615,   616,   617,   618,   619,   620,   789,   223,   224,   790,
     791,   622,   225,   623,   226,   792,   624,   625,   626,   627,
     628,   629,   793,   794,   630,   631,   632,   633,   634,   795,
     796,   635,   636,   637,   638,   639,   797,   233,   798,   640,
     234,   641,   642,   643,   799,   800,   644,   801,   802,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,   180,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,   188,   189,   537,   538,   190,     0,
     539,   540,   192,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
     218,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,   135,
     136,   137,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
     147,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,     0,     0,     0,   151,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,  1303,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
     180,   181,   523,   182,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,   188,   189,   537,   538,   190,     0,   539,
     540,   192,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
     196,   197,   198,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,   218,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,   234,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,   135,   136,
     137,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,     0,     0,     0,   151,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,  1312,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,   180,
     181,   523,   182,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,   188,   189,   537,   538,   190,     0,   539,   540,
     192,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,   196,
     197,   198,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,   218,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,     0,  1837,   137,
    1838,  1839,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,  1840,  1841,   437,     0,   438,   439,   440,   441,
       0,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,     0,     0,     0,   151,     0,     0,     0,   455,
     456,   457,   458,   683,   459,  1842,  1843,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1450,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1844,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,  2386,   504,   505,   506,   507,
     508,   509,     0,   510,   173,  2387,     0,   511,   512,   513,
    1456,  1845,     0,  1846,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   181,
     523,   182,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
    1847,   188,  1848,   537,   538,     0,     0,   539,   540,   192,
     541,     0,     0,   542,  1849,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,  2388,   196,   197,
     198,     0,   550,   551,   552,   553,   554,   555,   556,     0,
     557,     0,   558,     0,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,  1850,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,     0,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,  2389,   600,   601,   218,   602,  1852,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,     0,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1853,  1854,     0,     0,   622,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,     0,  1855,  2390,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   690,
     650,   651,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,   133,   427,   428,   429,     0,  1837,   137,  1838,
    1839,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,  1840,  1841,   437,     0,   438,   439,   440,   441,     0,
       0,   442,     0,   443,   444,   445,   446,   147,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,   150,   454,
       0,     0,     0,     0,   151,     0,     0,     0,   455,   456,
     457,   458,   683,   459,  1842,  1843,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1450,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,     0,     0,   487,     0,   488,  1844,   489,     0,
     490,     0,   491,   168,     0,   169,   492,   493,   494,     0,
     495,     0,     0,   496,     0,   497,   498,   685,   499,   500,
     172,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   173,     0,     0,   511,   512,   513,  1456,
    1845,     0,  1846,     0,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   181,   523,
     182,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,  1847,
     188,  1848,   537,   538,     0,     0,   539,   540,   192,   541,
    2378,     0,   542,  1849,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,     0,   196,   197,   198,
       0,   550,   551,   552,   553,   554,   555,   556,     0,   557,
       0,   558,     0,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,  1850,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,   209,   585,   586,     0,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,  2389,   600,   601,   218,   602,  1852,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
       0,     0,   613,   614,  3790,   615,   616,   617,   618,   619,
     620,     0,  1853,  1854,     0,     0,   622,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,     0,  1855,     0,   640,   234,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   690,   650,
     651,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,     0,  1837,   137,  1838,  1839,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
    1840,  1841,   437,     0,   438,   439,   440,   441,     0,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,     0,
       0,     0,     0,   151,     0,     0,     0,   455,   456,   457,
     458,   683,   459,  1842,  1843,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1450,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,     0,     0,   487,     0,   488,  1844,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
       0,     0,   496,     0,   497,   498,   685,   499,   500,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,     0,     0,   511,   512,   513,  1456,  1845,
       0,  1846,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   181,   523,   182,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,  1847,   188,
    1848,   537,   538,  2435,     0,   539,   540,   192,   541,     0,
       0,   542,  1849,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,     0,   196,   197,   198,     0,
     550,   551,   552,   553,   554,   555,   556,     0,   557,     0,
     558,     0,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,  1850,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,     0,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,  1851,   600,   601,   218,   602,  1852,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,     0,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,  1853,  1854,     0,     0,   622,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
       0,  1855,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   690,   650,   651,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,     0,  1837,   137,  1838,  1839,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,  1840,
    1841,   437,     0,   438,   439,   440,   441,     0,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
     683,   459,  1842,  1843,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
       0,     0,   487,     0,   488,  1844,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,     0,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,     0,     0,   511,   512,   513,  1456,  1845,     0,
    1846,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1847,   188,  1848,
     537,   538,  3620,     0,   539,   540,   192,   541,     0,     0,
     542,  1849,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,     0,   196,   197,   198,     0,   550,
     551,   552,   553,   554,   555,   556,     0,   557,     0,   558,
       0,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1850,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,     0,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,  1851,   600,   601,   218,   602,  1852,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,     0,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1853,  1854,     0,     0,   622,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
    1855,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,   650,   651,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,     0,  1837,   137,  1838,  1839,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,  1840,  1841,
     437,     0,   438,   439,   440,   441,     0,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,   683,
     459,  1842,  1843,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,     0,
       0,   487,     0,   488,  1844,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,     0,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,     0,     0,   511,   512,   513,  1456,  1845,     0,  1846,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1847,   188,  1848,   537,
     538,     0,     0,   539,   540,   192,   541,     0,     0,   542,
    1849,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,     0,   196,   197,   198,     0,   550,   551,
     552,   553,   554,   555,   556,     0,   557,     0,   558,     0,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1850,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,     0,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
    1851,   600,   601,   218,   602,  1852,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,     0,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,  1853,
    1854,     0,     0,   622,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,  1855,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   690,   650,   651,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,     0,  1837,   137,  1838,  1839,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,  1840,  1841,   437,
       0,   438,   439,   440,   441,     0,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,     0,     0,     0,
     151,     0,     0,     0,   455,   456,   457,   458,   683,   459,
    1842,  1843,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1450,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,     0,     0,
     487,     0,   488,  1844,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,     0,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
       0,     0,   511,   512,   513,  1456,  1845,     0,  1846,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   181,   523,   182,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,  1847,   188,  1848,   537,   538,
       0,     0,   539,   540,   192,   541,     0,     0,   542,  1849,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,     0,   196,   197,   198,     0,   550,   551,   552,
     553,   554,   555,   556,     0,   557,     0,   558,     0,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
    1850,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,     0,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,  2389,
     600,   601,   218,   602,  1852,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,     0,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1853,  1854,
       0,     0,   622,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,     0,  1855,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   690,   650,   651,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,     0,  1837,   137,  1838,  1839,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,  1840,  1841,   437,     0,
     438,   439,   440,   441,     0,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,   683,   459,  1842,
    1843,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1844,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,     0,
       0,   511,   512,   513,  1456,  1845,     0,  1846,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1847,   188,  1848,   537,   538,     0,
       0,   539,   540,   192,   541,     0,     0,   542,  1849,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,     0,   196,   197,   198,     0,   550,   551,   552,   553,
     554,   555,   556,     0,   557,     0,   558,     0,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1850,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,     0,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,     0,   600,
     601,   218,   602,  1852,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,     0,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1853,  1854,     0,
       0,   622,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,  1855,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,   650,   651,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
       0,     0,   137,     0,     0,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,     0,     0,   437,     0,   438,
     439,   440,   441,     0,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,   683,   459,     0,     0,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,     0,     0,   487,     0,
     488,     0,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,     0,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,     0,     0,
     511,   512,   513,     0,     0,     0,     0,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,     0,   188,     0,   537,   538,     0,     0,
     539,   540,   192,   541,     0,     0,   542,     0,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
       0,   196,   197,   198,     0,   550,   551,   552,   553,   554,
     555,   556,     0,   557,     0,   558,     0,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
       0,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,     0,   600,   601,
     218,   602,     0,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,     0,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,     0,     0,     0,     0,
     622,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,     0,     0,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   721,   420,
     421,   422,   722,   723,   724,   725,   726,   727,   728,   423,
     424,   729,   425,   426,   133,   427,   428,   429,   135,   136,
     137,   138,   139,   730,   430,   431,   432,   433,   434,   731,
     732,   435,   436,     0,   140,   437,   734,   438,   439,   440,
     441,   144,   735,   442,   736,   443,   444,   445,   446,   147,
     447,   737,   738,   448,   449,   450,   451,   452,   453,   739,
     150,   454,     0,   741,   742,   743,   151,   744,   745,   746,
     455,   456,   457,   458,     0,   459,   154,   155,   460,   747,
     461,   748,   462,   463,   464,   465,   466,   749,   467,   468,
     469,   750,   751,   470,   471,   472,   473,   474,   752,   475,
     476,   477,   753,   478,   479,   754,   480,   481,   482,   483,
     163,   484,   485,   486,   165,   755,   487,   756,   488,   167,
     489,   757,   490,   758,   491,   168,   759,   169,   492,   493,
     494,   760,   495,   171,   761,   496,   762,   497,   498,     0,
     499,   500,   172,   501,   502,   503,   763,   504,   505,   506,
     507,   508,   509,   764,   510,   173,   174,     0,   511,   512,
     513,     0,   175,   767,   176,   768,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,   769,   180,
     181,   523,   182,   770,   524,   525,   526,   771,   772,   527,
     528,   529,   530,   531,     0,   532,   533,     0,   534,   535,
     536,   187,   188,   189,   537,   538,   190,   773,   539,   540,
     192,   541,   774,   193,   542,   194,   543,   544,   545,   775,
     546,   776,   777,   547,   548,   549,   778,   779,   195,   196,
     197,   198,   199,   550,   551,   552,   553,   554,   555,   556,
     780,   557,   200,   558,   201,   559,   560,   561,   781,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,   782,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   783,   583,   584,   209,   585,   586,   211,   587,
     588,   589,   590,   591,   592,     0,   593,   784,   594,   595,
     596,   597,   598,   785,   599,   216,   600,   601,   218,   602,
     219,   786,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,   787,   613,   614,   788,   615,   616,   617,
     618,   619,   620,   789,   223,   224,     0,   791,   622,   225,
     623,   226,   792,   624,   625,   626,   627,   628,   629,     0,
     794,   630,   631,   632,   633,   634,   795,   796,   635,   636,
     637,   638,   639,     0,   233,   798,   640,   234,   641,   642,
     643,   799,   800,   644,   801,   802,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,  1128,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
    2336,   438,   439,   440,   441,   144,     0,   442,  2401,   443,
     444,   445,   446,     0,   447,   681,  2337,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
    2402,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,  2339,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,  2340,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,  2341,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,  2336,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,  2337,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,  2402,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,  2339,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,  3241,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
    2340,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,  2341,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,  1027,   418,   419,   986,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,   987,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,  1028,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,   988,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,   989,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   986,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,   987,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,  2967,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,   988,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,   989,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
    2336,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,  2337,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
    2402,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,  2339,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,  2340,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,  2341,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     679,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,   682,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,   684,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   986,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,   987,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,   988,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,   989,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,   902,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   903,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   904,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,  2021,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,  2022,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,  2023,
     491,     0,     0,     0,  2024,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,  2025,
    2026,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,  2027,   591,
     592,   688,   593,     0,  2028,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,  2029,   615,  2030,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,   987,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,   988,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,   989,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,  2010,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,  2294,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,  2843,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,  2844,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,  2845,   615,
     616,  2846,   618,  2847,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,  2848,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   706,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,   684,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   854,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,  1295,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   130,   131,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,  3040,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,  3041,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,  3052,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,  3053,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   908,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   950,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,  1003,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
    1059,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,  1535,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,  1920,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,  2010,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,  2294,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,  3926,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,  3939,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,  4138,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,  4140,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,  4142,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,  4515,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,  1011,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,  1013,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,  1014,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,  1015,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1016,   224,
       0,     0,  1017,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,  1018,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
    1053,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,  1014,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,  1054,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,  1055,   224,     0,     0,
    1056,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,  1018,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,  1073,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,  1257,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,  1308,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,  1324,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,  1326,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,  1328,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,  1331,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,  1337,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,  1546,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,  1040,   436,  1014,   140,  1547,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,  1044,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
    1045,   586,   211,   587,   588,   589,  1046,   591,   592,   688,
     593,     0,   594,   595,   596,   597,  1539,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1048,   224,
       0,     0,  1049,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,  1018,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,  1050,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,  1670,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,  1883,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,  1910,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,  1944,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,  1946,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,  2056,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,  2261,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,     0,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,  2615,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,  3043,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,  3045,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,  3128,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,  1040,   436,  1014,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,     0,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
    1044,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,  1045,   586,   211,   587,
     588,   589,  1046,   591,   592,   688,   593,     0,   594,   595,
     596,   597,  1539,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,  1048,   224,     0,     0,  1049,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,  1018,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
    1050,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,  1040,
     436,  1014,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,     0,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,  1044,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,  1045,   586,   211,   587,   588,   589,
    1046,   591,   592,   688,   593,     0,   594,   595,   596,   597,
    1539,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,  2327,   617,   618,   619,
     620,     0,  1048,   224,     0,     0,  1049,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,  1018,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,  1050,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,  1040,   436,  1014,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,  1044,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,  1045,   586,   211,   587,   588,   589,  2382,   591,
     592,   688,   593,     0,   594,   595,   596,   597,  1539,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1048,   224,     0,     0,  1049,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,  1018,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,  1050,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,     0,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,     0,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,     0,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115, -2289,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,   127,    35,     0,   406,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     218,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115, -2290,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,  1123,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,     0,     0,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   173,   174,     0,     0,     0,     0,     0,   175,
       0,   176,     0,     0,   177,   178,     0,   179,     0,     0,
       0,     0,     0,     0,     0,     0,   180,   181,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   188,
     189,     0,     0,   190,     0,     0,     0,   192,     0,     0,
     193,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,   218,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,     0,     0,   225,     0,   226,     0,
       0,     0,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     218,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,     0,     0,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   173,   174,     0,     0,     0,     0,     0,   175,
       0,   176,     0,     0,   177,   178,     0,   179,     0,     0,
       0,     0,     0,     0,     0,     0,   180,   181,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   188,
     189,     0,     0,   190,     0,     0,     0,   192,     0,     0,
     193,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,   218,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,     0,     0,   225,     0,   226,     0,
       0,     0,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     218,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,     0,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,   147,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,  1986,   487,     0,
     488,   167,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,     0,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,   180,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,     0,   532,   533,     0,
     534,   535,   536,   187,   188,   189,   537,   538,   190,     0,
     539,   540,   192,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,  1987,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,     0,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
     218,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,  1988,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,     0,   233,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    35,   650,   651,     0,     0,     0,     0,     0,
      41,    42,   977,  1628,  4102,     0,     0,     0,     0,     0,
       0,  4103,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   130,   131,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,     0,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,   147,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,     0,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,   180,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,     0,   532,   533,     0,
     534,   535,   536,   187,   188,   189,   537,   538,   190,     0,
     539,   540,   192,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,     0,   593,   214,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
     218,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,   222,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   232,   233,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,   235,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   650,   651,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,   245,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,  2200,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
    1986,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,  1987,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,  1988,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   650,   651,     0,     0,
       0,     0,     0,    35,   411,   977,  1628,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,     0,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,   147,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   154,
     155,   460,  2205,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,  1986,   487,
       0,   488,   167,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,     0,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,   180,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,     0,   532,   533,
       0,   534,   535,   536,   187,   188,   189,   537,   538,   190,
       0,   539,   540,   192,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,  1987,     0,   547,   548,   549,     0,
       0,   195,   196,   197,   198,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,     0,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,   218,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,  1988,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,   233,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   650,   651,     0,     0,     0,     0,
       0,    35,   411,   977,  1628,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,   135,
     136,   137,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,     0,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
     147,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,     0,     0,     0,   151,     0,     0,
       0,   455,   456,   457,   458,     0,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,  1986,   487,     0,   488,
     167,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
       0,   499,   500,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
     180,   181,   523,   182,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,     0,   532,   533,     0,   534,
     535,   536,   187,   188,   189,   537,   538,   190,     0,   539,
     540,   192,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,  1987,     0,   547,   548,   549,     0,     0,   195,
     196,   197,   198,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,   211,
     587,   588,   589,   590,   591,   592,     0,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,   218,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,  1988,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,     0,   233,     0,   640,   234,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   650,   651,     0,     0,     0,     0,     0,    35,
       0,   977,  1628,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,   135,   136,   137,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,     0,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,   147,   447,
       0,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,     0,     0,     0,   151,     0,     0,     0,   455,
     456,   457,   458,     0,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,  1986,   487,     0,   488,   167,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,     0,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,   180,   181,
     523,   182,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,     0,   532,   533,     0,   534,   535,   536,
     187,   188,   189,   537,   538,   190,     0,   539,   540,   192,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
    1987,     0,   547,   548,   549,     0,     0,   195,   196,   197,
     198,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,   211,   587,   588,
     589,   590,   591,   592,     0,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,   218,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,  1988,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,     0,   233,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     650,   651,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,     0,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,   147,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,     0,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,   180,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,     0,   532,   533,     0,
     534,   535,   536,   187,   188,   189,   537,   538,   190,     0,
     539,   540,   192,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,     0,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
     218,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,   621,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,     0,   233,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   650,   651,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,  2186,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,  1966,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,  2486,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,  2487,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   130,   131,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,  3309,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,  1205,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,  1278,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,  1314,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,  1322,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    35,   650,   651,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,   135,   136,   137,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,     0,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,   147,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,     0,   499,  1333,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,   180,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,  1334,   530,   531,     0,
     532,   533,     0,   534,   535,   536,   187,   188,   189,   537,
     538,   190,     0,   539,   540,   192,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,   196,   197,   198,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,   211,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,   218,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,   233,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   650,   651
};

static const yytype_int16 yycheck[] =
{
       2,    78,    78,    78,   245,   358,   166,  1042,   208,  1313,
      78,  1089,    78,  1320,  1094,   152,    84,  1359,   877,    78,
    1583,  1738,  1159,  1390,    96,  1351,   186,  1968,   153,  1057,
     117,  1408,  1721,   227,   106,  1199,  1215,  1693,  1867,  1566,
    1196,   988,   989,  2024,   149,    94,   993,  1851,   914,   117,
    1206,  1250,   164,  1448,  1449,  1725,  1477,   712,  1268,  1421,
     159,  1975,  1779,  1780,  1049,  1810,  2705,  1277,   932,  1725,
     142,   930,  1467,   170,   161,  2434,    78,   202,   942,  2394,
    2395,   222,    84,   132,   156,   914,   374,    89,  2175,   164,
     956,   374,  3036,   161,  1869,  2858,  3265,  3009,   837,  1255,
      78,  1907,  1258,   152,   153,  1304,    84,  1263,  1622,  1623,
    1624,   208,  1721,   162,  1270,   117,   132,  3056,  2224,  3058,
    1587,  2477,  2061,  1279,   117,  1892,  1892,  1892,  1892,  1892,
    1892,  3498,  3186,  3549,  2856,  3173,   713,  1136,   877,   346,
     360,  2916,   229,   955,   360,  3444,  1136,   825,  3186,  1676,
     152,  2685,  3542,   202,  3732,   833,  2854,  2855,  1964,   161,
    3791,   229,  3769,   215,   117,  1768,  2094,  1343,   161,  1495,
    1680,  1916,  2791,  3745,   166,  1352,  1729,  3449,  3450,  1045,
    2108,  1617,  1618,  1175,  4182,  1086,   864,  1372,  1086,  2268,
    4002,   930,  3764,    21,   186,  1167,  3510,  2556,  1198,  3382,
    1200,  1438,  1439,  1131,  1132,   207,    30,  1207,   161,    88,
      10,   128,   947,   215,   207,   217,  1045,    72,   121,   128,
      88,  1774,   215,   114,   217,  4441,  1463,   229,  2307,  2157,
      95,    86,  2311,   819,  1206,    84,   229,    72,   180,    72,
     918,  3190,  3191,  3192,  3193,  3194,  3195,   902,    81,   927,
     145,   108,    72,    86,   204,     8,   128,    88,    11,    12,
    4323,    81,   114,  2622,   149,  2624,    86,   112,   227,    22,
      23,    24,   227,    26,    27,   135,   229,  4434,    31,    32,
      33,    72,   113,  3699,    29,   173,   222,   179,    14,   366,
     366,   366,   143,    25,   156,    86,    78,  2126,    25,   173,
     366,  1248,   322,  2922,   227,   229,   374,   366,   227,  3011,
      71,    37,   143,    75,    76,    77,    78,   173,    79,    80,
      82,   187,   185,    99,  1352,   321,  1117,    75,    76,    77,
      78,   328,   197,   175,    82,    75,    76,    77,    78,   145,
     306,   409,    82,   141,  2852,   221,    72,    99,   111,    75,
      76,    77,    78,  4385,   106,    81,    82,    83,    84,  1496,
      86,   410,    75,    76,    77,    78,     2,   103,   104,    82,
     218,  1550,   374,   135,  1233,  2521,   247,   182,  2359,    99,
     306,   395,    99,  1520,  1039,   219,   106,    22,  1179,   106,
     112,   152,    38,   379,    40,    93,   374,   102,   240,   182,
     324,  2909,    75,    76,    77,    78,    78,   409,    72,    82,
     429,    75,    76,    77,    78,   466,   173,    81,    82,    78,
     173,    78,    86,    75,    76,    77,    78,  4425,    78,  4007,
      82,   409,   180,  1854,   227,   227,   284,    72,    90,   229,
     128,   202,   328,    75,    76,    77,    78,  1842,  1843,   468,
      82,  2530,   503,   295,  1849,   372,   298,  1321,    90,  2022,
     446,   117,  2025,   372,  2027,   270,   199,  2030,   344,   228,
    1336,   305,   320,   233,    75,    76,    77,    78,   498,   227,
     173,    82,   502,   246,   621,    78,   410,  1515,   502,    90,
     226,   252,   228,  1359,  1233,    75,    76,    77,    78,   385,
     372,  3203,    82,   308,   500,   161,   503,  1336,   427,   371,
      90,   209,  4544,   258,  1818,  1822,   482,   236,    75,    76,
      77,    78,  4679,   321,   173,    82,   452,  1555,  1556,   417,
     262,  1395,   427,   821,   324,   262,   392,   429,   821,   664,
     665,   500,  1220,   417,   386,   487,  1410,   300,   503,  1361,
     500,   356,  1230,   438,  3608,   148,  1133,  1134,  1422,  1425,
     409,  4777,   453,  4421,   500,  4628,   342,  1153,  1359,   414,
    3608,   164,   621,   229,  4152,   427,   468,   500,  4185,   340,
    3996,   446,   448,   446,   366,  2389,   503,  3536,    75,    76,
      77,    78,   345,  2120,   503,    82,  1425,   500,    75,    76,
      77,    78,  3704,  1840,  1841,    82,  1341,  1285,  1764,  1773,
    1766,  1848,  2971,    90,  1813,   664,   665,   496,   453,   621,
     448,   427,  4200,  2398,  1834,   493,   494,   495,   496,  1808,
    3929,   503,   503,   466,  3933,   351,   491,   492,  2165,   481,
     500,   503,  2169,   500,   420,   500,   422,   498,   135,  2016,
     402,   502,   245,   453,    75,    76,    77,    78,   491,   492,
     417,    82,   308,   712,   369,   496,   494,   450,  3982,  3852,
      95,   491,   492,  4671,   498,  1831,   381,   266,   439,   427,
    1546,   379,   402,   436,   372,   402,   447,  1553,  1554,   450,
      88,   828,   414,    95,   366,   457,  3459,  4509,   503,   397,
     491,   492,   843,  1604,  1704,  2394,  1604,   366,  1636,   366,
     503,   503,  3027,   266,  3029,   956,   366,  1546,    75,    76,
      77,    78,   458,  4581,   417,    82,   431,   467,  1720,   462,
     817,  2401,   869,   452,  2060,  2061,  1089,  4735,   500,   487,
    4318,   500,  3464,   503,    85,  2071,   486,  4325,  2074,   817,
     957,   137,    88,   821,   502,   236,  2082,  2083,  1549,   858,
     500,    88,  1553,  1554,  3713,   491,   492,   360,   417,  2095,
    2096,   266,   197,   366,   328,  1352,   266,   113,   182,   904,
    2106,  1753,  2869,   107,   500,   498,   923,   500,   197,   502,
     185,  3150,  3151,   209,   467,   197,  1972,   379,    75,    76,
      77,    78,   295,  2882,  1981,    82,   966,   143,   968,   180,
     970,  2321,  1997,   486,   100,   817,   976,  2370,  2003,   821,
     184,   207,   377,   825,   817,   306,   209,   500,   492,  2757,
    2758,   833,   834,  2269,  2762,  2271,  4408,   839,   224,   999,
    1000,   230,   266,   821,   956,   487,   848,   952,   500,  2086,
    2087,   323,   266,   902,   185,   904,   180,   998,  3173,  1079,
     502,     0,   864,  1079,   817,   260,   206,   160,   500,    85,
     268,  3186,    88,   875,  2802,  2803,  4734,   879,  3359,  4737,
     955,   953,  2552,   208,    75,    76,    77,    78,   890,  3801,
    1749,    82,   447,   386,   222,  3514,   968,   137,   970,   500,
     457,   950,  3383,   267,  4747,   954,   908,   175,   980,   313,
     335,  2600,   914,   153,   503,  1706,   918,  4775,   500,    14,
     500,  1712,  1063,   248,   264,   927,   928,   999,  1000,   260,
     932,    75,    76,    77,    78,    95,  3444,   308,    82,   232,
     942,   268,   318,   500,  4282,   947,  4284,   501,  3263,   503,
     503,  1979,  1093,   448,   956,   266,   227,  1069,   266,  4566,
    4591,   370,   180,   349,   366,  1756,  1913,   207,  1759,  1760,
     395,   452,   240,  4816,  4273,   261,   968,  4393,   970,  4278,
    2117,   397,  4281,   324,   224,  4557,   395,  2590,   328,   109,
    1039,  1043,  1041,  2028,  2029,  1047,  1064,  4269,   470,  3145,
     318,   390,  3148,  3149,   173,    25,  3152,   999,  1000,   504,
    1749,   180,   502,   500,   397,    35,  3162,   128,  4120,  4121,
    4122,  4123,  4124,   500,   448,  1041,   185,   295,  1819,   418,
     298,  4200,   335,  1174,   448,  1037,   151,   197,  3546,   137,
     368,  1043,   236,  1045,  2873,  1047,    75,    76,    77,    78,
    1043,   446,   268,    82,  1047,   441,   119,    75,    76,    77,
      78,   318,  1064,   366,    82,  4672,   227,   268,   188,  1071,
     175,   969,   236,   160,   189,   973,   974,   975,  1942,   500,
     373,   222,   180,    14,    95,   983,  1064,  1951,   370,  1948,
     101,   232,   395,   491,   492,   493,   494,   495,   496,  1963,
     440,   260,  4680,   434,   235,  4521,   247,   247,   324,   349,
      95,  2674,   306,   395,   134,   446,   101,  4507,   386,  1985,
     184,   322,    72,   161,   500,    75,    76,    77,    78,  1131,
    1132,    81,    82,    83,    84,   240,    86,   448,   218,   308,
     448,   230,   306,   500,  2539,   232,   487,   488,   489,  4487,
     491,   492,   493,   494,   495,   496,   427,   493,   494,   495,
     496,   817,   151,   487,   491,   492,   493,   494,   495,   496,
     388,   335,  1984,   466,   498,   335,   500,   501,   502,   503,
     243,  2209,   500,   427,   247,  4484,   197,   173,  3951,  1288,
     295,   229,    99,   298,     5,   306,   160,   500,  3961,   417,
     189,   441,   175,   267,   284,  3980,   366,   458,   501,  1948,
     308,   504,   197,   481,    25,   313,   487,  4156,  1220,  4635,
     283,   336,   383,   500,    35,  3947,   366,   328,  1230,   388,
     370,   502,   500,  2092,   375,   395,   454,  3959,   407,   180,
     147,   410,   262,   500,  3942,   174,   377,   154,   466,  3024,
    1252,   349,   228,  1931,  1495,   395,  3031,   185,   452,   503,
     180,   372,  1940,  2473,   362,  4632,  4633,   240,   232,   197,
     182,   487,   488,   489,   181,   491,   492,   493,   494,   495,
     496,   386,   500,  1285,   395,    95,  1361,   446,   452,  4343,
    4706,   101,  1364,  3608,  1366,  4517,  4518,  1369,   459,  1371,
    3834,   390,  1374,  1375,  1376,  4343,   421,  2306,   379,   500,
     504,   947,    97,  2617,   308,  1387,  2306,   322,  2625,  1321,
     306,   250,   295,   134,   335,  3306,   466,    88,  1400,   418,
    1402,   500,   117,   368,  1336,   406,   399,  3026,  1340,  1341,
     229,  1343,   254,   441,   251,    99,  2024,   336,    85,  1351,
     335,    88,   113,  2092,   427,   366,   500,  1359,  1407,   227,
     354,   337,   955,   956,  2574,  2575,  2576,  2577,   105,  1576,
    1590,  1591,   313,  1593,  1590,  1591,   481,  1593,  1666,   247,
    4796,   366,   143,  1666,   395,   196,  2442,   197,   308,  4756,
     408,   409,   417,  1395,  4326,   500,   308,   129,   266,  3338,
     501,  2727,   503,  2966,  1981,   137,  1408,  3763,  1410,   373,
     395,    99,  2611,   386,   487,  3521,  2883,  3026,   346,    85,
    1422,  3929,    88,  1425,   400,  3933,    75,    76,    77,    78,
     182,   466,   421,    82,  1436,  2491,  3364,   427,   192,  3367,
    3368,  3369,  3370,  3371,  3372,  3373,  3374,  3375,  3376,  2775,
    3809,   262,  3811,  3220,  3220,  3220,  3220,  3220,  3220,   151,
      71,    72,  1464,   383,  1362,  1606,  4398,  1365,   503,  3397,
    1368,   500,  1370,   334,   151,  1373,   261,  1564,   240,  1377,
    2806,  1117,  4704,  1532,  1533,  3291,  1079,   416,   417,   227,
    1492,  1493,   381,  1495,   151,  2286,  1564,   189,  3426,  3427,
    1136,  2360,   466,   410,   192,   397,  1508,   268,   348,   247,
    1512,  4680,   189,   503,  3660,  2841,  1532,  1533,   270,   227,
    3666,  3667,  3668,  3669,  3670,  3671,  4289,  4290,   266,   348,
    4442,   268,   189,   295,  3251,   183,  2400,   501,   126,   247,
     504,   491,   492,  1179,  1546,   448,   435,  1549,  1616,  1617,
    1618,  1553,  1554,    88,   446,   287,   308,   160,   266,    71,
      72,  1563,  1564,    75,    76,    77,    78,    79,    80,    81,
      82,  1564,   335,   153,    86,   121,   179,   183,  4510,   356,
     448,  4220,   326,   448,   172,  1634,   273,   324,  4520,   429,
    1592,   335,   183,  1680,  1596,  1597,   244,   500,  1666,   228,
     180,   121,   268,  1702,   356,  1673,   161,   210,   143,  2976,
     429,  1564,  1680,     2,  1616,  1617,  1618,  4556,  1634,   366,
     397,  2360,   467,   227,   386,   171,  4570,   256,   468,   335,
      85,    14,   395,    88,  1636,   500,   504,  3032,   244,  1617,
    1618,   486,   271,   247,   336,   192,  2301,   194,   395,   468,
     105,   171,   281,   244,    37,  4014,  4015,  2448,   324,   336,
     366,   249,   266,  1616,  1666,  2456,  3180,  2458,   180,   446,
     448,  1673,  1674,   228,  4313,  2353,  4315,   355,  1680,   336,
     172,  2359,   331,   335,  4596,  1687,   155,  1680,  1666,   192,
    2997,   194,   381,   231,  1687,  1673,    75,    76,    77,    78,
      89,   256,   380,    82,  1340,  1341,   294,  1343,   296,   429,
     448,   172,  1714,   259,   366,   459,   271,   295,   306,  1721,
     298,  1714,   500,  1359,    72,   194,   281,  1680,   308,   421,
     491,   492,   493,   494,   495,   496,  4499,  2603,    86,   259,
     448,  3304,   431,   395,   421,  1747,   334,   376,   303,   287,
     487,   488,   489,   265,   491,   492,   493,   494,   495,   496,
     306,   308,   466,   152,   421,  4273,   504,   322,  1361,   158,
    4278,   318,  2638,  4281,  2603,   287,   335,    75,    76,    77,
      78,   466,   381,   371,    82,   388,   306,  1874,  2987,   115,
     366,   252,  1794,  3568,  1796,   184,   504,  3725,    51,   503,
     381,  1938,   294,  1796,   296,  3550,  1874,   366,   386,  2638,
     136,  4319,  1814,   268,   417,   318,    69,   405,   503,   395,
     182,   376,   488,   489,   229,   491,   492,   493,   494,   495,
     496,  1833,   431,   294,   145,   296,   395,   218,   384,  1432,
      85,   222,   153,    88,   448,   500,   388,   335,  3012,  1851,
     431,   454,   257,  2053,    75,    76,    77,    78,  1451,   335,
     222,    82,  3229,   466,   384,  2900,     2,   419,   335,   324,
    3587,  3588,  1874,  1985,   504,   417,  3963,  1879,   366,  3406,
    3709,  1874,   420,   389,   422,   503,  2871,  2678,  1481,  1891,
     366,   207,   254,   448,   370,  2036,   335,   500,   506,   366,
     504,   217,  1495,   284,   389,  1907,   444,   395,  1564,  1984,
     504,   417,   454,  1549,   466,   467,   366,  1553,  1554,   395,
     370,  1874,  1994,   192,  1996,   194,  4434,   366,  2000,  1931,
    2002,  2219,   417,  2005,   313,  1937,  2219,  2009,  1940,   320,
    1942,  1943,    41,  4089,  4090,   395,   308,   216,   500,  1951,
      75,    76,    77,    78,   460,  2052,   395,    82,   500,    88,
    2059,  1963,  1964,  3325,  2823,  3386,  3387,  2044,  2044,  2044,
    1972,  3899,  3900,  1975,    85,   460,  4484,    88,  2044,   491,
     492,   227,   498,  1985,   113,  2044,   467,   192,   504,   194,
     466,   448,  1628,   467,    81,  3522,   498,  1590,  1591,    86,
    1593,   247,   247,   505,   262,   486,  4340,  2662,  2874,   218,
     356,   216,   486,   222,   143,   313,   466,  1653,  1654,   500,
     322,   367,  2024,   268,  1680,   327,   500,  3331,  4343,  4363,
     166,  2709,   487,   488,   489,  2713,   491,   492,   493,   494,
     495,   496,  3198,  2130,   313,   391,  4405,  3424,   499,   318,
     186,   383,   503,   274,    75,    76,    77,    78,  2060,  2061,
     319,    82,  2130,   322,  4703,    86,  2068,  3393,  3897,  2071,
    1706,  3985,  2074,   152,  3744,   284,  1712,  2079,  2238,   324,
    2082,  2083,   498,  2874,  2823,   222,   502,   419,  2090,    16,
    3894,  2093,  2094,  2095,  2096,  3784,    97,   351,   222,  2963,
    2964,  2103,  2104,   308,  2106,   242,  2108,  2109,   313,  2221,
    2112,   320,  3768,   318,   501,   317,   117,   504,   242,  2985,
    1756,  4436,   201,  1759,  1760,   503,  2128,  2129,  2130,   507,
    3329,  2331,  2134,  2333,   466,   467,  2138,  2130,    85,   274,
    2142,    88,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2219,  2154,   134,   135,  2894,  2985,   268,  2160,   180,
    1890,  2163,   501,    14,   433,   504,   113,    85,   500,   335,
      88,  4679,   119,   442,  2852,   503,   504,  2130,  1908,   383,
    3547,  3548,   385,  1819,  2260,  3580,    37,   105,   313,  2326,
      75,    76,    77,    78,   466,   467,   143,    82,   277,   278,
     366,  2269,    34,  2271,   370,    75,    76,    77,    78,   379,
     380,   290,    82,   324,   153,   419,    71,  2219,  1874,   231,
    4366,    72,  2224,   431,    79,    80,   503,  3091,   433,   395,
     507,  2909,   621,  3679,  2321,  3681,   427,   442,  3684,   500,
    3686,  2219,   487,   488,   489,   368,   491,   492,   493,   494,
     495,   496,  2301,  2321,   385,    88,   335,   157,  3821,  3822,
    3823,   495,   466,   467,   379,   380,   500,  2269,   502,  2271,
      71,    72,  3219,  2110,   250,   287,  2113,     7,    79,    80,
     113,    85,   383,   499,    88,    86,    85,   503,  2290,    19,
      20,  2269,   231,  2271,   322,   180,   500,   503,   504,   327,
     247,   105,    72,  2440,  4232,   505,  2308,  3486,  2310,    39,
     143,   250,    42,  4241,   242,  2317,  3453,   125,   419,  2321,
    2322,   268,   269,  2325,   420,   498,   422,   500,  2321,   502,
    4258,  4259,   385,  3199,  3676,  3201,  1972,  2424,   274,  1975,
     419,   128,   421,   108,   506,  2347,  2348,  3211,   287,  3213,
     268,  2353,   500,  2421,   103,   104,  2424,  2359,  2774,   146,
    2776,  2777,   127,   322,   311,   466,   467,   500,  2321,   383,
    3199,    86,  3201,   160,  2376,   466,   467,   324,  3456,  3457,
     491,   492,   493,   494,   495,   496,   503,  2389,   327,   484,
     485,  1984,  2394,  2395,   159,   115,  3262,  2399,  2400,   500,
     466,   467,  4383,  2405,   125,   419,   324,    89,   420,   206,
     422,   160,  4221,  4222,  4223,  4224,  3943,  1412,  1413,  2421,
    2422,   218,  2424,   210,   483,   222,   156,   420,  2421,   422,
     179,  2424,   444,  3262,  3173,   268,   269,  2901,  2902,  2441,
    2442,   270,  2444,   313,   493,   494,   495,  3186,   460,   214,
    3977,  2044,   466,   467,   501,  2560,   503,   502,   325,  2461,
    3324,   210,   325,   193,   268,   322,  2468,   264,  2421,   427,
     859,  2424,   222,  4302,  2130,   498,   322,   500,   311,  2481,
     245,   420,   325,   422,   166,   310,   500,   284,  2490,  2491,
     495,  3655,   431,   483,   501,   500,   503,   502,   115,   483,
    4063,  4064,   441,  4066,   186,   444,   388,   270,  2861,   274,
    4199,   493,    75,    76,    77,    78,   501,   226,   503,    82,
     324,   500,   500,   320,   502,   914,   915,  2529,  3905,  2531,
    4458,   328,   501,   503,   503,   417,   501,   309,   310,   501,
     125,  3332,  2135,   227,   491,   492,   493,   494,   495,   496,
     266,   501,  2554,   503,   506,  3881,  2558,   506,   947,    75,
      76,    77,    78,   388,   504,  2806,    82,   493,   262,   487,
     488,   489,   454,   491,   492,   493,   494,   495,   496,   501,
     501,   503,   503,  3793,   466,   427,  2588,    75,    76,    77,
      78,  4532,   417,  4534,    82,   501,   427,   503,  2600,   427,
     501,  2603,   503,   427,   501,   370,   503,   427,   501,   374,
     503,   161,   500,  2662,  1003,   380,   388,   180,   500,   500,
     262,   502,   387,   491,   492,   493,   494,   495,  3306,   454,
     395,   203,   501,   501,   503,   501,  2638,   503,   403,   388,
     108,   466,  1031,   440,  2646,   417,   411,   501,   125,   503,
    2286,  1040,  2846,  2847,  2848,  1044,  1045,  1046,   491,   492,
     493,   494,   495,   496,   180,  2321,   268,  2260,   417,   427,
    2306,  2912,  2308,   500,  2310,   500,   501,   395,   228,   504,
     502,  2683,   454,   487,   488,   489,   469,   491,   492,   493,
     494,   495,   496,  2695,   466,  2782,   461,   420,   500,   422,
     465,  2788,   500,  2705,    95,   454,   256,  2709,   502,   458,
     101,  2713,   322,   501,  2782,   503,   501,   466,   503,   222,
    2788,   271,   501,   504,   503,  2727,  2728,   282,   500,    71,
     501,   281,   503,    75,    76,    77,    78,    79,    80,   501,
      82,   503,  1131,  1132,  4111,   182,   501,  1136,   503,    98,
     141,   500,   420,   303,   422,  2757,  2758,   501,   448,   503,
    2762,  4103,   501,  4419,   503,  2421,  3444,   501,  2424,   503,
     322,   500,  2774,  2775,  2776,  2777,    75,    76,    77,    78,
    2782,   317,   501,    82,   503,  2787,  2788,   385,  2790,  2782,
    2792,    75,    76,    77,    78,  2788,   145,   500,    82,   190,
    2802,  2803,   137,   501,  2806,   503,   197,   274,   108,   200,
    3676,   947,  2448,  2890,  2890,  2890,   121,  2819,   466,  2821,
    2456,   308,  2458,  2825,  2890,   501,   376,   503,   469,  2782,
     966,  2890,   968,   175,   970,  2788,   501,   500,   503,  2841,
     976,   977,   978,   501,   115,   503,   195,   501,   115,   503,
    2852,   335,  2854,  2855,  2856,   222,   501,   162,   503,  4236,
    1249,   252,   436,   999,  1000,  4002,   352,   150,  3546,  3608,
     505,   501,  2874,   503,   211,   224,  2878,   501,   211,   503,
     229,   186,   500,  3747,  3748,  3676,   501,   211,   503,  2891,
      75,    76,    77,    78,  2896,   211,   201,    82,   240,   469,
     205,  2903,   501,  4592,   503,   211,   503,  2909,   491,   492,
     493,   494,   495,   211,  4477,   306,   499,   308,   223,   501,
     501,   503,   503,   501,  4487,   503,   275,   318,   322,    75,
      76,    77,    78,   238,   127,   326,    82,   211,    75,    76,
      77,    78,  4098,   211,   335,    82,  2948,  1336,   211,   137,
    3978,  1340,  1341,   295,  1343,   143,   298,   501,   211,   503,
    4286,  2963,  2964,   211,   322,   153,   159,  2969,   211,   501,
    1359,   503,   501,  4536,   503,   366,   501,   211,   503,   370,
     501,  1117,   503,  2985,   417,  1083,  2988,  1085,  3056,  3057,
    3058,   501,   180,   503,   182,   501,   501,   503,   503,   501,
    1136,   503,   500,   352,   395,   501,   108,   503,   313,   127,
    4377,   501,   501,   503,   503,  1404,   321,   223,   501,  4736,
     503,   214,   282,   222,  3026,  3027,   501,  3029,   503,   501,
     501,   503,   503,   222,   383,  3826,  1425,   501,   500,   503,
     389,   159,  2678,  1179,   386,   501,   501,   503,   503,   354,
    4613,   501,   245,   503,  3056,  3057,  3058,   501,   322,   503,
     451,   500,   500,  3056,  3057,  3058,   254,   501,   417,   503,
     501,   500,   503,  3075,   501,   500,   503,  3079,   500,  3081,
    3082,  3168,  4459,   501,   501,   503,   503,   436,  3934,  3091,
    3936,   345,   500,   500,   500,   500,   214,   500,  3185,   500,
    3168,   500,   500,  3056,  3057,  3058,   332,   500,  1497,  3968,
     500,   460,   500,  3238,   500,   500,   500,  3185,  1507,   500,
     308,   500,   500,  3125,   500,   313,  2782,   245,  1517,   500,
     500,   500,  2788,   108,  3271,   503,   163,  4463,  3140,   481,
     266,   282,   335,   268,  3146,   108,   222,   320,  4525,  3274,
     222,   395,  4529,  4530,   493,   262,   386,  1546,   298,   503,
    1549,   349,   179,  3239,  1553,  1554,  3168,   447,   487,   503,
    3172,  3173,    14,   366,   362,  3168,   503,   370,  3254,   500,
     500,   374,   500,  3185,  3186,   427,   427,   380,   383,  3238,
     502,   427,  3185,  3434,   387,   427,   383,  3199,  3274,  3201,
    4542,   383,   395,  3444,  1340,  1341,  4153,  1343,   427,  3211,
     403,  3213,   427,  2806,   427,  3168,   322,   387,   411,   427,
    4527,   313,  4526,  1359,   427,  3274,   427,  2820,  4308,  3968,
     447,   145,  3185,   322,   252,   318,   427,  4103,  2874,   500,
     153,   427,  3436,  3437,  3438,  3439,  2839,  1636,  3250,    98,
     500,  3929,   370,   441,   372,  3933,   374,   503,   335,  2852,
    3262,  3263,   380,   174,   448,   448,   427,   427,   461,   387,
     427,   125,   125,   427,  3276,   427,   326,   395,   427,   427,
     114,   114,   131,   427,   966,   403,   968,   383,   970,  3291,
     322,   503,   427,   411,   976,   144,  4622,  2890,   427,   322,
     469,   268,   466,   500,  3306,   108,   457,  3309,   157,   107,
     500,    97,  3399,   211,   308,  1252,  2909,   999,  1000,  2912,
     500,   500,  3324,   180,    71,  3327,   448,   460,   459,  1597,
     290,  3399,    79,    80,   318,   308,   108,   222,   500,  3341,
     108,   274,  3344,   461,   502,   384,   195,   211,  3350,    96,
     448,   211,   211,   448,  3356,   211,  3358,    14,   503,   317,
     427,  3363,  3364,   312,   227,  3367,  3368,  3369,  3370,  3371,
    3372,  3373,  3374,  3375,  3376,   224,   500,   462,  3380,  3381,
     229,   425,  1771,   483,   300,   300,  3388,    88,   503,  4424,
     395,  3393,   425,   427,   503,  3397,   500,  3399,   227,  3401,
    3056,  3057,  3058,   500,   429,   152,  3399,   487,   318,  3411,
     503,   501,  3414,  1549,  3416,   241,   241,  1553,  1554,   500,
    4498,   264,  3424,  3425,  3426,  3427,   323,   448,   503,  3431,
     503,   501,  3434,   501,    34,  1117,    10,   501,   427,   427,
     383,   152,  3444,   383,   500,   448,  3399,   313,   272,  1131,
    1132,   272,  3454,   427,  1136,   202,   385,  4761,   313,   500,
    3462,  4320,  3464,   274,  3624,   313,   427,   329,   503,   321,
     206,  1408,   322,   427,   383,   324,   366,   427,   356,   427,
     392,   268,   218,   108,   268,   268,   222,   268,   268,  4348,
    1626,   448,  1628,   448,   321,   487,   500,  1179,   107,   498,
     247,   498,   427,   352,  1893,   252,   427,  3509,   487,   211,
    1646,   392,  3168,  3515,   222,   224,   318,  1653,  1654,  3521,
    3607,   392,  3609,   500,   211,   210,   108,   322,   264,  3185,
     322,   222,   494,   239,   383,  3603,   239,  3173,   108,  3607,
     389,  3609,   211,   392,  3546,   322,   322,   392,   284,   222,
    3186,   247,   247,   500,   247,    96,   233,   503,   503,   297,
     322,   469,   503,   125,   317,   501,   417,   274,   417,  3571,
    1706,   501,   227,   501,   423,   501,  1712,   501,   501,   501,
     483,  4320,   501,  1972,   320,   503,  1975,   436,   339,   483,
     227,   427,   328,   340,   501,  4273,   501,   501,   463,   501,
    4278,  3603,   501,  4281,  4343,  3607,  3608,  3609,   501,  4348,
    3603,   460,   501,   500,  3607,   501,  3609,   500,   331,    90,
    1756,    90,   463,  1759,  1760,   373,   454,   504,    89,   487,
     377,   503,   501,  3635,   501,   503,  3638,   284,   322,   325,
     487,  4319,   322,   250,   258,   427,  3239,   469,   313,   284,
    3603,   211,   211,   427,  3607,   445,  3609,   340,   340,   292,
     500,  3254,   500,   292,   292,   383,   427,   427,   415,  4347,
     427,   427,   427,   383,  3676,   427,  4542,  1359,   383,   383,
     395,  3274,   427,  1819,   211,   427,   114,  4634,   268,   268,
    2079,   268,   439,   268,   498,   268,  3332,   268,   284,   268,
     447,   501,   298,   450,   440,  4383,   326,   501,   487,   436,
     368,   173,   108,   501,   503,   500,   321,   236,   322,   448,
     448,   222,   383,  3725,   383,   503,   501,   427,   325,   383,
     503,   127,   209,   209,   268,   498,   203,  1674,   227,    88,
     222,   135,   501,  3399,  3820,  3747,  3748,  2757,  2758,  3751,
     108,   501,  2762,   227,   503,   501,  4434,   501,   501,   500,
     459,   500,   498,   159,   501,   501,   502,   235,   501,   127,
     487,  4630,   503,   323,   222,   501,   501,   500,   108,   427,
     448,   448,  3784,  3785,  3786,   258,   436,  1923,   427,   487,
     436,   427,  2802,  2803,  3994,   383,   427,   427,   383,   222,
     143,   159,   173,   268,  2193,   268,  4484,   501,   272,   501,
    1747,   501,   436,   501,   466,   108,   469,   222,   214,   500,
     499,   466,   500,   253,   148,   501,  2094,  3829,   503,  3989,
     419,   503,   466,   503,   500,   427,  1972,    85,   501,  1975,
    2108,  3434,   232,  3845,   392,   227,   268,   268,   268,   245,
     268,  3444,   501,   227,   361,   125,   214,   500,   464,   501,
     501,   464,   500,   503,   271,   271,   125,  1549,   237,   501,
    4030,  1553,  1554,   330,   500,   318,   487,  1814,   274,  3881,
     501,   427,   501,   227,   313,   466,   143,   245,   313,  3891,
    3892,  4630,  3894,   436,   487,   503,  1833,  3899,  3900,  3975,
     211,  2290,  3904,  3905,   503,   268,   187,   229,  3910,  3911,
     313,   227,  3914,   448,   392,   499,   274,  2306,   448,  2308,
     198,  2310,   462,   227,   466,   325,   255,  3929,   500,   227,
     361,  3933,  4285,   500,   500,   500,  2072,  2073,   453,   500,
    3942,   465,  1879,   501,  2080,  3947,   404,  3603,  2084,  2085,
     501,  3607,   271,  3609,  1636,   500,   322,  3959,   338,   222,
     362,   466,   501,  2099,   501,  2101,   108,   500,  4128,   501,
     293,   500,  3608,   313,   370,   250,   210,   500,   374,   501,
     173,   326,   380,  3985,   380,   380,   137,  2123,   325,  2125,
     137,   387,  4670,  2382,   487,  3997,   125,   500,   125,   395,
    1937,  4679,   328,   500,   448,   322,   419,   403,   217,   193,
    4012,   353,   370,   325,  4101,   411,   374,   325,   452,    85,
     361,   453,   380,   503,  1706,   108,   227,   463,   359,   387,
    1712,  4033,   222,  4101,   198,  4713,   322,   395,  4040,  2175,
    3676,   108,   466,  4045,   503,   403,   322,   466,   500,    71,
    4052,   501,   501,   411,   500,   125,  3692,    79,    80,   379,
     185,   446,   500,    85,   379,   461,    88,    94,   105,   465,
     466,   210,   366,   353,  1756,  1797,  1177,  1759,  1760,  2559,
    1554,  4083,  2874,   105,   500,  3037,   108,  4163,  4156,  2478,
    2431,   113,  3607,  2485,  4369,  3167,  4101,   119,  4542,  4101,
    4173,  4103,  2238,   461,  4414,  3772,  4419,   465,  4101,  4146,
    2970,    85,  4423,  2667,    88,  4710,  4319,  4760,  4663,  4662,
    4724,   143,  4567,  2974,  2513,  1909,  3774,  3736,  2550,  2550,
    3603,   105,  2521,  3057,  1894,  3742,  3744,  1819,  2545,   113,
    3231,  4765,  4144,  4829,  4821,   119,  3185,  4825,  4101,  3172,
    2286,  4731,  4350,    78,  4156,  1886,  4643,  4718,  4353,    84,
     186,  1396,  4506,  4156,    89,  3782,  3829,  2395,  3784,   143,
    2306,  4592,  2308,  3127,  2310,   915,  4742,  4823,  1058,  4406,
    2221,  2890,  2222,  3766,  2573,  1985,  3519,  3976,  1354,  1073,
    3826,  2128,   117,  1582,  2650,  2891,  2258,  4199,  1600,  1599,
    2903,  2257,  2897,  4156,  2241,  1602,  2917,  2909,  2597,  3444,
    3935,  4485,  3409,  3520,  2603,  4461,  3401,  1063,  4220,  1606,
    4697,   243,  4698,  4701,  2894,   247,  3515,  3820,  2820,  2729,
    4232,  2818,  4304,   621,  4236,  2160,   161,  3271,    85,  4241,
    1292,    88,  1925,  2604,  2290,  4688,   268,   269,  1612,  2638,
    2266,   375,  1618,  1154,  1407,  1134,  4258,  4259,  1134,  2298,
    4262,   283,  2306,  2868,  2299,  3526,   113,  3962,  3527,   243,
    1529,  4273,   119,   247,  3491,   949,  4278,   408,  1616,  4281,
    2310,  2663,   207,  1340,  4286,  4287,   308,  2014,     2,   311,
     215,    -1,   217,    -1,   268,   269,   143,    -1,    -1,    -1,
      -1,    -1,   324,    -1,   229,   327,    -1,    -1,   979,   283,
      -1,  4313,  2448,  4315,    -1,    -1,    -1,  4319,    85,    -1,
    2456,    88,  2458,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,  3929,   311,    95,    -1,
    3933,  4343,    -1,    -1,   101,  4347,   113,    -1,    -1,  3985,
     324,    -1,   119,   327,  3364,    -1,    -1,  3367,  3368,  3369,
    3370,  3371,  3372,  3373,  3374,  3375,  3376,    -1,    -1,    -1,
      -1,    -1,    -1,   834,    -1,    -1,   143,   399,   839,    -1,
      -1,  4383,  3975,    -1,   141,    -1,    -1,   848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
     247,  2537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   875,    -1,  3426,  3427,   879,    -1,
      -1,   268,   269,    -1,    -1,   399,    -1,    -1,    -1,   890,
      -1,    -1,  4434,   190,  4436,    -1,   283,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,  4101,    -1,    -1,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,  4458,  4459,    -1,  4461,
      -1,  4463,    -1,    -1,   311,   487,   488,   489,  2405,   491,
     492,   493,   494,   495,   496,    -1,   243,   324,  4480,    -1,
     247,    -1,  4484,    -1,   409,  2874,    -1,  4489,  4556,  2757,
    2758,    -1,    -1,    -1,  2762,   252,    -1,    -1,    -1,    -1,
    4156,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   487,   488,   489,   283,   491,   492,   493,
     494,   495,   496,  4525,    -1,   499,    -1,  4529,  4530,    -1,
      -1,   505,    -1,    -1,  2802,  2803,    -1,    -1,  4779,    -1,
    4542,    -1,  2678,    -1,   311,    -1,    -1,    -1,    -1,   306,
      -1,   308,   399,    -1,  4556,    -1,  2238,   324,    -1,    -1,
      -1,   318,  4564,  4556,    -1,    -1,    -1,    -1,    -1,   326,
    4163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4592,    -1,    -1,    -1,  2531,    -1,  2985,  4599,    -1,    -1,
      -1,    -1,    -1,  4556,  2286,    -1,    -1,    -1,  2290,   366,
      -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,
    4622,    -1,    -1,    -1,  2306,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   399,    -1,    -1,  4637,    -1,    -1,   395,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4297,    -1,    -1,    -1,  4742,  4742,  4742,  4670,    -1,
    1131,  1132,    -1,  3062,    -1,    -1,  4742,  4679,    -1,    -1,
    4273,    -1,    -1,  4742,    -1,  4278,  4773,    -1,  4281,    -1,
      -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,  4700,  4701,
    3089,  4703,  4779,  4779,  4779,  4773,    95,  4343,    -1,    -1,
      -1,  4713,   101,  4779,    -1,  3725,    -1,    -1,    -1,    -1,
    4779,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,  2869,  4821,    -1,  2872,   126,  2874,    -1,
      -1,    -1,  4829,    -1,    -1,  4747,  4823,  4823,  4823,    -1,
      -1,    -1,   141,  4821,    -1,  4757,  3145,  4823,  2695,  3148,
    3149,  4829,    -1,  3152,  4823,    -1,  2448,    -1,    -1,    -1,
      -1,  4773,    -1,  3162,  2456,  1327,  2458,    -1,  3167,    -1,
    4773,    -1,    -1,   172,  3173,    -1,  1338,    -1,    -1,    -1,
    3179,    -1,    -1,    -1,    -1,    -1,    -1,  3186,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,
    3199,   200,  3201,    -1,  4816,    -1,    -1,    -1,    -1,  4821,
    4773,    -1,    -1,  4825,    -1,    -1,    -1,  4829,  4821,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,
      -1,    -1,    -1,  3232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,   252,    -1,    -1,    -1,    -1,  4821,    -1,
      -1,    -1,  3261,  3262,    -1,    -1,  4829,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,
    3900,  4484,   817,    -1,    -1,    -1,   821,    -1,    -1,    85,
    4556,    -1,    88,    -1,    -1,   294,    -1,   296,    -1,   834,
      -1,    -1,    -1,    -1,   839,    -1,    -1,   306,    -1,   308,
      -1,    -1,    -1,   848,    -1,    -1,    -1,   113,    -1,   318,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   334,   335,    -1,    -1,    -1,
     875,    -1,    -1,    -1,   879,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   890,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,
      -1,   370,   371,    -1,    -1,    -1,    -1,    -1,    -1,   914,
      -1,    -1,    -1,    -1,    -1,    -1,  2678,    -1,    -1,    -1,
      -1,    -1,    -1,   928,    -1,    -1,   395,   932,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    -1,   405,   942,    -1,   205,
     101,  3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   956,    -1,    -1,    -1,    -1,    -1,  3173,    -1,    -1,
      -1,    -1,  3178,  3179,    -1,    -1,    -1,    -1,    -1,    -1,
    3186,  2988,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
     141,   247,   451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3463,    -1,    -1,    -1,  3214,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,  3364,   283,    89,  3367,
    3368,  3369,  3370,  3371,  3372,  3373,  3374,  3375,  3376,   190,
      -1,    -1,    -1,    -1,    -1,    -1,   197,  4773,  1043,   200,
    1045,    -1,  1047,    -1,    -1,   311,   117,    -1,    -1,  3397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4773,   324,  1064,
      85,    -1,  3079,    88,  3081,    -1,    -1,    -1,    -1,  4742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3426,  3427,
     105,    -1,    -1,    -1,    -1,  4821,    -1,    -1,   113,    -1,
     161,   252,    -1,  4829,   119,  1636,    -1,    -1,    -1,   826,
     827,    -1,    -1,   830,   831,  4821,  4779,    -1,  3125,    -1,
      -1,    -1,  2874,  4829,    -1,    -1,  3332,    -1,   143,    -1,
     847,    -1,    -1,    -1,    -1,    -1,  1131,  1132,    -1,  3146,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,  3608,
     867,    -1,  4232,    -1,   871,   306,    -1,   308,    -1,    -1,
    4823,    -1,    -1,    -1,    -1,    -1,  3625,   318,   229,  3628,
     887,  3630,    -1,    -1,    -1,   326,    -1,    -1,  4258,  4259,
      -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,  3648,
    3649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3660,    -1,    -1,    -1,    -1,    -1,  3666,  3667,  3668,
    3669,  3670,  3671,    -1,    -1,   366,    -1,  3676,    -1,   370,
      -1,  3680,    -1,    -1,    -1,    -1,    -1,    85,   243,    -1,
      88,    -1,   247,    -1,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,  3250,   395,  3704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,   269,   113,  3715,  3716,  3717,  3718,
      -1,   119,    -1,  1794,    -1,    -1,    -1,    -1,   283,  3276,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,
     451,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,   324,
    1932,    -1,   327,   374,    -1,    -1,    -1,  3523,    -1,  1941,
      -1,    -1,  3781,    -1,    -1,    -1,  1321,  1949,  1950,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,
      -1,  1336,    -1,    -1,    -1,  1967,    -1,   205,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3363,    -1,    -1,    -1,
    1891,    -1,    -1,    -1,  1359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1907,    -1,  4458,    -1,
      -1,  3388,    -1,  3842,   399,   243,    -1,  3725,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1395,    -1,  3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,   269,  1943,    -1,    -1,  1410,    95,  3424,  3624,    -1,
      -1,  3173,   101,    -1,    -1,   283,    -1,  1422,    -1,    -1,
    1425,   243,    -1,  1964,  3186,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   311,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,   141,    -1,  1181,  1182,   324,    -1,    -1,    -1,
    3676,   283,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,  3691,  3692,    -1,   503,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,   308,    -1,  3704,   311,
      -1,    -1,    95,    -1,  3963,  3964,    -1,    -1,   101,  3715,
      -1,   190,   324,    -1,    -1,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,  3985,    -1,    -1,  1246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,   141,  1266,
    1267,  1546,    -1,    -1,    -1,    -1,    -1,    -1,  1553,  1554,
      -1,  3899,  3900,    -1,    -1,    -1,  1283,    -1,    -1,  1564,
      -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
    3332,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,  2218,   190,    -1,    -1,
    1317,  1318,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
    3826,  1616,  1617,  1618,    -1,   119,    -1,   306,    -1,   308,
    4089,  4090,    -1,   491,   492,   493,   494,   495,   496,   318,
      -1,  1636,    -1,    -1,  4103,    -1,    -1,   326,  4107,   143,
    4109,    -1,    -1,  4112,  4113,    -1,   335,    -1,    -1,   252,
      -1,  4120,  4121,  4122,  4123,  4124,    -1,    -1,    -1,    -1,
      -1,  1666,    -1,    -1,    -1,   487,   488,   489,  1673,   491,
     492,   493,   494,   495,   496,  1680,    -1,   366,    -1,    -1,
      -1,   370,  1687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4169,   205,    -1,   306,    -1,   308,   395,    -1,    -1,  1714,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,  4198,
      -1,    -1,   335,    -1,  3751,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,   817,  3963,    -1,  2290,
     821,    -1,  4221,  4222,  4223,  4224,    -1,    -1,    -1,    -1,
      -1,    -1,   451,   834,   268,   269,    -1,   370,   839,  3985,
      -1,    85,    -1,  3989,    88,    -1,  2317,   848,    -1,   283,
      -1,  2322,    -1,    85,  2325,    -1,    88,    -1,    -1,  1794,
      -1,  1796,   395,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,   105,   875,   119,  2347,   311,   879,    -1,
      -1,   113,    -1,    -1,  4030,    -1,    -1,   119,    -1,   890,
     324,    -1,    -1,    -1,    -1,    -1,    -1,  4043,  4044,   143,
      -1,    -1,  4048,  4049,    -1,  2376,    -1,    -1,    -1,    -1,
      -1,   143,    -1,   914,    -1,    -1,  3608,    -1,   451,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   928,  2399,    -1,
      -1,   932,  3624,    -1,    -1,    -1,    -1,    -1,    -1,  1874,
      -1,   942,    -1,    -1,  4343,    -1,    -1,    -1,    -1,    -1,
      -1,  2422,    -1,    -1,  4232,   956,  1891,    -1,  3905,    -1,
      -1,   205,    -1,  4241,    -1,   399,    -1,  4366,    -1,    -1,
    2441,  4370,  1907,  2444,  4120,  4121,  4122,  4123,  4124,    -1,
    4258,  4259,  4128,    -1,  3676,    -1,    -1,    -1,    -1,    -1,
    2461,    -1,    -1,    -1,    -1,    -1,    -1,  2468,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,  1942,  1943,    -1,
    2481,   243,    -1,    -1,    -1,   247,  1951,    -1,    -1,  2490,
      -1,    -1,    -1,    -1,   268,   269,    -1,    -1,  1963,  1964,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,   283,
      -1,    -1,    -1,    -1,  1045,    -1,    -1,    -1,    -1,    -1,
    1985,   283,    -1,    -1,  2616,    -1,    -1,   491,   492,   493,
     494,   495,   496,  1064,    -1,  4012,    -1,   311,  2630,  2631,
      -1,    -1,  2634,    -1,    -1,    -1,   308,  1734,  2640,   311,
     324,    -1,    -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,    -1,    -1,  4045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,
      -1,    -1,    -1,    -1,  1781,  1782,  1783,  1784,    -1,    -1,
    1131,  1132,    -1,    -1,  3826,    -1,  4083,    -1,    -1,    -1,
      -1,    -1,    -1,  4542,    -1,  2707,   117,    -1,    -1,    -1,
      -1,  4297,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1820,  1821,    -1,    -1,   399,    -1,  1826,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
    4458,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,  2130,    -1,  4343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,  2683,   119,    -1,    -1,  1873,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2705,    -1,   207,   143,    -1,    -1,
    1897,  1898,  1899,  1900,   215,    -1,   217,   491,   492,   493,
     494,   495,   496,    -1,    -1,   487,   488,   489,   229,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,   503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2219,    85,    -1,    -1,    88,  4236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,   205,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,  1969,   113,    -1,    -1,    -1,    -1,    -1,   119,
    1321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2269,  1336,  2271,   243,  4030,    -1,
      -1,   247,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2290,    -1,    -1,  1359,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4773,    -1,    -1,   283,    -1,    -1,
      -1,    -1,  2317,    -1,    -1,    -1,  2321,  2322,    -1,    -1,
    2325,    -1,    -1,    -1,  1395,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,  1410,
      -1,    -1,  2347,    -1,    -1,    -1,  2978,    -1,   324,    -1,
      -1,  1422,  4821,    -1,  1425,    -1,    -1,    -1,    -1,    -1,
    4829,    -1,    -1,    -1,    -1,    -1,  4128,    -1,    -1,    -1,
      -1,  2376,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,  4599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2399,  2400,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,  2133,  2948,    -1,    -1,
      -1,    -1,  3044,   283,  3046,    -1,  2421,  2422,    -1,  2424,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2441,    -1,   308,  2444,
      -1,   311,  4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,  2461,   327,    -1,    -1,
      -1,    -1,    -1,  2468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4489,    -1,   206,  1546,  2481,    -1,    -1,    -1,
      -1,    -1,  1553,  1554,    -1,  2490,   218,    -1,    -1,    -1,
     222,    -1,  3124,  1564,    -1,   227,    -1,  3129,    -1,    -1,
     232,    -1,    -1,   235,    -1,   237,    -1,    -1,  4525,    -1,
      -1,    -1,  4529,  4530,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,
      -1,    -1,   264,    -1,  3075,    -1,    -1,    -1,    -1,    -1,
      -1,  3082,    -1,    -1,    -1,  1616,  1617,  1618,    -1,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,  4773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4343,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,
      -1,    -1,    -1,    -1,    -1,  1666,   328,    -1,  2603,  3140,
      -1,    -1,  1673,    -1,    -1,  4821,    -1,    -1,    -1,  1680,
      -1,    -1,    -1,  4829,    -1,    -1,    -1,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,    -1,  2355,  2356,
    2357,   501,    -1,  2638,    -1,  2362,    -1,  2364,    -1,  2366,
    2367,   373,    -1,  3275,    -1,    -1,    -1,  3279,    -1,  3281,
      -1,  3283,  3284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,    -1,
    2705,    -1,    85,    -1,    -1,    88,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,  1794,    -1,    -1,    -1,  2454,    -1,    -1,
     113,   463,    -1,   465,   466,    -1,   119,    -1,   160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,   498,    -1,  3309,   501,
     502,    -1,   504,    -1,    -1,    -1,   817,  2782,    -1,  2506,
      -1,    -1,    -1,  2788,   206,    -1,  3327,  2514,  2515,  2516,
    2517,  2518,  2519,   834,    -1,    -1,   218,    -1,   839,    -1,
     222,    -1,    -1,  1874,    -1,   227,    -1,   848,    98,    -1,
     232,    -1,    -1,   235,    -1,   237,    -1,    -1,    -1,    -1,
    1891,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,   875,    -1,  1907,  4599,   879,    -1,
      -1,    -1,   264,    -1,   105,    -1,    -1,    -1,    -1,   890,
      -1,    -1,   113,    -1,   144,    -1,    -1,    -1,   119,    -1,
     243,    -1,   284,    -1,   247,    -1,  2593,   157,    -1,  2874,
      -1,  1942,  1943,   914,    -1,    -1,    -1,    -1,    -1,    -1,
    1951,    -1,   143,    -1,   174,   268,   269,   928,    -1,    -1,
     180,   932,  1963,  1964,  2621,    -1,  2623,    -1,   320,    -1,
     283,   942,    -1,    -1,    -1,   195,   328,    -1,    -1,    -1,
     835,    -1,    -1,    -1,  1985,   956,   841,    -1,    -1,    -1,
      -1,    -1,    -1,   213,   849,   308,    -1,    -1,   311,    -1,
      -1,    -1,   857,    -1,   224,    -1,    -1,   862,    -1,   229,
      -1,   324,    -1,  2948,   327,   235,    -1,    -1,    -1,    -1,
      -1,   373,    -1,    -1,    -1,    -1,    -1,    -1,  2963,  2964,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2985,    -1,   243,    -1,    -1,   275,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2721,   417,    -1,    -1,    -1,    -1,
      -1,    -1,  1043,    -1,  1045,    -1,  1047,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,   440,    -1,
      -1,    -1,   283,    -1,    -1,    -1,    85,    -1,    -1,    88,
    3571,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,   465,   466,    -1,   105,   308,    -1,    -1,
     311,  3056,  3057,  3058,   113,    -1,    -1,    -1,    -1,  2130,
     119,    -1,   352,   324,    -1,    -1,   327,    -1,    -1,    -1,
    3075,    -1,    -1,    -1,    -1,    -1,   498,  3082,    -1,   501,
     502,    -1,   504,    -1,   143,  1010,  3091,   377,    -1,    -1,
    1131,  1132,    -1,   383,  3635,    -1,    -1,  3638,    -1,   389,
      -1,    -1,   392,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,  1042,   501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,   419,
      -1,    -1,    -1,   423,  1059,  3140,    -1,    -1,   399,    -1,
      -1,   431,    -1,    -1,    -1,    -1,   436,    -1,  2219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1081,   447,    -1,    -1,
      -1,    -1,    -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,
     460,    -1,    -1,    -1,    -1,  3807,    -1,    -1,    -1,    -1,
    3185,    -1,  3814,  3815,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,  3199,    -1,  3201,    -1,  2269,    -1,
    2271,    -1,    -1,    -1,    -1,    -1,  3211,    -1,  3213,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2290,
      -1,    -1,    -1,    -1,   283,    -1,   487,   488,   489,    -1,
     491,   492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,
     501,    -1,    -1,    -1,    -1,    -1,  2317,    -1,    -1,   308,
    2321,  2322,   311,    -1,  2325,    -1,    -1,  3262,    -1,    85,
      -1,    -1,    88,    -1,    -1,   324,  2993,    -1,  2995,  2996,
      -1,    -1,    -1,    -1,    -1,    -1,  2347,    -1,    -1,   105,
    1321,    -1,    -1,    -1,    -1,    -1,  3291,   113,  3829,    -1,
      -1,    -1,    -1,   119,    -1,  1336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3309,  2376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,  1359,  3324,
      -1,    -1,  3327,    -1,    -1,    -1,    -1,    -1,  2399,  2400,
      -1,    -1,    -1,    -1,    -1,  1260,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2421,  2422,    -1,  2424,  1395,  1280,  1281,  1282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1410,
    2441,    -1,    -1,  2444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1422,    -1,    -1,  1425,    -1,    -1,    -1,    -1,    -1,
    2461,    -1,    -1,    -1,  3399,    -1,    -1,  2468,    -1,    -1,
      -1,    -1,  4034,  4035,    -1,    -1,    -1,    -1,    -1,    -1,
    2481,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,  2490,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4084,  4085,    -1,    -1,    -1,   283,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,  1394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   160,   308,    -1,    -1,   311,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,  1421,    -1,   324,  4040,
      -1,   327,    -1,    -1,    -1,  1546,    -1,    -1,    -1,    -1,
      -1,  4052,  1553,  1554,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,  1564,    -1,    -1,    85,   206,    -1,    88,
      -1,    -1,  2603,    -1,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    -1,   222,    -1,    -1,   105,    -1,   227,    -1,
      -1,    -1,    -1,   232,   113,    -1,   235,    -1,   237,    -1,
     119,    -1,    -1,    -1,    -1,    -1,  3571,  2638,    -1,    -1,
      -1,    -1,    -1,   399,  4206,  1616,  4208,  4209,    -1,    -1,
      -1,   205,    -1,    -1,   143,   264,    -1,  4219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1636,    -1,    -1,  3603,    -1,
      -1,    -1,  3607,    -1,  3609,   284,  3333,    -1,    -1,    -1,
      -1,    -1,  2683,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
    3635,    -1,    -1,  3638,  2705,  1560,    -1,    -1,    -1,  1680,
      -1,   320,    -1,    -1,   268,   269,  1687,    -1,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,  3676,    -1,  1714,    -1,   501,    -1,    -1,    -1,  4220,
      -1,    -1,  1607,    -1,   243,    -1,    -1,   311,   247,    -1,
      -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,  2782,    -1,    -1,    -1,    -1,    -1,  2788,    -1,    -1,
      -1,    -1,    -1,  1252,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,  3747,  3748,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,  1794,    -1,  1796,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,   324,    -1,    -1,   327,    -1,
      -1,    -1,  4313,    -1,  4315,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,    -1,   465,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2874,    -1,    -1,  1731,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,
    4452,    -1,   501,   502,  3829,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1874,    -1,  3562,  3563,  3564,  3565,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1785,    -1,    -1,    -1,    -1,    -1,  1907,   491,   492,   493,
     494,   495,   496,    -1,    -1,    -1,  4508,  2948,    -1,  1408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1812,    -1,    -1,
      -1,    -1,  2963,  2964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1942,  1943,    -1,    -1,  4537,    -1,    -1,    -1,    -1,
    1951,    -1,    -1,    -1,  2985,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1963,  1964,    -1,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,   501,    -1,  1985,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,  3056,  3057,  3058,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,  3723,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3075,    -1,    -1,    -1,    -1,    -1,
      -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
    3091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1953,    -1,
      -1,    -1,    -1,    -1,    -1,  4040,    -1,  1962,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,  4101,  3168,  4103,    -1,
      -1,    -1,    -1,  2028,  2029,    -1,    -1,    85,    -1,    94,
      88,    -1,    -1,    -1,  3185,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,  4755,    -1,    -1,    -1,   105,  3199,    -1,
    3201,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
    3211,   119,  3213,   268,   269,  1674,    -1,   132,    -1,    -1,
      -1,  4156,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,
      -1,    -1,  4703,    -1,    -1,   143,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   308,    -1,   170,   311,    -1,    -1,    -1,
      -1,  3262,  1721,    -1,    -1,    -1,    -1,    -1,   183,   324,
      -1,    -1,   327,    -1,    -1,    -1,   191,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4220,    -1,    -1,  1747,    -1,
    3291,   206,    -1,   208,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,    -1,  2159,    -1,    -1,   222,  3309,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,  2290,
      -1,    -1,    -1,  3324,    -1,    -1,  3327,    -1,    -1,  2184,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,   399,    -1,  2317,    -1,    -1,    -1,
    2321,  2322,    -1,    -1,  2325,  1814,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,  2220,    -1,  2222,    -1,    -1,
      -1,    -1,    -1,    -1,  1833,   283,  2347,    -1,  4313,    -1,
    4315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1851,    -1,    -1,    -1,    -1,    -1,  3399,    -1,
     308,    -1,    -1,   311,    -1,  2376,    -1,    -1,  4065,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
    1879,    -1,  4079,    -1,    -1,    -1,    -1,    -1,  2399,  2400,
      -1,    -1,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,   501,    -1,    -1,    -1,
    2421,  2422,    -1,  2424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2441,    -1,    -1,  2444,    -1,    -1,    -1,    -1,  1937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2461,   399,    -1,    -1,    -1,    -1,    -1,  2468,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2481,    -1,    -1,    -1,    -1,  4172,    -1,    -1,   105,  2490,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,  2418,    -1,    -1,    -1,    -1,    -1,    -1,
    3571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3603,    -1,    -1,    -1,  3607,  4542,  3609,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4556,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,  2603,    -1,  3635,    -1,    -1,  3638,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,   243,    -1,    -1,   119,
     247,    -1,    -1,    -1,  4321,  4322,  4323,  2638,    -1,  2128,
      -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,    -1,    -1,
      -1,   268,   269,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,    -1,
      -1,    -1,  2557,    -1,  2163,    -1,   621,    -1,    -1,    -1,
      -1,    -1,  2683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2705,    -1,    -1,   324,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,  3747,  3748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4433,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,  2782,   399,    -1,    -1,    -1,    -1,  2788,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,  3829,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4533,    -1,  4535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,
     487,   488,   489,  2874,   491,   492,   493,   494,   495,   496,
     825,   826,   827,   828,   501,   830,   831,    -1,   833,    -1,
     835,    -1,   837,    -1,    -1,    -1,   841,    -1,   843,    -1,
    2389,    -1,   847,    -1,   849,  2394,  2395,    -1,    -1,   399,
      -1,    -1,   857,    -1,    -1,    -1,  2405,   862,    -1,   864,
      -1,    -1,   867,    -1,   869,    -1,   871,    -1,    -1,    -1,
      -1,    -1,   877,    -1,    -1,   880,    -1,    -1,    -1,    -1,
      -1,  4628,   887,    -1,    -1,    -1,    -1,  2948,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2845,    -1,  2963,  2964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   918,    -1,    -1,    -1,    -1,   923,    -1,
    4667,    -1,   927,    -1,  2985,   930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,   488,   489,
     945,   491,   492,   493,   494,   495,   496,    -1,    -1,  4040,
      -1,   501,    -1,    -1,    -1,  2900,    -1,    -1,    -1,    -1,
      85,  4052,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,
     105,    -1,  2531,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,   998,   119,  3056,  3057,  3058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1010,  1011,    -1,    -1,    -1,
    4101,    -1,  4103,    -1,  3075,  4762,    -1,    -1,   143,    -1,
      -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3091,    -1,  1037,    -1,    -1,    -1,  1041,  1042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2600,    -1,    -1,  1059,    -1,    -1,    -1,  1063,    -1,
      -1,    -1,    -1,    -1,    -1,  4156,  1071,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1081,    -1,    -1,  3140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,  3185,    -1,    -1,    -1,    -1,  4220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3199,    -1,
    3201,    -1,    -1,   268,   269,    -1,  2695,    -1,    -1,    -1,
    3211,    -1,  3213,    -1,    -1,    -1,    -1,    -1,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1174,
      -1,    -1,    -1,    -1,    -1,    -1,  1181,  1182,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,
      -1,  3262,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1220,    -1,    -1,    -1,    -1,
      -1,    -1,  4313,    -1,  4315,  1230,    -1,    -1,  1233,    -1,
    3291,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,  1246,    -1,    -1,    -1,    -1,    -1,    -1,  3309,    -1,
      -1,    -1,    -1,    -1,    -1,  1260,    -1,   105,    -1,    -1,
    3205,  1266,  1267,  3324,    -1,   113,  3327,    -1,    -1,    -1,
      -1,   119,    -1,    -1,   399,  1280,  1281,  1282,  1283,    -1,
    1285,    -1,    -1,    -1,  1289,  3230,    -1,    -1,    -1,    -1,
      -1,    -1,  3237,    -1,    -1,   143,  3241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2854,  2855,  2856,    -1,    -1,
      -1,  3256,  1317,  1318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,
    3285,    -1,    -1,  3288,    -1,    -1,  1351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,   501,    -1,    -1,    -1,
    3325,    -1,    -1,    -1,  1389,  1390,    -1,    -1,    -1,  1394,
      -1,  1396,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1418,    -1,    -1,  1421,    -1,    -1,  1424,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1436,    -1,    -1,    -1,   283,    -1,    -1,    -1,  2988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1464,
     308,    -1,    -1,   311,    -1,  4556,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,  3026,  3027,   327,
    3029,    -1,    -1,    -1,    -1,    -1,    -1,  1492,  1493,    -1,
    1495,    -1,    -1,    -1,    -1,    -1,  3441,  3442,  3443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1512,    -1,    -1,
    3571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1532,  1533,    -1,
    3079,    -1,  3081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3603,    -1,    -1,    -1,  3607,    -1,  3609,    -1,
      -1,   399,    -1,    -1,    -1,  1560,    -1,    -1,  1563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3635,    -1,  3125,  3638,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1592,    -1,    -1,
      -1,  1596,  1597,    -1,    -1,    -1,    -1,  3146,    -1,    -1,
      -1,  1606,  1607,  1608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4703,    -1,    -1,  3676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,  1634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4773,    -1,    -1,    -1,  3747,  3748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,
    1725,    -1,    -1,    -1,    -1,    -1,  1731,  3276,    -1,  1734,
    4821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4829,    -1,
      -1,    -1,    -1,    -1,  1749,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,  3712,  3829,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1781,  1782,  1783,  1784,
    1785,    -1,   105,    -1,    -1,    -1,  3731,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,  3344,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1810,    -1,  1812,    -1,  3754,
      -1,    -1,    -1,    -1,  3363,  1820,  1821,    -1,    -1,    -1,
     143,  1826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1873,    -1,
      -1,    -1,    -1,    -1,    -1,  3424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1897,  1898,  1899,  1900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1916,    -1,    -1,    -1,  3464,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,  1931,    -1,    -1,    -1,
      -1,    -1,    -1,  1938,    -1,  1940,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1948,    -1,   268,   269,    -1,  1953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1962,    -1,    -1,
     283,    -1,    -1,  1968,  1969,    -1,    -1,    -1,    -1,    -1,
      -1,  3916,  3917,  3918,  3919,    -1,    -1,  1982,    -1,  4040,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,
      -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,
      -1,    -1,    -1,  2028,  2029,    -1,    -1,    -1,    -1,    -1,
      -1,  2036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4101,    -1,  4103,    -1,    -1,    -1,    -1,  2052,  2053,    -1,
      -1,  2056,    -1,    -1,    -1,  2060,  2061,    -1,    -1,  3608,
      -1,    -1,    -1,  2068,    -1,    -1,  2071,    -1,    -1,  2074,
      -1,    -1,    -1,    -1,    -1,    -1,   399,  2082,  2083,    -1,
      -1,    -1,    -1,    -1,    -1,  2090,    -1,  2092,  2093,  2094,
    2095,  2096,    -1,    -1,    -1,  4156,    -1,    -1,  2103,  2104,
      -1,  2106,    -1,  2108,  2109,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2129,    -1,    -1,    -1,  2133,  2134,
      -1,    -1,    -1,  2138,    -1,    -1,    -1,  2142,    -1,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,    -1,  2154,
      -1,    -1,    -1,    -1,  2159,  2160,    -1,    -1,  2163,  4220,
      -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,   501,  2184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2220,    -1,  2222,    -1,  2224,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,  4313,   113,  4315,    -1,  2261,  4202,  2263,   119,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    41,    -1,
      43,    44,    -1,   143,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,  2326,    -1,    86,    -1,    -1,  2331,    -1,  2333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2348,    -1,  3894,    -1,    -1,  2353,    -1,
    2355,  2356,  2357,    -1,  2359,  2360,  3905,  2362,    -1,  2364,
      -1,  2366,  2367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,  3942,    -1,    -1,  2401,    -1,  3947,    -1,
      -1,    -1,  2407,    -1,    -1,    -1,    -1,  2412,   268,   269,
    3959,    -1,    -1,  2418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,  2433,  2434,
      -1,    -1,    -1,    -1,    -1,  2440,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,  4392,   308,  2454,
      -1,   311,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,  4012,   324,    -1,    -1,   327,    -1,    -1,
      -1,    -1,  2477,    -1,  2479,  2480,    -1,   240,    -1,  4424,
      -1,  4542,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4556,  4045,    -1,    -1,   262,
      -1,  2506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2514,
    2515,  2516,  2517,  2518,  2519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    -1,  4083,   298,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2552,    -1,    -1,
     313,  2556,  2557,    -1,    -1,    -1,  2561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,    -1,    -1,
      -1,  2586,    -1,    -1,    -1,    -1,    -1,    -1,  2593,  2594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2621,  2622,  2623,  2624,
      -1,    -1,    -1,   386,    -1,    -1,    -1,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,   499,
      -1,  2646,  4703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2667,    -1,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,    -1,    -1,
      -1,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2709,    -1,    -1,    -1,  2713,    -1,
      -1,    -1,  4773,    -1,    -1,    -1,  2721,    -1,   481,    -1,
      -1,    -1,  2727,  2728,   487,    -1,    -1,    -1,   491,   492,
     493,   494,   495,    -1,   117,   498,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2757,  2758,    -1,    -1,    -1,  2762,    -1,    -1,
    4821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4829,  2774,
    2775,  2776,  2777,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,  2787,    -1,    -1,  2790,    -1,  2792,  2793,    -1,
      -1,    -1,    -1,    -1,  4343,    -1,    -1,  2802,  2803,    -1,
      -1,  2806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2819,    -1,  2821,    -1,  2823,    -1,
    2825,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   215,    -1,   217,    -1,  2841,    -1,    -1,    -1,
    2845,    -1,    -1,    -1,    -1,    -1,   229,  2852,    -1,  2854,
    2855,  2856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2891,  4436,    -1,    -1,
      -1,  2896,    -1,    -1,    -1,  2900,    -1,    -1,  2903,    -1,
      -1,    -1,    -1,    -1,  2909,    -1,    -1,  2912,    -1,    -1,
    4459,  2916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
    4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,  2969,   119,  2971,    -1,    -1,    -1,
      -1,  2976,    -1,    -1,    -1,    -1,  4525,    -1,    -1,    -1,
    4529,  4530,    -1,    -1,    -1,    -1,    -1,    -1,  2993,   143,
    2995,  2996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   188,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,  4592,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3150,  3151,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,   327,  3179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3205,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,  3229,  3230,    -1,    -1,    -1,    -1,
      -1,    -1,  3237,    -1,    -1,    -1,  3241,    -1,    -1,    -1,
      -1,   240,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,  3256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   262,    -1,    -1,  3271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3285,    -1,    -1,  3288,    -1,    -1,    -1,    -1,    -1,    -1,
    3295,    -1,    -1,    -1,   448,    -1,   295,    -1,    -1,   298,
      -1,  3306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
    3325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3333,    -1,
      -1,    -1,    -1,   487,   488,   489,  3341,   491,   492,   493,
     494,   495,   496,    -1,    -1,  3350,    -1,    -1,    -1,    -1,
      -1,  3356,    -1,  3358,    -1,    -1,    -1,    -1,    -1,  3364,
      -1,    -1,  3367,  3368,  3369,  3370,  3371,  3372,  3373,  3374,
    3375,  3376,    -1,    -1,    -1,  3380,  3381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,  3393,    -1,
      -1,    -1,  3397,    -1,    -1,    -1,  3401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3411,    -1,    -1,  3414,
      -1,  3416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3425,  3426,  3427,    -1,    -1,    -1,  3431,    -1,   427,  3434,
      -1,    -1,    -1,    -1,   817,    -1,  3441,  3442,  3443,  3444,
    3445,   440,   825,    -1,  3449,  3450,    -1,    -1,    -1,  3454,
     833,    -1,    -1,    -1,    -1,  3460,   455,  3462,    -1,  3464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   864,   481,    -1,    -1,    -1,    -1,    -1,   487,    -1,
      -1,    -1,   491,   492,   493,   494,   495,    -1,    -1,   498,
     499,   500,    -1,    -1,  3509,    -1,   505,   506,    -1,    -1,
    3515,    -1,    -1,    -1,  3519,    -1,  3521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,    -1,    -1,
      -1,  3546,  3547,  3548,   927,  3550,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,  3562,  3563,  3564,
    3565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,  3593,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3652,    -1,    -1,
      -1,    -1,    -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,
    1043,    -1,    98,    -1,  1047,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1071,    -1,
      -1,    -1,    -1,    -1,    85,   131,    -1,    88,    -1,  3704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,   144,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,  3723,    -1,
    3725,   157,   113,    -1,    -1,    -1,  3731,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,  3744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3754,
     204,    -1,   143,    -1,    -1,    -1,    -1,    -1,  3763,   195,
      -1,    -1,    -1,  3768,    -1,    -1,   220,  3772,    -1,  3774,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
    3785,  3786,    -1,    -1,    -1,    -1,   240,    -1,   224,    -1,
      -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,  3809,    -1,  3811,    -1,   262,    -1,
      -1,    -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,   227,  1220,    -1,    -1,
    3845,   295,    -1,    -1,   298,    -1,    -1,  1230,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,
      -1,    -1,    -1,    -1,    -1,    -1,  3881,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3891,  3892,   324,    -1,
      -1,    -1,   283,    -1,  3899,  3900,    -1,    -1,   334,  3904,
      -1,    -1,  1285,    -1,    -1,  3910,  3911,    -1,    -1,  3914,
      -1,  3916,  3917,  3918,  3919,    -1,   352,   308,  3923,    -1,
     311,  3926,    -1,    -1,  3929,    -1,    -1,    -1,  3933,    -1,
      -1,    -1,   386,   324,  3939,    -1,   327,  3942,    -1,    -1,
      -1,   377,  3947,    -1,    -1,   381,    -1,   383,  3953,    -1,
      -1,    -1,    -1,   389,  3959,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,  3968,    -1,    -1,    -1,    -1,  1351,    -1,
      -1,  3976,    -1,   427,    -1,  3980,    -1,    -1,    -1,    -1,
      -1,   417,    -1,   419,    -1,    -1,   440,   423,    -1,  3994,
      -1,    -1,  3997,    -1,    -1,   431,    -1,    -1,    -1,    -1,
     436,   455,    -1,    -1,    -1,    -1,    -1,    -1,   399,  4014,
    4015,   447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   460,  1408,  4031,   481,    -1,    -1,
      -1,    -1,    -1,   487,    -1,    -1,    -1,   491,   492,   493,
     494,   495,    -1,    -1,   498,   499,   500,   501,    -1,    -1,
      -1,   505,    -1,  1436,    -1,    -1,    -1,    -1,    -1,    -1,
    4065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4079,    -1,    -1,    -1,    -1,    -1,
      -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   487,   488,   489,    -1,
     491,   492,   493,   494,   495,   496,  4111,    -1,    -1,  1492,
    1493,    -1,  1495,    -1,    -1,  4120,  4121,  4122,  4123,  4124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,  4172,  4173,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1563,  1564,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,  4202,    -1,  4204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1592,
      -1,    -1,    -1,  1596,  1597,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,  4232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4258,  4259,    -1,    -1,  4262,    -1,    -1,
      -1,   105,    -1,    -1,  4269,    -1,    -1,    -1,  4273,   113,
      -1,    -1,    -1,  4278,    -1,   119,  4281,  4282,    -1,  4284,
      -1,  4286,  4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1674,    -1,    -1,    -1,    -1,    -1,  1680,    -1,   143,
      -1,    -1,    -1,    -1,  1687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4319,  4320,  4321,  4322,  4323,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,  1714,    -1,    -1,    -1,    -1,    -1,    -1,  1721,    -1,
      -1,    -1,  4347,  4348,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,  1747,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4377,    -1,    -1,    -1,    -1,   221,  4383,    -1,
      -1,    -1,    -1,    -1,    -1,   308,    -1,  4392,   311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
    4405,   324,  4407,   247,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1796,  4419,    -1,    -1,    -1,    -1,  4424,
      -1,    -1,    -1,   346,   268,   269,    -1,    -1,  4433,  4434,
      -1,  1814,    -1,    -1,    -1,    -1,    -1,    -1,   207,   283,
      -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,   217,    -1,
    1833,    -1,    -1,  4458,    -1,    -1,  4461,    -1,  4463,    -1,
      -1,    -1,    -1,    -1,   308,    -1,    -1,   311,  1851,    -1,
      -1,    -1,    -1,    -1,    -1,  4480,   399,    -1,    -1,  4484,
     324,    -1,  4487,   327,    -1,    -1,    -1,    -1,  4493,   412,
      -1,  1874,    -1,    -1,    -1,    -1,  1879,    -1,    -1,    -1,
     344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,  4519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4532,  4533,  4534,
    4535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1931,    -1,
      -1,    -1,    -1,    -1,  1937,   399,    -1,  1940,    -1,  4564,
      -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4622,    -1,    -1,
      -1,    -1,    -1,  4628,    -1,  4630,    -1,    -1,    -1,    -1,
      -1,    -1,  4637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2024,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4667,    -1,    -1,  4670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4679,    -1,    -1,  2060,  2061,    -1,
      -1,    -1,    -1,  4688,    -1,  2068,    -1,    -1,  2071,    -1,
      -1,  2074,  4697,    -1,    -1,  4700,  4701,    -1,    -1,  2082,
    2083,    -1,    -1,    -1,    -1,    -1,    -1,  2090,  4713,    -1,
    2093,  2094,  2095,  2096,    -1,    -1,  4721,    -1,    -1,    -1,
    2103,  2104,    -1,  2106,    -1,  2108,  2109,    -1,    -1,  2112,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4747,    -1,    -1,  2128,  2129,  2130,    98,    -1,
      -1,  2134,  4757,    -1,    -1,  2138,    -1,  4762,    -1,  2142,
    1252,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,
      -1,  2154,     3,    -1,    -1,    -1,    -1,  2160,     9,    -1,
    2163,   131,    13,    -1,    15,    -1,    17,    18,    -1,    -1,
      -1,    -1,    -1,    -1,   144,   145,    -1,    28,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,   157,    -1,    -1,
      -1,  4816,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,
    4825,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2224,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,
     101,    -1,   103,   104,   224,    -1,    -1,    -1,    85,   229,
      -1,    88,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
     250,   108,    -1,    -1,    -1,    -1,   113,   138,    -1,   140,
     141,    -1,   119,    -1,    -1,   146,  1408,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   275,    -1,   158,    -1,   160,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,  2321,    -1,
      -1,    -1,    -1,   174,    -1,   176,    -1,    -1,   179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,    -1,   193,    -1,    -1,  2348,   197,    -1,    -1,    -1,
    2353,    -1,   203,    -1,   324,    -1,  2359,    -1,    -1,   210,
      -1,   212,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   232,   352,    -1,    -1,    -1,  2389,    -1,    -1,    -1,
      -1,  2394,  2395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2405,    -1,    -1,    -1,    -1,   377,    -1,    -1,
      -1,   381,    -1,   383,    -1,    -1,   243,    -1,  2421,   389,
     247,  2424,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,   286,   825,  1549,    -1,    -1,
     291,   268,   269,    -1,   833,    -1,    -1,   417,   299,   419,
      -1,    -1,    -1,   423,    -1,    -1,   283,    -1,    -1,   310,
      -1,   431,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   864,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
     460,    -1,    -1,    -1,    -1,    -1,   347,   324,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,
      -1,    -1,   363,    -1,   365,    -1,    -1,    -1,    -1,   370,
      -1,    -1,    -1,    -1,   375,    -1,  2529,   378,  2531,   918,
      -1,   382,    -1,    -1,    -1,    -1,   387,   388,   927,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,   398,    -1,    -1,
      -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1674,    -1,    -1,    -1,   417,    -1,    85,    -1,
      -1,    88,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,    -1,   436,    -1,    -1,   105,    -1,
      -1,    -1,   443,    -1,    -1,    -1,   113,  2600,   449,    -1,
      -1,    -1,   119,   454,    -1,    -1,    -1,    -1,    -1,  1721,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2646,    -1,    -1,    -1,    -1,  1037,   500,
      -1,    -1,    -1,   504,  1043,    -1,    -1,    -1,  1047,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1071,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1814,    -1,    -1,   105,  2709,    -1,   108,    -1,
    2713,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,  1833,    -1,    -1,  2727,  2728,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1851,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,   269,    -1,  2757,  2758,    -1,    -1,    -1,  2762,
      -1,    -1,    -1,    -1,    -1,    -1,   283,  1879,    -1,    -1,
      -1,  2774,  2775,  2776,  2777,    -1,    -1,    -1,    -1,  2782,
      -1,    -1,    -1,    -1,  2787,  2788,    -1,  2790,    -1,  2792,
      -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,  2802,
    2803,    -1,    -1,  2806,    -1,    -1,    -1,   324,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,  2819,    -1,  2821,    -1,
      -1,    -1,  2825,    -1,   341,  1937,    -1,    -1,    -1,    -1,
      -1,  1220,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,
      -1,  1230,    -1,   243,    -1,    -1,    -1,   247,    -1,  2852,
      -1,  2854,  2855,  2856,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1252,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,  2878,    -1,    -1,    -1,    -1,
      -1,    -1,   399,   283,    -1,    -1,    -1,    -1,  2891,    -1,
      -1,    -1,    -1,  2896,    -1,    -1,  1285,    -1,    -1,    -1,
    2903,    -1,    85,    -1,    -1,    88,  2909,    -1,   308,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,   324,    -1,    -1,   327,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,  1351,    -1,    -1,    -1,  2969,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,  1408,
      -1,    -1,    -1,  3026,  3027,    -1,  3029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,  1436,    -1,    -1,
      -1,    -1,    -1,  3056,  3057,  3058,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1464,  3079,    -1,  3081,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,    -1,
     283,    -1,    -1,  1492,  1493,    -1,  1495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,  1512,    -1,   308,    -1,    -1,   311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,  3146,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,  3168,    -1,    -1,    -1,    -1,
    3173,    -1,    -1,    -1,  1563,    -1,    -1,    -1,    -1,    -1,
      -1,   105,  3185,  3186,   108,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1592,    -1,    -1,    -1,  1596,  1597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3276,    -1,    -1,    -1,  2389,    -1,    -1,
      -1,    -1,  2394,  2395,    -1,  1674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2405,    -1,    -1,    -1,    -1,  1687,    -1,
      -1,    -1,    -1,  3306,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,  1714,    -1,    -1,    -1,    -1,
      -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,  3341,    -1,
      -1,  3344,    -1,    -1,   268,   269,    -1,  3350,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,  3358,    -1,    -1,  1747,   283,
    3363,  3364,    -1,    -1,  3367,  3368,  3369,  3370,  3371,  3372,
    3373,  3374,  3375,  3376,    -1,    -1,    -1,  3380,  3381,    -1,
      -1,    -1,    -1,    -1,   308,  3388,    -1,   311,    -1,    -1,
    3393,    -1,    -1,    -1,  3397,    -1,  3399,    -1,  3401,    -1,
     324,    -1,    -1,   327,    -1,    -1,    -1,  1796,  3411,    -1,
      -1,  3414,    -1,  3416,    -1,    85,    -1,    -1,    88,  2531,
      -1,  3424,  3425,  3426,  3427,  1814,    -1,    -1,  3431,    -1,
      -1,  3434,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,  3444,    -1,   113,  1833,    -1,    -1,    -1,    -1,   119,
      -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3462,
    1252,  3464,  1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   143,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2600,    -1,
    1879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,
      -1,    -1,  3515,    -1,    -1,    -1,    -1,    -1,  3521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1931,  3546,    -1,    -1,    -1,    -1,  1937,    -1,
      -1,  1940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
    3603,    -1,    -1,    -1,  3607,  3608,  3609,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,  1408,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2024,    -1,   105,   308,    -1,
     108,   311,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,   324,    -1,    -1,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2060,  2061,    -1,    -1,   143,    -1,    -1,    -1,  2068,
      -1,    -1,  2071,    -1,    -1,  2074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2082,  2083,    -1,    -1,    -1,    -1,    -1,
      -1,  2090,    -1,    -1,  2093,  2094,  2095,  2096,    -1,    -1,
      -1,    -1,    -1,    -1,  2103,  2104,    -1,  2106,    -1,  2108,
    2109,    -1,  3725,  2112,    -1,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,
    2129,    -1,    -1,    -1,    -1,  2134,    -1,    -1,  3751,  2138,
      -1,    -1,    -1,  2142,   424,  2144,  2145,  2146,  2147,  2148,
    2149,  2150,  2151,  2152,    -1,  2154,    -1,    -1,    -1,    -1,
      -1,  2160,    -1,    -1,  2163,   243,    -1,    -1,    -1,   247,
      -1,  3784,  3785,  3786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,   283,    88,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  2224,    -1,    -1,    -1,    -1,
     308,   113,  3845,   311,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,  2988,    -1,  3881,    -1,
      -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,  3891,  3892,
      -1,  3894,    -1,    -1,    -1,    -1,  3899,  3900,    -1,    -1,
      -1,  3904,  3905,    -1,    -1,    -1,    -1,  3910,  3911,    -1,
      -1,  3914,    -1,    -1,  3026,  3027,    -1,  3029,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,  1721,
    3933,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,
      -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1747,  3959,    -1,    -1,  2348,
      -1,    -1,    -1,    -1,  2353,    -1,    -1,  3079,    -1,  3081,
    2359,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3997,    -1,   268,   269,    -1,    -1,
    2389,    -1,    -1,    -1,    -1,  2394,  2395,    -1,    -1,  4012,
      -1,   283,    -1,  3125,    -1,    -1,  2405,    -1,    -1,   487,
     488,   489,  1814,   491,   492,   493,   494,   495,   496,    -1,
    4033,    -1,    -1,    -1,  3146,    -1,   308,    -1,    -1,   311,
      -1,  1833,  4045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,    -1,    -1,    -1,  1851,
      -1,  3173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3186,    -1,    -1,    -1,    -1,    -1,
    4083,    -1,    -1,    -1,    -1,    -1,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3250,    -1,
    2529,  4144,  2531,    -1,    -1,  1937,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,  4156,    -1,    -1,    -1,    -1,   202,    -1,
      -1,    -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2600,    -1,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,  4232,
      -1,    -1,  3344,  4236,    -1,    -1,    -1,    -1,  4241,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3363,    -1,    -1,    -1,  4258,  4259,  2646,    -1,  4262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4273,    -1,    -1,    -1,    -1,  4278,  3388,    -1,  4281,    -1,
      -1,    -1,    -1,  4286,  4287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,
      -1,    -1,  3424,    -1,    -1,    -1,  4319,    -1,    -1,    -1,
    2709,    -1,    -1,    -1,  2713,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,  2727,  2728,
    4343,    -1,    -1,    -1,  4347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,  2757,  2758,
      -1,    -1,    -1,  2762,    -1,    -1,    -1,    -1,    -1,    -1,
    4383,    -1,    -1,    -1,    -1,  2774,  2775,  2776,  2777,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2787,    -1,
      -1,  2790,    -1,  2792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2802,  2803,    -1,    -1,  2806,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2819,  4434,  2821,  4436,    -1,    -1,  2825,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2841,    -1,    -1,  4458,  4459,    -1,  4461,    -1,
    4463,    -1,    -1,  2852,    -1,  2854,  2855,  2856,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4480,    -1,    -1,
      -1,  4484,    -1,    -1,    -1,    -1,  4489,    -1,    -1,  2878,
      -1,    -1,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,
      -1,    -1,  2891,    -1,    -1,    -1,    -1,  2896,    -1,    -1,
      -1,    -1,    -1,    -1,  2903,    -1,    -1,    -1,    -1,    -1,
    2909,    -1,  4525,    -1,    -1,    -1,  4529,  4530,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2389,    -1,  2988,
      -1,    -1,  2394,  2395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,  4622,
     664,   665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4637,    -1,    -1,  3026,  3027,  3751,
    3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4670,   712,    -1,
      -1,    -1,  3784,    -1,    -1,    -1,  4679,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3079,    -1,  3081,    -1,    -1,    -1,    -1,  4700,  4701,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,  2531,
      -1,    -1,    -1,    -1,  4747,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4757,    -1,    -1,  3146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3894,    -1,  3173,    -1,    -1,   831,    -1,    -1,
      -1,    -1,    -1,  3905,    -1,    -1,   840,  3186,   842,    -1,
     844,    -1,   846,    -1,    -1,    -1,    -1,    -1,  2600,    -1,
      -1,    -1,    -1,  4816,    -1,    -1,    -1,    -1,  4821,    -1,
      -1,   865,  4825,    -1,    -1,    -1,  4829,    -1,   872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   881,   882,    -1,
      -1,    -1,   886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   902,    -1,
     904,  3250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3263,   919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,    -1,   933,
      -1,    -1,   936,    -1,   938,    -1,   940,    -1,    -1,    -1,
    4012,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,
     954,    -1,    -1,    -1,    -1,    -1,    -1,  3306,    -1,    -1,
      -1,  4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3341,    -1,    -1,  3344,    -1,    -1,    -1,    -1,
      -1,  3350,  1006,    -1,  1008,    -1,    -1,  3356,    -1,  3358,
      -1,  4083,    -1,    -1,  3363,  3364,    -1,    -1,  3367,  3368,
    3369,  3370,  3371,  3372,  3373,  3374,  3375,  3376,    -1,    -1,
      -1,  3380,  3381,    -1,    -1,  1039,    -1,    -1,    -1,  3388,
      -1,    -1,    -1,    -1,  3393,    -1,    -1,    -1,  3397,    -1,
      -1,    -1,  3401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,    -1,  3414,    -1,  3416,    -1,  1073,
      -1,    -1,    -1,    -1,    -1,  3424,  3425,  3426,  3427,    -1,
      -1,    -1,  3431,    -1,    -1,  3434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3444,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3462,    -1,  3464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1144,    -1,  1146,    -1,    -1,    -1,  1150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3509,    -1,    -1,    -1,  4236,    -1,  3515,    -1,    -1,    98,
      -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,
      -1,    -1,   131,    -1,  1208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
    1224,    -1,    -1,    -1,   153,    -1,    -1,    -1,   157,    -1,
      -1,  1235,    -1,    -1,    -1,    -1,  2988,    -1,  1242,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
    1254,   180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3608,
      -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,
      -1,  4343,    -1,    -1,  3026,  3027,    -1,  3029,    -1,    -1,
      -1,    -1,  1286,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   250,    -1,    -1,    -1,    -1,    89,  3079,    -1,  3081,
      -1,    94,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,
      -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,    -1,   132,
      -1,    -1,    -1,  3125,  1252,    -1,  3725,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,   152,
     153,    -1,    -1,   156,  3146,   324,    -1,    -1,   327,   162,
      -1,    -1,  3751,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,
      -1,  3173,    -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3186,  3784,  3785,  3786,    -1,   202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,    -1,    -1,  4525,   383,    -1,    -1,  4529,  4530,    -1,
     389,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
     419,   420,    -1,   422,   423,    -1,  3845,    -1,  3250,    -1,
      -1,    -1,   431,    -1,    -1,    -1,    -1,   436,    -1,    -1,
      -1,  3263,   441,    -1,    -1,   444,    -1,    -1,   447,    -1,
      -1,    -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,    -1,
    1408,   460,  3881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3891,  3892,    -1,  3894,    -1,    -1,    -1,    -1,
    3899,  3900,    -1,    -1,    -1,  3904,  3905,    -1,    -1,    -1,
      -1,  3910,  3911,    -1,    -1,  3914,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,  1583,
    3929,    -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3344,  3942,    -1,    -1,    -1,    -1,  3947,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3959,  3363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1639,  3388,    -1,  1642,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1650,   410,  3997,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4012,  1668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4045,    -1,    -1,  1703,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4083,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4144,  1674,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,
    4199,    -1,    -1,    -1,    -1,    -1,  3608,    -1,   621,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1747,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1882,    -1,
      -1,    -1,    -1,  4232,    -1,    -1,    -1,  4236,    -1,    -1,
      -1,  1895,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   664,   665,    -1,    -1,    -1,    -1,    -1,    -1,  4258,
    4259,    -1,    -1,  4262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4273,    -1,    -1,    -1,    -1,  4278,
      -1,    -1,  4281,    -1,    -1,  1939,  1814,  4286,  4287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1952,   712,
    1954,    -1,  1956,    -1,    -1,  1833,    -1,  1961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4319,    -1,    -1,  1851,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4343,    -1,    -1,    -1,  4347,  3751,
      -1,  1879,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,
      -1,  2025,    -1,  2027,    -1,    -1,  2030,    -1,    -1,    -1,
      -1,    -1,  3784,    -1,  4383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4434,    -1,  4436,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4458,
    4459,    -1,  4461,    -1,  4463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4480,    -1,    -1,    -1,  4484,    -1,    -1,   901,   902,
    4489,   904,  3894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4525,    -1,    -1,    -1,
    4529,  4530,    -1,    -1,    -1,    -1,    -1,   950,    -1,    -1,
     953,   954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   966,    -1,   968,    -1,   970,    -1,    -1,
      -1,    -1,    -1,   976,    -1,  4564,    -1,   980,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   999,  1000,    -1,    -1,
      -1,    -1,    -1,  4592,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4622,    -1,    -1,  1039,    -1,  1041,    -1,
      -1,  4033,    -1,    -1,    -1,    -1,    -1,    -1,  4637,    -1,
      -1,    -1,    -1,  4045,    -1,    -1,    -1,  2301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2318,  2319,    -1,    -1,    -1,  2323,
    2324,  4670,    -1,  2327,    -1,    -1,    -1,    -1,    -1,    -1,
    4679,  4083,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,
    2344,    -1,    -1,    -1,    -1,    -1,  2350,  2351,    -1,    -1,
      -1,  4700,  4701,    -1,  1117,    -1,    -1,  2361,    -1,  2363,
      -1,    -1,    -1,    -1,  4713,    -1,    -1,    -1,  1131,  1132,
      -1,    -1,  1135,  2377,    -1,    -1,    -1,    -1,  2382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4747,    -1,
      -1,    -1,    -1,    -1,  2408,  2409,  2410,  2411,  4757,    -1,
      -1,  2415,  2416,    -1,    -1,    -1,  1179,    -1,    -1,  2423,
      -1,    -1,  2426,    -1,    -1,    -1,  2430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2455,    -1,  2457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2465,  2466,  2467,    -1,  2469,    -1,  4816,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4825,    -1,  2482,  2483,
    2484,    -1,    -1,    -1,  4236,    -1,    -1,    -1,  2492,  2493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2389,    -1,    -1,    -1,    -1,  2394,  2395,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4343,    -1,    -1,    -1,    -1,  1359,    -1,    -1,    -1,
      -1,  1364,    -1,  1366,    -1,    -1,  1369,    -1,  1371,    -1,
      -1,  1374,  1375,  1376,    -1,    -1,    -1,  1380,    -1,    -1,
      -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1400,    -1,  1402,
      -1,    -1,    -1,    -1,  1407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2531,    -1,    -1,    -1,    -1,  2662,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2701,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2600,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1532,
    1533,    -1,    -1,  4525,    -1,    -1,    -1,  4529,  4530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1549,    -1,    -1,    -1,
    1553,  1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1634,    -1,  1636,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1646,    -1,  2889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   833,    -1,  1706,    -1,  2949,  2950,    -1,    -1,  1712,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1756,    -1,    -1,  1759,  1760,    -1,    -1,
      -1,  3005,  3006,    -1,    -1,  3009,    -1,    -1,    -1,  3013,
    3014,  3015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3047,  3048,  3049,  3050,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1819,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3083,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3136,    -1,    -1,    -1,    -1,  3141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1037,    -1,    -1,  3026,  3027,
      -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3200,    -1,    -1,    -1,
      -1,  3079,    -1,  3081,    -1,    -1,  3210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1994,  3236,  1996,  3238,    -1,    -1,  2000,    -1,  2002,
      -1,    -1,  2005,    -1,    -1,    -1,  2009,  3125,    -1,    -1,
      -1,  2014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3146,    -1,
    3274,    -1,    -1,  3277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,
    3304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1220,    -1,
      -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,  1230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1252,    -1,    -1,    -1,    -1,    -1,  1071,    -1,    -1,    -1,
      -1,    -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1285,    -1,    -1,  2159,    -1,  3276,    -1,
      -1,    -1,    -1,  2166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1351,
      -1,    -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3388,    -1,    -1,    -1,    -1,    -1,  1408,    -1,    -1,    -1,
      -1,    -1,    -1,  2286,    -1,    -1,    -1,  2290,    -1,    -1,
      -1,    -1,    -1,  2296,    -1,  2298,    -1,    -1,  2301,    -1,
      -1,    -1,    -1,    -1,  1436,    -1,  3424,    -1,    -1,    -1,
      -1,    -1,    -1,  3557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3591,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1492,  1493,    -1,  1495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1512,    -1,    -1,    -1,    -1,    -1,    -1,  3631,    -1,    -1,
      -1,    -1,  3636,  3637,    -1,  3639,  3640,  3641,  3642,  3643,
    3644,  3645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2456,    -1,  2458,    -1,    -1,    -1,    -1,
    1592,    -1,    -1,    -1,  1596,  1597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3719,  3720,  3721,    -1,    -1,
    3724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3608,  1436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1674,    -1,    -1,    -1,    -1,  1492,  1493,    -1,
    1495,    -1,    -1,    -1,    -1,    -1,    -1,  3801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3821,  3822,  3823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1721,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1747,    -1,    -1,  1563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1592,    -1,    -1,
      -1,  1596,  1597,    -1,    -1,    -1,    -1,    -1,    -1,  2662,
    2663,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2678,    -1,    -1,    -1,    -1,
      -1,    -1,  1814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1851,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,  4022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3905,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4041,  4042,  1931,
      -1,    -1,    -1,    -1,    -1,  1937,    -1,    -1,  1940,  4053,
    4054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,
    4064,    -1,  4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2869,    -1,    -1,    -1,
      -1,  2874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2024,    -1,  4012,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,
      -1,  4165,    -1,    -1,    -1,    -1,    -1,  4045,  2060,  2061,
      -1,    -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,  2071,
      -1,    -1,  2074,    -1,    -1,  4189,    -1,    -1,    -1,    -1,
    2082,  2083,    -1,    -1,    -1,    -1,    -1,    -1,  2090,    -1,
      -1,  2093,  2094,  2095,  2096,  4083,    -1,    -1,  4212,    -1,
      -1,  2103,  2104,    -1,  2106,    -1,  2108,  2109,    -1,    -1,
    2112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2128,  2129,    -1,    -1,
      -1,    -1,  2134,    -1,    -1,    -1,  2138,    -1,    -1,    -1,
    2142,    -1,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,    -1,  2154,    -1,    -1,    -1,    -1,  4271,  2160,    -1,
      -1,  2163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,    -1,
      -1,    -1,    -1,  2068,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2090,    -1,    -1,  2093,    -1,
      -1,  2096,    -1,    -1,    -1,    -1,    -1,    -1,  2103,  2104,
    4404,    -1,    -1,    -1,  2109,    -1,    -1,  2112,    -1,    -1,
    3173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3186,  2129,    -1,    -1,    -1,    -1,  2134,
      -1,    -1,    -1,  2138,    -1,    -1,    -1,  2142,  4442,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,    -1,  2154,
      -1,  1408,    -1,    -1,    -1,  2160,  2348,    -1,  2163,    -1,
      -1,  2353,    -1,    -1,    -1,  4343,    -1,  2359,    -1,    -1,
      -1,    -1,    -1,  4477,    -1,  3238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2389,    -1,    -1,
      -1,    -1,  2394,  2395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3274,    -1,  2405,    -1,    -1,    -1,    -1,    -1,  2224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4613,
      -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2529,    -1,  2531,
      -1,    -1,    -1,  2348,    -1,    -1,    -1,  4525,    -1,    -1,
      -1,  4529,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2600,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2646,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3526,  1721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2709,    -1,  1252,
      -1,  2713,    -1,    -1,  2529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2727,  2728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1814,    -1,    -1,
      -1,  3624,    -1,    -1,    -1,  2757,  2758,    -1,    -1,    -1,
    2762,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,
      -1,    -1,  2774,  2775,  2776,  2777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1851,  2787,    -1,    -1,  2790,    -1,
    2792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2802,  2803,    -1,  3676,  2806,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1879,    -1,    -1,    -1,    -1,  2819,    -1,  2821,
      -1,    -1,    -1,  2825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2852,    -1,  2854,  2855,  2856,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1408,    -1,    -1,    -1,    -1,
    1937,    -1,    -1,    -1,    -1,    -1,  2878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2891,
      -1,    -1,    -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,
      -1,  2903,    -1,    -1,    -1,    -1,    -1,  2909,    -1,    -1,
      -1,    -1,    -1,  2728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3826,    -1,    -1,    -1,    -1,    -1,  2774,
      -1,  2776,  2777,    -1,    -1,    -1,    -1,  2969,    -1,    -1,
      -1,    -1,  2787,    -1,    -1,  2790,    -1,  2792,    -1,    -1,
    1977,    -1,    -1,    -1,    -1,    -1,  2988,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2819,    -1,  2821,    -1,    -1,    -1,
    2825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3026,  3027,    -1,  3029,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2854,
    2855,  2856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2128,    -1,  2878,    -1,    -1,    -1,    -1,    -1,  2066,
      -1,    -1,    -1,    -1,    -1,    -1,  2891,  3079,    -1,  3081,
      -1,  2896,    -1,    -1,    -1,    -1,    -1,    -1,  2903,    -1,
    3963,    -1,  2089,    -1,    -1,    -1,    -1,  2094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3989,  2114,  2115,    -1,
      -1,  2118,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2969,    -1,    -1,  4030,    -1,    -1,
      -1,  2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3173,    -1,    -1,    -1,    -1,    -1,    -1,  1721,    -1,
      -1,    -1,    -1,    -1,  3186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1747,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2244,  3250,    -1,
    2247,    -1,    -1,    -1,    -1,  4128,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1814,    -1,    -1,  3276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3306,    -1,    -1,    -1,  1851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2389,    -1,    -1,    -1,    -1,  2394,  2395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1879,    -1,  2405,  3341,
      -1,    -1,  3344,    -1,    -1,    -1,    -1,    -1,  3350,    -1,
      -1,    -1,    -1,    -1,  3356,    -1,  3358,    -1,    -1,    -1,
      -1,  3363,  3364,    -1,    -1,  3367,  3368,  3369,  3370,  3371,
    3372,  3373,  3374,  3375,  3376,    -1,    -1,    -1,  3380,  3381,
      -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,
      -1,  3393,    -1,    -1,  1937,  3397,    -1,    -1,    -1,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3411,
      -1,    -1,  3414,    -1,  3416,    -1,    -1,    -1,  1252,    -1,
      -1,    -1,  3424,  3425,  3426,  3427,    -1,    -1,    -1,  3431,
      -1,  4304,  3434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3462,    -1,  3464,    -1,  2531,    -1,    -1,    -1,    -1,    -1,
    4343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,  3515,    -1,    -1,    -1,    -1,    -1,  3521,
      -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,
      -1,    -1,    -1,  2600,    -1,  3350,    -1,    -1,    -1,    -1,
      -1,  3356,    -1,  3358,  3546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3380,  3381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2128,  3401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3411,    -1,    -1,  3414,
      -1,  3416,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,
    3425,    -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,  3434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3462,    -1,  3464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,
    3515,    -1,    -1,    -1,    -1,    -1,  3521,    -1,  1408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3725,    -1,    -1,  4599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2731,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3751,
      -1,    -1,    -1,    -1,    -1,    -1,  2753,    -1,  2755,    -1,
    2757,  2758,  2759,    -1,    -1,  2762,    -1,    -1,    -1,  2766,
      -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,
      -1,  2778,  3784,  3785,  3786,    -1,    -1,  2784,    -1,    -1,
      -1,    -1,  2789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2798,    -1,    -1,    -1,  2802,  2803,    -1,  2805,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2817,    -1,    -1,    -1,    -1,    -1,    -1,  2824,    -1,  2826,
    2827,  2828,  2829,  2830,  2831,  2832,  2833,  2834,  2835,    -1,
    1674,    -1,    -1,  3845,    -1,    -1,  2389,    -1,    -1,    -1,
      -1,  2394,  2395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2405,  2860,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1721,    -1,  3891,
    3892,    -1,  3894,    -1,    -1,    -1,    -1,  3899,  3900,    -1,
      -1,    -1,  3904,  3905,    -1,    -1,    -1,    -1,  3910,  3911,
      -1,    -1,  3914,  1747,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2988,    -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,
      -1,  3933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3942,    -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3959,    -1,  3026,
    3027,    -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3785,  3786,    -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,
    1814,    -1,    -1,    -1,  2981,    -1,    -1,    -1,  2531,    -1,
      -1,    -1,    -1,    -1,    -1,  3997,    -1,    -1,    -1,  1833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4012,    -1,  3079,    -1,  3081,    -1,    -1,  1851,    -1,    -1,
      -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3845,  4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4045,    -1,  1879,    -1,  1747,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2600,  3125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3891,  3892,    -1,  3146,
      -1,  4083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3904,
      -1,    -1,    -1,    -1,    -1,  3910,  3911,    -1,    -1,  3914,
      -1,    -1,    -1,  1937,    -1,    -1,  3173,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1814,    -1,    -1,    -1,    -1,  3186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,    -1,    -1,
      -1,    -1,  3947,  1833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4144,    -1,  3959,    -1,    -1,    -1,    -1,    -1,
      -1,  1851,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,  1879,
      -1,    -1,  3997,  3250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3263,  4199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4232,    -1,    -1,    -1,  4236,    -1,    -1,  1937,    -1,  4241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4258,  4259,    -1,    -1,
    4262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4273,    -1,    -1,    -1,    -1,  4278,  3344,    -1,  4281,
      -1,    -1,    -1,    -1,  4286,  4287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2128,    -1,  3363,  3294,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,    -1,
      -1,  3388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4343,    -1,  3340,    -1,  4347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3424,    -1,    -1,
      -1,    -1,    -1,    -1,  3361,  3362,    -1,  3364,    -1,    -1,
    3367,  3368,  3369,  3370,  3371,  3372,  3373,  3374,  3375,  3376,
    3377,  4383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3402,    -1,    -1,  3405,    -1,
    3407,    -1,    -1,    -1,    -1,  3412,  3413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,  3426,
    3427,  3428,  4434,  3430,  4436,    -1,  3433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2988,    -1,  4262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4458,  4459,    -1,  4461,
      -1,  4463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4287,    -1,    -1,    -1,    -1,    -1,  4480,    -1,
      -1,    -1,  4484,  3026,  3027,    -1,  3029,  4489,    -1,    -1,
      -1,    -1,    -1,  3490,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4525,    -1,    -1,    -1,  4529,  4530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3079,    -1,  3081,    -1,
      -1,  3608,    -1,    -1,    -1,    -1,  3543,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2389,    -1,    -1,    -1,    -1,
    2394,  2395,  4564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3173,    -1,    -1,    -1,    -1,  4637,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3186,    -1,    -1,  4461,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4480,    -1,    -1,  4670,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4679,    -1,    -1,
      -1,    -1,    -1,    -1,  3751,    -1,    -1,    -1,    -1,  2389,
      -1,    -1,    -1,    -1,  2394,  2395,    -1,  2531,  4700,  4701,
      -1,    -1,    -1,    -1,    -1,  2405,    -1,  3250,    -1,    -1,
      -1,  4713,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,
    3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3725,    -1,
      -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4747,    -1,    -1,    -1,  4564,
      -1,    -1,    -1,    -1,    -1,  4757,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2600,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4816,    -1,    -1,    -1,    -1,    -1,
    3363,    -1,  4637,  4825,    -1,    -1,    -1,  3894,    -1,    -1,
      -1,  2531,    -1,    -1,    -1,    -1,    -1,    -1,  3905,    -1,
      -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,  3846,
      -1,    -1,  3849,  3850,  3851,    -1,    -1,  3854,    -1,    -1,
      -1,  2695,  3859,  3860,  3861,  3862,  3863,  3864,  3865,  3866,
    3867,  3868,  3869,  3870,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3424,    -1,    -1,    -1,  4700,  4701,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2600,  3898,  3899,  3900,  3901,    -1,  3903,    -1,    -1,    -1,
    3907,  3908,  3909,    -1,    -1,  3912,    -1,    -1,  3915,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4757,    -1,    -1,  4012,    -1,  3944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3956,
      -1,    -1,    -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3973,    -1,  4045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,    -1,
      -1,  4816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4083,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4147,    -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3026,  3027,    -1,  3029,    -1,    -1,    -1,  4196,
    4197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3751,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4228,    -1,    -1,    -1,  4232,    -1,    -1,    -1,    -1,
      -1,  3784,    -1,    -1,    -1,  3079,    -1,  3081,    -1,  4246,
      -1,  4248,    -1,    -1,    -1,    -1,  4253,  4254,  4255,    -1,
      -1,  4258,  4259,  4260,  4261,    -1,  4263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2988,    -1,
      -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4317,    -1,    -1,    -1,    -1,    -1,  3026,  3027,    -1,  3029,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3894,  3186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3905,    -1,    -1,    -1,    -1,    -1,    -1,  4436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,
      -1,  3081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4459,    -1,    -1,    -1,    -1,    -1,  4395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3250,    -1,    -1,    -1,
      -1,    -1,  4489,    -1,    -1,  3125,    -1,    -1,    -1,  3263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3276,    -1,    -1,    -1,  3146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4525,    -1,
    4457,  4458,  4529,  4530,    -1,    -1,    -1,    -1,    -1,  4012,
      -1,    -1,    -1,  3173,    -1,    -1,  4473,  4474,  4475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3186,    -1,    -1,    -1,
    4033,    -1,    -1,    -1,    -1,  4492,    -1,    -1,    -1,    -1,
      -1,    -1,  4045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3363,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3250,    -1,    -1,    -1,  3388,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3276,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4612,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,
      -1,    -1,    -1,  4236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4795,    -1,
    4343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,  4436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4459,  3751,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,  4489,    -1,    -1,   142,
    3784,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4525,    -1,   177,   178,  4529,  4530,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,  3751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3894,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,  3905,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,  3784,    -1,    -1,   280,   281,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
     303,   304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,
      -1,   314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,    -1,  4033,
      -1,    -1,    -1,   396,    -1,  3905,   399,    -1,   401,    -1,
      -1,  4045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,  4083,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4012,    -1,   507,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4083,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4525,    -1,    -1,    -1,  4529,  4530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,  4459,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,  4489,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,  4525,    -1,    -1,    -1,  4529,
    4530,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     3,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,   506,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,   115,    -1,    -1,
     118,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
     138,    -1,   140,   141,   142,    -1,    -1,    -1,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,   160,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,   177,
     178,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,
      -1,    -1,    -1,    -1,    -1,   203,   204,    -1,    -1,    -1,
      -1,    -1,   210,   211,   212,    -1,    -1,   215,    -1,    -1,
     218,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,   232,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,   260,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,   281,    -1,   283,    -1,   285,   286,    -1,
      -1,    -1,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,   302,   303,   304,    -1,    -1,   307,
      -1,    -1,   310,   311,    -1,    -1,   314,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,   345,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
     358,    -1,    -1,    -1,    -1,   363,    -1,   365,    -1,    -1,
      -1,    -1,   370,    -1,    -1,    -1,    -1,   375,   376,    -1,
     378,   379,    -1,    -1,   382,    -1,    -1,    -1,    -1,   387,
     388,    -1,    -1,    -1,    -1,    -1,    -1,   395,   396,    -1,
     398,   399,    -1,   401,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,
      -1,    -1,   430,    -1,   432,    -1,   434,    -1,   436,    -1,
      -1,    -1,   440,    -1,    -1,   443,    -1,    -1,   446,    -1,
      -1,   449,    -1,    -1,    -1,    -1,   454,   455,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,
      -1,    -1,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,   500,    26,    27,    -1,   504,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
     303,   304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,
      -1,   314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    -1,   507,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,   134,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,   295,    -1,    -1,   298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    -1,   386,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,   481,
      -1,    -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,   491,
     492,   493,   494,   495,    -1,    -1,   498,   499,   500,   501,
      -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,    -1,
      -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,   491,   492,
     493,   494,   495,    -1,    -1,   498,   499,   500,    -1,    -1,
      -1,    -1,   505,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,   493,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   501,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,    -1,   344,    -1,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   481,   482,   483,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   501,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,    -1,   344,
      -1,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   501,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,   498,   499,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,   493,
      -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    -1,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   500,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   500,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,    -1,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,    -1,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,   323,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     500,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   500,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   500,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   500,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   501,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   501,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,   499,   500,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   500,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   500,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     500,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   500,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   500,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   500,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   500,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,   429,
      -1,   431,    -1,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   481,   482,   483,    -1,    -1,    -1,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   493,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,    -1,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,    -1,   344,    -1,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,    -1,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,
     482,   483,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   493,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     493,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   493,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,   227,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,   227,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,   227,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,     4,
     487,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,    -1,   344,    -1,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,
     482,   483,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,    -1,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,    -1,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
      -1,   344,    -1,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,    -1,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,   482,
     483,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,    -1,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,    -1,
     344,    -1,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
      -1,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,    -1,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,    -1,   344,
      -1,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,    -1,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,    -1,   344,    -1,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   481,   482,   483,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,    -1,   309,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,    -1,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,    -1,   344,    -1,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,    -1,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   481,   482,   483,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,    -1,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,    -1,   344,    -1,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   481,   482,   483,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,   121,    -1,    -1,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,    -1,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,    -1,    -1,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,    -1,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,    -1,    -1,    -1,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,    -1,   305,   306,    -1,    -1,
     309,   310,   311,   312,    -1,    -1,   315,    -1,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
      -1,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,    -1,   344,    -1,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,    -1,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,    -1,    -1,    -1,    -1,
     429,    -1,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,    -1,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,    -1,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,   232,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,   163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
     323,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,    -1,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,
      -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
      -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,
      -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
      -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,
      -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    71,   482,   483,    -1,    -1,    -1,    -1,    -1,
      79,    80,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,   500,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,    -1,    -1,
      -1,    -1,    -1,    71,    72,   491,   492,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,    -1,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,    -1,    -1,    -1,    -1,
      -1,    71,    72,   491,   492,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,    -1,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,    -1,    -1,    -1,    -1,    -1,    71,
      -1,   491,   492,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,    -1,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    71,   482,   483,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   509,  1047,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   295,   298,   313,   386,   427,   440,   455,   481,   487,
     491,   492,   493,   494,   495,   498,   499,   500,   501,   503,
     504,   505,   506,   507,  1038,  1048,  1076,  1078,  1169,  1179,
    1180,  1182,  1188,  1189,  1077,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   146,   148,   150,   158,   160,
     161,   167,   174,   176,   177,   178,   179,   191,   193,   197,
     203,   204,   210,   211,   212,   215,   218,   220,   226,   228,
     232,   234,   243,   256,   257,   263,   265,   268,   269,   271,
     280,   281,   283,   285,   286,   291,   299,   302,   303,   304,
     307,   310,   311,   314,   316,   329,   330,   331,   332,   333,
     343,   345,   347,   357,   358,   363,   365,   370,   375,   376,
     378,   379,   382,   387,   388,   395,   396,   398,   399,   401,
     405,   413,   417,   425,   426,   430,   432,   434,   436,   440,
     443,   449,   454,   455,   458,   466,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   500,   510,   511,   517,   518,
     520,   521,   522,   523,   524,   525,   526,   528,   529,   533,
     543,   545,   546,   549,   550,   551,   562,   565,   566,   581,
     622,   623,   630,   636,   638,   640,   641,   644,   647,   648,
     652,   653,   662,   666,   667,   668,   672,   673,   675,   676,
     677,   690,   691,   692,   693,   704,   705,   712,   713,   716,
     717,   718,   719,   720,   725,   727,   730,   734,   738,   739,
     749,   750,   753,   758,   769,   788,   791,   792,   793,   796,
     799,   801,   803,   806,   809,   810,   811,   818,   819,   821,
     822,   823,   828,   830,   831,   835,   836,   839,   840,   841,
     843,   844,   845,   846,   848,   851,   852,   857,   863,   866,
     868,   873,   875,   879,   886,   890,   891,   892,   893,   894,
     895,   898,   925,  1044,  1045,  1049,  1051,  1052,  1069,  1070,
    1071,  1072,  1083,  1085,  1089,  1090,  1091,  1092,  1093,  1095,
    1097,  1099,  1100,  1101,  1102,  1104,  1109,  1110,  1114,  1115,
    1124,  1126,  1127,  1128,  1131,  1136,  1139,  1144,  1146,  1147,
    1150,  1152,  1155,  1164,  1182,  1190,    73,  1072,  1080,  1081,
      14,    72,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   110,   111,   113,   114,   116,   117,   118,
     125,   126,   127,   128,   129,   132,   133,   136,   138,   139,
     140,   141,   144,   146,   147,   148,   149,   151,   154,   155,
     156,   157,   158,   159,   162,   171,   172,   173,   174,   176,
     179,   181,   183,   184,   185,   186,   187,   189,   190,   191,
     194,   195,   196,   197,   198,   200,   201,   202,   204,   205,
     207,   208,   209,   210,   212,   213,   214,   217,   219,   221,
     223,   225,   229,   230,   231,   233,   236,   238,   239,   241,
     242,   244,   245,   246,   248,   249,   250,   251,   252,   253,
     255,   259,   260,   261,   267,   270,   272,   273,   274,   275,
     276,   277,   278,   282,   285,   286,   287,   290,   291,   292,
     293,   294,   296,   297,   299,   300,   301,   305,   306,   309,
     310,   312,   315,   317,   318,   319,   321,   324,   325,   326,
     334,   335,   336,   337,   338,   339,   340,   342,   344,   346,
     347,   348,   350,   351,   352,   353,   354,   355,   356,   358,
     359,   360,   361,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   374,   375,   377,   378,   380,   381,   382,
     383,   384,   385,   387,   389,   390,   391,   392,   393,   395,
     397,   398,   400,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   415,   416,   418,   419,   420,   421,   422,
     423,   427,   429,   431,   434,   435,   436,   437,   438,   439,
     442,   443,   444,   445,   446,   449,   450,   451,   452,   453,
     457,   459,   460,   461,   464,   467,   468,   469,   470,   471,
     482,   483,  1039,  1042,  1043,  1044,  1045,  1062,  1063,  1174,
    1176,  1180,  1182,    29,   258,  1125,     9,    13,    15,    28,
      45,    46,    50,    51,    56,    65,    67,    69,    70,    99,
     134,   152,   163,   175,   180,   240,   295,   298,   386,   454,
     481,  1031,  1043,  1044,  1064,  1111,  1112,  1154,  1155,  1156,
    1160,  1165,  1166,  1167,  1176,  1182,    99,   887,  1030,  1064,
    1160,  1173,    14,   887,     5,    25,    29,    35,    36,    43,
      44,    99,   103,   104,   105,   106,   107,   108,   109,   112,
     124,   130,   131,   134,   137,   143,   145,   152,   153,   160,
     163,   164,   165,   166,   168,   169,   170,   180,   182,   188,
     192,   193,   199,   203,   206,   216,   218,   222,   224,   227,
     232,   235,   237,   247,   254,   258,   262,   264,   266,   279,
     284,   288,   289,   308,   313,   320,   322,   323,   327,   328,
     341,   349,   362,   373,   388,   394,   402,   414,   417,   424,
     427,   428,   433,   440,   441,   447,   448,   454,   456,   462,
     463,   465,   466,  1043,  1046,  1156,  1157,  1158,  1162,  1163,
    1164,  1165,  1167,    25,    35,   134,   262,  1151,    38,    40,
     308,  1084,   429,   468,   824,    98,   144,   157,   174,   180,
     195,   213,   224,   229,   235,   250,   275,   324,   352,   377,
     383,   389,   392,   417,   419,   423,   431,   436,   447,   460,
     637,  1112,   179,   824,    99,   887,   458,   853,   322,   348,
     824,   121,   572,   891,    98,   110,   131,   144,   153,   174,
     180,   195,   213,   224,   231,   235,   287,   324,   327,   377,
     383,   392,   419,   420,   422,   423,   431,   436,   441,   444,
     447,   582,   708,   759,   770,  1031,  1053,  1054,  1055,  1064,
    1180,  1182,    14,    99,   347,  1030,  1064,  1068,   406,   887,
      99,   342,   420,   422,   274,   797,   798,  1180,    98,   110,
     131,   144,   157,   174,   195,   213,   224,   229,   235,   250,
     324,   334,   377,   381,   383,   389,   392,   417,   419,   423,
     431,   436,   447,   460,   637,   721,   824,   506,  1094,  1158,
     244,  1068,   160,   179,   210,   458,   500,   852,   858,   866,
     868,   873,   879,   886,   890,  1049,    92,    99,   116,   219,
     225,   227,   247,   276,   305,   350,   364,   491,   492,   735,
     736,   887,  1038,  1041,  1174,  1176,    99,   160,   362,   388,
     740,   741,   742,  1160,  1160,  1035,  1180,   417,   901,   116,
     225,   735,  1160,   429,  1068,   334,   174,   250,   416,   417,
     804,   382,  1160,    99,   134,   393,   425,   429,   454,   535,
    1043,  1044,  1154,  1159,  1165,  1167,  1182,    96,   232,   740,
     741,   348,   824,  1160,   273,    99,   192,   903,     4,    14,
     132,   152,   154,   287,   301,   377,   383,   393,   425,   429,
     471,   534,   535,    99,   393,   425,   429,   535,   429,   323,
     934,  1028,  1160,   901,  1148,  1158,   493,  1160,   228,   500,
     854,   500,  1024,   360,   896,   897,  1030,   891,   892,   895,
     504,   853,   206,   264,   328,   440,   904,   905,   891,   893,
     894,   185,   260,   446,   503,   118,   510,  1092,  1095,  1091,
    1087,   504,  1096,  1098,     5,    25,    35,   134,   196,   262,
    1103,   175,   240,   295,   298,   386,   481,   500,   965,   966,
    1075,  1079,  1169,    73,  1072,  1030,  1064,  1183,   180,  1053,
      21,   448,   494,  1068,  1068,  1183,   448,  1116,  1117,  1118,
      25,   262,   262,  1162,     7,    19,    20,    39,    42,   156,
     193,  1153,  1153,    16,  1092,  1036,  1045,  1154,  1157,  1160,
    1161,  1165,  1166,  1182,   723,  1160,   723,  1031,   351,   723,
     723,  1030,  1160,   173,   417,   748,  1036,  1039,  1028,   317,
      85,   139,   217,   487,   488,   489,   491,   492,   493,   494,
     495,   496,   795,   991,   992,  1160,  1039,  1030,  1028,  1030,
     934,  1030,   385,  1030,   723,   292,  1039,  1028,   274,    34,
     182,   270,   308,   356,   825,   826,   827,  1028,  1034,  1160,
      98,   131,   144,   145,   153,   157,   174,   195,   213,   224,
     229,   250,   275,   324,   377,   381,   383,   389,   392,   417,
     419,   423,   431,   436,   460,   637,   728,  1180,  1028,   427,
    1036,  1030,   500,   723,   431,  1031,   723,   242,  1030,   173,
     417,   420,   422,  1039,   420,   422,   139,   217,   795,   368,
    1039,   530,  1160,  1030,  1030,   385,  1030,   723,   292,  1039,
     389,   417,   460,   157,   250,   229,   381,   435,   631,    85,
    1056,  1057,   505,  1176,  1183,    99,  1068,  1182,   888,   542,
    1042,  1180,   798,   242,  1036,  1030,   242,   802,   242,  1031,
     173,   417,   242,  1036,   242,  1039,  1040,   139,   217,   242,
     795,   125,   242,  1040,   242,  1030,   242,  1030,   242,  1030,
     385,   242,  1030,   242,   292,  1040,   274,   242,   722,   723,
     500,   506,  1184,  1185,  1186,  1187,  1189,  1094,    71,  1064,
    1113,   500,   867,   582,   887,   858,   852,   859,   860,   861,
    1042,   853,  1041,   736,   737,    99,   736,   887,  1041,   737,
      99,   736,   887,  1041,   737,   737,   737,  1041,  1038,  1038,
     266,   448,  1118,  1119,  1193,  1194,   887,   737,   351,   500,
     500,   600,   600,   600,   322,   427,   503,   600,   934,   935,
     736,   887,   736,   887,   503,   820,  1180,   227,   500,   864,
     125,  1030,  1030,  1028,  1160,   115,   483,   270,   502,   325,
     325,   322,   227,  1180,   427,   222,   731,   322,    83,    84,
      85,    87,   107,   120,   122,   123,   130,   131,   134,   135,
     142,   164,   165,   166,   167,   168,   169,   170,   177,   178,
     196,   211,   215,   216,   220,   234,   262,   263,   265,   280,
     288,   289,   302,   304,   308,   313,   314,   316,   324,   333,
     343,   357,   379,   394,   401,   413,   425,   426,   430,   432,
     433,   441,   447,   455,   473,   474,   475,   476,   477,   478,
     479,   480,   491,   492,   493,   500,   891,   946,   949,   952,
     953,   954,   956,   957,   958,   959,   962,   963,   967,   969,
     970,   989,   993,  1012,  1017,  1025,  1026,  1036,  1037,  1038,
    1160,  1172,  1174,  1176,  1177,  1178,  1179,  1180,   427,   487,
    1183,  1180,   427,   487,  1112,    99,   547,  1027,  1028,   393,
     534,   180,   541,  1180,   542,  1180,   115,   136,   534,   483,
     826,   325,   227,   427,   487,   115,   483,   270,  1193,   827,
     500,  1028,   493,   498,   502,  1018,  1019,   935,  1164,   226,
     228,   458,   849,   850,   852,   226,   855,   180,   967,  1022,
    1023,   896,   503,   500,   856,   501,   501,  1028,    99,   192,
     902,   902,   125,   902,   218,   222,   284,   320,   908,   910,
     911,   920,   922,   923,   904,   905,   227,   266,   934,   936,
    1024,   504,  1086,   493,  1105,  1106,  1108,   506,   506,    25,
     262,   262,   427,   427,   427,   427,   500,   427,   492,   628,
    1041,  1073,  1179,   203,   108,  1060,   125,  1063,  1063,   266,
    1118,  1120,   266,  1118,  1119,  1120,   453,  1129,  1130,  1176,
      14,    37,    84,   491,   492,  1038,  1121,  1122,  1123,  1172,
    1174,  1178,  1179,  1180,  1181,   262,   268,  1030,   427,  1030,
       6,  1030,  1153,  1108,   500,   698,  1019,   335,   366,   395,
     502,   724,   335,   366,   395,   335,   366,   395,   466,   512,
     543,   544,   754,    95,   197,   335,   395,   554,   395,    95,
     197,   446,   527,   469,   934,   127,   159,   214,   245,   335,
     366,   374,   380,   387,   395,   403,   411,   461,   544,   782,
     789,   500,   771,   366,   527,    95,   101,   141,   190,   197,
     200,   252,   306,   308,   318,   326,   335,   366,   370,   395,
     451,   552,   553,   656,   628,   723,   723,   500,   794,   502,
     247,   366,   512,   519,   335,   366,   126,   172,   249,   294,
     296,   306,   334,   366,   371,   395,   405,   552,   625,   626,
     335,   459,   656,   664,   366,   395,   552,   335,   366,   370,
     395,   151,   189,   336,   421,   322,    95,   101,   197,   335,
     366,   395,   563,   564,   222,   366,   395,   512,   544,   366,
     395,   552,  1030,   504,   282,   182,   323,   470,   503,   825,
     448,   847,   322,  1036,   500,  1030,   173,   417,  1036,   317,
     139,   217,   795,  1030,   385,  1030,   274,   723,   600,   408,
     409,   568,  1180,   500,   698,   699,   137,   120,   122,   123,
     134,   135,   177,   178,   220,   263,   265,   302,   304,   316,
     357,   396,   401,   425,   426,   455,   943,   945,   947,   949,
     951,   953,   954,   955,   957,   958,   962,   963,  1154,  1161,
    1165,  1166,  1182,   227,   500,   694,  1030,   512,   108,   842,
     308,   512,   469,   242,  1028,   512,   723,   723,   694,   582,
     512,   115,   531,   436,   663,   335,   639,   151,   189,   336,
     421,    97,   117,   261,   678,   108,   694,   222,   512,  1028,
     242,   617,  1028,  1028,   723,   150,   760,  1036,  1030,   637,
      74,  1058,  1160,   505,  1059,  1056,   121,   171,   259,   306,
     384,   211,   698,   128,   372,   555,   211,   500,   211,   469,
     211,   771,   211,   503,   242,   723,   242,   723,   211,   794,
    1040,   211,   211,   322,   211,   555,   211,   151,   189,   336,
     421,   211,   322,   211,   222,   242,   242,   542,   211,   503,
     555,   501,  1185,  1186,  1184,   503,   507,   967,   996,  1117,
    1192,  1193,   417,   888,   501,   503,   216,   322,   433,   539,
     542,   628,   862,   858,   737,   887,   737,   887,  1194,  1195,
     737,   887,   737,   887,  1195,   737,   887,   887,   887,   737,
      14,    37,  1168,  1171,  1176,   887,   500,   601,   602,  1160,
     601,    99,   174,   224,   229,   274,   275,   383,   389,   417,
     419,   743,  1027,  1040,   742,   247,   503,   876,   887,   887,
    1180,  1113,   943,   999,   108,  1040,   223,   805,   805,   805,
     282,  1160,   222,   222,   743,  1040,   382,  1160,   542,   322,
     500,   498,   891,  1000,   457,   960,   967,  1016,   500,   960,
     960,   500,   500,   500,   500,   948,   948,   345,   891,   500,
     500,   950,   500,   500,   500,   500,   134,   135,   960,   967,
     500,   948,   500,   500,   500,   500,   500,   467,   486,   500,
     964,   500,   964,   500,   500,   891,   500,   500,   500,   500,
     500,   500,   500,   500,   967,   967,   454,   891,   967,   996,
    1019,  1180,   135,   500,   961,   500,  1180,    85,    88,   105,
     108,   113,   119,   143,   243,   247,   268,   269,   283,   308,
     311,   324,   327,   399,   487,   488,   489,   491,   492,   493,
     494,   495,   496,   991,   993,   995,  1182,   332,   967,   266,
     503,   899,  1193,   500,  1180,  1019,    22,  1175,  1176,  1020,
     319,   322,  1145,  1145,    10,   453,  1132,  1133,  1135,  1112,
    1112,   183,   244,   548,   503,   136,   180,   542,   108,   180,
     287,   540,   628,   963,  1180,  1182,   155,   194,   976,   163,
     180,   536,   537,   539,   628,   180,   536,  1193,  1193,   282,
    1028,   967,   493,  1033,  1162,  1018,   156,   371,   726,   268,
     501,   503,   853,   501,   503,   897,  1029,  1030,   108,   856,
     893,   893,   906,   907,   967,   893,   219,   305,   917,   356,
     397,   446,    99,   912,   967,   913,   915,   967,   969,   920,
     921,   911,   910,   908,   909,   222,   923,   908,   920,   936,
    1028,   108,  1160,   395,  1105,   493,   503,   504,  1163,  1082,
    1085,  1082,   262,   175,   240,   295,   966,   295,   966,   966,
     298,  1038,   295,   298,   386,  1179,   503,  1074,   179,  1112,
     447,  1061,  1063,  1030,    37,  1038,  1134,  1176,   503,   487,
    1030,    14,  1038,  1179,  1038,  1179,   503,  1092,   500,  1030,
     500,  1164,   493,   999,   335,   366,   395,   427,   427,   383,
    1033,   502,   427,   427,   383,   427,   427,   419,   534,   837,
     222,   232,   247,   375,   755,   756,   137,   153,   207,   224,
     349,   441,   598,   599,   153,   180,   308,   427,   180,   308,
     383,   383,   645,    98,   131,   144,   157,   195,   224,   229,
     324,   383,   389,   392,   417,   423,   436,   460,   637,  1030,
     366,   395,   552,   322,   628,   387,   427,   427,   313,   628,
     184,   267,   383,   372,   782,   790,   247,   257,   329,   396,
     456,   501,   772,   775,   776,   777,   779,   943,  1161,   427,
     447,   145,   207,   589,   598,  1160,   145,   807,   322,   381,
     431,   153,   807,   102,   369,   381,   431,  1028,   252,   318,
     723,   500,   427,   427,   500,   558,   419,   466,   467,   558,
     153,   503,   335,   448,   448,   307,   943,   335,   395,   795,
     174,   427,   514,   544,   427,   427,   628,   125,   627,   628,
     628,   172,   294,   296,   125,   427,   512,   383,   512,   306,
     626,   427,   313,  1180,   656,   427,   807,   383,   427,   427,
     558,   558,   723,   723,   723,   723,  1028,   114,   453,   114,
     114,   427,   114,   427,   383,   503,   170,   447,   674,  1039,
     427,   514,   427,   383,   335,   366,   356,   367,   391,   538,
     825,  1034,  1160,  1028,   698,   943,   322,   469,   771,   628,
     723,   723,   794,   268,   322,   151,   189,   336,   421,   322,
     723,   268,   466,   573,   512,   700,   701,  1182,   694,   500,
     945,   108,   107,   944,   175,   298,   481,   500,   965,   724,
     948,   723,   695,   696,  1162,    97,   832,   943,   211,   642,
    1030,   308,   500,   669,   513,   708,   448,   460,   513,  1039,
     160,   232,   532,   581,   622,   677,   738,   758,   828,  1180,
     664,   665,  1030,   290,   723,   723,   723,   723,   318,   185,
     260,   434,   446,   679,   680,   204,   500,   674,   513,   624,
     625,   308,   108,   318,   500,   618,   600,   222,   761,  1034,
     500,   773,   108,   274,   502,  1038,  1059,   466,   467,   889,
     384,  1036,   555,   943,  1031,   242,  1030,  1036,   555,  1040,
    1039,   211,   448,   211,   448,   795,   555,   555,  1040,  1030,
    1028,  1030,  1030,  1030,  1028,  1040,   674,   211,   211,   555,
     722,   723,   501,   507,  1187,   501,   503,  1193,  1117,  1028,
     171,   858,   860,   887,   887,  1195,   887,   887,  1195,   887,
     887,  1030,    14,   503,  1175,   601,   501,   503,   501,   230,
     390,   418,  1029,   173,   392,   747,   748,  1029,   317,  1029,
    1027,  1027,  1029,   427,   466,   751,    93,   209,   379,   397,
     877,   934,   312,   878,   501,   503,   865,   868,   873,   879,
     890,   427,   741,   740,   741,   227,   233,   752,  1160,    98,
     145,   195,   224,   229,   275,   383,   389,   417,   436,   460,
     637,   732,   996,   499,   996,  1000,  1001,   500,   462,  1013,
    1014,   967,   996,  1038,  1038,   996,   175,   240,   295,   298,
     386,   481,  1002,  1003,  1180,  1182,  1038,   996,   996,  1038,
    1038,   960,   960,   967,   795,   967,  1004,   491,   492,   968,
     969,   989,   993,  1006,   501,   996,   967,   996,  1007,   425,
     483,  1038,  1038,   967,   124,   227,   279,   428,   967,   996,
    1010,   996,   300,   969,   967,   974,   975,   976,   300,   967,
     976,   501,   503,   395,  1038,  1038,   965,   943,   967,  1162,
     425,   112,   414,  1021,   723,   967,   500,   891,  1011,   192,
     194,   216,   308,   313,   318,   433,   442,   967,   119,   243,
     247,   283,   399,   500,   967,   427,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,    99,   106,   402,   990,
     379,   500,   989,   231,   287,   417,   420,   422,   444,   900,
    1028,  1026,   227,   926,    99,   192,   456,   493,   501,   777,
     967,   997,   998,  1161,  1030,  1176,  1018,  1134,   503,   487,
    1028,   429,   500,  1180,   503,  1193,   501,   499,   505,   241,
     241,   555,  1092,  1028,   850,   851,  1028,  1022,   501,   503,
     500,   503,   109,   188,   448,   767,   500,   914,  1041,   323,
     318,   924,   924,   503,   379,   380,   916,   921,   909,   448,
     874,   180,   500,   869,   890,  1160,   500,   880,   881,   882,
     883,   884,  1160,   504,  1106,   944,   507,  1085,   507,   501,
     628,   501,    34,  1062,  1137,  1138,  1176,  1130,  1135,  1183,
    1121,   944,  1170,  1186,  1170,   944,   501,   501,   427,   427,
     383,  1039,  1030,  1030,  1033,  1039,  1030,  1030,  1039,  1031,
    1030,   152,   838,   377,   447,   740,   383,   232,   740,   500,
    1030,   448,   762,   272,   272,   448,   500,   616,  1030,   313,
    1039,   967,   313,  1030,  1030,   427,   646,  1036,   500,   723,
     723,   723,   173,   417,   748,   139,   217,   795,  1030,   723,
    1030,   723,   385,   723,   723,   274,   236,   306,   335,   452,
     649,   650,   651,   427,   807,   383,   313,   184,   267,  1039,
    1030,   322,  1030,   329,  1161,   501,   503,   777,   779,   776,
     779,  1161,   724,  1039,  1040,   589,   943,  1160,  1030,  1030,
      99,   447,  1030,   242,  1030,   242,  1160,   381,   431,   381,
     431,  1030,    99,   447,  1030,  1028,    95,   197,   395,   657,
     658,   659,   660,  1162,  1039,  1030,   560,   561,  1162,  1030,
     321,   141,   321,  1030,   553,   427,  1032,  1160,  1032,   503,
     501,   503,   427,   383,  1031,  1039,   152,   202,   252,   340,
     439,   447,   450,   515,  1182,  1039,  1030,   628,   723,  1030,
     628,  1030,   628,  1039,  1030,  1030,  1030,  1039,  1030,    95,
     101,   197,   335,   366,   395,   335,   366,   395,   694,   366,
     395,   366,   395,   366,   942,  1160,  1180,  1160,   242,  1160,
    1039,  1030,  1030,  1030,    95,   564,   392,  1039,  1030,  1030,
     427,   427,   149,   438,   356,   268,   108,   723,   268,   268,
     448,   448,   268,   313,   729,  1180,   723,   723,   723,   723,
     723,   723,   268,   729,   321,   227,   427,   567,   500,   569,
     570,   501,   503,   487,   967,   107,   944,   943,   498,   498,
     427,   427,  1038,   948,   501,   503,   487,   679,   152,   201,
     277,   278,   290,   335,   419,   421,   833,   591,  1030,   227,
     383,   459,   643,   650,   651,   211,   501,   589,   670,   671,
     392,    96,   247,   377,   415,   515,   516,   222,  1032,  1028,
     531,   327,   582,   224,  1180,   694,   694,   694,   694,   318,
     322,   327,   500,   940,   941,   942,   392,   211,   210,  1050,
     723,   283,   583,   585,   587,   589,   595,   598,   619,   620,
    1160,   466,   467,   612,   108,  1180,   322,   501,   774,   775,
     780,   108,   274,   374,   465,   781,   782,   783,   322,   542,
    1058,   494,   239,   239,   222,   698,   108,   211,   555,   771,
     723,  1032,   723,  1032,   794,   322,   555,   555,   322,   555,
     392,   222,   542,   555,   967,   500,   889,  1183,  1171,   501,
     602,   247,   247,   247,   469,  1029,   503,   628,   629,   235,
     744,   745,  1039,    96,   752,   209,   397,   209,   397,   379,
     446,   297,   943,  1030,   227,   322,   744,   125,   555,  1036,
     417,  1036,   317,   274,   723,   501,   499,   499,   503,   996,
     967,   199,  1014,  1015,   108,   501,   501,   501,   501,   501,
     227,   501,   501,   501,   501,   501,   503,   501,   341,  1005,
     501,   968,   968,    88,   247,   268,   324,   487,   488,   489,
     491,   492,   493,   494,   495,   496,   993,   968,   501,   501,
     222,   227,  1008,  1009,   501,   483,   501,   501,   108,  1010,
     996,  1010,  1010,   227,   501,   501,  1162,   339,   978,   108,
     501,   503,   967,  1162,   503,   967,  1020,   967,  1160,   501,
     501,   483,   968,   968,   205,   996,   227,   192,   194,   216,
     313,   318,   433,   442,   500,   205,   414,  1021,   967,  1011,
     967,   427,   795,   967,   500,   891,   420,   422,   420,   422,
    1028,   901,   901,   901,   500,   891,   927,   928,   929,   934,
     937,   970,  1036,  1160,   463,   938,   997,   997,   998,   501,
     331,   982,    90,   501,   503,   905,     8,    11,    12,    22,
      23,    24,    26,    27,    31,    32,    33,   173,   300,   345,
     436,  1140,  1141,  1143,  1133,  1134,   826,  1038,   965,   537,
     967,   944,   856,  1030,   865,   907,   324,   991,   994,   484,
     485,   768,   967,   916,  1027,   878,   878,   913,   927,   463,
     939,   454,   870,   871,  1160,   373,   872,   884,   885,   503,
     926,   487,  1020,   505,  1088,   504,   503,   487,    30,  1149,
     501,   501,   504,  1039,  1030,  1030,   284,  1040,  1040,   322,
    1029,   325,   322,   967,   599,  1032,   500,   500,   500,   616,
     250,   601,   688,   555,   542,   698,   943,   469,   723,   723,
     723,   794,   151,   189,   336,   421,  1030,   632,  1030,   236,
     452,   427,   632,   649,   656,  1030,  1030,  1030,   258,   313,
     724,   775,   779,   779,   495,   591,   197,   370,   395,   554,
     808,   211,   555,   211,   555,  1030,  1030,  1030,  1030,   659,
     660,   659,   501,   503,   661,  1180,   501,   503,   487,   502,
    1039,   335,   366,   395,    95,   197,   335,   366,   395,   943,
     307,   943,  1039,  1030,   284,   340,   313,  1180,   340,  1040,
     445,   427,   292,   292,   292,   427,   427,   383,   427,   427,
     383,   427,   383,   427,   383,   427,   555,   943,    97,   117,
     395,   808,   211,   555,   427,  1030,  1039,  1030,   729,   943,
     268,   729,   729,  1032,  1032,   729,   268,   268,   268,   268,
     268,   268,   729,   568,   576,   577,  1162,   121,   162,   186,
     201,   205,   223,   238,   313,   321,   354,   571,   701,  1182,
     324,   491,   492,   628,   697,   779,   994,  1046,  1180,   501,
     498,   501,  1038,   499,   500,  1038,  1160,  1180,  1191,   501,
     696,   697,   322,   284,   487,   834,   834,   834,   834,   834,
     834,   834,   137,   143,   153,   180,   182,   254,   308,   313,
     349,   362,   441,   592,   593,   594,   512,   542,  1030,   542,
     326,   654,  1028,   501,   503,  1030,  1040,   235,   377,  1040,
    1038,   436,   600,   368,   417,   173,   601,  1028,   680,   702,
     703,  1180,   501,   503,  1030,  1028,  1068,   890,   500,   584,
    1028,   501,   503,   501,   503,   321,   558,   321,   322,   613,
     890,   427,  1028,   501,   503,   180,   487,   784,  1180,   542,
     417,   778,   779,   466,   783,   785,   185,   260,   388,   446,
     816,   236,  1054,   890,  1068,   555,   943,  1030,   555,   448,
     555,   448,   555,   555,  1028,  1028,  1030,   674,   555,  1160,
     222,   383,   383,   383,  1029,   748,   503,  1039,   466,   503,
     746,   325,   209,   209,  1040,   743,   555,  1039,   698,   771,
     628,   723,   268,  1000,   501,   424,   967,   203,   943,   967,
     967,   967,  1008,   943,   968,   192,   194,   308,   318,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   967,
     967,  1009,  1008,   964,   964,   943,   501,   501,   501,   996,
     501,   503,   125,   969,   501,  1162,   975,   346,   412,   977,
     501,   503,   459,   971,   108,   501,   961,  1180,   967,   105,
     105,   967,   501,   967,   227,   500,   999,   967,   968,   968,
     205,   205,   967,   501,   205,   967,   901,   901,   901,   901,
    1028,  1028,  1028,   891,   928,   929,   108,   930,  1160,   503,
     161,   228,   256,   271,   281,   303,   376,   931,   930,   108,
     930,  1160,   500,  1019,   967,   235,   918,   503,   904,   905,
     904,   501,   982,   500,   983,  1160,   967,   982,  1180,   456,
     998,   501,   503,   487,   501,   499,  1149,   501,   500,   768,
     501,   323,   163,   967,   872,   501,   503,  1020,  1025,   501,
     503,   881,   939,  1022,  1038,   487,  1107,  1138,  1143,   834,
     230,   390,   418,   757,   222,   757,   501,   500,   604,   605,
     764,   970,  1160,   601,   601,   688,  1034,   501,   182,   254,
     308,   689,   108,  1030,   448,   448,   723,   723,   723,   723,
     724,  1039,   427,   258,   495,   436,   308,   558,   173,   308,
     407,   410,   558,   436,  1030,  1160,   658,   561,   697,  1162,
     427,   427,   383,   229,   324,   410,   706,   707,   229,   324,
     714,   715,   427,   427,   383,   501,   501,   501,  1041,  1180,
    1180,  1180,  1030,   222,   222,   368,   222,   242,  1039,  1030,
    1030,  1039,  1030,  1030,  1030,  1030,  1030,  1030,  1030,   143,
     556,  1180,  1180,   436,  1160,  1030,   656,   501,   729,   268,
     268,   729,   729,   729,   729,   729,   729,   448,   574,   575,
     501,   503,   493,   500,   539,   578,   628,   842,  1180,   842,
     308,   354,   842,   842,   688,  1038,   466,   467,   499,  1191,
     491,   492,   493,   494,   495,   499,   965,  1028,   834,   180,
    1038,  1180,   180,  1180,   180,  1180,   180,  1180,   180,  1030,
     180,  1030,   180,  1030,   500,   723,  1030,   968,   183,   244,
     182,   313,   272,  1028,   785,   642,   500,   669,   671,   654,
    1040,  1040,   943,   108,  1028,   469,   222,   681,   501,   503,
     942,   654,   318,   500,   867,   466,   621,   586,   588,   590,
     598,  1160,   612,   596,   253,   611,   587,   620,   148,   419,
     614,   466,   829,  1180,   762,   780,   967,   967,   503,   500,
     781,   694,   427,   632,    85,  1065,   501,   555,  1032,  1032,
     555,   555,   392,  1029,  1029,  1029,   628,   232,   745,   752,
     227,   268,   268,   268,   268,   313,   733,  1180,   967,   501,
     501,  1009,   227,   192,   194,   318,   500,   501,   472,   973,
     996,   361,   125,   464,   464,   501,   967,   306,   967,   503,
     972,   945,   965,   968,   968,   967,   999,   501,   105,   105,
     967,   967,   205,   967,   501,  1028,  1028,  1028,  1028,   501,
    1160,   500,   928,   271,   330,   932,   928,   932,   271,   931,
     932,   271,   500,  1160,   500,   997,   125,   237,   919,   501,
     501,   982,   984,  1160,   998,   982,  1141,   492,  1134,  1142,
    1179,  1180,  1180,   795,   318,   890,   871,  1193,   487,   884,
     872,  1187,  1041,   427,   740,   227,   688,   967,   501,   503,
     466,   143,   765,   765,   501,   501,   785,   183,   244,   182,
     450,   943,  1032,  1032,  1030,   436,   313,   313,  1041,  1160,
     943,   555,   555,   487,  1039,  1030,  1030,  1038,  1038,   943,
     503,  1038,  1038,   503,  1039,  1030,  1030,  1029,  1029,   723,
    1029,   211,   723,   943,   555,   555,   268,   729,   729,   512,
     187,   577,   539,   579,   580,  1180,  1180,   313,   493,   601,
    1180,  1180,   499,   229,   257,   229,   501,  1191,  1191,  1191,
    1191,  1191,   227,   687,  1041,   967,   308,   593,   785,   600,
     448,   615,   655,   659,   392,   448,   890,   500,  1030,   198,
     682,   462,   684,  1180,   723,   583,   173,   306,   501,   503,
     466,   613,   208,   248,   500,   612,   185,   197,   346,  1030,
     129,   137,   287,   227,   500,  1180,   777,   786,   787,  1161,
     785,  1028,   255,   633,  1066,  1160,   555,   555,   555,  1030,
     325,   555,   744,   733,   733,   733,   733,   968,   227,   500,
     999,   500,   501,   503,   501,   969,   361,   501,   453,   404,
     501,   501,   501,   968,   968,   967,   930,   500,  1029,   928,
     322,   448,   933,   928,   271,   928,   941,   500,   941,  1160,
     501,   996,   967,   465,   979,   982,   982,   338,   985,   501,
    1038,  1179,   965,   501,   887,  1024,   744,   322,   744,   501,
     785,   605,   324,   795,   723,   448,   723,   766,   766,   362,
     785,   615,   501,   556,   697,   500,  1036,   795,   707,   500,
     500,   715,   466,   368,   466,   466,   222,   556,   729,   569,
    1180,   501,   503,   601,   748,   108,   800,   800,  1028,   688,
     501,   615,   293,   603,   250,   501,   503,  1030,  1032,   829,
     654,   379,   406,   683,   500,   210,   584,   501,   173,   588,
     326,   614,    99,   147,   154,   181,   251,   410,   597,   597,
    1027,   613,   380,   380,   137,   325,   137,   723,   763,   764,
     779,   501,   503,   938,   632,   306,   452,   634,   635,   487,
    1067,   555,   968,   999,   501,   974,   996,   125,   306,   482,
    1029,   501,   967,   500,   928,   933,   501,   941,   501,   980,
     981,  1160,   125,   904,   982,   746,   757,   555,   765,   615,
     500,   723,   767,   767,  1028,   615,   688,   448,   557,   999,
     771,   222,   710,   794,   999,   999,   722,   723,   722,   723,
    1029,   555,   580,   800,   111,   246,   222,   228,   337,   400,
     322,   607,   608,   609,   419,   659,   654,   217,   709,   967,
     353,   612,   611,   591,   501,   614,   325,   325,   501,   503,
     781,   786,   193,   452,   632,  1038,  1174,  1182,    85,   501,
     501,   501,   361,   453,   501,  1029,   501,   503,   108,   996,
     355,   380,   986,   227,   766,   463,   606,   795,   768,   768,
     600,   688,   967,   501,   328,   385,   359,   711,   710,   501,
     501,   466,   198,   185,   446,   322,   609,   322,   608,  1030,
     723,   108,   501,  1036,   613,   612,   466,   559,   764,   785,
     100,   261,   817,  1066,   501,   981,   983,   119,   163,   437,
     967,   987,   988,   987,   501,   744,   767,   500,   688,   501,
     603,  1036,   125,   711,   723,   379,   128,   306,   372,   395,
     610,   610,   706,   500,   614,   613,   558,   614,   309,   500,
     812,   814,   819,   868,   873,   879,   890,   988,   379,   221,
     344,   221,   344,   555,   768,   967,   607,   771,   723,   684,
      94,   180,   313,   685,   686,  1038,  1162,  1179,  1180,   614,
     938,   813,   814,   815,   891,   892,   105,   501,   688,   210,
     501,   503,   501,   504,   988,   353,   686,   815,  1036,   500,
     685,   501
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   508,   509,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   511,   512,   512,   513,   513,   514,   514,
     515,   515,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   516,   516,   516,   517,   518,   519,   519,   520,
     521,   522,   523,   523,   524,   524,   525,   526,   527,   527,
     528,   528,   529,   529,   530,   530,   531,   531,   532,   532,
     532,   532,   532,   532,   533,   533,   533,   534,   534,   534,
     534,   534,   534,   534,   534,   534,   534,   534,   534,   534,
     534,   534,   535,   535,   536,   536,   537,   537,   538,   538,
     538,   538,   539,   539,   539,   539,   540,   540,   540,   540,
     540,   540,   540,   541,   541,   541,   542,   542,   543,   543,
     543,   543,   543,   544,   544,   545,   545,   545,   545,   545,
     546,   547,   547,   548,   548,   549,   550,   550,   550,   550,
     551,   551,   551,   551,   552,   552,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   554,   554,   555,
     555,   555,   556,   556,   557,   557,   558,   559,   559,   560,
     560,   561,   561,   561,   561,   562,   563,   563,   564,   564,
     564,   564,   565,   565,   566,   566,   567,   567,   568,   568,
     568,   569,   569,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   572,   572,   573,
     573,   574,   574,   575,   575,   576,   576,   577,   578,   578,
     578,   578,   578,   579,   579,   580,   581,   581,   581,   581,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   587,   588,
     588,   589,   590,   591,   591,   592,   592,   592,   592,   593,
     593,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     595,   596,   596,   596,   597,   597,   597,   597,   597,   597,
     598,   598,   599,   599,   599,   599,   599,   599,   599,   600,
     600,   601,   601,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   607,   607,   607,   607,   607,   608,
     609,   610,   610,   610,   610,   610,   611,   611,   612,   612,
     612,   612,   613,   613,   613,   613,   614,   614,   615,   615,
     616,   617,   618,   618,   619,   619,   620,   621,   621,   621,
     622,   623,   624,   624,   625,   625,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   627,   627,
     628,   628,   628,   629,   629,   630,   630,   631,   631,   632,
     632,   633,   633,   634,   634,   635,   635,   636,   636,   637,
     637,   638,   639,   639,   640,   640,   641,   641,   642,   642,
     643,   643,   643,   644,   645,   645,   646,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   648,
     649,   649,   649,   649,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   657,   657,   658,
     658,   658,   658,   659,   660,   661,   662,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   667,   668,   668,
     669,   669,   670,   670,   671,   672,   673,   674,   674,   674,
     675,   675,   676,   677,   677,   678,   678,   678,   679,   679,
     680,   680,   680,   680,   680,   681,   681,   682,   682,   683,
     683,   684,   684,   685,   685,   685,   686,   686,   686,   686,
     687,   687,   688,   688,   689,   689,   689,   689,   689,   690,
     690,   691,   692,   693,   693,   693,   693,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   694,   695,   695,   696,
     696,   697,   697,   697,   697,   697,   698,   698,   699,   700,
     700,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     706,   706,   707,   707,   707,   707,   707,   708,   708,   709,
     709,   710,   710,   710,   711,   711,   712,   713,   713,   714,
     714,   715,   715,   716,   716,   717,   717,   718,   719,   720,
     720,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   721,   721,   721,   722,   722,   723,   723,
     724,   724,   725,   726,   726,   726,   727,   727,   727,   727,
     727,   727,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   728,
     729,   729,   730,   730,   730,   730,   730,   731,   731,   732,
     732,   732,   732,   732,   732,   732,   732,   733,   733,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   736,   736,   737,   737,   738,   739,
     739,   740,   740,   740,   740,   740,   741,   741,   742,   742,
     742,   742,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   744,   744,   745,   745,
     746,   746,   747,   747,   748,   749,   750,   750,   751,   751,
     752,   752,   753,   754,   754,   755,   755,   755,   756,   756,
     756,   757,   757,   757,   758,   759,   759,   760,   760,   761,
     761,   762,   762,   763,   763,   764,   764,   764,   765,   765,
     766,   766,   766,   767,   767,   767,   768,   768,   768,   769,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   773,
     774,   774,   775,   775,   775,   775,   775,   776,   776,   776,
     776,   776,   777,   778,   779,   779,   779,   780,   780,   780,
     781,   781,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   783,   783,   783,   783,   784,
     784,   785,   785,   786,   787,   787,   788,   789,   789,   790,
     790,   791,   791,   792,   792,   793,   793,   794,   794,   794,
     794,   795,   795,   796,   797,   797,   798,   798,   799,   799,
     799,   800,   800,   800,   801,   802,   802,   803,   803,   803,
     804,   804,   805,   805,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   807,   807,   808,   808,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   811,   812,   812,   812,   813,   813,   814,
     814,   814,   814,   814,   815,   815,   816,   816,   816,   816,
     817,   817,   817,   818,   818,   819,   820,   820,   821,   822,
     822,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   824,   825,   825,
     825,   825,   825,   826,   826,   826,   827,   827,   828,   828,
     829,   829,   829,   829,   830,   831,   832,   832,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   834,   834,   835,   835,   836,   837,
     837,   838,   839,   839,   840,   841,   841,   841,   841,   841,
     842,   842,   843,   844,   844,   844,   844,   844,   844,   845,
     846,   846,   846,   847,   847,   848,   848,   848,   848,   848,
     849,   849,   850,   850,   850,   850,   851,   851,   852,   852,
     853,   853,   854,   854,   855,   855,   856,   856,   857,   857,
     857,   857,   858,   858,   858,   858,   858,   858,   858,   859,
     859,   860,   861,   861,   862,   862,   862,   863,   863,   864,
     864,   865,   865,   865,   865,   866,   866,   867,   867,   868,
     869,   869,   869,   870,   870,   871,   872,   872,   873,   874,
     874,   875,   876,   876,   877,   877,   877,   877,   877,   877,
     877,   877,   878,   878,   879,   880,   880,   881,   881,   882,
     883,   884,   885,   885,   886,   887,   887,   888,   888,   888,
     888,   888,   889,   889,   889,   890,   890,   891,   891,   892,
     892,   892,   892,   892,   892,   892,   892,   893,   893,   894,
     894,   894,   894,   894,   894,   895,   895,   896,   896,   897,
     898,   898,   899,   899,   899,   900,   900,   900,   900,   900,
     900,   900,   900,   900,   901,   901,   902,   902,   902,   903,
     903,   903,   903,   904,   904,   905,   906,   906,   907,   907,
     908,   908,   908,   908,   909,   909,   910,   910,   910,   911,
     911,   912,   912,   913,   914,   914,   914,   915,   916,   916,
     917,   917,   918,   918,   919,   919,   920,   920,   921,   921,
     922,   922,   923,   923,   924,   924,   925,   925,   926,   926,
     927,   927,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   929,   929,   929,   929,   929,   929,   930,
     930,   930,   930,   931,   931,   931,   931,   932,   932,   933,
     933,   934,   934,   934,   934,   935,   935,   936,   936,   936,
     937,   938,   938,   939,   939,   939,   940,   940,   941,   941,
     942,   943,   943,   943,   943,   943,   943,   944,   944,   944,
     945,   945,   945,   945,   945,   945,   945,   946,   946,   946,
     946,   947,   947,   948,   948,   949,   949,   949,   949,   949,
     949,   949,   949,   949,   949,   949,   950,   950,   951,   951,
     952,   952,   953,   954,   955,   955,   956,   956,   957,   958,
     959,   959,   959,   959,   959,   959,   960,   960,   961,   961,
     962,   962,   962,   962,   963,   964,   964,   964,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   966,   966,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   971,   971,   972,   972,
     972,   972,   973,   974,   974,   975,   975,   976,   976,   977,
     977,   977,   978,   978,   978,   978,   979,   979,   980,   980,
     981,   982,   982,   982,   983,   984,   984,   985,   985,   986,
     986,   986,   987,   987,   988,   988,   988,   988,   988,   989,
     989,   989,   990,   990,   990,   991,   991,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   993,   993,   994,   994,
     995,   995,   995,   995,   995,   995,   996,   996,   997,   997,
     998,   998,   999,   999,  1000,  1000,  1000,  1001,  1001,  1002,
    1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,
    1004,  1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,  1007,
    1008,  1009,  1010,  1010,  1010,  1011,  1011,  1012,  1013,  1013,
    1014,  1015,  1015,  1016,  1016,  1017,  1017,  1018,  1018,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,  1023,
    1023,  1024,  1025,  1025,  1026,  1026,  1026,  1026,  1027,  1027,
    1028,  1028,  1029,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
    1036,  1036,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,
    1037,  1037,  1037,  1037,  1037,  1037,  1037,  1038,  1039,  1040,
    1040,  1041,  1041,  1041,  1041,  1042,  1042,  1042,  1042,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1047,  1047,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1050,  1049,
    1051,  1052,  1052,  1052,  1052,  1053,  1053,  1053,  1053,  1054,
    1054,  1055,  1056,  1057,  1057,  1058,  1058,  1058,  1059,  1059,
    1060,  1060,  1061,  1061,  1062,  1062,  1062,  1062,  1063,  1063,
    1063,  1064,  1065,  1065,  1066,  1066,  1067,  1067,  1067,  1067,
    1068,  1068,  1069,  1070,  1071,  1072,  1072,  1073,  1074,  1074,
    1075,  1075,  1075,  1075,  1075,  1077,  1076,  1078,  1079,  1080,
    1080,  1081,  1081,  1081,  1081,  1082,  1082,  1084,  1083,  1086,
    1085,  1087,  1085,  1085,  1088,  1088,  1089,  1089,  1089,  1090,
    1090,  1090,  1090,  1091,  1091,  1092,  1092,  1092,  1092,  1092,
    1092,  1093,  1093,  1093,  1094,  1096,  1095,  1097,  1098,  1097,
    1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,  1102,  1102,
    1102,  1102,  1102,  1102,  1102,  1103,  1103,  1103,  1103,  1103,
    1103,  1103,  1103,  1103,  1103,  1104,  1104,  1105,  1105,  1106,
    1107,  1107,  1108,  1108,  1108,  1109,  1110,  1111,  1111,  1111,
    1111,  1112,  1112,  1112,  1113,  1113,  1114,  1114,  1115,  1116,
    1116,  1117,  1117,  1118,  1118,  1119,  1119,  1120,  1121,  1121,
    1122,  1122,  1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1124,  1124,  1124,  1124,  1124,  1125,  1125,  1126,
    1127,  1128,  1129,  1129,  1130,  1131,  1132,  1132,  1133,  1134,
    1134,  1135,  1136,  1137,  1137,  1138,  1139,  1140,  1140,  1141,
    1142,  1142,  1142,  1142,  1142,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1144,  1144,  1145,  1145,  1146,  1146,  1146,  1148,  1147,  1149,
    1149,  1151,  1150,  1152,  1152,  1152,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1154,  1154,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1158,  1159,  1159,  1159,  1159,  1159,
    1159,  1159,  1159,  1160,  1160,  1160,  1160,  1160,  1160,  1160,
    1161,  1161,  1161,  1161,  1161,  1161,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1163,  1163,  1163,
    1163,  1163,  1164,  1164,  1164,  1164,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1166,  1166,  1166,  1167,  1167,  1167,  1167,
    1167,  1167,  1168,  1168,  1169,  1170,  1170,  1171,  1171,  1172,
    1173,  1174,  1175,  1175,  1175,  1176,  1177,  1178,  1179,  1180,
    1180,  1180,  1180,  1180,  1181,  1182,  1182,  1182,  1183,  1183,
    1184,  1184,  1184,  1185,  1185,  1186,  1186,  1187,  1187,  1188,
    1188,  1188,  1188,  1188,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1190,  1190,  1190,  1190,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1192,  1192,  1192,  1192,  1192,  1193,  1193,
    1194,  1194,  1195,  1195
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     5,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     6,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     3,
       4,     3,     2,     2,     1,     3,     4,     5,     4,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       4,     4,     4,     4,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     2,     3,
       6,     4,     3,     3,     3,     3,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    10,     6,     1,     1,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     2,     1,     0,     2,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    11,    14,    10,    13,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     3,     4,     2,     0,     3,     1,     1,     2,     2,
       1,     3,     4,     4,     2,     5,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     3,
       0,     1,     3,     1,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     5,     3,     0,     1,     3,     1,     2,     3,     0,
       5,     4,     1,     0,     1,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     1,     3,     1,     0,
       1,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     6,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     6,     8,
       8,     8,     8,     6,     6,     7,     8,     6,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,     8,    11,
       3,     2,     1,     3,     1,     5,     8,     1,     1,     1,
       7,     9,     8,    15,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     6,
       8,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     6,     8,     8,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     1,     3,     1,     2,
       2,     3,     5,     2,     2,     0,     6,     7,     7,     7,
       8,     8,     6,     8,     9,     9,     7,    10,     7,     8,
       8,     8,     8,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     3,
       1,     1,     8,     9,     9,     9,     9,     2,     0,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       3,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,    14,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     5,     5,     7,     2,     0,
       1,     2,     0,     1,     1,     0,     1,     1,     0,     9,
      12,     7,     2,     0,     3,     2,     1,     3,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     7,     6,     6,     6,     6,     6,
       7,     9,     9,     6,     6,     6,     6,     6,     7,     8,
       9,     8,     6,     6,     6,     5,     5,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     6,     6,
       6,     6,     6,     7,     9,     9,     6,     8,     8,     8,
       8,     6,     6,     7,     6,     7,     6,     6,     6,     6,
       6,     7,     7,     7,     9,     9,     6,     6,     6,     8,
       8,     8,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     6,     8,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     8,    10,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     6,     4,     6,     6,     5,     7,
       1,     0,     6,    11,    11,    11,    13,     9,    11,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     4,     3,
       0,     1,     1,     1,     1,     4,     8,     3,     0,     6,
       1,     4,     2,     1,     3,     2,     3,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     8,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     1,     1,     0,     3,     2,
       2,     2,     0,     2,     2,     1,     1,     3,     3,     1,
       2,     4,     4,     2,     3,     5,     5,     1,     1,     9,
       1,     2,     4,     4,     4,     2,     3,     1,     3,     6,
       1,     0,     2,     1,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     2,
       3,     1,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     4,     4,     2,     0,     2,     3,     2,     0,
       1,     3,     1,     2,     1,     2,     5,     6,     5,     1,
       2,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     5,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     5,     2,
       2,     2,     1,     3,     3,     2,     1,     0,     3,     0,
       5,     2,     5,     2,     1,     2,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     0,     1,     4,     1,     3,     3,     5,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     4,     5,     6,
       8,     6,     7,     7,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       4,     3,     2,     1,     1,     1,     1,     1,     0,     8,
       2,     5,     3,     2,     2,     3,     7,     1,     1,     1,
       0,     2,     2,     1,     0,     1,     3,     1,     2,     0,
       2,     0,     2,     0,     1,     3,     4,     3,     1,     1,
       1,     1,     2,     0,     2,     4,     0,     2,     2,     2,
       1,     1,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     1,     2,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     1,     2,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     2,     3,     1,     3,     3,     3,     3,     3,
       3,     1,     1,     0,     2,     2,     1,     1,     2,     1,
       1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1369 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25182 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1371 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25188 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1373 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25194 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1375 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25200 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1377 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25206 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1379 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25212 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1381 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25218 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1383 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25224 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1385 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25230 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1387 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25236 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1389 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25242 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1391 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25248 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1393 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25254 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1395 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25260 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1397 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25266 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1399 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25272 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1401 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25278 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1403 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25284 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1405 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25290 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1407 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25296 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1409 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25302 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1411 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25308 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1413 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25314 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1415 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25320 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1417 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25326 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1419 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25332 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1421 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 25354 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1439 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25360 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1441 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25366 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1443 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25372 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1445 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25378 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1447 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25384 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1449 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25390 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1451 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25396 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1453 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25402 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1455 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25408 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1457 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25414 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1459 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25420 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1461 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25426 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1463 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25432 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1465 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25438 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1467 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25444 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1469 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25450 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1471 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25456 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1473 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25462 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1475 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25468 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1477 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25474 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1479 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25480 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1481 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25486 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1483 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25492 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1485 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25498 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1487 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25504 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1489 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25510 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1491 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25516 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1493 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25522 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1495 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 25530 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1499 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 25536 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1501 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25542 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1503 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 25548 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1505 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 25554 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1507 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25560 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1509 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25566 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1511 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25572 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1513 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25578 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1515 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25584 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1517 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25590 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1519 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25596 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1521 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25602 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1523 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25608 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1525 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25614 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1527 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25620 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1529 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25626 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1531 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25632 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1533 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25638 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1535 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25644 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1537 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25650 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1539 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25656 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1541 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25662 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1543 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 25668 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1545 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25674 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1547 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 25680 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1549 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25686 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1551 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25692 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1553 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25698 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1555 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 25704 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1557 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25710 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25716 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25722 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25728 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1565 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 25739 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25745 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1574 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25751 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1576 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25757 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1578 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25763 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1580 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25769 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1582 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25775 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1584 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25781 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1586 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25787 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1588 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25793 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1590 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25799 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 25805 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1594 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 25815 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25821 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25827 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 25833 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25839 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25845 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25851 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25857 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 25863 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1616 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 25873 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1622 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 25887 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1632 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 25895 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1636 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 25905 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1642 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 25913 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1646 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 25927 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1656 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 25941 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 25947 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1667 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (!strcmp((yyvsp[0].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 25965 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1681 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 25976 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1688 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 25986 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1694 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 26001 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1705 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 26011 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1711 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 26024 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1720 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 26035 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1727 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 26045 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1733 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 26058 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1742 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 26069 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1749 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 26080 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26086 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26094 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 26102 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26109 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26117 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26124 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26132 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26139 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 26147 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 26155 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 26163 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 26171 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 26179 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 26187 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 26195 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 26203 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26211 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26219 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 26227 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 26235 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 26243 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 26251 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 26259 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26267 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26275 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26282 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 26290 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26298 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26306 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26314 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 26322 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 26330 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 26338 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 26346 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26354 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 26362 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 26370 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 26378 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 26386 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 26394 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26402 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26410 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26418 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26425 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26433 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26440 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26448 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26456 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26464 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26472 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26480 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26488 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 26496 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 26504 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 26512 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 26520 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 26528 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 26536 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 26544 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 26552 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 26560 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 26568 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 26576 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2096 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 26585 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 26593 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 26601 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 26609 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 26617 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 26625 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 26633 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26641 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 26649 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26657 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 26665 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26673 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2157 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 26687 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 26695 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 26703 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 26711 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 26719 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 26727 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 26735 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 26743 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26751 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26759 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26767 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26775 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26783 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26791 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 26799 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 26807 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26815 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 26823 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 26830 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26838 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26846 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 26854 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
#line 26862 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
#line 26870 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
#line 26878 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset all");
}
#line 26886 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 26894 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26902 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 26910 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 26918 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 26926 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 26934 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2322 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 26943 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 26951 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 26959 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 26967 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 26975 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 26983 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 26991 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 26999 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 27007 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 27015 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 27023 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27031 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27039 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27047 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27055 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27063 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 27071 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 27079 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 27087 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27095 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 27103 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 27111 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 27119 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 27127 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 27135 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 27143 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27151 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27159 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27167 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 27175 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 27183 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27191 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27199 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 27207 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 27215 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 27223 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 27231 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 27239 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 27247 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 27255 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 27263 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 27271 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 27279 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 27287 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 27295 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 27303 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 27311 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 27319 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 27327 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 27335 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 27343 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 27351 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 27359 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 27367 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 27375 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 27383 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 27391 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27399 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 27407 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 27415 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 27423 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 27431 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27438 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 27446 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27453 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 27461 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27468 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 27476 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 27484 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27491 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27499 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 27507 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 27515 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27523 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 27531 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 27539 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27547 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27555 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 27563 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27571 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27579 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27587 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27595 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2731 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 27604 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 27612 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-4].str), "to") == 0 && strcmp((yyvsp[-3].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[-4].str), "from") == 0 && strcmp((yyvsp[-3].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[-4].str), "from") == 0 && strcmp((yyvsp[-3].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27627 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2755 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-2].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27638 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 27646 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 27654 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27662 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 27670 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 27678 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27686 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 27694 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27702 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27709 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 27717 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 27725 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27733 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27741 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 27749 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 27757 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27765 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27773 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 27781 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 27789 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 27797 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 27805 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 27813 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27820 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 27828 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27835 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 27843 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27850 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 27858 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27865 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27873 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 27881 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27889 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27897 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27905 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 27913 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 27921 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27928 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27936 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 27944 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27952 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27960 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27968 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27976 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27984 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 27992 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 28000 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 28008 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 28016 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 28024 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 28032 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 28040 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28047 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28055 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28062 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28070 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28077 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28085 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28093 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28101 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28109 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28117 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28125 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28133 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28141 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28149 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28157 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 28165 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28173 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28180 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28188 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28196 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28204 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 28212 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 28220 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 28228 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28236 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28244 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28252 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 28260 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28268 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 28276 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 28284 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 28292 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 28300 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28308 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 28316 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 28324 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28331 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 28339 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 28347 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 28355 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 28363 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 28371 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 28379 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28387 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28395 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 28403 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28411 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28419 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28427 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28435 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28443 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28451 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28459 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28466 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28474 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28482 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28490 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 28498 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 28507 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 28515 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28522 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28530 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28538 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 28546 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28554 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28562 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28569 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28577 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28585 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28593 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28601 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28608 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 28616 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 28624 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 28632 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 28640 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 28648 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 28656 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 28664 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28672 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28679 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 28687 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 28695 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 28703 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28710 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 28718 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 28726 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 28734 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28741 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 28749 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28756 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 28764 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28771 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 28779 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28787 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28795 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28802 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28810 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28818 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28826 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 28834 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 28842 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28849 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28857 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28865 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28873 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28880 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28888 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28896 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 28904 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 28912 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 28920 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28928 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 28936 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 28944 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 28952 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 28960 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 28968 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28976 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 28984 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28992 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 29000 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29007 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29015 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 29023 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29031 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29039 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29047 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 29055 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29063 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 29071 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29078 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29086 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29094 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 29102 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29109 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 29117 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 29125 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29133 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29140 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29148 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29156 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 29164 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29171 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("location"),(yyvsp[0].str));
}
#line 29179 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 29187 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29194 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 29202 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 29210 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29218 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29226 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29234 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29241 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 29249 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 29257 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 29265 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 29273 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29281 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29288 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 29296 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29304 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29312 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 29320 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 29328 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 29336 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 29344 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 29352 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29360 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 29368 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 29376 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 29384 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 29392 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 29400 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 29408 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 29416 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 29424 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 29432 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 29440 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 29448 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 29456 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 29464 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 29472 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29480 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 29488 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 29496 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 29504 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 29512 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29520 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29528 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29536 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29543 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29551 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29559 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29567 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29575 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29583 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29590 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29598 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29606 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29614 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29622 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29630 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29638 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29646 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29654 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 29662 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29670 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29678 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29686 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29694 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 29702 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29709 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 29717 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 29725 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29733 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29740 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29748 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29756 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29764 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29772 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29780 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29788 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29796 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29804 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 29812 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29820 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29828 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29836 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29844 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29852 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 29860 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 29868 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29876 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 29884 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 29892 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29900 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29908 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29916 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 29924 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 29932 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 29940 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29948 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 29956 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 29964 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 29972 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 29980 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 29988 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 29996 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30004 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30011 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 30019 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30026 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 30034 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 30042 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30050 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30057 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30065 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30073 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30080 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30088 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30096 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30104 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30112 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 30120 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30127 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30134 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30142 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 30150 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 30158 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 30166 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 30174 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 30182 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30190 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30198 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4522 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30207 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30216 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30224 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30232 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30240 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30248 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 30256 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30264 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30272 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30280 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30288 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30296 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30304 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30312 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 30320 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30328 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30336 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30344 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30352 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30360 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30368 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30376 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30384 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30392 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30400 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30408 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 30416 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30424 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30432 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30440 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30448 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30456 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30463 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30471 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30479 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("add value"),(yyvsp[0].str));
}
#line 30487 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("add value"),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 30495 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("add value"),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 30503 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 30511 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30519 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30527 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30535 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30543 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30551 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30559 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 30567 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 30575 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30582 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 30590 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30597 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 30605 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 30613 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30620 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4812 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 30629 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30636 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 30644 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 30652 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 30660 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30668 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30676 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30684 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30692 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30700 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30708 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30716 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30724 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30732 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 30740 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30748 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30756 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 30764 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 30772 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 30780 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 30788 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 30796 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 30804 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 30812 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 30820 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 30828 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 30836 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 30844 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 30852 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 30860 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 30868 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 30876 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30884 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30892 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 4996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30900 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30908 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 30916 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 30924 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30932 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 30940 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 30948 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30955 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 30963 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 30971 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 30979 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 30987 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 30995 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31003 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31011 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31019 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31027 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31035 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31043 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 31051 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31059 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31067 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31075 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31083 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31091 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 31099 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 31107 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 31115 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 31123 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 31131 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 31139 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 31147 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 31155 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 31163 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 31171 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 31179 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 31187 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 31195 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 31203 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 31211 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 31219 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 31227 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31235 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 31243 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31251 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31259 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31267 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31275 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 31283 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 31291 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31298 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 31306 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 31314 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 31322 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 31330 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 31338 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 31346 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 31354 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 31362 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31370 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 31378 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 31386 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 31394 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5290 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 31402 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5294 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 31412 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5300 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 31422 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5306 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 31432 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5312 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 31442 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5318 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 31452 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5324 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 31462 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5330 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 31472 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5336 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 31482 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5346 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 31497 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31512 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31527 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5379 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31542 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5390 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31557 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31572 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31592 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31612 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5444 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31632 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5460 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31647 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5471 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31667 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5487 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31682 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31702 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5514 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31717 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 31725 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 31733 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31741 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31748 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31756 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31764 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31772 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31780 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 31788 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 31796 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31804 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31812 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31820 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31828 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 31836 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 31844 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 31852 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31860 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31868 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 31876 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 31884 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 31892 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 31900 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 31908 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 31916 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 31924 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 31932 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 31940 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 31948 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 31956 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 31964 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 31972 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31980 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31988 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31996 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 32004 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 32012 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32019 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32027 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32035 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32043 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32051 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32059 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32067 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 32075 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32082 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 32090 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32097 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32105 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32113 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32120 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 32128 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 32136 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 32144 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32152 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32160 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32168 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 32176 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 32184 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 32192 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32200 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 32208 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32215 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 32223 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32230 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32238 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32245 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 32253 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32260 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32268 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32276 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32284 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32292 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32300 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 32308 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32315 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32323 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 32331 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32338 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 32346 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 32354 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32361 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 32369 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 32377 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32384 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32392 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32400 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32408 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 32416 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32423 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32431 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 32439 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32447 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32455 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32463 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 32471 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32479 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32487 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32495 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32503 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32511 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32519 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32527 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 32535 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 32543 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 32551 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 32559 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 32567 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32575 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32583 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 32599 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 32607 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32615 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 32623 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32631 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32639 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32647 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 32655 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 32663 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 32671 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 32679 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 32687 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 32695 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 32703 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 32711 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 32719 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 32727 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 32735 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 32743 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32751 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 32759 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 32767 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 32775 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32783 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32791 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32799 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 32807 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32814 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32822 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32830 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32838 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32846 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32854 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32862 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 32870 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32877 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32885 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32901 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32909 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32917 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32925 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32933 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32941 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32949 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 32957 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32965 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32973 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 32981 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32989 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32997 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33005 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 33013 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33021 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 33029 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 33037 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 33045 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 33053 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33060 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33068 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 33076 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33083 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33091 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33099 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 33131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 33314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 33322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 33362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 33393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 33544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 6875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 33799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 6879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 33807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 33815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 33823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 6895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 33831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 33839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 6922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 33878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 6934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 6941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 33893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 6949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 33901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 6953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 33909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 6961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 33917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 6965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 33933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 6973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 33941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 6977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 33949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 6981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 33957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 6985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 33965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 6989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 33973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 6993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 33981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 6997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 33989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 34005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 34013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 34021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 34029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 34037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 34052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 34060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 34068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("view"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create or replace"),(yyvsp[-6].str),mm_strdup("view"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7099 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
#line 34148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 34157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
#line 34166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 34181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 34332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 34340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 34402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 34410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 34450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 34466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 34521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 34529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 34537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 34553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 34561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 34648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 34656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 34664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 34696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 34704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 34719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 34734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 34764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 34780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7615 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 34917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7621 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 34927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 34980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("table"),(yyvsp[-4].str),mm_strdup("as execute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 35035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 35067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 35113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 35128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 35136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 35144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 35152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 35160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 35168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 35176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 35184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 35192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 35255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7891 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
                                else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 35332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7948 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 35352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 35367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 35375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 35383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 35391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7983 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 35402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 35410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 35418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 35554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 35594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8145 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 35642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 35648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 35719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 35758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 35773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 35819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 35906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8321 "preproc.y" /* yacc.c:1646  */
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
        }
#line 35915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 35923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 35931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 36010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 36018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 36026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 36034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 36049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 36072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 36127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 36142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[0].str);
}
#line 36247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 36287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 36311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 36319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 36359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 36367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 36375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 36383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 36391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 36414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 36430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 36438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 36502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 36517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8740 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 36526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8783 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 36578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8785 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 36584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 36592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 36600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 36608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 36616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8807 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 36630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8817 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 36644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8827 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 36654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 36781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 36789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 36797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 36805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 36813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 36821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 36829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 36837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 36845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 36853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 36861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 36924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 36980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 36988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 36996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 37004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 37028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 37043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 37066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 37082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 37090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 37098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 37106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 37145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 37153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 37169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 37177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 37185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 37193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 37201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 37209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 37217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 37232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 37256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 37264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 37272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 37280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 37288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 37296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 37304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 37312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 37320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 37328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 37336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 37344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 37352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 37392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 37400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 37408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 37416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 37424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 37432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 37440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 37448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 37456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 37464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 37472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 37480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 37488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 37496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 37504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 37512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 37520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 37528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 37544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 37592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 37600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 37608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 37632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 37640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 37648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 37656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 37664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 37672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9439 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 37697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 37705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 37713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 37729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 37737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 37745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 37753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 37761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 37769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 37777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 37785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 37793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 37801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 37809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 37849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 37857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 37881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 37889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 37961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 37969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 37977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("( )"),(yyvsp[0].str));
}
#line 37993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( all"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( distinct"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("( * )"),(yyvsp[0].str));
}
#line 38049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 38057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 38065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 38081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 38097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 38113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 38129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 38137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 38145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 38153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 38161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 38169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 38385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 38393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 38401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 38409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 38417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 9839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 9851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 9855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 9863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 38472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 38480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 9875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 38488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 9879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 38496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 9883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 9890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 38511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 9894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 38519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 38527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 38535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 9910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 38543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 9914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 9925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 9933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 9941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 38582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 9945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 38590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 9949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 9975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 38628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 9979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 9986 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 38644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 9991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 38652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 9995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 38683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 38691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 38699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 38707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 38715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 38731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 38747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 38755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 38787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 38795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 38803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 38811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 38819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 38827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 38835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 38843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 38851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 38907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 38915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 38923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 38931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 38979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 39019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 39043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 39066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 39074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 39082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 39090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 39098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 39106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 39138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 39146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 39224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 39264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 39288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 39296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 39350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 39405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 39500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 39652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 39700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 39708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 39734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 39828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 39836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 39844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 39852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 39860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 39868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 39876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 39884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 39892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 39900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 39908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 39916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 39924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 39932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 39940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 39948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 39956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 39964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 39972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 39980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 39988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 39996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 40004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 40012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 40020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 40028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 40036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 40044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 40052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 40060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 40068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 40076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 10924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 40084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 10928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 40092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 10932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 40100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 40108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 10940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 40116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 40124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 10948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 40132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 40140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 40148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 10960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 40156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 40164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 40172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 10972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 40180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 40188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 10980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 40196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 10984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 40204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 40212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 10992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 40220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 40228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 40236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 40252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 40260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 40268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 40276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 40284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 40292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 40300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 40308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 40316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 40324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 40332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 40340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 40348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 40356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 40364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 40372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 40380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 40388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 40396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 40404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 40412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 40420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 40428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 40436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 40444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 40452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 40460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 40468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 40476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 40484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 40492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 40500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 40508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 40516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 40524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 40532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 40540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 40564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 40604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 40612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 40620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 40644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 40652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 40660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 40668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 40676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 40684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 40692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 40700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 40708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 40716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 40724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 40732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 40740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 40748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 40756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 40764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 40772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 40788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 40796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 40804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 40812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 40820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 40828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 40836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 40852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 40860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 40868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 40876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 40884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 40892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 40900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 40908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 40916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 40924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 40932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 40940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 40948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 40956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 40964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 40972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 40980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 40988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 40996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 41004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 41012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 41020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 41028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 41036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 41044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 41052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 41060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 41068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 41076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 41084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 41092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 41100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 41108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 41116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 41124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 41132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 41140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 41148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 41156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 41164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 41172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 41180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 41196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 41204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 41212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 41220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 41228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 41236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 41244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 41260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 41268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 41276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 41292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 41300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 41308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 41324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 41332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 41340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 41348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 41364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 41380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 41396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 41404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 41412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 41428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 41436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 41444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 41452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 41468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 41484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 41492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 41500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 41508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 41516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 41524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 41532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 41540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 41548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 41556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 41564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 41572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 41580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 41588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 41596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 41604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 41612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 41620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 41628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 41636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 41644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 41652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 41676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 41684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 41692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 41700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 41708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 41716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 41724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 41732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 41740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 41748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 41756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 11768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 41764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 11772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 41772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 11776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 41780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 11780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 41788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 11784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 41796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 11788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 41804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 11792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 41812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 11796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 41820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 11800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 41828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 11804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 41836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 11808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 41844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 11812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 41852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 41860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 41868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 41876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 11828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 41884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 11832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 41892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 41900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 11840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 41908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 41916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 41924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 41932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 41940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 41948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 41956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 41964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 41972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 41980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 41988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 41996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 42004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 11892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 42012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 42020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 42028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 42036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 42044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 42052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 42068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 42076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 11928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 11940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 11944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 42108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 11948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 42116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 11952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 42124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 42132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 11960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 42140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 42148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 42156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 11972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 42164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 42172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 11980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 42180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 11984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 42188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 11988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 42196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 11992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 42204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 11996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 42212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 42220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 42228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 42252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 42260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 42276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 42284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 42292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 42300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 42308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 42316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 42324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 42332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 42340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 42348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 42356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 42364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 42372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 42388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 42396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 42404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 42412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 42420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 42428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 42436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 42444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 42460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 42468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 42484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 42492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 42500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 42508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 42516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 42524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 42532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 42540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 42548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 42556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 42564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 42572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 42580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 42588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 42596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 42604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 42612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 42620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 42628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 42636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 42644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 42660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 42668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 42676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 42684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 42692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 42700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 42772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 42780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 42788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 42796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 42804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 42812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 42820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 42828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 42836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 42844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 42852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12333 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 42858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12336 "preproc.y" /* yacc.c:1646  */
    {
                        fprintf(yyout, "%s", (yyvsp[0].str));
                        free((yyvsp[0].str));
                        output_line_number();
                }
#line 42868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 42874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 42880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12344 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", yyout); }
#line 42886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12346 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
#line 42901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12358 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 42907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12359 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 42918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12368 "preproc.y" /* yacc.c:1646  */
    {
                        connection = (yyvsp[0].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                }
#line 42933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 42939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 42945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 42951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 42957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12395 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 42973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12407 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)),	(yyvsp[0].str), mm_strdup("\"")));
		}
#line 42993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12423 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 43001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12427 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 43014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12442 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 43040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12454 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 43051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12463 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 43075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 43081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 43105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 43117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 43123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 43129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 43141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12494 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 43152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12501 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 43163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12508 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 43181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12524 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 43217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12558 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 43243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12573 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 43257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 43269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 43275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 43281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12594 "preproc.y" /* yacc.c:1646  */
    {
                                        if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[0].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                size_t i;

                                                for (i = 0; i< strlen((yyvsp[0].str)); i++)
                                                        (yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

                                                (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
                                        }
                                }
#line 43299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12615 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
	                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
        	                        else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 43368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12676 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 43378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 43420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 43432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 43438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12707 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", yyout); }
#line 43444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12709 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 43454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12716 "preproc.y" /* yacc.c:1646  */
    {}
#line 43460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12718 "preproc.y" /* yacc.c:1646  */
    {}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 43496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 43502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 43514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12735 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 43524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12741 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 43536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12751 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 43550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12761 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 43558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12765 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 43572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12775 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 43580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12779 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12789 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 43606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12790 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 43612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12791 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 43624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12795 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 43630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 43636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 43648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 43654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12805 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12813 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 43687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12830 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 43699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12838 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 43726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12861 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 43836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12967 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 43872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 43878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 43884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13005 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 43896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13012 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 43907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13019 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 43953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13064 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 43969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13070 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 43980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13079 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 43990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13085 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 43999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13092 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 44008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 44014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13099 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 44020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13100 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13103 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 44032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13104 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 44038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13105 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 44044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13107 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 44056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13108 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 44062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13110 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13118 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 44086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13125 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 44092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13128 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13129 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 44104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 44110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13131 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 44116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13132 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 44122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13134 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 44134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13142 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 44146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13149 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 44152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 44158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13151 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 44164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13161 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 44181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13170 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1; /* dimension of array */
			char *length = (yyvsp[-2].index).index2;    /* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 44270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13259 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 44285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 44303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13274 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 44342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 44348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13297 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 44372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13306 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 44384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13314 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 44394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13330 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 44427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13335 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 44436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13342 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 44445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13347 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 44454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13354 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 44463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13363 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 44474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44486 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 44498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 44504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 44516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13388 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 44551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13395 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 44567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13407 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 44577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13413 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 44588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13420 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 44604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13441 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 44619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13452 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 44628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13463 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 44634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13471 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 44640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 44646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13484 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 44654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13490 "preproc.y" /* yacc.c:1646  */
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
                        new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[0].str);
                }
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13500 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13508 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13515 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13519 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 44696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13527 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 44704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13533 "preproc.y" /* yacc.c:1646  */
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
                        new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[0].str);
                }
#line 44716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13542 "preproc.y" /* yacc.c:1646  */
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
#line 44735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13551 "preproc.y" /* yacc.c:1646  */
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13560 "preproc.y" /* yacc.c:1646  */
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[0].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
#line 44762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13571 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 44768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 44774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13573 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 44780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 44786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13575 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 44792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 44798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13577 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 44804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13579 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 44816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 44822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13581 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 44828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 44834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13583 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 44840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 44846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13585 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13593 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13596 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 44870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13597 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13613 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 44904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13619 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 44917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13629 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 44923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13637 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 44939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13643 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 45001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13707 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 45011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13713 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 45021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13719 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 45031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13727 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 45041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13733 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 45051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13739 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13745 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 45071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13751 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 45081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13757 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 45091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13763 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13769 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 45111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13775 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 45121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 45139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 45145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 45151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 45163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 45169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13795 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 45175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 45187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 45193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 45199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 45211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 45217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13803 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 45223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 45235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 45241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 45247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 45253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 45259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 45265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13811 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 45271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 45277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13815 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 45283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 45289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 45295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13819 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 45307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13820 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 45313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 45319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 45331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 45337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 45343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 13829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 45355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 13833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 13837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 45403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 45409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 45445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 45451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 13867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 13871 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 13872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 13879 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 13880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 45505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 13881 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 45511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 45517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 13883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 45523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 13884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 45529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 13885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 45535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 45541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 13887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 13888 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 13891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 13892 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 13893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 13895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 45583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 13899 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 13900 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 13901 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 13904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 13905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 45619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 45625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 13907 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 45631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 13908 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 45643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 45649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 13927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 13928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 13929 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 45667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 45673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 13933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 45679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 45685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 45691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 45697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 13937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 45703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 13944 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 45712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 13951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 13955 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 45730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 13957 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 45736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 13962 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 45748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 13972 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 45761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 13983 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 45770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 13989 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 45776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 45782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 13991 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 45788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 13995 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 45823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14035 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 45855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14045 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 45869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14055 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 45883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 45913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 45925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 45931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 45943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 45949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 45985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 45997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 46003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14107 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 46009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14108 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 46015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14111 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14112 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14113 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14115 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 46045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14116 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 46051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14117 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 46057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14118 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 46063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14119 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 46069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 46075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 46081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 46087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 46093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14124 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 46099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 46105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 46111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14127 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14128 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 46123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 46129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 46135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14131 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 46141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14132 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 46147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14133 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 46153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 46159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14135 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 46165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 46171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14137 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 46177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 46183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14139 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 46189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14140 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 46195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14141 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 46201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 46207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 46213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 46219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 46225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 46231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 46237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 46249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 46255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 46261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 46273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 46279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 46285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 46291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14157 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 46297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 46303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 46309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 46315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 46321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 46327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 46333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 46339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 46345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 46351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 46369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 46375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 46387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 46393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 46399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 46405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 46411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 46417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14186 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14199 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14209 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14210 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46502 "preproc.c" /* yacc.c:1646  */
    break;


#line 46506 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14213 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"
